#include <kate_includes.h>

#include <smoke.h>
#include <kate_smoke.h>

namespace __smokekate {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigBase
      switch(to) {
        case 4: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 49: return (void*)(QIcon*)(KIcon*)xptr;
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KSharedConfig
      switch(to) {
        case 4: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 7: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KStandardDirs
      switch(to) {
        case 8: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 9:   //KTextEditor::Document
      switch(to) {
        case 9: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 10:   //KTextEditor::Editor
      switch(to) {
        case 10: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 11:   //KTextEditor::View
      switch(to) {
        case 11: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 12:   //KUrl
      switch(to) {
        case 89: return (void*)(QUrl*)(KUrl*)xptr;
        case 12: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 13:   //KXMLGUIClient
      switch(to) {
        case 13: return (void*)(KXMLGUIClient*)xptr;
        case 23: return (void*)(Kate::XMLGUIClient*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 14:   //KXMLGUIFactory
      switch(to) {
        case 63: return (void*)(QObject*)(KXMLGUIFactory*)xptr;
        case 14: return (void*)(KXMLGUIFactory*)xptr;
        default: return xptr;
      }
    case 15:   //Kate::Application
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::Application*)xptr;
        case 15: return (void*)(Kate::Application*)xptr;
        default: return xptr;
      }
    case 16:   //Kate::DocumentManager
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::DocumentManager*)xptr;
        case 16: return (void*)(Kate::DocumentManager*)xptr;
        default: return xptr;
      }
    case 17:   //Kate::MainWindow
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::MainWindow*)xptr;
        case 17: return (void*)(Kate::MainWindow*)xptr;
        default: return xptr;
      }
    case 18:   //Kate::Plugin
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::Plugin*)xptr;
        case 18: return (void*)(Kate::Plugin*)xptr;
        default: return xptr;
      }
    case 19:   //Kate::PluginConfigPage
      switch(to) {
        case 93: return (void*)(QWidget*)(Kate::PluginConfigPage*)xptr;
        case 63: return (void*)(QObject*)(Kate::PluginConfigPage*)xptr;
        case 19: return (void*)(Kate::PluginConfigPage*)xptr;
        default: return xptr;
      }
    case 20:   //Kate::PluginConfigPageInterface
      switch(to) {
        case 20: return (void*)(Kate::PluginConfigPageInterface*)xptr;
        default: return xptr;
      }
    case 21:   //Kate::PluginManager
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::PluginManager*)xptr;
        case 21: return (void*)(Kate::PluginManager*)xptr;
        default: return xptr;
      }
    case 22:   //Kate::PluginView
      switch(to) {
        case 63: return (void*)(QObject*)(Kate::PluginView*)xptr;
        case 22: return (void*)(Kate::PluginView*)xptr;
        default: return xptr;
      }
    case 23:   //Kate::XMLGUIClient
      switch(to) {
        case 13: return (void*)(KXMLGUIClient*)(Kate::XMLGUIClient*)xptr;
        case 23: return (void*)(Kate::XMLGUIClient*)xptr;
        default: return xptr;
      }
    case 24:   //QAction
      switch(to) {
        case 24: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 25:   //QActionEvent
      switch(to) {
        case 25: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QBool
      switch(to) {
        case 26: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 27:   //QBrush
      switch(to) {
        case 27: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 28:   //QByteArray
      switch(to) {
        case 28: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 29:   //QChar
      switch(to) {
        case 29: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 30:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QCloseEvent
      switch(to) {
        case 31: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QColor
      switch(to) {
        case 32: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 33:   //QContextMenuEvent
      switch(to) {
        case 33: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QCursor
      switch(to) {
        case 34: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 35:   //QDataStream
      switch(to) {
        case 35: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 36:   //QDomDocument
      switch(to) {
        case 38: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 36: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 37:   //QDomElement
      switch(to) {
        case 38: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 37: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 38:   //QDomNode
      switch(to) {
        case 38: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 39:   //QDragEnterEvent
      switch(to) {
        case 39: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QDragLeaveEvent
      switch(to) {
        case 40: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragMoveEvent
      switch(to) {
        case 41: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDropEvent
      switch(to) {
        case 42: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QEvent
      switch(to) {
        case 43: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QFocusEvent
      switch(to) {
        case 44: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFont
      switch(to) {
        case 45: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 47:   //QHashDummyValue
      switch(to) {
        case 47: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 48:   //QHideEvent
      switch(to) {
        case 48: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QIcon
      switch(to) {
        case 49: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 50:   //QImage
      switch(to) {
        case 50: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 51:   //QIncompatibleFlag
      switch(to) {
        case 51: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 52:   //QInputMethodEvent
      switch(to) {
        case 52: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QKeyEvent
      switch(to) {
        case 53: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QKeySequence
      switch(to) {
        case 54: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 55:   //QLatin1String
      switch(to) {
        case 55: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 56:   //QLine
      switch(to) {
        case 56: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 57:   //QLineF
      switch(to) {
        case 57: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 58:   //QMargins
      switch(to) {
        case 58: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 59:   //QMatrix
      switch(to) {
        case 59: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 60:   //QMetaObject
      switch(to) {
        case 60: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 61:   //QMouseEvent
      switch(to) {
        case 61: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QMoveEvent
      switch(to) {
        case 62: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QObject
      switch(to) {
        case 63: return (void*)(QObject*)xptr;
        case 21: return (void*)(Kate::PluginManager*)(QObject*)xptr;
        case 16: return (void*)(Kate::DocumentManager*)(QObject*)xptr;
        case 22: return (void*)(Kate::PluginView*)(QObject*)xptr;
        case 19: return (void*)(Kate::PluginConfigPage*)(QObject*)xptr;
        case 17: return (void*)(Kate::MainWindow*)(QObject*)xptr;
        case 18: return (void*)(Kate::Plugin*)(QObject*)xptr;
        case 15: return (void*)(Kate::Application*)(QObject*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEngine
      switch(to) {
        case 64: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 65:   //QPaintEvent
      switch(to) {
        case 65: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPixmap
      switch(to) {
        case 68: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 69:   //QPoint
      switch(to) {
        case 69: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 70:   //QPointF
      switch(to) {
        case 70: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygon
      switch(to) {
        case 71: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygonF
      switch(to) {
        case 72: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyle
      switch(to) {
        case 84: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 85:   //QTabletEvent
      switch(to) {
        case 85: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QTextStream
      switch(to) {
        case 86: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 87:   //QTimerEvent
      switch(to) {
        case 87: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QTransform
      switch(to) {
        case 88: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 89:   //QUrl
      switch(to) {
        case 89: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 90:   //QVariant
      switch(to) {
        case 90: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 91:   //QVariantComparisonHelper
      switch(to) {
        case 91: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 92:   //QWheelEvent
      switch(to) {
        case 92: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QWidget
      switch(to) {
        case 63: return (void*)(QObject*)(QWidget*)xptr;
        case 93: return (void*)(QWidget*)xptr;
        case 19: return (void*)(Kate::PluginConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    63, 0,	// 1: QObject
    93, 0,	// 3: QWidget
    13, 0,	// 5: KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Kate__MainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Kate__Application(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__DocumentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__MainWindow(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPageInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginView(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__XMLGUIClient(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//8
    { "KTextEditor::Document", true, 0, 0, 0, 0, 0 },	//9
    { "KTextEditor::Editor", true, 0, 0, 0, 0, 0 },	//10
    { "KTextEditor::View", true, 0, 0, 0, 0, 0 },	//11
    { "KUrl", true, 0, 0, 0, 0, 0 },	//12
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//13
    { "KXMLGUIFactory", true, 0, 0, 0, 0, 0 },	//14
    { "Kate::Application", false, 1, xcall_Kate__Application, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Application) },	//15
    { "Kate::DocumentManager", false, 1, xcall_Kate__DocumentManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::DocumentManager) },	//16
    { "Kate::MainWindow", false, 1, xcall_Kate__MainWindow, xenum_Kate__MainWindow, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::MainWindow) },	//17
    { "Kate::Plugin", false, 1, xcall_Kate__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Plugin) },	//18
    { "Kate::PluginConfigPage", false, 3, xcall_Kate__PluginConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginConfigPage) },	//19
    { "Kate::PluginConfigPageInterface", false, 0, xcall_Kate__PluginConfigPageInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::PluginConfigPageInterface) },	//20
    { "Kate::PluginManager", false, 1, xcall_Kate__PluginManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginManager) },	//21
    { "Kate::PluginView", false, 1, xcall_Kate__PluginView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginView) },	//22
    { "Kate::XMLGUIClient", false, 5, xcall_Kate__XMLGUIClient, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::XMLGUIClient) },	//23
    { "QAction", true, 0, 0, 0, 0, 0 },	//24
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QBool", true, 0, 0, 0, 0, 0 },	//26
    { "QBrush", true, 0, 0, 0, 0, 0 },	//27
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//28
    { "QChar", true, 0, 0, 0, 0, 0 },	//29
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QColor", true, 0, 0, 0, 0, 0 },	//32
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QCursor", true, 0, 0, 0, 0, 0 },	//34
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//35
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//36
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//37
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//38
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFont", true, 0, 0, 0, 0, 0 },	//45
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//46
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//47
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QIcon", true, 0, 0, 0, 0, 0 },	//49
    { "QImage", true, 0, 0, 0, 0, 0 },	//50
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//51
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//54
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//55
    { "QLine", true, 0, 0, 0, 0, 0 },	//56
    { "QLineF", true, 0, 0, 0, 0, 0 },	//57
    { "QMargins", true, 0, 0, 0, 0, 0 },	//58
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//59
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//60
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QObject", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//64
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//68
    { "QPoint", true, 0, 0, 0, 0, 0 },	//69
    { "QPointF", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyle", true, 0, 0, 0, 0, 0 },	//84
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//86
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QTransform", true, 0, 0, 0, 0, 0 },	//88
    { "QUrl", true, 0, 0, 0, 0, 0 },	//89
    { "QVariant", true, 0, 0, 0, 0, 0 },	//90
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//91
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QWidget", true, 0, 0, 0, 0, 0 },	//93
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KConfigBase*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KConfigBase::WriteConfigFlag", 4, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//8
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//10
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KSharedConfig", 7, Smoke::t_class|Smoke::tf_stack },	//12
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "KStandardDirs*", 8, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KTextEditor::Document*", 9, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KTextEditor::Editor*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KTextEditor::View*", 11, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KUrl::CleanPathOption", 12, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KUrl::DirectoryOption", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KUrl::EncodedPathAndQueryOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KUrl::EqualsOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KUrl::QueryItemsOption", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KXMLGUIClient::ReverseStateChange", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KXMLGUIFactory*", 14, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Kate::Application*", 15, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Kate::DocumentManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Kate::MainWindow*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Kate::MainWindow::Position", 17, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Kate::Plugin*", 18, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Kate::PluginConfigPage*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Kate::PluginConfigPageInterface*", 20, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Kate::PluginManager*", 21, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Kate::PluginView*", 22, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Kate::XMLGUIClient*", 23, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QAction*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QActionEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QBool", 26, Smoke::t_class|Smoke::tf_stack },	//37
    { "QBrush&", 27, Smoke::t_class|Smoke::tf_ref },	//38
    { "QByteArray&", 28, Smoke::t_class|Smoke::tf_ref },	//39
    { "QChar", 29, Smoke::t_class|Smoke::tf_stack },	//40
    { "QChar&", 29, Smoke::t_class|Smoke::tf_ref },	//41
    { "QChildEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QCloseEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QColor&", 32, Smoke::t_class|Smoke::tf_ref },	//44
    { "QContextMenuEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QCursor&", 34, Smoke::t_class|Smoke::tf_ref },	//46
    { "QDataStream&", 35, Smoke::t_class|Smoke::tf_ref },	//47
    { "QDomDocument", 36, Smoke::t_class|Smoke::tf_stack },	//48
    { "QDragEnterEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDragLeaveEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDragMoveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDropEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFocusEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QFont&", 45, Smoke::t_class|Smoke::tf_ref },	//83
    { "QHideEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QIcon&", 49, Smoke::t_class|Smoke::tf_ref },	//86
    { "QImage&", 50, Smoke::t_class|Smoke::tf_ref },	//87
    { "QIncompatibleFlag", 51, Smoke::t_class|Smoke::tf_stack },	//88
    { "QInputMethodEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QKeyEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QKeySequence&", 54, Smoke::t_class|Smoke::tf_ref },	//91
    { "QLine", 56, Smoke::t_class|Smoke::tf_stack },	//92
    { "QLine&", 56, Smoke::t_class|Smoke::tf_ref },	//93
    { "QLineF", 57, Smoke::t_class|Smoke::tf_stack },	//94
    { "QLineF&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QList<KTextEditor::Document*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QMatrix&", 59, Smoke::t_class|Smoke::tf_ref },	//97
    { "QMetaObject::Call", 60, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QMouseEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QMoveEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QObject*", 63, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QPaintEngine*", 64, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QPaintEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//105
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPixmap&", 68, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPoint", 69, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPoint&", 69, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPointF", 70, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPointF&", 70, Smoke::t_class|Smoke::tf_ref },	//112
    { "QPolygon", 71, Smoke::t_class|Smoke::tf_stack },	//113
    { "QPolygon&", 71, Smoke::t_class|Smoke::tf_ref },	//114
    { "QPolygonF", 72, Smoke::t_class|Smoke::tf_stack },	//115
    { "QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//119
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//120
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//121
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//124
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//125
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//126
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//127
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//130
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//131
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//133
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//134
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//135
    { "QStyle&", 84, Smoke::t_class|Smoke::tf_ref },	//136
    { "QTabletEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QTextStream&", 86, Smoke::t_class|Smoke::tf_ref },	//138
    { "QTimerEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QTransform", 88, Smoke::t_class|Smoke::tf_stack },	//140
    { "QTransform&", 88, Smoke::t_class|Smoke::tf_ref },	//141
    { "QUrl&", 89, Smoke::t_class|Smoke::tf_ref },	//142
    { "QUrl::FormattingOption", 89, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QVariant", 90, Smoke::t_class|Smoke::tf_stack },	//144
    { "QVariant&", 90, Smoke::t_class|Smoke::tf_ref },	//145
    { "QVariant::Type&", 90, Smoke::t_enum|Smoke::tf_ref },	//146
    { "QWheelEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QWidget*", 93, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QWidget::RenderFlag", 93, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtMsgType", 46, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForActiveQtModule", 46, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForCoreModule", 46, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForDBusModule", 46, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForDeclarativeModule", 46, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForGuiModule", 46, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForHelpModule", 46, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForMultimediaModule", 46, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForNetworkModule", 46, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForOpenGLModule", 46, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForOpenVGModule", 46, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForQt3SupportLightModule", 46, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForQt3SupportModule", 46, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForScriptModule", 46, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForScriptToolsModule", 46, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForSqlModule", 46, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForSvgModule", 46, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForTestModule", 46, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForXmlModule", 46, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForXmlPatternsModule", 46, Smoke::t_enum|Smoke::tf_stack },	//241
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//243
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//244
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const KUrl&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Kate::PluginConfigPageInterface&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const Kate::XMLGUIClient&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QBrush&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QByteArray", 28, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//250
    { "const QByteArray&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QChar&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QColor&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QCursor&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomDocument&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomElement&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomNode&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QFont&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QHashDummyValue&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QIcon&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QImage&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QKeySequence&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QLatin1String&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QLine&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLineF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QList<Kate::MainWindow*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMargins&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMatrix&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QMetaObject&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QMetaObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QObject*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPixmap&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPoint", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QPoint&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QPointF", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//279
    { "const QPointF&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QPolygon&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QPolygonF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//289
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//292
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QTransform&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QUrl&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QVariant&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QVariant::Type", 90, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//300
    { "const QVariantComparisonHelper&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//302
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//304
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//305
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//306
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//307
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//308
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//309
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//310
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//311
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    256, 0,	//1  const QDomElement&
    245, 0,	//3  const KComponentData&
    293, 243, 243, 0,	//5  const QString&, bool, bool
    293, 0,	//9  const QString&
    293, 243, 0,	//11  const QString&, bool
    255, 243, 0,	//14  const QDomDocument&, bool
    293, 23, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    306, 309, 0,	//20  int, void*
    302, 0,	//23  const char*
    302, 302, 0,	//25  const char*, const char*
    302, 302, 306, 0,	//28  const char*, const char*, int
    98, 306, 310, 0,	//32  QMetaObject::Call, int, void**
    309, 0,	//36  void*
    246, 0,	//38  const KUrl&
    246, 293, 0,	//40  const KUrl&, const QString&
    15, 0,	//43  KTextEditor::Document*
    96, 0,	//45  QList<KTextEditor::Document*>
    17, 0,	//47  KTextEditor::View*
    53, 0,	//49  QEvent*
    293, 33, 0,	//51  const QString&, Kate::PluginView*
    293, 28, 276, 293, 0,	//54  const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    29, 293, 28, 276, 293, 0,	//59  Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    148, 28, 0,	//65  QWidget*, Kate::MainWindow::Position
    148, 0,	//68  QWidget*
    31, 308, 0,	//70  Kate::PluginConfigPageInterface*, unsigned int
    25, 302, 0,	//73  Kate::Application*, const char*
    27, 0,	//76  Kate::MainWindow*
    5, 293, 0,	//78  KConfigBase*, const QString&
    25, 0,	//81  Kate::Application*
    148, 302, 0,	//83  QWidget*, const char*
    308, 148, 302, 0,	//86  unsigned int, QWidget*, const char*
    308, 0,	//90  unsigned int
    247, 0,	//92  const Kate::PluginConfigPageInterface&
    308, 148, 0,	//94  unsigned int, QWidget*
    293, 29, 0,	//97  const QString&, Kate::Plugin*
    248, 0,	//100  const Kate::XMLGUIClient&
    170, 306, 0,	//102  Qt::DockWidgetArea, int
    278, 304, 0,	//105  const QPoint&, double
    304, 280, 0,	//108  double, const QPointF&
    194, 75, 0,	//111  Qt::MouseButton, QFlags<Qt::MouseButton>
    269, 269, 0,	//114  const QMargins&, const QMargins&
    304, 290, 0,	//117  double, const QSizeF&
    47, 87, 0,	//120  QDataStream&, QImage&
    47, 291, 0,	//123  QDataStream&, const QSizePolicy&
    183, 306, 0,	//126  Qt::InputMethodHint, int
    283, 283, 0,	//129  const QRect&, const QRect&
    288, 288, 0,	//132  const QSize&, const QSize&
    47, 297, 0,	//135  QDataStream&, const QTransform&
    280, 270, 0,	//138  const QPointF&, const QMatrix&
    264, 297, 0,	//141  const QLine&, const QTransform&
    220, 80, 0,	//144  Qt::WindowState, QFlags<Qt::WindowState>
    290, 304, 0,	//147  const QSizeF&, double
    47, 264, 0,	//150  QDataStream&, const QLine&
    290, 290, 0,	//153  const QSizeF&, const QSizeF&
    251, 251, 0,	//156  const QByteArray&, const QByteArray&
    263, 296, 0,	//159  const QLatin1String&, const QStringRef&
    194, 194, 0,	//162  Qt::MouseButton, Qt::MouseButton
    18, 56, 0,	//165  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    18, 18, 0,	//168  KUrl::CleanPathOption, KUrl::CleanPathOption
    299, 301, 0,	//171  const QVariant&, const QVariantComparisonHelper&
    37, 37, 0,	//174  QBool, QBool
    6, 306, 0,	//177  KConfigBase::WriteConfigFlag, int
    150, 66, 0,	//180  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    131, 131, 0,	//183  QString::Null, QString::Null
    47, 284, 0,	//186  QDataStream&, const QRectF&
    40, 293, 0,	//189  QChar, const QString&
    85, 61, 0,	//192  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    47, 275, 0,	//195  QDataStream&, const QPalette&
    10, 0,	//198  KIconLoader::Group&
    47, 251, 0,	//200  QDataStream&, const QByteArray&
    282, 297, 0,	//203  const QPolygonF&, const QTransform&
    211, 211, 0,	//206  Qt::ToolBarArea, Qt::ToolBarArea
    22, 306, 0,	//209  KUrl::QueryItemsOption, int
    149, 306, 0,	//212  QWidget::RenderFlag, int
    172, 306, 0,	//215  Qt::DropAction, int
    47, 294, 0,	//218  QDataStream&, const QStringList&
    20, 20, 0,	//221  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    4, 54, 0,	//224  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    150, 150, 0,	//227  Qt::AlignmentFlag, Qt::AlignmentFlag
    47, 44, 0,	//230  QDataStream&, QColor&
    47, 285, 0,	//233  QDataStream&, const QRegExp&
    143, 306, 0,	//236  QUrl::FormattingOption, int
    251, 302, 0,	//239  const QByteArray&, const char*
    19, 19, 0,	//242  KUrl::DirectoryOption, KUrl::DirectoryOption
    170, 67, 0,	//245  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    264, 270, 0,	//248  const QLine&, const QMatrix&
    19, 57, 0,	//251  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    265, 270, 0,	//254  const QLineF&, const QMatrix&
    196, 196, 0,	//257  Qt::Orientation, Qt::Orientation
    274, 270, 0,	//260  const QPainterPath&, const QMatrix&
    211, 306, 0,	//263  Qt::ToolBarArea, int
    47, 112, 0,	//266  QDataStream&, QPointF&
    47, 262, 0,	//269  QDataStream&, const QKeySequence&
    192, 306, 0,	//272  Qt::MatchFlag, int
    47, 254, 0,	//275  QDataStream&, const QCursor&
    177, 177, 0,	//278  Qt::GestureFlag, Qt::GestureFlag
    85, 85, 0,	//281  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    244, 251, 0,	//284  char, const QByteArray&
    302, 251, 0,	//287  const char*, const QByteArray&
    47, 39, 0,	//290  QDataStream&, QByteArray&
    47, 145, 0,	//293  QDataStream&, QVariant&
    47, 119, 0,	//296  QDataStream&, QRegExp&
    280, 280, 0,	//299  const QPointF&, const QPointF&
    297, 304, 0,	//302  const QTransform&, double
    296, 296, 0,	//305  const QStringRef&, const QStringRef&
    40, 40, 0,	//308  QChar, QChar
    274, 297, 0,	//311  const QPainterPath&, const QTransform&
    47, 249, 0,	//314  QDataStream&, const QBrush&
    47, 121, 0,	//317  QDataStream&, QRegion&
    280, 304, 0,	//320  const QPointF&, double
    20, 306, 0,	//323  KUrl::EncodedPathAndQueryOption, int
    192, 74, 0,	//326  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    177, 306, 0,	//329  Qt::GestureFlag, int
    128, 128, 0,	//332  QSizePolicy::ControlType, QSizePolicy::ControlType
    47, 46, 0,	//335  QDataStream&, QCursor&
    189, 73, 0,	//338  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    192, 192, 0,	//341  Qt::MatchFlag, Qt::MatchFlag
    47, 141, 0,	//344  QDataStream&, QTransform&
    281, 270, 0,	//347  const QPolygon&, const QMatrix&
    293, 131, 0,	//350  const QString&, QString::Null
    47, 126, 0,	//353  QDataStream&, QSizeF&
    280, 0,	//356  const QPointF&
    186, 186, 0,	//358  Qt::ItemFlag, Qt::ItemFlag
    47, 276, 0,	//361  QDataStream&, const QPixmap&
    221, 81, 0,	//364  Qt::WindowType, QFlags<Qt::WindowType>
    280, 297, 0,	//367  const QPointF&, const QTransform&
    186, 72, 0,	//370  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    214, 79, 0,	//373  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    47, 298, 0,	//376  QDataStream&, const QUrl&
    128, 62, 0,	//379  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    47, 299, 0,	//382  QDataStream&, const QVariant&
    47, 93, 0,	//385  QDataStream&, QLine&
    189, 189, 0,	//388  Qt::KeyboardModifier, Qt::KeyboardModifier
    150, 306, 0,	//391  Qt::AlignmentFlag, int
    278, 270, 0,	//394  const QPoint&, const QMatrix&
    189, 306, 0,	//397  Qt::KeyboardModifier, int
    186, 306, 0,	//400  Qt::ItemFlag, int
    181, 70, 0,	//403  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    278, 278, 0,	//406  const QPoint&, const QPoint&
    132, 306, 0,	//409  QString::SectionFlag, int
    221, 306, 0,	//412  Qt::WindowType, int
    149, 149, 0,	//415  QWidget::RenderFlag, QWidget::RenderFlag
    296, 293, 0,	//418  const QStringRef&, const QString&
    259, 259, 0,	//421  const QHashDummyValue&, const QHashDummyValue&
    21, 21, 0,	//424  KUrl::EqualsOption, KUrl::EqualsOption
    143, 143, 0,	//427  QUrl::FormattingOption, QUrl::FormattingOption
    47, 86, 0,	//430  QDataStream&, QIcon&
    47, 281, 0,	//433  QDataStream&, const QPolygon&
    214, 306, 0,	//436  Qt::TouchPointState, int
    149, 65, 0,	//439  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    296, 302, 0,	//442  const QStringRef&, const char*
    18, 306, 0,	//445  KUrl::CleanPathOption, int
    22, 22, 0,	//448  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    6, 6, 0,	//451  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    4, 306, 0,	//454  KConfig::OpenFlag, int
    47, 265, 0,	//457  QDataStream&, const QLineF&
    47, 38, 0,	//460  QDataStream&, QBrush&
    47, 280, 0,	//463  QDataStream&, const QPointF&
    278, 305, 0,	//466  const QPoint&, float
    293, 293, 0,	//469  const QString&, const QString&
    293, 296, 0,	//472  const QString&, const QStringRef&
    21, 306, 0,	//475  KUrl::EqualsOption, int
    128, 306, 0,	//478  QSizePolicy::ControlType, int
    47, 127, 0,	//481  QDataStream&, QSizePolicy&
    302, 296, 0,	//484  const char*, const QStringRef&
    47, 97, 0,	//487  QDataStream&, QMatrix&
    194, 306, 0,	//490  Qt::MouseButton, int
    47, 125, 0,	//493  QDataStream&, QSize&
    183, 183, 0,	//496  Qt::InputMethodHint, Qt::InputMethodHint
    47, 146, 0,	//499  QDataStream&, QVariant::Type&
    208, 77, 0,	//502  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    265, 297, 0,	//505  const QLineF&, const QTransform&
    296, 263, 0,	//508  const QStringRef&, const QLatin1String&
    47, 282, 0,	//511  QDataStream&, const QPolygonF&
    47, 290, 0,	//514  QDataStream&, const QSizeF&
    211, 78, 0,	//517  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    47, 258, 0,	//520  QDataStream&, const QFont&
    21, 59, 0,	//523  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    47, 270, 0,	//526  QDataStream&, const QMatrix&
    220, 220, 0,	//529  Qt::WindowState, Qt::WindowState
    143, 64, 0,	//532  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    47, 116, 0,	//535  QDataStream&, QPolygonF&
    47, 107, 0,	//538  QDataStream&, QPalette&
    47, 274, 0,	//541  QDataStream&, const QPainterPath&
    284, 284, 0,	//544  const QRectF&, const QRectF&
    304, 288, 0,	//547  double, const QSize&
    304, 278, 0,	//550  double, const QPoint&
    47, 278, 0,	//553  QDataStream&, const QPoint&
    47, 261, 0,	//556  QDataStream&, const QImage&
    251, 244, 0,	//559  const QByteArray&, char
    47, 83, 0,	//562  QDataStream&, QFont&
    132, 63, 0,	//565  QString::SectionFlag, QFlags<QString::SectionFlag>
    47, 288, 0,	//568  QDataStream&, const QSize&
    47, 118, 0,	//571  QDataStream&, QRectF&
    47, 252, 0,	//574  QDataStream&, const QChar&
    243, 37, 0,	//577  bool, QBool
    22, 60, 0,	//580  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    281, 297, 0,	//583  const QPolygon&, const QTransform&
    37, 243, 0,	//586  QBool, bool
    220, 306, 0,	//589  Qt::WindowState, int
    47, 134, 0,	//592  QDataStream&, QStringList&
    47, 283, 0,	//595  QDataStream&, const QRect&
    19, 306, 0,	//598  KUrl::DirectoryOption, int
    47, 286, 0,	//601  QDataStream&, const QRegion&
    170, 170, 0,	//604  Qt::DockWidgetArea, Qt::DockWidgetArea
    47, 253, 0,	//607  QDataStream&, const QColor&
    221, 221, 0,	//610  Qt::WindowType, Qt::WindowType
    288, 304, 0,	//613  const QSize&, double
    131, 293, 0,	//616  QString::Null, const QString&
    183, 71, 0,	//619  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    4, 4, 0,	//622  KConfig::OpenFlag, KConfig::OpenFlag
    47, 110, 0,	//625  QDataStream&, QPoint&
    47, 91, 0,	//628  QDataStream&, QKeySequence&
    286, 297, 0,	//631  const QRegion&, const QTransform&
    132, 132, 0,	//634  QString::SectionFlag, QString::SectionFlag
    85, 306, 0,	//637  QIODevice::OpenModeFlag, int
    306, 278, 0,	//640  int, const QPoint&
    177, 69, 0,	//643  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    282, 270, 0,	//646  const QPolygonF&, const QMatrix&
    278, 0,	//649  const QPoint&
    47, 114, 0,	//651  QDataStream&, QPolygon&
    138, 257, 0,	//654  QTextStream&, const QDomNode&
    20, 58, 0,	//657  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    47, 130, 0,	//660  QDataStream&, QString&
    47, 293, 0,	//663  QDataStream&, const QString&
    47, 41, 0,	//666  QDataStream&, QChar&
    208, 208, 0,	//669  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    47, 108, 0,	//672  QDataStream&, QPixmap&
    6, 55, 0,	//675  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    47, 117, 0,	//678  QDataStream&, QRect&
    181, 306, 0,	//681  Qt::ImageConversionFlag, int
    47, 260, 0,	//684  QDataStream&, const QIcon&
    47, 300, 0,	//687  QDataStream&, const QVariant::Type
    47, 95, 0,	//690  QDataStream&, QLineF&
    47, 106, 0,	//693  QDataStream&, QPainterPath&
    214, 214, 0,	//696  Qt::TouchPointState, Qt::TouchPointState
    208, 306, 0,	//699  Qt::TextInteractionFlag, int
    278, 297, 0,	//702  const QPoint&, const QTransform&
    278, 306, 0,	//705  const QPoint&, int
    181, 181, 0,	//708  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    172, 68, 0,	//711  Qt::DropAction, QFlags<Qt::DropAction>
    172, 172, 0,	//714  Qt::DropAction, Qt::DropAction
    196, 306, 0,	//717  Qt::Orientation, int
    286, 270, 0,	//720  const QRegion&, const QMatrix&
    305, 278, 0,	//723  float, const QPoint&
    47, 142, 0,	//726  QDataStream&, QUrl&
    293, 40, 0,	//729  const QString&, QChar
    196, 76, 0,	//732  Qt::Orientation, QFlags<Qt::Orientation>
    10, 306, 0,	//735  KIconLoader::Group&, int
    101, 53, 0,	//738  QObject*, QEvent*
    139, 0,	//741  QTimerEvent*
    42, 0,	//743  QChildEvent*
    243, 0,	//745  bool
    306, 0,	//747  int
    99, 0,	//749  QMouseEvent*
    147, 0,	//751  QWheelEvent*
    90, 0,	//753  QKeyEvent*
    82, 0,	//755  QFocusEvent*
    104, 0,	//757  QPaintEvent*
    100, 0,	//759  QMoveEvent*
    122, 0,	//761  QResizeEvent*
    43, 0,	//763  QCloseEvent*
    45, 0,	//765  QContextMenuEvent*
    137, 0,	//767  QTabletEvent*
    36, 0,	//769  QActionEvent*
    49, 0,	//771  QDragEnterEvent*
    51, 0,	//773  QDragMoveEvent*
    50, 0,	//775  QDragLeaveEvent*
    52, 0,	//777  QDropEvent*
    123, 0,	//779  QShowEvent*
    84, 0,	//781  QHideEvent*
    242, 0,	//783  _XEvent*
    102, 0,	//785  QPaintDevice::PaintDeviceMetric
    89, 0,	//787  QInputMethodEvent*
    184, 0,	//789  Qt::InputMethodQuery
    136, 0,	//791  QStyle&
    275, 0,	//793  const QPalette&
    258, 0,	//795  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Application",	//1
    "Application$",	//2
    "Bottom",	//3
    "DocumentManager",	//4
    "DocumentManager$",	//5
    "DrawChildren",	//6
    "DrawWindowBackground",	//7
    "IgnoreMask",	//8
    "Left",	//9
    "LicensedActiveQt",	//10
    "LicensedCore",	//11
    "LicensedDBus",	//12
    "LicensedDeclarative",	//13
    "LicensedGui",	//14
    "LicensedHelp",	//15
    "LicensedMultimedia",	//16
    "LicensedNetwork",	//17
    "LicensedOpenGL",	//18
    "LicensedOpenVG",	//19
    "LicensedQt3Support",	//20
    "LicensedQt3SupportLight",	//21
    "LicensedScript",	//22
    "LicensedScriptTools",	//23
    "LicensedSql",	//24
    "LicensedSvg",	//25
    "LicensedTest",	//26
    "LicensedXml",	//27
    "LicensedXmlPatterns",	//28
    "MainWindow",	//29
    "MainWindow$",	//30
    "Plugin",	//31
    "Plugin#",	//32
    "Plugin#$",	//33
    "PluginConfigPage",	//34
    "PluginConfigPage#",	//35
    "PluginConfigPage#$",	//36
    "PluginConfigPageInterface",	//37
    "PluginConfigPageInterface#",	//38
    "PluginManager",	//39
    "PluginManager$",	//40
    "PluginView",	//41
    "PluginView#",	//42
    "Q_COMPLEX_TYPE",	//43
    "Q_DUMMY_TYPE",	//44
    "Q_MOVABLE_TYPE",	//45
    "Q_PRIMITIVE_TYPE",	//46
    "Q_STATIC_TYPE",	//47
    "QtCriticalMsg",	//48
    "QtDebugMsg",	//49
    "QtFatalMsg",	//50
    "QtSystemMsg",	//51
    "QtWarningMsg",	//52
    "Right",	//53
    "StateNoReverse",	//54
    "StateReverse",	//55
    "Top",	//56
    "XMLGUIClient",	//57
    "XMLGUIClient#",	//58
    "action",	//59
    "actionCollection",	//60
    "actionEvent",	//61
    "activateView",	//62
    "activateView#",	//63
    "activeMainWindow",	//64
    "activeView",	//65
    "application",	//66
    "apply",	//67
    "centralWidget",	//68
    "changeEvent",	//69
    "changed",	//70
    "childEvent",	//71
    "closeDocument",	//72
    "closeDocument#",	//73
    "closeDocumentList",	//74
    "closeDocumentList?",	//75
    "closeEvent",	//76
    "componentData",	//77
    "configPage",	//78
    "configPage$",	//79
    "configPage$#",	//80
    "configPage$#$",	//81
    "configPageFullName",	//82
    "configPageFullName$",	//83
    "configPageIcon",	//84
    "configPageIcon$",	//85
    "configPageName",	//86
    "configPageName$",	//87
    "configPages",	//88
    "connectNotify",	//89
    "contextMenuEvent",	//90
    "createToolView",	//91
    "createToolView#$$#$",	//92
    "createToolView$$#$",	//93
    "createView",	//94
    "createView#",	//95
    "customEvent",	//96
    "defaults",	//97
    "devType",	//98
    "disconnectNotify",	//99
    "documentCreated",	//100
    "documentCreated#",	//101
    "documentDeleted",	//102
    "documentDeleted#",	//103
    "documentManager",	//104
    "documentWillBeDeleted",	//105
    "documentWillBeDeleted#",	//106
    "documents",	//107
    "domDocument",	//108
    "dragEnterEvent",	//109
    "dragLeaveEvent",	//110
    "dragMoveEvent",	//111
    "dropEvent",	//112
    "editor",	//113
    "enabledChange",	//114
    "enterEvent",	//115
    "event",	//116
    "eventFilter",	//117
    "findUrl",	//118
    "findUrl#",	//119
    "focusInEvent",	//120
    "focusNextPrevChild",	//121
    "focusOutEvent",	//122
    "fontChange",	//123
    "guiFactory",	//124
    "heightForWidth",	//125
    "hideEvent",	//126
    "hideToolView",	//127
    "hideToolView#",	//128
    "inputMethodEvent",	//129
    "inputMethodQuery",	//130
    "keyPressEvent",	//131
    "keyReleaseEvent",	//132
    "languageChange",	//133
    "leaveEvent",	//134
    "loadPlugin",	//135
    "loadPlugin$",	//136
    "loadPlugin$$",	//137
    "localXMLFile",	//138
    "mainWindow",	//139
    "mainWindows",	//140
    "metaObject",	//141
    "metric",	//142
    "minimumSizeHint",	//143
    "mouseDoubleClickEvent",	//144
    "mouseMoveEvent",	//145
    "mousePressEvent",	//146
    "mouseReleaseEvent",	//147
    "moveEvent",	//148
    "moveToolView",	//149
    "moveToolView#$",	//150
    "openUrl",	//151
    "openUrl#",	//152
    "openUrl#$",	//153
    "operator!=",	//154
    "operator!=##",	//155
    "operator!=#$",	//156
    "operator!=$#",	//157
    "operator*",	//158
    "operator*##",	//159
    "operator*#$",	//160
    "operator*$#",	//161
    "operator+",	//162
    "operator+##",	//163
    "operator+#$",	//164
    "operator+$#",	//165
    "operator+$$",	//166
    "operator++",	//167
    "operator++$",	//168
    "operator++$$",	//169
    "operator-",	//170
    "operator-#",	//171
    "operator-##",	//172
    "operator-#$",	//173
    "operator/",	//174
    "operator/#$",	//175
    "operator<",	//176
    "operator<##",	//177
    "operator<#$",	//178
    "operator<$#",	//179
    "operator<<",	//180
    "operator<<##",	//181
    "operator<<#$",	//182
    "operator<<#?",	//183
    "operator<=",	//184
    "operator<=##",	//185
    "operator<=#$",	//186
    "operator<=$#",	//187
    "operator==",	//188
    "operator==##",	//189
    "operator==#$",	//190
    "operator==$#",	//191
    "operator>",	//192
    "operator>##",	//193
    "operator>#$",	//194
    "operator>$#",	//195
    "operator>=",	//196
    "operator>=##",	//197
    "operator>=#$",	//198
    "operator>=$#",	//199
    "operator>>",	//200
    "operator>>##",	//201
    "operator>>#$",	//202
    "operator>>#?",	//203
    "operator|",	//204
    "operator|$$",	//205
    "paintEngine",	//206
    "paintEvent",	//207
    "paletteChange",	//208
    "plugin",	//209
    "plugin$",	//210
    "pluginAvailable",	//211
    "pluginAvailable$",	//212
    "pluginConfigPageInterfaceNumber",	//213
    "pluginLoaded",	//214
    "pluginLoaded$#",	//215
    "pluginManager",	//216
    "pluginUnloaded",	//217
    "pluginUnloaded$#",	//218
    "pluginView",	//219
    "pluginView$",	//220
    "pluginViewCreated",	//221
    "pluginViewCreated$#",	//222
    "pluginViewDeleted",	//223
    "pluginViewDeleted$#",	//224
    "qt_metacall",	//225
    "qt_metacall$$?",	//226
    "qt_metacast",	//227
    "qt_metacast$",	//228
    "readSessionConfig",	//229
    "readSessionConfig#$",	//230
    "reset",	//231
    "resizeEvent",	//232
    "setComponentData",	//233
    "setDOMDocument",	//234
    "setLocalXMLFile",	//235
    "setVisible",	//236
    "setXML",	//237
    "setXMLFile",	//238
    "showEvent",	//239
    "showPluginConfigPage",	//240
    "showPluginConfigPage#$",	//241
    "showToolView",	//242
    "showToolView#",	//243
    "sizeHint",	//244
    "stateChanged",	//245
    "staticMetaObject",	//246
    "styleChange",	//247
    "tabletEvent",	//248
    "timerEvent",	//249
    "tr",	//250
    "tr$",	//251
    "tr$$",	//252
    "tr$$$",	//253
    "trUtf8",	//254
    "trUtf8$",	//255
    "trUtf8$$",	//256
    "trUtf8$$$",	//257
    "unhandledShortcutOverride",	//258
    "unhandledShortcutOverride#",	//259
    "unloadPlugin",	//260
    "unloadPlugin$",	//261
    "unloadPlugin$$",	//262
    "viewChanged",	//263
    "viewCreated",	//264
    "viewCreated#",	//265
    "views",	//266
    "virtual_hook",	//267
    "wheelEvent",	//268
    "window",	//269
    "windowActivationChange",	//270
    "writeSessionConfig",	//271
    "writeSessionConfig#$",	//272
    "x11Event",	//273
    "xmlFile",	//274
    "~Application",	//275
    "~DocumentManager",	//276
    "~MainWindow",	//277
    "~Plugin",	//278
    "~PluginConfigPage",	//279
    "~PluginConfigPageInterface",	//280
    "~PluginManager",	//281
    "~PluginView",	//282
    "~XMLGUIClient",	//283
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {13, 59, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 35, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {13, 60, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {13, 77, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {13, 108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 48, 0},	//4 KXMLGUIClient::domDocument() const
    {13, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 129, 0},	//5 KXMLGUIClient::xmlFile() const
    {13, 138, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 129, 0},	//6 KXMLGUIClient::localXMLFile() const
    {13, 233, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {13, 238, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {13, 235, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {13, 237, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {13, 234, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {13, 245, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {13, 267, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {13, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {15, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//16 Kate::Application::metaObject() const
    {15, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//17 Kate::Application::qt_metacast(const char*)
    {15, 250, 25, 2, Smoke::mf_static, 129, 3},	//18 Kate::Application::tr(const char*, const char*)
    {15, 254, 25, 2, Smoke::mf_static, 129, 4},	//19 Kate::Application::trUtf8(const char*, const char*)
    {15, 250, 28, 3, Smoke::mf_static, 129, 5},	//20 Kate::Application::tr(const char*, const char*, int)
    {15, 254, 28, 3, Smoke::mf_static, 129, 6},	//21 Kate::Application::trUtf8(const char*, const char*, int)
    {15, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//22 Kate::Application::qt_metacall(QMetaObject::Call, int, void**)
    {15, 1, 36, 1, Smoke::mf_ctor, 25, 8},	//23 Kate::Application::Application(void*)
    {15, 104, 0, 0, 0, 26, 9},	//24 Kate::Application::documentManager()
    {15, 216, 0, 0, 0, 32, 10},	//25 Kate::Application::pluginManager()
    {15, 113, 0, 0, 0, 16, 11},	//26 Kate::Application::editor()
    {15, 64, 0, 0, 0, 27, 12},	//27 Kate::Application::activeMainWindow()
    {15, 140, 0, 0, Smoke::mf_const, 268, 13},	//28 Kate::Application::mainWindows() const
    {15, 250, 23, 1, Smoke::mf_static, 129, 14},	//29 Kate::Application::tr(const char*)
    {15, 254, 23, 1, Smoke::mf_static, 129, 15},	//30 Kate::Application::trUtf8(const char*)
    {15, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 16},	//31 Kate::Application::staticMetaObject() const
    {15, 275, 0, 0, Smoke::mf_dtor, 0, 17 },	//32 Kate::Application::~Application()
    {16, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//33 Kate::DocumentManager::metaObject() const
    {16, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//34 Kate::DocumentManager::qt_metacast(const char*)
    {16, 250, 25, 2, Smoke::mf_static, 129, 3},	//35 Kate::DocumentManager::tr(const char*, const char*)
    {16, 254, 25, 2, Smoke::mf_static, 129, 4},	//36 Kate::DocumentManager::trUtf8(const char*, const char*)
    {16, 250, 28, 3, Smoke::mf_static, 129, 5},	//37 Kate::DocumentManager::tr(const char*, const char*, int)
    {16, 254, 28, 3, Smoke::mf_static, 129, 6},	//38 Kate::DocumentManager::trUtf8(const char*, const char*, int)
    {16, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//39 Kate::DocumentManager::qt_metacall(QMetaObject::Call, int, void**)
    {16, 4, 36, 1, Smoke::mf_ctor, 26, 8},	//40 Kate::DocumentManager::DocumentManager(void*)
    {16, 107, 0, 0, Smoke::mf_const, 266, 9},	//41 Kate::DocumentManager::documents() const
    {16, 118, 38, 1, Smoke::mf_const, 15, 10},	//42 Kate::DocumentManager::findUrl(const KUrl&) const
    {16, 151, 40, 2, 0, 15, 11},	//43 Kate::DocumentManager::openUrl(const KUrl&, const QString&)
    {16, 72, 43, 1, 0, 243, 12},	//44 Kate::DocumentManager::closeDocument(KTextEditor::Document*)
    {16, 74, 45, 1, 0, 243, 13},	//45 Kate::DocumentManager::closeDocumentList(QList<KTextEditor::Document*>)
    {16, 100, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//46 Kate::DocumentManager::documentCreated(KTextEditor::Document*)
    {16, 105, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//47 Kate::DocumentManager::documentWillBeDeleted(KTextEditor::Document*)
    {16, 102, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//48 Kate::DocumentManager::documentDeleted(KTextEditor::Document*)
    {16, 250, 23, 1, Smoke::mf_static, 129, 17},	//49 Kate::DocumentManager::tr(const char*)
    {16, 254, 23, 1, Smoke::mf_static, 129, 18},	//50 Kate::DocumentManager::trUtf8(const char*)
    {16, 151, 38, 1, 0, 15, 19},	//51 Kate::DocumentManager::openUrl(const KUrl&)
    {16, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 20},	//52 Kate::DocumentManager::staticMetaObject() const
    {16, 276, 0, 0, Smoke::mf_dtor, 0, 21 },	//53 Kate::DocumentManager::~DocumentManager()
    {17, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//54 Kate::MainWindow::metaObject() const
    {17, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//55 Kate::MainWindow::qt_metacast(const char*)
    {17, 250, 25, 2, Smoke::mf_static, 129, 3},	//56 Kate::MainWindow::tr(const char*, const char*)
    {17, 254, 25, 2, Smoke::mf_static, 129, 4},	//57 Kate::MainWindow::trUtf8(const char*, const char*)
    {17, 250, 28, 3, Smoke::mf_static, 129, 5},	//58 Kate::MainWindow::tr(const char*, const char*, int)
    {17, 254, 28, 3, Smoke::mf_static, 129, 6},	//59 Kate::MainWindow::trUtf8(const char*, const char*, int)
    {17, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//60 Kate::MainWindow::qt_metacall(QMetaObject::Call, int, void**)
    {17, 29, 36, 1, Smoke::mf_ctor, 27, 8},	//61 Kate::MainWindow::MainWindow(void*)
    {17, 124, 0, 0, Smoke::mf_const, 24, 9},	//62 Kate::MainWindow::guiFactory() const
    {17, 269, 0, 0, Smoke::mf_const, 148, 10},	//63 Kate::MainWindow::window() const
    {17, 68, 0, 0, Smoke::mf_const, 148, 11},	//64 Kate::MainWindow::centralWidget() const
    {17, 266, 0, 0, Smoke::mf_const, 267, 12},	//65 Kate::MainWindow::views() const
    {17, 65, 0, 0, 0, 17, 13},	//66 Kate::MainWindow::activeView()
    {17, 62, 43, 1, 0, 17, 14},	//67 Kate::MainWindow::activateView(KTextEditor::Document*)
    {17, 151, 40, 2, 0, 17, 15},	//68 Kate::MainWindow::openUrl(const KUrl&, const QString&)
    {17, 263, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//69 Kate::MainWindow::viewChanged()
    {17, 264, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//70 Kate::MainWindow::viewCreated(KTextEditor::View*)
    {17, 258, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//71 Kate::MainWindow::unhandledShortcutOverride(QEvent*)
    {17, 221, 51, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//72 Kate::MainWindow::pluginViewCreated(const QString&, Kate::PluginView*)
    {17, 223, 51, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//73 Kate::MainWindow::pluginViewDeleted(const QString&, Kate::PluginView*)
    {17, 91, 54, 4, 0, 148, 21},	//74 Kate::MainWindow::createToolView(const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {17, 91, 59, 5, 0, 148, 22},	//75 Kate::MainWindow::createToolView(Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {17, 149, 65, 2, 0, 243, 23},	//76 Kate::MainWindow::moveToolView(QWidget*, Kate::MainWindow::Position)
    {17, 242, 68, 1, 0, 243, 24},	//77 Kate::MainWindow::showToolView(QWidget*)
    {17, 127, 68, 1, 0, 243, 25},	//78 Kate::MainWindow::hideToolView(QWidget*)
    {17, 240, 70, 2, 0, 0, 26},	//79 Kate::MainWindow::showPluginConfigPage(Kate::PluginConfigPageInterface*, unsigned int)
    {17, 219, 9, 1, 0, 33, 27},	//80 Kate::MainWindow::pluginView(const QString&)
    {17, 250, 23, 1, Smoke::mf_static, 129, 28},	//81 Kate::MainWindow::tr(const char*)
    {17, 254, 23, 1, Smoke::mf_static, 129, 29},	//82 Kate::MainWindow::trUtf8(const char*)
    {17, 151, 38, 1, 0, 17, 30},	//83 Kate::MainWindow::openUrl(const KUrl&)
    {17, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 31},	//84 Kate::MainWindow::staticMetaObject() const
    {17, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 32},	//85 Kate::MainWindow::Left (enum)
    {17, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 33},	//86 Kate::MainWindow::Right (enum)
    {17, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 34},	//87 Kate::MainWindow::Top (enum)
    {17, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 35},	//88 Kate::MainWindow::Bottom (enum)
    {17, 277, 0, 0, Smoke::mf_dtor, 0, 36 },	//89 Kate::MainWindow::~MainWindow()
    {18, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//90 Kate::Plugin::metaObject() const
    {18, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//91 Kate::Plugin::qt_metacast(const char*)
    {18, 250, 25, 2, Smoke::mf_static, 129, 3},	//92 Kate::Plugin::tr(const char*, const char*)
    {18, 254, 25, 2, Smoke::mf_static, 129, 4},	//93 Kate::Plugin::trUtf8(const char*, const char*)
    {18, 250, 28, 3, Smoke::mf_static, 129, 5},	//94 Kate::Plugin::tr(const char*, const char*, int)
    {18, 254, 28, 3, Smoke::mf_static, 129, 6},	//95 Kate::Plugin::trUtf8(const char*, const char*, int)
    {18, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//96 Kate::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {18, 31, 73, 2, Smoke::mf_ctor, 29, 8},	//97 Kate::Plugin::Plugin(Kate::Application*, const char*)
    {18, 66, 0, 0, Smoke::mf_const, 25, 9},	//98 Kate::Plugin::application() const
    {18, 94, 76, 1, Smoke::mf_virtual, 33, 10},	//99 Kate::Plugin::createView(Kate::MainWindow*)
    {18, 229, 78, 2, Smoke::mf_virtual, 0, 11},	//100 Kate::Plugin::readSessionConfig(KConfigBase*, const QString&)
    {18, 271, 78, 2, Smoke::mf_virtual, 0, 12},	//101 Kate::Plugin::writeSessionConfig(KConfigBase*, const QString&)
    {18, 250, 23, 1, Smoke::mf_static, 129, 13},	//102 Kate::Plugin::tr(const char*)
    {18, 254, 23, 1, Smoke::mf_static, 129, 14},	//103 Kate::Plugin::trUtf8(const char*)
    {18, 31, 0, 0, Smoke::mf_ctor, 29, 15},	//104 Kate::Plugin::Plugin()
    {18, 31, 81, 1, Smoke::mf_ctor, 29, 16},	//105 Kate::Plugin::Plugin(Kate::Application*)
    {18, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 17},	//106 Kate::Plugin::staticMetaObject() const
    {18, 278, 0, 0, Smoke::mf_dtor, 0, 18 },	//107 Kate::Plugin::~Plugin()
    {19, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//108 Kate::PluginConfigPage::metaObject() const
    {19, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//109 Kate::PluginConfigPage::qt_metacast(const char*)
    {19, 250, 25, 2, Smoke::mf_static, 129, 3},	//110 Kate::PluginConfigPage::tr(const char*, const char*)
    {19, 254, 25, 2, Smoke::mf_static, 129, 4},	//111 Kate::PluginConfigPage::trUtf8(const char*, const char*)
    {19, 250, 28, 3, Smoke::mf_static, 129, 5},	//112 Kate::PluginConfigPage::tr(const char*, const char*, int)
    {19, 254, 28, 3, Smoke::mf_static, 129, 6},	//113 Kate::PluginConfigPage::trUtf8(const char*, const char*, int)
    {19, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//114 Kate::PluginConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {19, 34, 83, 2, Smoke::mf_ctor, 30, 8},	//115 Kate::PluginConfigPage::PluginConfigPage(QWidget*, const char*)
    {19, 67, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//116 Kate::PluginConfigPage::apply() [pure virtual]
    {19, 231, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//117 Kate::PluginConfigPage::reset() [pure virtual]
    {19, 97, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//118 Kate::PluginConfigPage::defaults() [pure virtual]
    {19, 70, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//119 Kate::PluginConfigPage::changed()
    {19, 250, 23, 1, Smoke::mf_static, 129, 13},	//120 Kate::PluginConfigPage::tr(const char*)
    {19, 254, 23, 1, Smoke::mf_static, 129, 14},	//121 Kate::PluginConfigPage::trUtf8(const char*)
    {19, 34, 0, 0, Smoke::mf_ctor, 30, 15},	//122 Kate::PluginConfigPage::PluginConfigPage()
    {19, 34, 68, 1, Smoke::mf_ctor, 30, 16},	//123 Kate::PluginConfigPage::PluginConfigPage(QWidget*)
    {19, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 17},	//124 Kate::PluginConfigPage::staticMetaObject() const
    {19, 279, 0, 0, Smoke::mf_dtor, 0, 18 },	//125 Kate::PluginConfigPage::~PluginConfigPage()
    {20, 37, 0, 0, Smoke::mf_ctor, 31, 1},	//126 Kate::PluginConfigPageInterface::PluginConfigPageInterface()
    {20, 213, 0, 0, Smoke::mf_const, 308, 2},	//127 Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber() const
    {20, 88, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 308, 3},	//128 Kate::PluginConfigPageInterface::configPages() const [pure virtual]
    {20, 78, 86, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 30, 4},	//129 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*, const char*) [pure virtual]
    {20, 86, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 5},	//130 Kate::PluginConfigPageInterface::configPageName(unsigned int) const [pure virtual]
    {20, 82, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 6},	//131 Kate::PluginConfigPageInterface::configPageFullName(unsigned int) const [pure virtual]
    {20, 84, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 8, 7},	//132 Kate::PluginConfigPageInterface::configPageIcon(unsigned int) const [pure virtual]
    {20, 37, 92, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 8},	//133 Kate::PluginConfigPageInterface::PluginConfigPageInterface(const Kate::PluginConfigPageInterface&)
    {20, 78, 0, 0, 0, 30, 9},	//134 Kate::PluginConfigPageInterface::configPage()
    {20, 78, 90, 1, 0, 30, 10},	//135 Kate::PluginConfigPageInterface::configPage(unsigned int)
    {20, 78, 94, 2, 0, 30, 11},	//136 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*)
    {20, 86, 0, 0, Smoke::mf_const, 129, 12},	//137 Kate::PluginConfigPageInterface::configPageName() const
    {20, 82, 0, 0, Smoke::mf_const, 129, 13},	//138 Kate::PluginConfigPageInterface::configPageFullName() const
    {20, 84, 0, 0, Smoke::mf_const, 8, 14},	//139 Kate::PluginConfigPageInterface::configPageIcon() const
    {20, 280, 0, 0, Smoke::mf_dtor, 0, 15 },	//140 Kate::PluginConfigPageInterface::~PluginConfigPageInterface()
    {21, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//141 Kate::PluginManager::metaObject() const
    {21, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//142 Kate::PluginManager::qt_metacast(const char*)
    {21, 250, 25, 2, Smoke::mf_static, 129, 3},	//143 Kate::PluginManager::tr(const char*, const char*)
    {21, 254, 25, 2, Smoke::mf_static, 129, 4},	//144 Kate::PluginManager::trUtf8(const char*, const char*)
    {21, 250, 28, 3, Smoke::mf_static, 129, 5},	//145 Kate::PluginManager::tr(const char*, const char*, int)
    {21, 254, 28, 3, Smoke::mf_static, 129, 6},	//146 Kate::PluginManager::trUtf8(const char*, const char*, int)
    {21, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//147 Kate::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {21, 39, 36, 1, Smoke::mf_ctor, 32, 8},	//148 Kate::PluginManager::PluginManager(void*)
    {21, 209, 9, 1, 0, 29, 9},	//149 Kate::PluginManager::plugin(const QString&)
    {21, 211, 9, 1, 0, 243, 10},	//150 Kate::PluginManager::pluginAvailable(const QString&)
    {21, 135, 11, 2, 0, 29, 11},	//151 Kate::PluginManager::loadPlugin(const QString&, bool)
    {21, 260, 11, 2, 0, 0, 12},	//152 Kate::PluginManager::unloadPlugin(const QString&, bool)
    {21, 214, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//153 Kate::PluginManager::pluginLoaded(const QString&, Kate::Plugin*)
    {21, 217, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//154 Kate::PluginManager::pluginUnloaded(const QString&, Kate::Plugin*)
    {21, 250, 23, 1, Smoke::mf_static, 129, 15},	//155 Kate::PluginManager::tr(const char*)
    {21, 254, 23, 1, Smoke::mf_static, 129, 16},	//156 Kate::PluginManager::trUtf8(const char*)
    {21, 135, 9, 1, 0, 29, 17},	//157 Kate::PluginManager::loadPlugin(const QString&)
    {21, 260, 9, 1, 0, 0, 18},	//158 Kate::PluginManager::unloadPlugin(const QString&)
    {21, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 19},	//159 Kate::PluginManager::staticMetaObject() const
    {21, 281, 0, 0, Smoke::mf_dtor, 0, 20 },	//160 Kate::PluginManager::~PluginManager()
    {22, 141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 272, 1},	//161 Kate::PluginView::metaObject() const
    {22, 227, 23, 1, Smoke::mf_virtual, 309, 2},	//162 Kate::PluginView::qt_metacast(const char*)
    {22, 250, 25, 2, Smoke::mf_static, 129, 3},	//163 Kate::PluginView::tr(const char*, const char*)
    {22, 254, 25, 2, Smoke::mf_static, 129, 4},	//164 Kate::PluginView::trUtf8(const char*, const char*)
    {22, 250, 28, 3, Smoke::mf_static, 129, 5},	//165 Kate::PluginView::tr(const char*, const char*, int)
    {22, 254, 28, 3, Smoke::mf_static, 129, 6},	//166 Kate::PluginView::trUtf8(const char*, const char*, int)
    {22, 225, 32, 3, Smoke::mf_virtual, 306, 7},	//167 Kate::PluginView::qt_metacall(QMetaObject::Call, int, void**)
    {22, 41, 76, 1, Smoke::mf_ctor, 33, 8},	//168 Kate::PluginView::PluginView(Kate::MainWindow*)
    {22, 139, 0, 0, Smoke::mf_const, 27, 9},	//169 Kate::PluginView::mainWindow() const
    {22, 229, 78, 2, Smoke::mf_virtual, 0, 10},	//170 Kate::PluginView::readSessionConfig(KConfigBase*, const QString&)
    {22, 271, 78, 2, Smoke::mf_virtual, 0, 11},	//171 Kate::PluginView::writeSessionConfig(KConfigBase*, const QString&)
    {22, 250, 23, 1, Smoke::mf_static, 129, 12},	//172 Kate::PluginView::tr(const char*)
    {22, 254, 23, 1, Smoke::mf_static, 129, 13},	//173 Kate::PluginView::trUtf8(const char*)
    {22, 246, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 271, 14},	//174 Kate::PluginView::staticMetaObject() const
    {22, 282, 0, 0, Smoke::mf_dtor, 0, 15 },	//175 Kate::PluginView::~PluginView()
    {23, 57, 3, 1, Smoke::mf_ctor, 34, 1},	//176 Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    {23, 57, 100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//177 Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    {23, 283, 0, 0, Smoke::mf_dtor, 0, 3 },	//178 Kate::XMLGUIClient::~XMLGUIClient()
    {46, 204, 102, 2, Smoke::mf_static, 88, 1},	//179 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {46, 158, 105, 2, Smoke::mf_static, 277, 2},	//180 QGlobalSpace::operator*(const QPoint&, double)
    {46, 158, 108, 2, Smoke::mf_static, 279, 3},	//181 QGlobalSpace::operator*(double, const QPointF&)
    {46, 204, 111, 2, Smoke::mf_static, 75, 4},	//182 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {46, 154, 114, 2, Smoke::mf_static, 243, 5},	//183 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {46, 158, 117, 2, Smoke::mf_static, 289, 6},	//184 QGlobalSpace::operator*(double, const QSizeF&)
    {46, 200, 120, 2, Smoke::mf_static, 47, 7},	//185 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {46, 180, 123, 2, Smoke::mf_static, 47, 8},	//186 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {46, 204, 126, 2, Smoke::mf_static, 88, 9},	//187 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {46, 154, 129, 2, Smoke::mf_static, 243, 10},	//188 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {46, 162, 132, 2, Smoke::mf_static, 287, 11},	//189 QGlobalSpace::operator+(const QSize&, const QSize&)
    {46, 180, 135, 2, Smoke::mf_static, 47, 12},	//190 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {46, 158, 138, 2, Smoke::mf_static, 111, 13},	//191 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {46, 158, 141, 2, Smoke::mf_static, 92, 14},	//192 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {46, 188, 114, 2, Smoke::mf_static, 243, 15},	//193 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {46, 204, 144, 2, Smoke::mf_static, 80, 16},	//194 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {46, 158, 147, 2, Smoke::mf_static, 289, 17},	//195 QGlobalSpace::operator*(const QSizeF&, double)
    {46, 180, 150, 2, Smoke::mf_static, 47, 18},	//196 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {46, 170, 153, 2, Smoke::mf_static, 289, 19},	//197 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {46, 196, 156, 2, Smoke::mf_static, 243, 20},	//198 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {46, 188, 159, 2, Smoke::mf_static, 243, 21},	//199 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {46, 204, 162, 2, Smoke::mf_static, 75, 22},	//200 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {46, 204, 165, 2, Smoke::mf_static, 56, 23},	//201 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {46, 204, 168, 2, Smoke::mf_static, 56, 24},	//202 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {46, 154, 171, 2, Smoke::mf_static, 243, 25},	//203 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {46, 188, 174, 2, Smoke::mf_static, 243, 26},	//204 QGlobalSpace::operator==(QBool, QBool)
    {46, 204, 177, 2, Smoke::mf_static, 88, 27},	//205 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {46, 204, 180, 2, Smoke::mf_static, 66, 28},	//206 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {46, 188, 183, 2, Smoke::mf_static, 243, 29},	//207 QGlobalSpace::operator==(QString::Null, QString::Null)
    {46, 180, 186, 2, Smoke::mf_static, 47, 30},	//208 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {46, 162, 189, 2, Smoke::mf_static, 292, 31},	//209 QGlobalSpace::operator+(QChar, const QString&)
    {46, 204, 192, 2, Smoke::mf_static, 61, 32},	//210 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {46, 180, 195, 2, Smoke::mf_static, 47, 33},	//211 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {46, 167, 198, 1, Smoke::mf_static, 10, 34},	//212 QGlobalSpace::operator++(KIconLoader::Group&)
    {46, 180, 200, 2, Smoke::mf_static, 47, 35},	//213 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {46, 158, 203, 2, Smoke::mf_static, 115, 36},	//214 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {46, 204, 206, 2, Smoke::mf_static, 78, 37},	//215 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {46, 204, 209, 2, Smoke::mf_static, 88, 38},	//216 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {46, 162, 153, 2, Smoke::mf_static, 289, 39},	//217 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {46, 204, 212, 2, Smoke::mf_static, 88, 40},	//218 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {46, 204, 215, 2, Smoke::mf_static, 88, 41},	//219 QGlobalSpace::operator|(Qt::DropAction, int)
    {46, 180, 218, 2, Smoke::mf_static, 47, 42},	//220 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {46, 204, 221, 2, Smoke::mf_static, 58, 43},	//221 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {46, 204, 224, 2, Smoke::mf_static, 54, 44},	//222 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {46, 204, 227, 2, Smoke::mf_static, 66, 45},	//223 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {46, 200, 230, 2, Smoke::mf_static, 47, 46},	//224 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {46, 180, 233, 2, Smoke::mf_static, 47, 47},	//225 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {46, 204, 236, 2, Smoke::mf_static, 88, 48},	//226 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {46, 176, 239, 2, Smoke::mf_static, 243, 49},	//227 QGlobalSpace::operator<(const QByteArray&, const char*)
    {46, 204, 242, 2, Smoke::mf_static, 57, 50},	//228 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {46, 204, 245, 2, Smoke::mf_static, 67, 51},	//229 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {46, 158, 248, 2, Smoke::mf_static, 92, 52},	//230 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {46, 204, 251, 2, Smoke::mf_static, 57, 53},	//231 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {46, 158, 254, 2, Smoke::mf_static, 94, 54},	//232 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {46, 204, 257, 2, Smoke::mf_static, 76, 55},	//233 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {46, 158, 260, 2, Smoke::mf_static, 105, 56},	//234 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {46, 204, 263, 2, Smoke::mf_static, 88, 57},	//235 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {46, 200, 266, 2, Smoke::mf_static, 47, 58},	//236 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {46, 180, 269, 2, Smoke::mf_static, 47, 59},	//237 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {46, 204, 272, 2, Smoke::mf_static, 88, 60},	//238 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {46, 180, 275, 2, Smoke::mf_static, 47, 61},	//239 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {46, 204, 278, 2, Smoke::mf_static, 69, 62},	//240 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {46, 204, 281, 2, Smoke::mf_static, 61, 63},	//241 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {46, 162, 284, 2, Smoke::mf_static, 250, 64},	//242 QGlobalSpace::operator+(char, const QByteArray&)
    {46, 174, 105, 2, Smoke::mf_static, 277, 65},	//243 QGlobalSpace::operator/(const QPoint&, double)
    {46, 188, 287, 2, Smoke::mf_static, 243, 66},	//244 QGlobalSpace::operator==(const char*, const QByteArray&)
    {46, 200, 290, 2, Smoke::mf_static, 47, 67},	//245 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {46, 200, 293, 2, Smoke::mf_static, 47, 68},	//246 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {46, 200, 296, 2, Smoke::mf_static, 47, 69},	//247 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {46, 188, 299, 2, Smoke::mf_static, 243, 70},	//248 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {46, 174, 302, 2, Smoke::mf_static, 140, 71},	//249 QGlobalSpace::operator/(const QTransform&, double)
    {46, 154, 305, 2, Smoke::mf_static, 243, 72},	//250 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {46, 176, 308, 2, Smoke::mf_static, 243, 73},	//251 QGlobalSpace::operator<(QChar, QChar)
    {46, 158, 311, 2, Smoke::mf_static, 105, 74},	//252 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {46, 180, 314, 2, Smoke::mf_static, 47, 75},	//253 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {46, 200, 317, 2, Smoke::mf_static, 47, 76},	//254 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {46, 158, 320, 2, Smoke::mf_static, 279, 77},	//255 QGlobalSpace::operator*(const QPointF&, double)
    {46, 204, 323, 2, Smoke::mf_static, 88, 78},	//256 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {46, 188, 132, 2, Smoke::mf_static, 243, 79},	//257 QGlobalSpace::operator==(const QSize&, const QSize&)
    {46, 204, 326, 2, Smoke::mf_static, 74, 80},	//258 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {46, 204, 329, 2, Smoke::mf_static, 88, 81},	//259 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {46, 154, 156, 2, Smoke::mf_static, 243, 82},	//260 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {46, 204, 332, 2, Smoke::mf_static, 62, 83},	//261 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {46, 200, 335, 2, Smoke::mf_static, 47, 84},	//262 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {46, 204, 338, 2, Smoke::mf_static, 73, 85},	//263 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {46, 174, 147, 2, Smoke::mf_static, 289, 86},	//264 QGlobalSpace::operator/(const QSizeF&, double)
    {46, 204, 341, 2, Smoke::mf_static, 74, 87},	//265 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {46, 200, 344, 2, Smoke::mf_static, 47, 88},	//266 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {46, 158, 347, 2, Smoke::mf_static, 113, 89},	//267 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {46, 192, 308, 2, Smoke::mf_static, 243, 90},	//268 QGlobalSpace::operator>(QChar, QChar)
    {46, 196, 287, 2, Smoke::mf_static, 243, 91},	//269 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {46, 188, 350, 2, Smoke::mf_static, 243, 92},	//270 QGlobalSpace::operator==(const QString&, QString::Null)
    {46, 176, 156, 2, Smoke::mf_static, 243, 93},	//271 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {46, 200, 353, 2, Smoke::mf_static, 47, 94},	//272 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {46, 170, 356, 1, Smoke::mf_static, 279, 95},	//273 QGlobalSpace::operator-(const QPointF&)
    {46, 204, 358, 2, Smoke::mf_static, 72, 96},	//274 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {46, 180, 361, 2, Smoke::mf_static, 47, 97},	//275 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {46, 204, 364, 2, Smoke::mf_static, 81, 98},	//276 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {46, 158, 367, 2, Smoke::mf_static, 111, 99},	//277 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {46, 204, 370, 2, Smoke::mf_static, 72, 100},	//278 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {46, 204, 373, 2, Smoke::mf_static, 79, 101},	//279 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {46, 196, 305, 2, Smoke::mf_static, 243, 102},	//280 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {46, 188, 171, 2, Smoke::mf_static, 243, 103},	//281 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {46, 180, 376, 2, Smoke::mf_static, 47, 104},	//282 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {46, 204, 379, 2, Smoke::mf_static, 62, 105},	//283 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {46, 180, 382, 2, Smoke::mf_static, 47, 106},	//284 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {46, 200, 385, 2, Smoke::mf_static, 47, 107},	//285 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {46, 204, 388, 2, Smoke::mf_static, 73, 108},	//286 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {46, 176, 287, 2, Smoke::mf_static, 243, 109},	//287 QGlobalSpace::operator<(const char*, const QByteArray&)
    {46, 204, 391, 2, Smoke::mf_static, 88, 110},	//288 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {46, 158, 394, 2, Smoke::mf_static, 109, 111},	//289 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {46, 204, 397, 2, Smoke::mf_static, 88, 112},	//290 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {46, 204, 400, 2, Smoke::mf_static, 88, 113},	//291 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {46, 154, 132, 2, Smoke::mf_static, 243, 114},	//292 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {46, 204, 403, 2, Smoke::mf_static, 70, 115},	//293 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {46, 184, 239, 2, Smoke::mf_static, 243, 116},	//294 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {46, 154, 406, 2, Smoke::mf_static, 243, 117},	//295 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {46, 204, 409, 2, Smoke::mf_static, 88, 118},	//296 QGlobalSpace::operator|(QString::SectionFlag, int)
    {46, 204, 412, 2, Smoke::mf_static, 88, 119},	//297 QGlobalSpace::operator|(Qt::WindowType, int)
    {46, 204, 415, 2, Smoke::mf_static, 65, 120},	//298 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {46, 188, 418, 2, Smoke::mf_static, 243, 121},	//299 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {46, 188, 421, 2, Smoke::mf_static, 243, 122},	//300 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {46, 204, 424, 2, Smoke::mf_static, 59, 123},	//301 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {46, 204, 427, 2, Smoke::mf_static, 64, 124},	//302 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {46, 200, 430, 2, Smoke::mf_static, 47, 125},	//303 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {46, 180, 433, 2, Smoke::mf_static, 47, 126},	//304 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {46, 158, 302, 2, Smoke::mf_static, 140, 127},	//305 QGlobalSpace::operator*(const QTransform&, double)
    {46, 204, 436, 2, Smoke::mf_static, 88, 128},	//306 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {46, 176, 305, 2, Smoke::mf_static, 243, 129},	//307 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {46, 204, 439, 2, Smoke::mf_static, 65, 130},	//308 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {46, 154, 442, 2, Smoke::mf_static, 243, 131},	//309 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {46, 154, 287, 2, Smoke::mf_static, 243, 132},	//310 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {46, 192, 305, 2, Smoke::mf_static, 243, 133},	//311 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {46, 204, 445, 2, Smoke::mf_static, 88, 134},	//312 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {46, 204, 448, 2, Smoke::mf_static, 60, 135},	//313 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {46, 204, 451, 2, Smoke::mf_static, 55, 136},	//314 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {46, 204, 454, 2, Smoke::mf_static, 88, 137},	//315 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {46, 180, 457, 2, Smoke::mf_static, 47, 138},	//316 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {46, 200, 460, 2, Smoke::mf_static, 47, 139},	//317 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {46, 180, 463, 2, Smoke::mf_static, 47, 140},	//318 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {46, 158, 466, 2, Smoke::mf_static, 277, 141},	//319 QGlobalSpace::operator*(const QPoint&, float)
    {46, 162, 469, 2, Smoke::mf_static, 292, 142},	//320 QGlobalSpace::operator+(const QString&, const QString&)
    {46, 154, 239, 2, Smoke::mf_static, 243, 143},	//321 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {46, 154, 472, 2, Smoke::mf_static, 243, 144},	//322 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {46, 204, 475, 2, Smoke::mf_static, 88, 145},	//323 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {46, 204, 478, 2, Smoke::mf_static, 88, 146},	//324 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {46, 200, 481, 2, Smoke::mf_static, 47, 147},	//325 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {46, 192, 156, 2, Smoke::mf_static, 243, 148},	//326 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {46, 188, 406, 2, Smoke::mf_static, 243, 149},	//327 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {46, 188, 484, 2, Smoke::mf_static, 243, 150},	//328 QGlobalSpace::operator==(const char*, const QStringRef&)
    {46, 162, 287, 2, Smoke::mf_static, 250, 151},	//329 QGlobalSpace::operator+(const char*, const QByteArray&)
    {46, 200, 487, 2, Smoke::mf_static, 47, 152},	//330 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {46, 204, 490, 2, Smoke::mf_static, 88, 153},	//331 QGlobalSpace::operator|(Qt::MouseButton, int)
    {46, 184, 305, 2, Smoke::mf_static, 243, 154},	//332 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {46, 200, 493, 2, Smoke::mf_static, 47, 155},	//333 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {46, 204, 496, 2, Smoke::mf_static, 71, 156},	//334 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {46, 200, 499, 2, Smoke::mf_static, 47, 157},	//335 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {46, 188, 308, 2, Smoke::mf_static, 243, 158},	//336 QGlobalSpace::operator==(QChar, QChar)
    {46, 204, 502, 2, Smoke::mf_static, 77, 159},	//337 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {46, 154, 418, 2, Smoke::mf_static, 243, 160},	//338 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {46, 158, 505, 2, Smoke::mf_static, 94, 161},	//339 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {46, 154, 508, 2, Smoke::mf_static, 243, 162},	//340 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {46, 180, 511, 2, Smoke::mf_static, 47, 163},	//341 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {46, 180, 514, 2, Smoke::mf_static, 47, 164},	//342 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {46, 204, 517, 2, Smoke::mf_static, 78, 165},	//343 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {46, 180, 520, 2, Smoke::mf_static, 47, 166},	//344 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {46, 204, 523, 2, Smoke::mf_static, 59, 167},	//345 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {46, 180, 526, 2, Smoke::mf_static, 47, 168},	//346 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {46, 154, 159, 2, Smoke::mf_static, 243, 169},	//347 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {46, 154, 308, 2, Smoke::mf_static, 243, 170},	//348 QGlobalSpace::operator!=(QChar, QChar)
    {46, 204, 529, 2, Smoke::mf_static, 80, 171},	//349 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {46, 204, 532, 2, Smoke::mf_static, 64, 172},	//350 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {46, 188, 153, 2, Smoke::mf_static, 243, 173},	//351 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {46, 200, 535, 2, Smoke::mf_static, 47, 174},	//352 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {46, 200, 538, 2, Smoke::mf_static, 47, 175},	//353 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {46, 180, 541, 2, Smoke::mf_static, 47, 176},	//354 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {46, 188, 305, 2, Smoke::mf_static, 243, 177},	//355 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {46, 154, 544, 2, Smoke::mf_static, 243, 178},	//356 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {46, 158, 547, 2, Smoke::mf_static, 287, 179},	//357 QGlobalSpace::operator*(double, const QSize&)
    {46, 196, 239, 2, Smoke::mf_static, 243, 180},	//358 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {46, 158, 550, 2, Smoke::mf_static, 277, 181},	//359 QGlobalSpace::operator*(double, const QPoint&)
    {46, 180, 553, 2, Smoke::mf_static, 47, 182},	//360 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {46, 180, 556, 2, Smoke::mf_static, 47, 183},	//361 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {46, 162, 559, 2, Smoke::mf_static, 250, 184},	//362 QGlobalSpace::operator+(const QByteArray&, char)
    {46, 174, 320, 2, Smoke::mf_static, 279, 185},	//363 QGlobalSpace::operator/(const QPointF&, double)
    {46, 196, 308, 2, Smoke::mf_static, 243, 186},	//364 QGlobalSpace::operator>=(QChar, QChar)
    {46, 184, 156, 2, Smoke::mf_static, 243, 187},	//365 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {46, 200, 562, 2, Smoke::mf_static, 47, 188},	//366 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {46, 204, 565, 2, Smoke::mf_static, 63, 189},	//367 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {46, 180, 568, 2, Smoke::mf_static, 47, 190},	//368 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {46, 192, 287, 2, Smoke::mf_static, 243, 191},	//369 QGlobalSpace::operator>(const char*, const QByteArray&)
    {46, 200, 571, 2, Smoke::mf_static, 47, 192},	//370 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {46, 180, 574, 2, Smoke::mf_static, 47, 193},	//371 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {46, 188, 544, 2, Smoke::mf_static, 243, 194},	//372 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {46, 154, 577, 2, Smoke::mf_static, 243, 195},	//373 QGlobalSpace::operator!=(bool, QBool)
    {46, 204, 580, 2, Smoke::mf_static, 60, 196},	//374 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {46, 158, 583, 2, Smoke::mf_static, 113, 197},	//375 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {46, 154, 586, 2, Smoke::mf_static, 243, 198},	//376 QGlobalSpace::operator!=(QBool, bool)
    {46, 204, 589, 2, Smoke::mf_static, 88, 199},	//377 QGlobalSpace::operator|(Qt::WindowState, int)
    {46, 170, 406, 2, Smoke::mf_static, 277, 200},	//378 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {46, 200, 592, 2, Smoke::mf_static, 47, 201},	//379 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {46, 162, 239, 2, Smoke::mf_static, 250, 202},	//380 QGlobalSpace::operator+(const QByteArray&, const char*)
    {46, 180, 595, 2, Smoke::mf_static, 47, 203},	//381 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {46, 154, 153, 2, Smoke::mf_static, 243, 204},	//382 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {46, 184, 287, 2, Smoke::mf_static, 243, 205},	//383 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {46, 204, 598, 2, Smoke::mf_static, 88, 206},	//384 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {46, 180, 601, 2, Smoke::mf_static, 47, 207},	//385 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {46, 204, 604, 2, Smoke::mf_static, 67, 208},	//386 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {46, 188, 472, 2, Smoke::mf_static, 243, 209},	//387 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {46, 180, 607, 2, Smoke::mf_static, 47, 210},	//388 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {46, 204, 610, 2, Smoke::mf_static, 81, 211},	//389 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {46, 158, 613, 2, Smoke::mf_static, 287, 212},	//390 QGlobalSpace::operator*(const QSize&, double)
    {46, 188, 616, 2, Smoke::mf_static, 243, 213},	//391 QGlobalSpace::operator==(QString::Null, const QString&)
    {46, 204, 619, 2, Smoke::mf_static, 71, 214},	//392 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {46, 204, 622, 2, Smoke::mf_static, 54, 215},	//393 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {46, 200, 625, 2, Smoke::mf_static, 47, 216},	//394 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {46, 188, 239, 2, Smoke::mf_static, 243, 217},	//395 QGlobalSpace::operator==(const QByteArray&, const char*)
    {46, 200, 628, 2, Smoke::mf_static, 47, 218},	//396 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {46, 192, 239, 2, Smoke::mf_static, 243, 219},	//397 QGlobalSpace::operator>(const QByteArray&, const char*)
    {46, 162, 406, 2, Smoke::mf_static, 277, 220},	//398 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {46, 184, 308, 2, Smoke::mf_static, 243, 221},	//399 QGlobalSpace::operator<=(QChar, QChar)
    {46, 158, 631, 2, Smoke::mf_static, 120, 222},	//400 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {46, 154, 616, 2, Smoke::mf_static, 243, 223},	//401 QGlobalSpace::operator!=(QString::Null, const QString&)
    {46, 204, 634, 2, Smoke::mf_static, 63, 224},	//402 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {46, 154, 350, 2, Smoke::mf_static, 243, 225},	//403 QGlobalSpace::operator!=(const QString&, QString::Null)
    {46, 204, 637, 2, Smoke::mf_static, 88, 226},	//404 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {46, 158, 640, 2, Smoke::mf_static, 277, 227},	//405 QGlobalSpace::operator*(int, const QPoint&)
    {46, 204, 643, 2, Smoke::mf_static, 69, 228},	//406 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {46, 158, 646, 2, Smoke::mf_static, 115, 229},	//407 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {46, 170, 649, 1, Smoke::mf_static, 277, 230},	//408 QGlobalSpace::operator-(const QPoint&)
    {46, 200, 651, 2, Smoke::mf_static, 47, 231},	//409 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {46, 180, 654, 2, Smoke::mf_static, 138, 232},	//410 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {46, 204, 657, 2, Smoke::mf_static, 58, 233},	//411 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {46, 200, 660, 2, Smoke::mf_static, 47, 234},	//412 QGlobalSpace::operator>>(QDataStream&, QString&)
    {46, 188, 156, 2, Smoke::mf_static, 243, 235},	//413 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {46, 180, 663, 2, Smoke::mf_static, 47, 236},	//414 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {46, 170, 299, 2, Smoke::mf_static, 279, 237},	//415 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {46, 200, 666, 2, Smoke::mf_static, 47, 238},	//416 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {46, 162, 302, 2, Smoke::mf_static, 140, 239},	//417 QGlobalSpace::operator+(const QTransform&, double)
    {46, 204, 669, 2, Smoke::mf_static, 77, 240},	//418 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {46, 188, 442, 2, Smoke::mf_static, 243, 241},	//419 QGlobalSpace::operator==(const QStringRef&, const char*)
    {46, 154, 484, 2, Smoke::mf_static, 243, 242},	//420 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {46, 200, 672, 2, Smoke::mf_static, 47, 243},	//421 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {46, 162, 156, 2, Smoke::mf_static, 250, 244},	//422 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {46, 204, 675, 2, Smoke::mf_static, 55, 245},	//423 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {46, 200, 678, 2, Smoke::mf_static, 47, 246},	//424 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {46, 204, 681, 2, Smoke::mf_static, 88, 247},	//425 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {46, 180, 684, 2, Smoke::mf_static, 47, 248},	//426 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {46, 180, 687, 2, Smoke::mf_static, 47, 249},	//427 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {46, 174, 613, 2, Smoke::mf_static, 287, 250},	//428 QGlobalSpace::operator/(const QSize&, double)
    {46, 200, 690, 2, Smoke::mf_static, 47, 251},	//429 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {46, 200, 693, 2, Smoke::mf_static, 47, 252},	//430 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {46, 188, 577, 2, Smoke::mf_static, 243, 253},	//431 QGlobalSpace::operator==(bool, QBool)
    {46, 204, 696, 2, Smoke::mf_static, 79, 254},	//432 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {46, 204, 699, 2, Smoke::mf_static, 88, 255},	//433 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {46, 158, 702, 2, Smoke::mf_static, 109, 256},	//434 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {46, 154, 299, 2, Smoke::mf_static, 243, 257},	//435 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {46, 158, 705, 2, Smoke::mf_static, 277, 258},	//436 QGlobalSpace::operator*(const QPoint&, int)
    {46, 204, 708, 2, Smoke::mf_static, 70, 259},	//437 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {46, 170, 132, 2, Smoke::mf_static, 287, 260},	//438 QGlobalSpace::operator-(const QSize&, const QSize&)
    {46, 204, 711, 2, Smoke::mf_static, 68, 261},	//439 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {46, 204, 714, 2, Smoke::mf_static, 68, 262},	//440 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {46, 204, 717, 2, Smoke::mf_static, 88, 263},	//441 QGlobalSpace::operator|(Qt::Orientation, int)
    {46, 162, 299, 2, Smoke::mf_static, 279, 264},	//442 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {46, 158, 720, 2, Smoke::mf_static, 120, 265},	//443 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {46, 188, 586, 2, Smoke::mf_static, 243, 266},	//444 QGlobalSpace::operator==(QBool, bool)
    {46, 188, 129, 2, Smoke::mf_static, 243, 267},	//445 QGlobalSpace::operator==(const QRect&, const QRect&)
    {46, 158, 723, 2, Smoke::mf_static, 277, 268},	//446 QGlobalSpace::operator*(float, const QPoint&)
    {46, 200, 726, 2, Smoke::mf_static, 47, 269},	//447 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {46, 162, 729, 2, Smoke::mf_static, 292, 270},	//448 QGlobalSpace::operator+(const QString&, QChar)
    {46, 154, 183, 2, Smoke::mf_static, 243, 271},	//449 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {46, 204, 732, 2, Smoke::mf_static, 76, 272},	//450 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {46, 154, 174, 2, Smoke::mf_static, 243, 273},	//451 QGlobalSpace::operator!=(QBool, QBool)
    {46, 188, 508, 2, Smoke::mf_static, 243, 274},	//452 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {46, 170, 302, 2, Smoke::mf_static, 140, 275},	//453 QGlobalSpace::operator-(const QTransform&, double)
    {46, 167, 735, 2, Smoke::mf_static, 9, 276},	//454 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {46, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 277},	//455 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {46, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 278},	//456 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {46, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 279},	//457 QGlobalSpace::Q_STATIC_TYPE (enum)
    {46, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 280},	//458 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {46, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 281},	//459 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {46, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 282},	//460 QGlobalSpace::LicensedGui (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 283},	//461 QGlobalSpace::LicensedXml (enum)
    {46, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 284},	//462 QGlobalSpace::LicensedQt3SupportLight (enum)
    {46, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 285},	//463 QGlobalSpace::LicensedScript (enum)
    {46, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 286},	//464 QGlobalSpace::LicensedOpenVG (enum)
    {46, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 287},	//465 QGlobalSpace::LicensedDBus (enum)
    {46, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 288},	//466 QGlobalSpace::LicensedTest (enum)
    {46, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 289},	//467 QGlobalSpace::LicensedActiveQt (enum)
    {46, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 290},	//468 QGlobalSpace::LicensedScriptTools (enum)
    {46, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 291},	//469 QGlobalSpace::LicensedSvg (enum)
    {46, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 292},	//470 QGlobalSpace::LicensedDeclarative (enum)
    {46, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 293},	//471 QGlobalSpace::LicensedSql (enum)
    {46, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 294},	//472 QGlobalSpace::LicensedOpenGL (enum)
    {46, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 295},	//473 QGlobalSpace::LicensedCore (enum)
    {46, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 296},	//474 QGlobalSpace::QtDebugMsg (enum)
    {46, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 297},	//475 QGlobalSpace::QtWarningMsg (enum)
    {46, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 298},	//476 QGlobalSpace::QtCriticalMsg (enum)
    {46, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 299},	//477 QGlobalSpace::QtFatalMsg (enum)
    {46, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 300},	//478 QGlobalSpace::QtSystemMsg (enum)
    {46, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 301},	//479 QGlobalSpace::LicensedHelp (enum)
    {46, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 302},	//480 QGlobalSpace::LicensedMultimedia (enum)
    {46, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 303},	//481 QGlobalSpace::LicensedQt3Support (enum)
    {46, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 304},	//482 QGlobalSpace::LicensedXmlPatterns (enum)
    {46, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 305},	//483 QGlobalSpace::LicensedNetwork (enum)
    {63, 116, 49, 1, Smoke::mf_virtual, 243, 0},	//484 QObject::event(QEvent*)
    {63, 117, 738, 2, Smoke::mf_virtual, 243, 0},	//485 QObject::eventFilter(QObject*, QEvent*)
    {63, 249, 741, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//486 QObject::timerEvent(QTimerEvent*)
    {63, 71, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//487 QObject::childEvent(QChildEvent*)
    {63, 96, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//488 QObject::customEvent(QEvent*)
    {63, 89, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//489 QObject::connectNotify(const char*)
    {63, 99, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//490 QObject::disconnectNotify(const char*)
    {93, 98, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 306, 0},	//491 QWidget::devType() const
    {93, 236, 745, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//492 QWidget::setVisible(bool)
    {93, 244, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 124, 0},	//493 QWidget::sizeHint() const
    {93, 143, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 124, 0},	//494 QWidget::minimumSizeHint() const
    {93, 125, 747, 1, Smoke::mf_const|Smoke::mf_virtual, 306, 0},	//495 QWidget::heightForWidth(int) const
    {93, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 103, 0},	//496 QWidget::paintEngine() const
    {93, 116, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 243, 0},	//497 QWidget::event(QEvent*)
    {93, 146, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//498 QWidget::mousePressEvent(QMouseEvent*)
    {93, 147, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//499 QWidget::mouseReleaseEvent(QMouseEvent*)
    {93, 144, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//500 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {93, 145, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//501 QWidget::mouseMoveEvent(QMouseEvent*)
    {93, 268, 751, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//502 QWidget::wheelEvent(QWheelEvent*)
    {93, 131, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//503 QWidget::keyPressEvent(QKeyEvent*)
    {93, 132, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//504 QWidget::keyReleaseEvent(QKeyEvent*)
    {93, 120, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//505 QWidget::focusInEvent(QFocusEvent*)
    {93, 122, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//506 QWidget::focusOutEvent(QFocusEvent*)
    {93, 115, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//507 QWidget::enterEvent(QEvent*)
    {93, 134, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//508 QWidget::leaveEvent(QEvent*)
    {93, 207, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//509 QWidget::paintEvent(QPaintEvent*)
    {93, 148, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//510 QWidget::moveEvent(QMoveEvent*)
    {93, 232, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//511 QWidget::resizeEvent(QResizeEvent*)
    {93, 76, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//512 QWidget::closeEvent(QCloseEvent*)
    {93, 90, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//513 QWidget::contextMenuEvent(QContextMenuEvent*)
    {93, 248, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//514 QWidget::tabletEvent(QTabletEvent*)
    {93, 61, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//515 QWidget::actionEvent(QActionEvent*)
    {93, 109, 771, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//516 QWidget::dragEnterEvent(QDragEnterEvent*)
    {93, 111, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//517 QWidget::dragMoveEvent(QDragMoveEvent*)
    {93, 110, 775, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//518 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {93, 112, 777, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//519 QWidget::dropEvent(QDropEvent*)
    {93, 239, 779, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//520 QWidget::showEvent(QShowEvent*)
    {93, 126, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//521 QWidget::hideEvent(QHideEvent*)
    {93, 273, 783, 1, Smoke::mf_protected|Smoke::mf_virtual, 243, 0},	//522 QWidget::x11Event(_XEvent*)
    {93, 69, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//523 QWidget::changeEvent(QEvent*)
    {93, 142, 785, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 306, 0},	//524 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {93, 129, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//525 QWidget::inputMethodEvent(QInputMethodEvent*)
    {93, 130, 789, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 0},	//526 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {93, 121, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 243, 0},	//527 QWidget::focusNextPrevChild(bool)
    {93, 247, 791, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//528 QWidget::styleChange(QStyle&)
    {93, 114, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//529 QWidget::enabledChange(bool)
    {93, 208, 793, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//530 QWidget::paletteChange(const QPalette&)
    {93, 123, 795, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//531 QWidget::fontChange(const QFont&)
    {93, 270, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//532 QWidget::windowActivationChange(bool)
    {93, 133, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//533 QWidget::languageChange()
    {93, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 44},	//534 QWidget::DrawWindowBackground (enum)
    {93, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 45},	//535 QWidget::DrawChildren (enum)
    {93, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 46},	//536 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    176,  // Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    177,  // Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    0,
    183,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    188,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    203,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    250,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    260,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    292,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    295,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    340,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    347,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    348,  // QGlobalSpace::operator!=(QChar, QChar)
    356,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    382,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    435,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    449,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    451,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    309,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    321,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    338,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    376,  // QGlobalSpace::operator!=(QBool, bool)
    401,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    310,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    322,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    373,  // QGlobalSpace::operator!=(bool, QBool)
    403,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    420,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    191,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    192,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    214,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    230,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    232,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    234,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    252,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    267,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    277,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    289,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    339,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    375,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    400,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    407,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    434,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    443,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    180,  // QGlobalSpace::operator*(const QPoint&, double)
    195,  // QGlobalSpace::operator*(const QSizeF&, double)
    255,  // QGlobalSpace::operator*(const QPointF&, double)
    305,  // QGlobalSpace::operator*(const QTransform&, double)
    319,  // QGlobalSpace::operator*(const QPoint&, float)
    390,  // QGlobalSpace::operator*(const QSize&, double)
    436,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    181,  // QGlobalSpace::operator*(double, const QPointF&)
    184,  // QGlobalSpace::operator*(double, const QSizeF&)
    357,  // QGlobalSpace::operator*(double, const QSize&)
    359,  // QGlobalSpace::operator*(double, const QPoint&)
    405,  // QGlobalSpace::operator*(int, const QPoint&)
    446,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    189,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    217,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    398,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    422,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    442,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    209,  // QGlobalSpace::operator+(QChar, const QString&)
    362,  // QGlobalSpace::operator+(const QByteArray&, char)
    380,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    417,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    242,  // QGlobalSpace::operator+(char, const QByteArray&)
    329,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    448,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    273,  // QGlobalSpace::operator-(const QPointF&)
    408,  // QGlobalSpace::operator-(const QPoint&)
    0,
    197,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    378,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    415,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    438,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    243,  // QGlobalSpace::operator/(const QPoint&, double)
    249,  // QGlobalSpace::operator/(const QTransform&, double)
    264,  // QGlobalSpace::operator/(const QSizeF&, double)
    363,  // QGlobalSpace::operator/(const QPointF&, double)
    428,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    251,  // QGlobalSpace::operator<(QChar, QChar)
    271,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    307,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    186,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    190,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    196,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    208,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    211,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    213,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    225,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    237,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    239,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    253,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    275,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    282,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    316,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    318,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    342,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    354,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    360,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    361,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    368,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    371,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    381,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    385,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    410,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    426,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    0,
    414,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    427,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    332,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    365,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    399,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    193,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    199,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    204,  // QGlobalSpace::operator==(QBool, QBool)
    207,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    248,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    257,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    281,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    300,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    327,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    336,  // QGlobalSpace::operator==(QChar, QChar)
    351,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    355,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    372,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    413,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    445,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    452,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    299,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    391,  // QGlobalSpace::operator==(QString::Null, const QString&)
    395,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    419,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    444,  // QGlobalSpace::operator==(QBool, bool)
    0,
    244,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    270,  // QGlobalSpace::operator==(const QString&, QString::Null)
    328,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    387,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    431,  // QGlobalSpace::operator==(bool, QBool)
    0,
    268,  // QGlobalSpace::operator>(QChar, QChar)
    311,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    326,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    198,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    280,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    364,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    185,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    224,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    246,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    247,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    254,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    262,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    266,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    272,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    285,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    303,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    317,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    325,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    330,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    333,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    352,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    353,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    366,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    370,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    394,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    396,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    416,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    421,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    429,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    430,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    447,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    335,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    412,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    179,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    182,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    187,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    194,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    200,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    201,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    202,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    205,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    206,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    210,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    215,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    216,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    218,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    219,  // QGlobalSpace::operator|(Qt::DropAction, int)
    221,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    222,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    223,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    226,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    228,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    229,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    231,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    233,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    235,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    238,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    240,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    241,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    256,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    258,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    259,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    261,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    263,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    265,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    274,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    276,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    278,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    279,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    283,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    286,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    288,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    290,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    291,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    293,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    296,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    297,  // QGlobalSpace::operator|(Qt::WindowType, int)
    298,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    301,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    302,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    306,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    308,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    312,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    313,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    314,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    315,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    323,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    324,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    331,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    334,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    337,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    343,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    345,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    349,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    350,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    367,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    374,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    377,  // QGlobalSpace::operator|(Qt::WindowState, int)
    384,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    386,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    389,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    392,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    393,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    402,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    404,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    406,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    411,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    418,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    423,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    425,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    432,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    433,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    437,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    439,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    440,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    441,  // QGlobalSpace::operator|(Qt::Orientation, int)
    450,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {15, 2, 23},	// Kate::Application::Application$
    {15, 64, 27},	// Kate::Application::activeMainWindow
    {15, 104, 24},	// Kate::Application::documentManager
    {15, 113, 26},	// Kate::Application::editor
    {15, 140, 28},	// Kate::Application::mainWindows
    {15, 141, 16},	// Kate::Application::metaObject
    {15, 216, 25},	// Kate::Application::pluginManager
    {15, 226, 22},	// Kate::Application::qt_metacall$$?
    {15, 228, 17},	// Kate::Application::qt_metacast$
    {15, 246, 31},	// Kate::Application::staticMetaObject
    {15, 251, 29},	// Kate::Application::tr$
    {15, 252, 18},	// Kate::Application::tr$$
    {15, 253, 20},	// Kate::Application::tr$$$
    {15, 255, 30},	// Kate::Application::trUtf8$
    {15, 256, 19},	// Kate::Application::trUtf8$$
    {15, 257, 21},	// Kate::Application::trUtf8$$$
    {15, 275, 32},	// Kate::Application::~Application
    {16, 5, 40},	// Kate::DocumentManager::DocumentManager$
    {16, 73, 44},	// Kate::DocumentManager::closeDocument#
    {16, 75, 45},	// Kate::DocumentManager::closeDocumentList?
    {16, 101, 46},	// Kate::DocumentManager::documentCreated#
    {16, 103, 48},	// Kate::DocumentManager::documentDeleted#
    {16, 106, 47},	// Kate::DocumentManager::documentWillBeDeleted#
    {16, 107, 41},	// Kate::DocumentManager::documents
    {16, 119, 42},	// Kate::DocumentManager::findUrl#
    {16, 141, 33},	// Kate::DocumentManager::metaObject
    {16, 152, 51},	// Kate::DocumentManager::openUrl#
    {16, 153, 43},	// Kate::DocumentManager::openUrl#$
    {16, 226, 39},	// Kate::DocumentManager::qt_metacall$$?
    {16, 228, 34},	// Kate::DocumentManager::qt_metacast$
    {16, 246, 52},	// Kate::DocumentManager::staticMetaObject
    {16, 251, 49},	// Kate::DocumentManager::tr$
    {16, 252, 35},	// Kate::DocumentManager::tr$$
    {16, 253, 37},	// Kate::DocumentManager::tr$$$
    {16, 255, 50},	// Kate::DocumentManager::trUtf8$
    {16, 256, 36},	// Kate::DocumentManager::trUtf8$$
    {16, 257, 38},	// Kate::DocumentManager::trUtf8$$$
    {16, 276, 53},	// Kate::DocumentManager::~DocumentManager
    {17, 3, 88},	// Kate::MainWindow::Bottom
    {17, 9, 85},	// Kate::MainWindow::Left
    {17, 30, 61},	// Kate::MainWindow::MainWindow$
    {17, 53, 86},	// Kate::MainWindow::Right
    {17, 56, 87},	// Kate::MainWindow::Top
    {17, 63, 67},	// Kate::MainWindow::activateView#
    {17, 65, 66},	// Kate::MainWindow::activeView
    {17, 68, 64},	// Kate::MainWindow::centralWidget
    {17, 92, 75},	// Kate::MainWindow::createToolView#$$#$
    {17, 93, 74},	// Kate::MainWindow::createToolView$$#$
    {17, 124, 62},	// Kate::MainWindow::guiFactory
    {17, 128, 78},	// Kate::MainWindow::hideToolView#
    {17, 141, 54},	// Kate::MainWindow::metaObject
    {17, 150, 76},	// Kate::MainWindow::moveToolView#$
    {17, 152, 83},	// Kate::MainWindow::openUrl#
    {17, 153, 68},	// Kate::MainWindow::openUrl#$
    {17, 220, 80},	// Kate::MainWindow::pluginView$
    {17, 222, 72},	// Kate::MainWindow::pluginViewCreated$#
    {17, 224, 73},	// Kate::MainWindow::pluginViewDeleted$#
    {17, 226, 60},	// Kate::MainWindow::qt_metacall$$?
    {17, 228, 55},	// Kate::MainWindow::qt_metacast$
    {17, 241, 79},	// Kate::MainWindow::showPluginConfigPage#$
    {17, 243, 77},	// Kate::MainWindow::showToolView#
    {17, 246, 84},	// Kate::MainWindow::staticMetaObject
    {17, 251, 81},	// Kate::MainWindow::tr$
    {17, 252, 56},	// Kate::MainWindow::tr$$
    {17, 253, 58},	// Kate::MainWindow::tr$$$
    {17, 255, 82},	// Kate::MainWindow::trUtf8$
    {17, 256, 57},	// Kate::MainWindow::trUtf8$$
    {17, 257, 59},	// Kate::MainWindow::trUtf8$$$
    {17, 259, 71},	// Kate::MainWindow::unhandledShortcutOverride#
    {17, 263, 69},	// Kate::MainWindow::viewChanged
    {17, 265, 70},	// Kate::MainWindow::viewCreated#
    {17, 266, 65},	// Kate::MainWindow::views
    {17, 269, 63},	// Kate::MainWindow::window
    {17, 277, 89},	// Kate::MainWindow::~MainWindow
    {18, 31, 104},	// Kate::Plugin::Plugin
    {18, 32, 105},	// Kate::Plugin::Plugin#
    {18, 33, 97},	// Kate::Plugin::Plugin#$
    {18, 66, 98},	// Kate::Plugin::application
    {18, 95, 99},	// Kate::Plugin::createView#
    {18, 141, 90},	// Kate::Plugin::metaObject
    {18, 226, 96},	// Kate::Plugin::qt_metacall$$?
    {18, 228, 91},	// Kate::Plugin::qt_metacast$
    {18, 230, 100},	// Kate::Plugin::readSessionConfig#$
    {18, 246, 106},	// Kate::Plugin::staticMetaObject
    {18, 251, 102},	// Kate::Plugin::tr$
    {18, 252, 92},	// Kate::Plugin::tr$$
    {18, 253, 94},	// Kate::Plugin::tr$$$
    {18, 255, 103},	// Kate::Plugin::trUtf8$
    {18, 256, 93},	// Kate::Plugin::trUtf8$$
    {18, 257, 95},	// Kate::Plugin::trUtf8$$$
    {18, 272, 101},	// Kate::Plugin::writeSessionConfig#$
    {18, 278, 107},	// Kate::Plugin::~Plugin
    {19, 34, 122},	// Kate::PluginConfigPage::PluginConfigPage
    {19, 35, 123},	// Kate::PluginConfigPage::PluginConfigPage#
    {19, 36, 115},	// Kate::PluginConfigPage::PluginConfigPage#$
    {19, 67, 116},	// Kate::PluginConfigPage::apply
    {19, 70, 119},	// Kate::PluginConfigPage::changed
    {19, 97, 118},	// Kate::PluginConfigPage::defaults
    {19, 141, 108},	// Kate::PluginConfigPage::metaObject
    {19, 226, 114},	// Kate::PluginConfigPage::qt_metacall$$?
    {19, 228, 109},	// Kate::PluginConfigPage::qt_metacast$
    {19, 231, 117},	// Kate::PluginConfigPage::reset
    {19, 246, 124},	// Kate::PluginConfigPage::staticMetaObject
    {19, 251, 120},	// Kate::PluginConfigPage::tr$
    {19, 252, 110},	// Kate::PluginConfigPage::tr$$
    {19, 253, 112},	// Kate::PluginConfigPage::tr$$$
    {19, 255, 121},	// Kate::PluginConfigPage::trUtf8$
    {19, 256, 111},	// Kate::PluginConfigPage::trUtf8$$
    {19, 257, 113},	// Kate::PluginConfigPage::trUtf8$$$
    {19, 279, 125},	// Kate::PluginConfigPage::~PluginConfigPage
    {20, 37, 126},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface
    {20, 38, 133},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface#
    {20, 78, 134},	// Kate::PluginConfigPageInterface::configPage
    {20, 79, 135},	// Kate::PluginConfigPageInterface::configPage$
    {20, 80, 136},	// Kate::PluginConfigPageInterface::configPage$#
    {20, 81, 129},	// Kate::PluginConfigPageInterface::configPage$#$
    {20, 82, 138},	// Kate::PluginConfigPageInterface::configPageFullName
    {20, 83, 131},	// Kate::PluginConfigPageInterface::configPageFullName$
    {20, 84, 139},	// Kate::PluginConfigPageInterface::configPageIcon
    {20, 85, 132},	// Kate::PluginConfigPageInterface::configPageIcon$
    {20, 86, 137},	// Kate::PluginConfigPageInterface::configPageName
    {20, 87, 130},	// Kate::PluginConfigPageInterface::configPageName$
    {20, 88, 128},	// Kate::PluginConfigPageInterface::configPages
    {20, 213, 127},	// Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber
    {20, 280, 140},	// Kate::PluginConfigPageInterface::~PluginConfigPageInterface
    {21, 40, 148},	// Kate::PluginManager::PluginManager$
    {21, 136, 157},	// Kate::PluginManager::loadPlugin$
    {21, 137, 151},	// Kate::PluginManager::loadPlugin$$
    {21, 141, 141},	// Kate::PluginManager::metaObject
    {21, 210, 149},	// Kate::PluginManager::plugin$
    {21, 212, 150},	// Kate::PluginManager::pluginAvailable$
    {21, 215, 153},	// Kate::PluginManager::pluginLoaded$#
    {21, 218, 154},	// Kate::PluginManager::pluginUnloaded$#
    {21, 226, 147},	// Kate::PluginManager::qt_metacall$$?
    {21, 228, 142},	// Kate::PluginManager::qt_metacast$
    {21, 246, 159},	// Kate::PluginManager::staticMetaObject
    {21, 251, 155},	// Kate::PluginManager::tr$
    {21, 252, 143},	// Kate::PluginManager::tr$$
    {21, 253, 145},	// Kate::PluginManager::tr$$$
    {21, 255, 156},	// Kate::PluginManager::trUtf8$
    {21, 256, 144},	// Kate::PluginManager::trUtf8$$
    {21, 257, 146},	// Kate::PluginManager::trUtf8$$$
    {21, 261, 158},	// Kate::PluginManager::unloadPlugin$
    {21, 262, 152},	// Kate::PluginManager::unloadPlugin$$
    {21, 281, 160},	// Kate::PluginManager::~PluginManager
    {22, 42, 168},	// Kate::PluginView::PluginView#
    {22, 139, 169},	// Kate::PluginView::mainWindow
    {22, 141, 161},	// Kate::PluginView::metaObject
    {22, 226, 167},	// Kate::PluginView::qt_metacall$$?
    {22, 228, 162},	// Kate::PluginView::qt_metacast$
    {22, 230, 170},	// Kate::PluginView::readSessionConfig#$
    {22, 246, 174},	// Kate::PluginView::staticMetaObject
    {22, 251, 172},	// Kate::PluginView::tr$
    {22, 252, 163},	// Kate::PluginView::tr$$
    {22, 253, 165},	// Kate::PluginView::tr$$$
    {22, 255, 173},	// Kate::PluginView::trUtf8$
    {22, 256, 164},	// Kate::PluginView::trUtf8$$
    {22, 257, 166},	// Kate::PluginView::trUtf8$$$
    {22, 272, 171},	// Kate::PluginView::writeSessionConfig#$
    {22, 282, 175},	// Kate::PluginView::~PluginView
    {23, 58, -1},	// Kate::XMLGUIClient::XMLGUIClient#
    {23, 283, 178},	// Kate::XMLGUIClient::~XMLGUIClient
    {46, 10, 467},	// QGlobalSpace::LicensedActiveQt
    {46, 11, 473},	// QGlobalSpace::LicensedCore
    {46, 12, 465},	// QGlobalSpace::LicensedDBus
    {46, 13, 470},	// QGlobalSpace::LicensedDeclarative
    {46, 14, 460},	// QGlobalSpace::LicensedGui
    {46, 15, 479},	// QGlobalSpace::LicensedHelp
    {46, 16, 480},	// QGlobalSpace::LicensedMultimedia
    {46, 17, 483},	// QGlobalSpace::LicensedNetwork
    {46, 18, 472},	// QGlobalSpace::LicensedOpenGL
    {46, 19, 464},	// QGlobalSpace::LicensedOpenVG
    {46, 20, 481},	// QGlobalSpace::LicensedQt3Support
    {46, 21, 462},	// QGlobalSpace::LicensedQt3SupportLight
    {46, 22, 463},	// QGlobalSpace::LicensedScript
    {46, 23, 468},	// QGlobalSpace::LicensedScriptTools
    {46, 24, 471},	// QGlobalSpace::LicensedSql
    {46, 25, 469},	// QGlobalSpace::LicensedSvg
    {46, 26, 466},	// QGlobalSpace::LicensedTest
    {46, 27, 461},	// QGlobalSpace::LicensedXml
    {46, 28, 482},	// QGlobalSpace::LicensedXmlPatterns
    {46, 43, 455},	// QGlobalSpace::Q_COMPLEX_TYPE
    {46, 44, 459},	// QGlobalSpace::Q_DUMMY_TYPE
    {46, 45, 458},	// QGlobalSpace::Q_MOVABLE_TYPE
    {46, 46, 456},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {46, 47, 457},	// QGlobalSpace::Q_STATIC_TYPE
    {46, 48, 476},	// QGlobalSpace::QtCriticalMsg
    {46, 49, 474},	// QGlobalSpace::QtDebugMsg
    {46, 50, 477},	// QGlobalSpace::QtFatalMsg
    {46, 51, 478},	// QGlobalSpace::QtSystemMsg
    {46, 52, 475},	// QGlobalSpace::QtWarningMsg
    {46, 155, -4},	// QGlobalSpace::operator!=##
    {46, 156, -20},	// QGlobalSpace::operator!=#$
    {46, 157, -26},	// QGlobalSpace::operator!=$#
    {46, 159, -32},	// QGlobalSpace::operator*##
    {46, 160, -49},	// QGlobalSpace::operator*#$
    {46, 161, -57},	// QGlobalSpace::operator*$#
    {46, 163, -64},	// QGlobalSpace::operator+##
    {46, 164, -70},	// QGlobalSpace::operator+#$
    {46, 165, -75},	// QGlobalSpace::operator+$#
    {46, 166, 320},	// QGlobalSpace::operator+$$
    {46, 168, 212},	// QGlobalSpace::operator++$
    {46, 169, 454},	// QGlobalSpace::operator++$$
    {46, 171, -79},	// QGlobalSpace::operator-#
    {46, 172, -82},	// QGlobalSpace::operator-##
    {46, 173, 453},	// QGlobalSpace::operator-#$
    {46, 175, -87},	// QGlobalSpace::operator/#$
    {46, 177, -93},	// QGlobalSpace::operator<##
    {46, 178, 227},	// QGlobalSpace::operator<#$
    {46, 179, 287},	// QGlobalSpace::operator<$#
    {46, 181, -97},	// QGlobalSpace::operator<<##
    {46, 182, -128},	// QGlobalSpace::operator<<#$
    {46, 183, 220},	// QGlobalSpace::operator<<#?
    {46, 185, -131},	// QGlobalSpace::operator<=##
    {46, 186, 294},	// QGlobalSpace::operator<=#$
    {46, 187, 383},	// QGlobalSpace::operator<=$#
    {46, 189, -135},	// QGlobalSpace::operator==##
    {46, 190, -152},	// QGlobalSpace::operator==#$
    {46, 191, -158},	// QGlobalSpace::operator==$#
    {46, 193, -164},	// QGlobalSpace::operator>##
    {46, 194, 397},	// QGlobalSpace::operator>#$
    {46, 195, 369},	// QGlobalSpace::operator>$#
    {46, 197, -168},	// QGlobalSpace::operator>=##
    {46, 198, 358},	// QGlobalSpace::operator>=#$
    {46, 199, 269},	// QGlobalSpace::operator>=$#
    {46, 201, -172},	// QGlobalSpace::operator>>##
    {46, 202, -202},	// QGlobalSpace::operator>>#$
    {46, 203, 379},	// QGlobalSpace::operator>>#?
    {46, 205, -205},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();
SMOKE_IMPORT void init_ktexteditor_Smoke();

static bool initialized = false;
Smoke *kate_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kate_Smoke() {
    init_kdeui_Smoke();
    init_kparts_Smoke();
    init_ktexteditor_Smoke();
    if (initialized) return;
    kate_Smoke = new Smoke(
        "kate",
        __smokekate::classes, 93,
        __smokekate::methods, 537,
        __smokekate::methodMaps, 230,
        __smokekate::methodNames, 283,
        __smokekate::types, 311,
        __smokekate::inheritanceList,
        __smokekate::argumentList,
        __smokekate::ambiguousMethodList,
        __smokekate::cast );
    initialized = true;
}

void delete_kate_Smoke() { delete kate_Smoke; }

}
