#include <kfile_includes.h>

#include <smoke.h>
#include <kfile_smoke.h>

namespace __smokekfile {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KACL
      switch(to) {
        case 1: return (void*)(KACL*)xptr;
        default: return xptr;
      }
    case 2:   //KAbstractFileWidget
      switch(to) {
        case 2: return (void*)(KAbstractFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(KAbstractFileWidget*)xptr;
        default: return xptr;
      }
    case 3:   //KAbstractViewAdapter
      switch(to) {
        case 3: return (void*)(KAbstractViewAdapter*)xptr;
        default: return xptr;
      }
    case 4:   //KActionCollection
      switch(to) {
        case 4: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 5:   //KBookmark
      switch(to) {
        case 5: return (void*)(KBookmark*)xptr;
        default: return xptr;
      }
    case 6:   //KCategorizedSortFilterProxyModel
      switch(to) {
        case 124: return (void*)(QSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 44: return (void*)(QAbstractProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 103: return (void*)(QObject*)(KCategorizedSortFilterProxyModel*)xptr;
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 7:   //KCharsets
      switch(to) {
        case 7: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 8:   //KComboBox
      switch(to) {
        case 56: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 141: return (void*)(QWidget*)(KComboBox*)xptr;
        case 103: return (void*)(QObject*)(KComboBox*)xptr;
        case 10: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 8: return (void*)(KComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 9:   //KCompletion
      switch(to) {
        case 103: return (void*)(QObject*)(KCompletion*)xptr;
        case 9: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 10:   //KCompletionBase
      switch(to) {
        case 10: return (void*)(KCompletionBase*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 11:   //KComponentData
      switch(to) {
        case 11: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 12:   //KConfigGroup
      switch(to) {
        case 12: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 13:   //KDialog
      switch(to) {
        case 66: return (void*)(QDialog*)(KDialog*)xptr;
        case 141: return (void*)(QWidget*)(KDialog*)xptr;
        case 103: return (void*)(QObject*)(KDialog*)xptr;
        case 13: return (void*)(KDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 14:   //KDirLister
      switch(to) {
        case 103: return (void*)(QObject*)(KDirLister*)xptr;
        case 14: return (void*)(KDirLister*)xptr;
        default: return xptr;
      }
    case 15:   //KDirOperator
      switch(to) {
        case 141: return (void*)(QWidget*)(KDirOperator*)xptr;
        case 103: return (void*)(QObject*)(KDirOperator*)xptr;
        case 15: return (void*)(KDirOperator*)xptr;
        default: return xptr;
      }
    case 16:   //KDirSelectDialog
      switch(to) {
        case 13: return (void*)(KDialog*)(KDirSelectDialog*)xptr;
        case 66: return (void*)(QDialog*)(KDirSelectDialog*)xptr;
        case 141: return (void*)(QWidget*)(KDirSelectDialog*)xptr;
        case 103: return (void*)(QObject*)(KDirSelectDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)xptr;
        default: return xptr;
      }
    case 17:   //KDirSortFilterProxyModel
      switch(to) {
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 124: return (void*)(QSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 44: return (void*)(QAbstractProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)(KDirSortFilterProxyModel*)xptr;
        case 103: return (void*)(QObject*)(KDirSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 18:   //KFile
      switch(to) {
        case 18: return (void*)(KFile*)xptr;
        default: return xptr;
      }
    case 19:   //KFileFilterCombo
      switch(to) {
        case 8: return (void*)(KComboBox*)(KFileFilterCombo*)xptr;
        case 56: return (void*)(QComboBox*)(KFileFilterCombo*)xptr;
        case 141: return (void*)(QWidget*)(KFileFilterCombo*)xptr;
        case 103: return (void*)(QObject*)(KFileFilterCombo*)xptr;
        case 10: return (void*)(KCompletionBase*)(KFileFilterCombo*)xptr;
        case 19: return (void*)(KFileFilterCombo*)xptr;
        default: return xptr;
      }
    case 20:   //KFileItem
      switch(to) {
        case 20: return (void*)(KFileItem*)xptr;
        default: return xptr;
      }
    case 21:   //KFileItemList
      switch(to) {
        case 21: return (void*)(KFileItemList*)xptr;
        default: return xptr;
      }
    case 22:   //KFilePlacesModel
      switch(to) {
        case 42: return (void*)(QAbstractItemModel*)(KFilePlacesModel*)xptr;
        case 103: return (void*)(QObject*)(KFilePlacesModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)xptr;
        default: return xptr;
      }
    case 23:   //KFilePlacesView
      switch(to) {
        case 93: return (void*)(QListView*)(KFilePlacesView*)xptr;
        case 43: return (void*)(QAbstractItemView*)(KFilePlacesView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(KFilePlacesView*)xptr;
        case 77: return (void*)(QFrame*)(KFilePlacesView*)xptr;
        case 141: return (void*)(QWidget*)(KFilePlacesView*)xptr;
        case 103: return (void*)(QObject*)(KFilePlacesView*)xptr;
        case 23: return (void*)(KFilePlacesView*)xptr;
        default: return xptr;
      }
    case 24:   //KFilePreviewGenerator
      switch(to) {
        case 103: return (void*)(QObject*)(KFilePreviewGenerator*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)xptr;
        default: return xptr;
      }
    case 25:   //KFileTreeView
      switch(to) {
        case 135: return (void*)(QTreeView*)(KFileTreeView*)xptr;
        case 43: return (void*)(QAbstractItemView*)(KFileTreeView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(KFileTreeView*)xptr;
        case 77: return (void*)(QFrame*)(KFileTreeView*)xptr;
        case 141: return (void*)(QWidget*)(KFileTreeView*)xptr;
        case 103: return (void*)(QObject*)(KFileTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)xptr;
        default: return xptr;
      }
    case 26:   //KFileWidget
      switch(to) {
        case 141: return (void*)(QWidget*)(KFileWidget*)xptr;
        case 103: return (void*)(QObject*)(KFileWidget*)xptr;
        case 2: return (void*)(KAbstractFileWidget*)(KFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)xptr;
        default: return xptr;
      }
    case 27:   //KIO::CopyJob
      switch(to) {
        case 27: return (void*)(KIO::CopyJob*)xptr;
        default: return xptr;
      }
    case 28:   //KIO::DeleteJob
      switch(to) {
        case 28: return (void*)(KIO::DeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //KIO::UDSEntry
      switch(to) {
        case 29: return (void*)(KIO::UDSEntry*)xptr;
        default: return xptr;
      }
    case 30:   //KIcon
      switch(to) {
        case 81: return (void*)(QIcon*)(KIcon*)xptr;
        case 30: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 31:   //KJobTrackerInterface
      switch(to) {
        case 31: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 32:   //KLocale
      switch(to) {
        case 32: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 33:   //KMimeType
      switch(to) {
        case 33: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 34:   //KPreviewWidgetBase
      switch(to) {
        case 34: return (void*)(KPreviewWidgetBase*)xptr;
        default: return xptr;
      }
    case 35:   //KPushButton
      switch(to) {
        case 35: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 36:   //KSharedConfig
      switch(to) {
        case 36: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 37:   //KStandardDirs
      switch(to) {
        case 37: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 38:   //KToolBar
      switch(to) {
        case 38: return (void*)(KToolBar*)xptr;
        default: return xptr;
      }
    case 39:   //KUrl
      switch(to) {
        case 136: return (void*)(QUrl*)(KUrl*)xptr;
        case 39: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 40:   //KUrlComboBox
      switch(to) {
        case 40: return (void*)(KUrlComboBox*)xptr;
        default: return xptr;
      }
    case 41:   //KUrlNavigator
      switch(to) {
        case 141: return (void*)(QWidget*)(KUrlNavigator*)xptr;
        case 103: return (void*)(QObject*)(KUrlNavigator*)xptr;
        case 41: return (void*)(KUrlNavigator*)xptr;
        default: return xptr;
      }
    case 42:   //QAbstractItemModel
      switch(to) {
        case 103: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 43:   //QAbstractItemView
      switch(to) {
        case 45: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 77: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 141: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 103: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 43: return (void*)(QAbstractItemView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractItemView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 44:   //QAbstractProxyModel
      switch(to) {
        case 42: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 103: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 44: return (void*)(QAbstractProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 45:   //QAbstractScrollArea
      switch(to) {
        case 77: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 141: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 103: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractScrollArea*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 46:   //QAction
      switch(to) {
        case 103: return (void*)(QObject*)(QAction*)xptr;
        case 46: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 47:   //QActionEvent
      switch(to) {
        case 47: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QBitArray
      switch(to) {
        case 48: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 49:   //QBool
      switch(to) {
        case 49: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 50:   //QBrush
      switch(to) {
        case 50: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 51:   //QByteArray
      switch(to) {
        case 51: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 52:   //QChar
      switch(to) {
        case 52: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 53:   //QChildEvent
      switch(to) {
        case 73: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 53: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QCloseEvent
      switch(to) {
        case 54: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QColor
      switch(to) {
        case 55: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 56:   //QComboBox
      switch(to) {
        case 141: return (void*)(QWidget*)(QComboBox*)xptr;
        case 103: return (void*)(QObject*)(QComboBox*)xptr;
        case 56: return (void*)(QComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 57:   //QContextMenuEvent
      switch(to) {
        case 57: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QCursor
      switch(to) {
        case 58: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 59:   //QDBusArgument
      switch(to) {
        case 59: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 60:   //QDBusObjectPath
      switch(to) {
        case 60: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 61:   //QDBusSignature
      switch(to) {
        case 61: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 62:   //QDBusVariant
      switch(to) {
        case 138: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 62: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 63:   //QDataStream
      switch(to) {
        case 63: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 64:   //QDate
      switch(to) {
        case 64: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 65:   //QDateTime
      switch(to) {
        case 65: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 66:   //QDialog
      switch(to) {
        case 141: return (void*)(QWidget*)(QDialog*)xptr;
        case 103: return (void*)(QObject*)(QDialog*)xptr;
        case 66: return (void*)(QDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 67:   //QDomNode
      switch(to) {
        case 67: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 68:   //QDragEnterEvent
      switch(to) {
        case 68: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QDragLeaveEvent
      switch(to) {
        case 69: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QDragMoveEvent
      switch(to) {
        case 70: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QDropEvent
      switch(to) {
        case 71: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QEasingCurve
      switch(to) {
        case 72: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 73:   //QEvent
      switch(to) {
        case 73: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QFileInfo
      switch(to) {
        case 74: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 75:   //QFocusEvent
      switch(to) {
        case 75: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QFont
      switch(to) {
        case 76: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 77:   //QFrame
      switch(to) {
        case 141: return (void*)(QWidget*)(QFrame*)xptr;
        case 103: return (void*)(QObject*)(QFrame*)xptr;
        case 77: return (void*)(QFrame*)xptr;
        case 25: return (void*)(KFileTreeView*)(QFrame*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 79:   //QHashDummyValue
      switch(to) {
        case 79: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 80:   //QHideEvent
      switch(to) {
        case 80: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QIcon
      switch(to) {
        case 81: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 82:   //QImage
      switch(to) {
        case 82: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 83:   //QIncompatibleFlag
      switch(to) {
        case 83: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 84:   //QInputMethodEvent
      switch(to) {
        case 84: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QItemSelection
      switch(to) {
        case 85: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 86:   //QItemSelectionModel
      switch(to) {
        case 103: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 86: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 87:   //QKeyEvent
      switch(to) {
        case 87: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QKeySequence
      switch(to) {
        case 88: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 89:   //QLatin1String
      switch(to) {
        case 89: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 90:   //QLine
      switch(to) {
        case 90: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 91:   //QLineEdit
      switch(to) {
        case 91: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 92:   //QLineF
      switch(to) {
        case 92: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 93:   //QListView
      switch(to) {
        case 43: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 77: return (void*)(QFrame*)(QListView*)xptr;
        case 141: return (void*)(QWidget*)(QListView*)xptr;
        case 103: return (void*)(QObject*)(QListView*)xptr;
        case 93: return (void*)(QListView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QListView*)xptr;
        default: return xptr;
      }
    case 94:   //QLocale
      switch(to) {
        case 94: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 95:   //QMargins
      switch(to) {
        case 95: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 96:   //QMatrix
      switch(to) {
        case 96: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 97:   //QMenu
      switch(to) {
        case 97: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 98:   //QMetaObject
      switch(to) {
        case 98: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 99:   //QMimeData
      switch(to) {
        case 103: return (void*)(QObject*)(QMimeData*)xptr;
        case 99: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 100:   //QModelIndex
      switch(to) {
        case 100: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 101:   //QMouseEvent
      switch(to) {
        case 101: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QMoveEvent
      switch(to) {
        case 102: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 103:   //QObject
      switch(to) {
        case 103: return (void*)(QObject*)xptr;
        case 26: return (void*)(KFileWidget*)(QObject*)xptr;
        case 41: return (void*)(KUrlNavigator*)(QObject*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QObject*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QObject*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QObject*)xptr;
        case 25: return (void*)(KFileTreeView*)(QObject*)xptr;
        case 15: return (void*)(KDirOperator*)(QObject*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QObject*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QObject*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)(QObject*)xptr;
        default: return xptr;
      }
    case 104:   //QPaintEngine
      switch(to) {
        case 104: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 105:   //QPaintEvent
      switch(to) {
        case 105: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 106:   //QPainter
      switch(to) {
        case 106: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 107:   //QPainterPath
      switch(to) {
        case 107: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 108:   //QPalette
      switch(to) {
        case 108: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 109:   //QPixmap
      switch(to) {
        case 109: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 110:   //QPoint
      switch(to) {
        case 110: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 111:   //QPointF
      switch(to) {
        case 111: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 112:   //QPolygon
      switch(to) {
        case 112: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 113:   //QPolygonF
      switch(to) {
        case 113: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 114:   //QProgressBar
      switch(to) {
        case 114: return (void*)(QProgressBar*)xptr;
        default: return xptr;
      }
    case 115:   //QRect
      switch(to) {
        case 115: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 116:   //QRectF
      switch(to) {
        case 116: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 117:   //QRegExp
      switch(to) {
        case 117: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 118:   //QRegion
      switch(to) {
        case 118: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 119:   //QResizeEvent
      switch(to) {
        case 119: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QShowEvent
      switch(to) {
        case 120: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QSize
      switch(to) {
        case 121: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 122:   //QSizeF
      switch(to) {
        case 122: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 123:   //QSizePolicy
      switch(to) {
        case 123: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 124:   //QSortFilterProxyModel
      switch(to) {
        case 44: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 103: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 124: return (void*)(QSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 125:   //QString::Null
      switch(to) {
        case 125: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 126:   //QStringRef
      switch(to) {
        case 126: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 127:   //QStyle
      switch(to) {
        case 103: return (void*)(QObject*)(QStyle*)xptr;
        case 127: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 128:   //QStyleOptionViewItem
      switch(to) {
        case 128: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 129:   //QTabletEvent
      switch(to) {
        case 129: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QTextStream
      switch(to) {
        case 130: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 131:   //QTextStreamManipulator
      switch(to) {
        case 131: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 132:   //QTime
      switch(to) {
        case 132: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 133:   //QTimerEvent
      switch(to) {
        case 73: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 133: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 134:   //QTransform
      switch(to) {
        case 134: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 135:   //QTreeView
      switch(to) {
        case 43: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 77: return (void*)(QFrame*)(QTreeView*)xptr;
        case 141: return (void*)(QWidget*)(QTreeView*)xptr;
        case 103: return (void*)(QObject*)(QTreeView*)xptr;
        case 135: return (void*)(QTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 136:   //QUrl
      switch(to) {
        case 136: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 137:   //QUuid
      switch(to) {
        case 137: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 138:   //QVariant
      switch(to) {
        case 138: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 139:   //QVariantComparisonHelper
      switch(to) {
        case 139: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 140:   //QWheelEvent
      switch(to) {
        case 140: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QWidget
      switch(to) {
        case 103: return (void*)(QObject*)(QWidget*)xptr;
        case 141: return (void*)(QWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(QWidget*)xptr;
        case 41: return (void*)(KUrlNavigator*)(QWidget*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QWidget*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QWidget*)xptr;
        case 25: return (void*)(KFileTreeView*)(QWidget*)xptr;
        case 15: return (void*)(KDirOperator*)(QWidget*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QWidget*)xptr;
        default: return xptr;
      }
    case 142:   //Solid::Device
      switch(to) {
        case 142: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    141, 0,	// 1: QWidget
    13, 0,	// 3: KDialog
    6, 0,	// 5: KCategorizedSortFilterProxyModel
    8, 0,	// 7: KComboBox
    42, 0,	// 9: QAbstractItemModel
    93, 0,	// 11: QListView
    103, 0,	// 13: QObject
    135, 0,	// 15: QTreeView
    141, 2, 0,	// 17: QWidget, KAbstractFileWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilePlacesModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAbstractFileWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDirOperator(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAbstractFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirOperator(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSelectDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSortFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileFilterCombo(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePreviewGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrlNavigator(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KACL", true, 0, 0, 0, 0, 0 },	//1
    { "KAbstractFileWidget", false, 0, xcall_KAbstractFileWidget, xenum_KAbstractFileWidget, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAbstractFileWidget) },	//2
    { "KAbstractViewAdapter", true, 0, 0, 0, 0, 0 },	//3
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//4
    { "KBookmark", true, 0, 0, 0, 0, 0 },	//5
    { "KCategorizedSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//6
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//7
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//8
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//9
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//10
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//11
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//12
    { "KDialog", true, 0, 0, 0, 0, 0 },	//13
    { "KDirLister", true, 0, 0, 0, 0, 0 },	//14
    { "KDirOperator", false, 1, xcall_KDirOperator, xenum_KDirOperator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirOperator) },	//15
    { "KDirSelectDialog", false, 3, xcall_KDirSelectDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSelectDialog) },	//16
    { "KDirSortFilterProxyModel", false, 5, xcall_KDirSortFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSortFilterProxyModel) },	//17
    { "KFile", false, 0, xcall_KFile, xenum_KFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KFile) },	//18
    { "KFileFilterCombo", false, 7, xcall_KFileFilterCombo, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileFilterCombo) },	//19
    { "KFileItem", true, 0, 0, 0, 0, 0 },	//20
    { "KFileItemList", true, 0, 0, 0, 0, 0 },	//21
    { "KFilePlacesModel", false, 9, xcall_KFilePlacesModel, xenum_KFilePlacesModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesModel) },	//22
    { "KFilePlacesView", false, 11, xcall_KFilePlacesView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesView) },	//23
    { "KFilePreviewGenerator", false, 13, xcall_KFilePreviewGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePreviewGenerator) },	//24
    { "KFileTreeView", false, 15, xcall_KFileTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileTreeView) },	//25
    { "KFileWidget", false, 17, xcall_KFileWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileWidget) },	//26
    { "KIO::CopyJob", true, 0, 0, 0, 0, 0 },	//27
    { "KIO::DeleteJob", true, 0, 0, 0, 0, 0 },	//28
    { "KIO::UDSEntry", true, 0, 0, 0, 0, 0 },	//29
    { "KIcon", true, 0, 0, 0, 0, 0 },	//30
    { "KJobTrackerInterface", true, 0, 0, 0, 0, 0 },	//31
    { "KLocale", true, 0, 0, 0, 0, 0 },	//32
    { "KMimeType", true, 0, 0, 0, 0, 0 },	//33
    { "KPreviewWidgetBase", true, 0, 0, 0, 0, 0 },	//34
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//35
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//36
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//37
    { "KToolBar", true, 0, 0, 0, 0, 0 },	//38
    { "KUrl", true, 0, 0, 0, 0, 0 },	//39
    { "KUrlComboBox", true, 0, 0, 0, 0, 0 },	//40
    { "KUrlNavigator", false, 1, xcall_KUrlNavigator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KUrlNavigator) },	//41
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//42
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//43
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//44
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//45
    { "QAction", true, 0, 0, 0, 0, 0 },	//46
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//48
    { "QBool", true, 0, 0, 0, 0, 0 },	//49
    { "QBrush", true, 0, 0, 0, 0, 0 },	//50
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//51
    { "QChar", true, 0, 0, 0, 0, 0 },	//52
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QColor", true, 0, 0, 0, 0, 0 },	//55
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//56
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QCursor", true, 0, 0, 0, 0, 0 },	//58
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//59
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//60
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//61
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//62
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//63
    { "QDate", true, 0, 0, 0, 0, 0 },	//64
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//65
    { "QDialog", true, 0, 0, 0, 0, 0 },	//66
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//67
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//72
    { "QEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//74
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QFont", true, 0, 0, 0, 0, 0 },	//76
    { "QFrame", true, 0, 0, 0, 0, 0 },	//77
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//78
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//79
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QIcon", true, 0, 0, 0, 0, 0 },	//81
    { "QImage", true, 0, 0, 0, 0, 0 },	//82
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//83
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//85
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//86
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//88
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//89
    { "QLine", true, 0, 0, 0, 0, 0 },	//90
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//91
    { "QLineF", true, 0, 0, 0, 0, 0 },	//92
    { "QListView", true, 0, 0, 0, 0, 0 },	//93
    { "QLocale", true, 0, 0, 0, 0, 0 },	//94
    { "QMargins", true, 0, 0, 0, 0, 0 },	//95
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//96
    { "QMenu", true, 0, 0, 0, 0, 0 },	//97
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//98
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//99
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//100
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//102
    { "QObject", true, 0, 0, 0, 0, 0 },	//103
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//104
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//105
    { "QPainter", true, 0, 0, 0, 0, 0 },	//106
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//107
    { "QPalette", true, 0, 0, 0, 0, 0 },	//108
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//109
    { "QPoint", true, 0, 0, 0, 0, 0 },	//110
    { "QPointF", true, 0, 0, 0, 0, 0 },	//111
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//112
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//113
    { "QProgressBar", true, 0, 0, 0, 0, 0 },	//114
    { "QRect", true, 0, 0, 0, 0, 0 },	//115
    { "QRectF", true, 0, 0, 0, 0, 0 },	//116
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//117
    { "QRegion", true, 0, 0, 0, 0, 0 },	//118
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QSize", true, 0, 0, 0, 0, 0 },	//121
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//122
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//123
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//124
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//125
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//126
    { "QStyle", true, 0, 0, 0, 0, 0 },	//127
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//128
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//130
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//131
    { "QTime", true, 0, 0, 0, 0, 0 },	//132
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//133
    { "QTransform", true, 0, 0, 0, 0, 0 },	//134
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//135
    { "QUrl", true, 0, 0, 0, 0, 0 },	//136
    { "QUuid", true, 0, 0, 0, 0, 0 },	//137
    { "QVariant", true, 0, 0, 0, 0, 0 },	//138
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//139
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QWidget", true, 0, 0, 0, 0, 0 },	//141
    { "Solid::Device", true, 0, 0, 0, 0, 0 },	//142
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KACL&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "KAbstractFileWidget*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KAbstractFileWidget::OperationMode", 2, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KAbstractViewAdapter*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAction::ShortcutType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KActionCollection*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KBookmark", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KCharsets*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KCompletion*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KComponentData", 11, Smoke::t_class|Smoke::tf_stack },	//10
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref },	//13
    { "KConfigGroup*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KDialog::ButtonCode", 13, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KDialog::CaptionFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//16
    { "KDirLister*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KDirLister::OpenUrlFlag", 14, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KDirOperator*", 15, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KDirOperator::ActionType", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KDirSelectDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KDirSortFilterProxyModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KFile*", 18, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KFile::FileView", 18, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KFile::Mode", 18, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KFile::SelectionMode", 18, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KFileFilterCombo*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KFileItem", 20, Smoke::t_class|Smoke::tf_stack },	//28
    { "KFileItem&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "KFileItemList", 21, Smoke::t_class|Smoke::tf_stack },	//30
    { "KFileMetaInfo::What", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "KFilePlacesModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KFilePlacesModel::AdditionalRoles", 22, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KFilePlacesView*", 23, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KFilePreviewGenerator*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KFileTreeView*", 25, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KFileWidget*", 26, Smoke::t_class|Smoke::tf_ptr },	//37
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KGlobalSettings::ActivateOption", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KGlobalSettings::GraphicEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KIO::CacheControl", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KIO::Command", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KIO::CopyJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KIO::DeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KIO::Error", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref },	//47
    { "KIcon", 30, Smoke::t_class|Smoke::tf_stack },	//48
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//50
    { "KJob::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "KJobTrackerInterface*", 31, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KLocale*", 32, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KMimeType", 33, Smoke::t_class|Smoke::tf_stack },	//54
    { "KPreviewWidgetBase*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KPushButton*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KSharedConfig", 36, Smoke::t_class|Smoke::tf_stack },	//57
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "KStandardDirs*", 37, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KSycocaFactoryId", 78, Smoke::t_enum|Smoke::tf_stack },	//61
    { "KSycocaType", 78, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KToolBar*", 38, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KUrl", 39, Smoke::t_class|Smoke::tf_stack },	//64
    { "KUrl::CleanPathOption", 39, Smoke::t_enum|Smoke::tf_stack },	//65
    { "KUrl::DirectoryOption", 39, Smoke::t_enum|Smoke::tf_stack },	//66
    { "KUrl::EncodedPathAndQueryOption", 39, Smoke::t_enum|Smoke::tf_stack },	//67
    { "KUrl::EqualsOption", 39, Smoke::t_enum|Smoke::tf_stack },	//68
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "KUrl::QueryItemsOption", 39, Smoke::t_enum|Smoke::tf_stack },	//70
    { "KUrlComboBox*", 40, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KUrlNavigator*", 41, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QAbstractItemModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QAbstractItemView*", 43, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QAbstractItemView::CursorAction", 43, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QAbstractItemView::EditTrigger", 43, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QAbstractItemView::ScrollHint", 43, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QAbstractProxyModel*", 44, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QAction*", 46, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QActionEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QBitArray", 48, Smoke::t_class|Smoke::tf_stack },	//84
    { "QBitArray&", 48, Smoke::t_class|Smoke::tf_ref },	//85
    { "QBool", 49, Smoke::t_class|Smoke::tf_stack },	//86
    { "QBrush&", 50, Smoke::t_class|Smoke::tf_ref },	//87
    { "QByteArray", 51, Smoke::t_class|Smoke::tf_stack },	//88
    { "QByteArray&", 51, Smoke::t_class|Smoke::tf_ref },	//89
    { "QChar", 52, Smoke::t_class|Smoke::tf_stack },	//90
    { "QChar&", 52, Smoke::t_class|Smoke::tf_ref },	//91
    { "QChildEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QCloseEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QColor&", 55, Smoke::t_class|Smoke::tf_ref },	//94
    { "QContextMenuEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QCursor&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QDBusArgument&", 59, Smoke::t_class|Smoke::tf_ref },	//98
    { "QDBusConnection::RegisterOption", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QDBusConnection::VirtualObjectRegisterOption", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QDataStream&", 63, Smoke::t_class|Smoke::tf_ref },	//102
    { "QDate&", 64, Smoke::t_class|Smoke::tf_ref },	//103
    { "QDateTime&", 65, Smoke::t_class|Smoke::tf_ref },	//104
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QDragEnterEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QDragLeaveEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QDragMoveEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QDropEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QEasingCurve&", 72, Smoke::t_class|Smoke::tf_ref },	//112
    { "QEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QFlags<KAction::ShortcutType>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<KDirLister::OpenUrlFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<KFile::Mode>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<KFileMetaInfo::What>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KGlobalSettings::ActivateOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KGlobalSettings::GraphicEffect>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//134
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//135
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//136
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//138
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//139
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//140
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//141
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//142
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//143
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//144
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//145
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//146
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//147
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//148
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//149
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//150
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//151
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//152
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//154
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//157
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//158
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//159
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//160
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//161
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//162
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//163
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//164
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//165
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//166
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//167
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//168
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//169
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//170
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//171
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//172
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//173
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//174
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//175
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//176
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//177
    { "QFocusEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QFont&", 76, Smoke::t_class|Smoke::tf_ref },	//179
    { "QHideEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QIcon&", 81, Smoke::t_class|Smoke::tf_ref },	//182
    { "QImage&", 82, Smoke::t_class|Smoke::tf_ref },	//183
    { "QIncompatibleFlag", 83, Smoke::t_class|Smoke::tf_stack },	//184
    { "QInputMethodEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QItemSelection", 85, Smoke::t_class|Smoke::tf_stack },	//186
    { "QItemSelectionModel*", 86, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QItemSelectionModel::SelectionFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QKeyEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QKeySequence&", 88, Smoke::t_class|Smoke::tf_ref },	//190
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QLine", 90, Smoke::t_class|Smoke::tf_stack },	//192
    { "QLine&", 90, Smoke::t_class|Smoke::tf_ref },	//193
    { "QLineEdit*", 91, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QLineF", 92, Smoke::t_class|Smoke::tf_stack },	//195
    { "QLineF&", 92, Smoke::t_class|Smoke::tf_ref },	//196
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QLocale&", 94, Smoke::t_class|Smoke::tf_ref },	//198
    { "QLocale::NumberOption", 94, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//200
    { "QMatrix&", 96, Smoke::t_class|Smoke::tf_ref },	//201
    { "QMenu*", 97, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QMetaObject::Call", 98, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QMimeData*", 99, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QModelIndex", 100, Smoke::t_class|Smoke::tf_stack },	//205
    { "QMouseEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QMoveEvent*", 102, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QObject*", 103, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QPaintEngine*", 104, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QPaintEvent*", 105, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QPainter*", 106, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QPainterPath", 107, Smoke::t_class|Smoke::tf_stack },	//213
    { "QPainterPath&", 107, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPalette&", 108, Smoke::t_class|Smoke::tf_ref },	//215
    { "QPixmap", 109, Smoke::t_class|Smoke::tf_stack },	//216
    { "QPixmap&", 109, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPoint", 110, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPoint&", 110, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPointF", 111, Smoke::t_class|Smoke::tf_stack },	//220
    { "QPointF&", 111, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPolygon", 112, Smoke::t_class|Smoke::tf_stack },	//222
    { "QPolygon&", 112, Smoke::t_class|Smoke::tf_ref },	//223
    { "QPolygonF", 113, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPolygonF&", 113, Smoke::t_class|Smoke::tf_ref },	//225
    { "QProgressBar*", 114, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QRect", 115, Smoke::t_class|Smoke::tf_stack },	//227
    { "QRect&", 115, Smoke::t_class|Smoke::tf_ref },	//228
    { "QRectF&", 116, Smoke::t_class|Smoke::tf_ref },	//229
    { "QRegExp&", 117, Smoke::t_class|Smoke::tf_ref },	//230
    { "QRegion", 118, Smoke::t_class|Smoke::tf_stack },	//231
    { "QRegion&", 118, Smoke::t_class|Smoke::tf_ref },	//232
    { "QResizeEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QShowEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSize", 121, Smoke::t_class|Smoke::tf_stack },	//235
    { "QSize&", 121, Smoke::t_class|Smoke::tf_ref },	//236
    { "QSizeF&", 122, Smoke::t_class|Smoke::tf_ref },	//237
    { "QSizePolicy&", 123, Smoke::t_class|Smoke::tf_ref },	//238
    { "QSizePolicy::ControlType", 123, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//241
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "QString::Null", 125, Smoke::t_class|Smoke::tf_stack },	//243
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//246
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//247
    { "QStyle&", 127, Smoke::t_class|Smoke::tf_ref },	//248
    { "QStyle::StateFlag", 127, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 127, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionViewItem", 128, Smoke::t_class|Smoke::tf_stack },	//256
    { "QStyleOptionViewItem::Position", 128, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QTabletEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextStream&", 130, Smoke::t_class|Smoke::tf_ref },	//261
    { "QTextStream&(*)(QTextStream&)", 130, Smoke::t_class|Smoke::tf_ref },	//262
    { "QTextStream::NumberFlag", 130, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextStreamManipulator", 131, Smoke::t_class|Smoke::tf_stack },	//264
    { "QTime", 132, Smoke::t_class|Smoke::tf_stack },	//265
    { "QTime&", 132, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTimerEvent*", 133, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QTransform", 134, Smoke::t_class|Smoke::tf_stack },	//268
    { "QTransform&", 134, Smoke::t_class|Smoke::tf_ref },	//269
    { "QUrl&", 136, Smoke::t_class|Smoke::tf_ref },	//270
    { "QUrl::FormattingOption", 136, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QUuid&", 137, Smoke::t_class|Smoke::tf_ref },	//272
    { "QVariant", 138, Smoke::t_class|Smoke::tf_stack },	//273
    { "QVariant&", 138, Smoke::t_class|Smoke::tf_ref },	//274
    { "QVariant::Type&", 138, Smoke::t_enum|Smoke::tf_ref },	//275
    { "QWheelEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QWidget*", 141, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QWidget::RenderFlag", 141, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtMsgType", 78, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForActiveQtModule", 78, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForCoreModule", 78, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForDBusModule", 78, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForDeclarativeModule", 78, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForGuiModule", 78, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForHelpModule", 78, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForMultimediaModule", 78, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForNetworkModule", 78, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForOpenGLModule", 78, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForOpenVGModule", 78, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForQt3SupportLightModule", 78, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForQt3SupportModule", 78, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForScriptModule", 78, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForScriptToolsModule", 78, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForSqlModule", 78, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForSvgModule", 78, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForTestModule", 78, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForXmlModule", 78, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForXmlPatternsModule", 78, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Solid::Device", 142, Smoke::t_class|Smoke::tf_stack },	//374
    { "_LIB_VERSION_TYPE", 78, Smoke::t_enum|Smoke::tf_stack },	//375
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//376
    { "__codecvt_result", 78, Smoke::t_enum|Smoke::tf_stack },	//377
    { "__itimer_which", 78, Smoke::t_enum|Smoke::tf_stack },	//378
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//379
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//380
    { "const KACL&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const KAbstractFileWidget&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const KComponentData&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const KFile&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const KFile::FileView&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const KFileItem&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const KFileItemList&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const KUrl&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const KUrl*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QBitArray&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QBrush&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QByteArray", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//395
    { "const QByteArray&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QChar&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QColor&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QCursor&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QDBusArgument&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QDBusObjectPath&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QDBusSignature&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QDBusVariant&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QDate&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QDateTime&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QDomNode&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QEasingCurve&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QEvent*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QFileInfo&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QFlags<QDir::SortFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QFont&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QHashDummyValue&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QIcon&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QImage&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QItemSelection&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QKeySequence&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QLatin1String&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QLine&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QLineF&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QLocale&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QMargins&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QMatrix&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QMetaObject&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QMetaObject*", 98, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QMimeData*", 99, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QModelIndex&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QObject*", 103, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QPainterPath&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QPalette&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPixmap&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QPoint", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//436
    { "const QPoint&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPointF", 111, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//438
    { "const QPointF&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QPolygon&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QPolygonF&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRect&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QRectF&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QRegExp&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QRegion&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QSize", 121, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QSize&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QSizeF", 122, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//448
    { "const QSizeF&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QSizePolicy&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//451
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QStringRef&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QStyleOptionViewItem&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QTime&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QTransform&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QUrl&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QUuid&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QVariant&", 138, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QVariant::Type", 138, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//462
    { "const QVariantComparisonHelper&", 139, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//466
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//467
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//468
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//469
    { "std::bidirectional_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//470
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//471
    { "std::random_access_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//472
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//473
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//474
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//475
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//476
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//477
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//478
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    390, 379, 0,	//1  const KUrl&, bool
    452, 0,	//4  const QString&
    3, 0,	//6  KAbstractFileWidget::OperationMode
    379, 0,	//8  bool
    453, 452, 0,	//10  const QStringList&, const QString&
    55, 0,	//13  KPreviewWidgetBase*
    122, 0,	//15  QFlags<KFile::Mode>
    277, 0,	//17  QWidget*
    452, 277, 0,	//19  const QString&, QWidget*
    468, 476, 0,	//22  int, void*
    382, 0,	//25  const KAbstractFileWidget&
    390, 0,	//27  const KUrl&
    453, 0,	//29  const QStringList&
    468, 333, 0,	//31  int, Qt::SortOrder
    431, 431, 0,	//34  const QModelIndex&, const QModelIndex&
    194, 0,	//37  QLineEdit*
    453, 379, 0,	//39  const QStringList&, bool
    452, 379, 0,	//42  const QString&, bool
    474, 379, 379, 0,	//45  unsigned long, bool, bool
    276, 0,	//49  QWheelEvent*
    9, 379, 0,	//51  KCompletion*, bool
    40, 0,	//54  KGlobalSettings::Completion
    93, 0,	//56  QCloseEvent*
    189, 0,	//58  QKeyEvent*
    468, 0,	//60  int
    464, 0,	//62  const char*
    464, 464, 0,	//64  const char*, const char*
    464, 464, 468, 0,	//67  const char*, const char*, int
    203, 468, 477, 0,	//71  QMetaObject::Call, int, void**
    390, 277, 0,	//75  const KUrl&, QWidget*
    387, 0,	//78  const KFileItem&
    388, 0,	//80  const KFileItemList&
    76, 0,	//82  QAbstractItemView*
    24, 0,	//84  KFile::FileView
    139, 0,	//86  QFlags<QDir::SortFlag>
    13, 0,	//88  KConfigGroup&
    384, 0,	//90  const KConfigGroup&
    388, 277, 379, 379, 0,	//92  const KFileItemList&, QWidget*, bool, bool
    473, 0,	//97  unsigned int
    257, 0,	//99  QStyleOptionViewItem::Position
    277, 24, 0,	//101  QWidget*, KFile::FileView
    17, 0,	//104  KDirLister*
    233, 0,	//106  QResizeEvent*
    387, 437, 0,	//108  const KFileItem&, const QPoint&
    113, 0,	//111  QEvent*
    208, 113, 0,	//113  QObject*, QEvent*
    468, 468, 0,	//116  int, int
    387, 111, 392, 0,	//119  const KFileItem&, QDropEvent*, const KUrl::List&
    387, 202, 0,	//123  const KFileItem&, QMenu*
    388, 277, 0,	//126  const KFileItemList&, QWidget*
    388, 277, 379, 0,	//129  const KFileItemList&, QWidget*, bool
    390, 379, 277, 0,	//133  const KUrl&, bool, QWidget*
    390, 379, 277, 452, 0,	//137  const KUrl&, bool, QWidget*, const QString&
    180, 0,	//142  QHideEvent*
    208, 0,	//144  QObject*
    431, 0,	//146  const QModelIndex&
    409, 0,	//148  const QFileInfo&
    410, 0,	//150  const QFlags<QDir::SortFlag>&
    386, 0,	//152  const KFile::FileView&
    385, 0,	//154  const KFile&
    452, 390, 452, 452, 0,	//156  const QString&, const KUrl&, const QString&, const QString&
    452, 390, 452, 452, 431, 0,	//161  const QString&, const KUrl&, const QString&, const QString&, const QModelIndex&
    431, 452, 390, 452, 452, 0,	//167  const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&
    431, 379, 0,	//173  const QModelIndex&, bool
    431, 468, 0,	//176  const QModelIndex&, int
    468, 468, 431, 0,	//179  int, int, const QModelIndex&
    421, 0,	//183  const QList<QModelIndex>&
    430, 301, 468, 468, 431, 0,	//185  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    452, 390, 0,	//191  const QString&, const KUrl&
    452, 390, 452, 0,	//194  const QString&, const KUrl&, const QString&
    431, 452, 390, 0,	//198  const QModelIndex&, const QString&, const KUrl&
    431, 452, 390, 452, 0,	//202  const QModelIndex&, const QString&, const KUrl&, const QString&
    75, 0,	//207  QAbstractItemModel*
    95, 0,	//209  QContextMenuEvent*
    234, 0,	//211  QShowEvent*
    108, 0,	//213  QDragEnterEvent*
    109, 0,	//215  QDragLeaveEvent*
    110, 0,	//217  QDragMoveEvent*
    111, 0,	//219  QDropEvent*
    211, 0,	//221  QPaintEvent*
    431, 468, 468, 0,	//223  const QModelIndex&, int, int
    390, 111, 277, 0,	//227  const KUrl&, QDropEvent*, QWidget*
    4, 80, 0,	//231  KAbstractViewAdapter*, QAbstractProxyModel*
    390, 241, 0,	//234  const KUrl&, QString&
    390, 241, 241, 0,	//237  const KUrl&, QString&, QString&
    32, 390, 277, 0,	//241  KFilePlacesModel*, const KUrl&, QWidget*
    396, 0,	//245  const QByteArray&
    390, 111, 0,	//247  const KUrl&, QDropEvent*
    392, 390, 0,	//250  const KUrl::List&, const KUrl&
    206, 0,	//253  QMouseEvent*
    431, 461, 468, 0,	//255  const QModelIndex&, const QVariant&, int
    468, 325, 468, 0,	//259  int, Qt::Orientation, int
    468, 325, 461, 468, 0,	//263  int, Qt::Orientation, const QVariant&, int
    431, 425, 0,	//268  const QModelIndex&, const QMap<int,QVariant>&
    431, 468, 461, 468, 169, 0,	//271  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    187, 0,	//277  QItemSelectionModel*
    313, 0,	//279  Qt::InputMethodQuery
    277, 74, 0,	//281  QWidget*, QAbstractItemDelegate::EndEditHint
    431, 78, 113, 0,	//284  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    431, 408, 0,	//288  const QModelIndex&, const QEvent*
    163, 0,	//291  QFlags<Qt::DropAction>
    178, 0,	//293  QFocusEvent*
    185, 0,	//295  QInputMethodEvent*
    455, 455, 0,	//297  const QStringRef&, const QStringRef&
    260, 468, 0,	//300  QTextCodec::ConversionFlag, int
    310, 468, 0,	//303  Qt::ImageConversionFlag, int
    100, 136, 0,	//306  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    102, 182, 0,	//309  QDataStream&, QIcon&
    439, 427, 0,	//312  const QPointF&, const QMatrix&
    455, 452, 0,	//315  const QStringRef&, const QString&
    447, 447, 0,	//318  const QSize&, const QSize&
    102, 417, 0,	//321  QDataStream&, const QKeySequence&
    464, 396, 0,	//324  const char*, const QByteArray&
    251, 251, 0,	//327  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    115, 142, 0,	//330  QFile::Permission, QFlags<QFile::Permission>
    102, 29, 0,	//333  QDataStream&, KFileItem&
    439, 439, 0,	//336  const QPointF&, const QPointF&
    102, 441, 0,	//339  QDataStream&, const QPolygonF&
    102, 237, 0,	//342  QDataStream&, QSizeF&
    396, 464, 0,	//345  const QByteArray&, const char*
    102, 381, 0,	//348  QDataStream&, const KACL&
    452, 455, 0,	//351  const QString&, const QStringRef&
    50, 0,	//354  KIconLoader::Group&
    68, 468, 0,	//356  KUrl::EqualsOption, int
    102, 445, 0,	//359  QDataStream&, const QRegion&
    250, 150, 0,	//362  QStyle::SubControl, QFlags<QStyle::SubControl>
    455, 418, 0,	//365  const QStringRef&, const QLatin1String&
    90, 90, 0,	//368  QChar, QChar
    403, 403, 0,	//371  const QDBusVariant&, const QDBusVariant&
    343, 343, 0,	//374  Qt::TouchPointState, Qt::TouchPointState
    98, 420, 0,	//377  QDBusArgument&, const QLineF&
    98, 439, 0,	//380  QDBusArgument&, const QPointF&
    278, 468, 0,	//383  QWidget::RenderFlag, int
    102, 434, 0,	//386  QDataStream&, const QPalette&
    102, 94, 0,	//389  QDataStream&, QColor&
    243, 452, 0,	//392  QString::Null, const QString&
    98, 422, 0,	//395  QDBusArgument&, const QList<QVariant>&
    278, 160, 0,	//398  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    340, 340, 0,	//401  Qt::ToolBarArea, Qt::ToolBarArea
    15, 119, 0,	//404  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    199, 199, 0,	//407  QLocale::NumberOption, QLocale::NumberOption
    68, 68, 0,	//410  KUrl::EqualsOption, KUrl::EqualsOption
    98, 443, 0,	//413  QDBusArgument&, const QRectF&
    350, 350, 0,	//416  Qt::WindowType, Qt::WindowType
    466, 449, 0,	//419  double, const QSizeF&
    66, 66, 0,	//422  KUrl::DirectoryOption, KUrl::DirectoryOption
    105, 468, 0,	//425  QDir::Filter, int
    250, 250, 0,	//428  QStyle::SubControl, QStyle::SubControl
    261, 406, 0,	//431  QTextStream&, const QDomNode&
    437, 437, 0,	//434  const QPoint&, const QPoint&
    400, 196, 0,	//437  const QDBusArgument&, QLineF&
    102, 443, 0,	//440  QDataStream&, const QRectF&
    318, 468, 0,	//443  Qt::KeyboardModifier, int
    337, 172, 0,	//446  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    458, 466, 0,	//449  const QTransform&, double
    78, 133, 0,	//452  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    11, 117, 0,	//455  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    39, 124, 0,	//458  KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>
    98, 405, 0,	//461  QDBusArgument&, const QDateTime&
    263, 158, 0,	//464  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    271, 468, 0,	//467  QUrl::FormattingOption, int
    115, 468, 0,	//470  QFile::Permission, int
    437, 466, 0,	//473  const QPoint&, double
    102, 458, 0,	//476  QDataStream&, const QTransform&
    107, 140, 0,	//479  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    449, 449, 0,	//482  const QSizeF&, const QSizeF&
    102, 435, 0,	//485  QDataStream&, const QPixmap&
    318, 168, 0,	//488  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    271, 271, 0,	//491  QUrl::FormattingOption, QUrl::FormattingOption
    343, 174, 0,	//494  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    66, 468, 0,	//497  KUrl::DirectoryOption, int
    310, 310, 0,	//500  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    78, 78, 0,	//503  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    199, 468, 0,	//506  QLocale::NumberOption, int
    418, 455, 0,	//509  const QLatin1String&, const QStringRef&
    66, 128, 0,	//512  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    402, 402, 0,	//515  const QDBusSignature&, const QDBusSignature&
    301, 301, 0,	//518  Qt::DropAction, Qt::DropAction
    102, 198, 0,	//521  QDataStream&, QLocale&
    452, 90, 0,	//524  const QString&, QChar
    243, 243, 0,	//527  QString::Null, QString::Null
    252, 152, 0,	//530  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    260, 260, 0,	//533  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    325, 325, 0,	//536  Qt::Orientation, Qt::Orientation
    102, 399, 0,	//539  QDataStream&, const QCursor&
    102, 215, 0,	//542  QDataStream&, QPalette&
    340, 173, 0,	//545  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    442, 442, 0,	//548  const QRect&, const QRect&
    114, 141, 0,	//551  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    393, 393, 0,	//554  const QBitArray&, const QBitArray&
    396, 396, 0,	//557  const QByteArray&, const QByteArray&
    11, 11, 0,	//560  KConfig::OpenFlag, KConfig::OpenFlag
    16, 120, 0,	//563  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    31, 31, 0,	//566  KFileMetaInfo::What, KFileMetaInfo::What
    102, 427, 0,	//569  QDataStream&, const QMatrix&
    102, 423, 0,	//572  QDataStream&, const QLocale&
    258, 156, 0,	//575  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    102, 104, 0,	//578  QDataStream&, QDateTime&
    86, 86, 0,	//581  QBool, QBool
    464, 455, 0,	//584  const char*, const QStringRef&
    340, 468, 0,	//587  Qt::ToolBarArea, int
    419, 458, 0,	//590  const QLine&, const QTransform&
    312, 468, 0,	//593  Qt::InputMethodHint, int
    90, 452, 0,	//596  QChar, const QString&
    253, 153, 0,	//599  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    244, 468, 0,	//602  QString::SectionFlag, int
    191, 468, 0,	//605  QLibrary::LoadHint, int
    102, 270, 0,	//608  QDataStream&, QUrl&
    98, 412, 0,	//611  QDBusArgument&, const QHash<QString,QVariant>&
    452, 243, 0,	//614  const QString&, QString::Null
    102, 87, 0,	//617  QDataStream&, QBrush&
    73, 468, 0,	//620  QAbstractFileEngine::FileFlag, int
    260, 157, 0,	//623  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    400, 103, 0,	//626  const QDBusArgument&, QDate&
    433, 427, 0,	//629  const QPainterPath&, const QMatrix&
    41, 41, 0,	//632  KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect
    312, 166, 0,	//635  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    102, 238, 0,	//638  QDataStream&, QSizePolicy&
    350, 176, 0,	//641  Qt::WindowType, QFlags<Qt::WindowType>
    98, 457, 0,	//644  QDBusArgument&, const QTime&
    98, 419, 0,	//647  QDBusArgument&, const QLine&
    323, 323, 0,	//650  Qt::MouseButton, Qt::MouseButton
    67, 129, 0,	//653  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    445, 427, 0,	//656  const QRegion&, const QMatrix&
    279, 279, 0,	//659  Qt::AlignmentFlag, Qt::AlignmentFlag
    437, 0,	//662  const QPoint&
    301, 468, 0,	//664  Qt::DropAction, int
    102, 47, 0,	//667  QDataStream&, KIO::UDSEntry&
    102, 457, 0,	//670  QDataStream&, const QTime&
    106, 468, 0,	//673  QDir::SortFlag, int
    426, 426, 0,	//676  const QMargins&, const QMargins&
    101, 137, 0,	//679  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    102, 433, 0,	//682  QDataStream&, const QPainterPath&
    25, 122, 0,	//685  KFile::Mode, QFlags<KFile::Mode>
    51, 468, 0,	//688  KJob::Capability, int
    321, 321, 0,	//691  Qt::MatchFlag, Qt::MatchFlag
    67, 67, 0,	//694  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    299, 162, 0,	//697  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    102, 246, 0,	//700  QDataStream&, QStringList&
    254, 254, 0,	//703  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    188, 144, 0,	//706  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    299, 468, 0,	//709  Qt::DockWidgetArea, int
    25, 25, 0,	//712  KFile::Mode, KFile::Mode
    12, 12, 0,	//715  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    102, 394, 0,	//718  QDataStream&, const QBrush&
    468, 437, 0,	//721  int, const QPoint&
    98, 442, 0,	//724  QDBusArgument&, const QRect&
    18, 18, 0,	//727  KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag
    102, 196, 0,	//730  QDataStream&, QLineF&
    102, 415, 0,	//733  QDataStream&, const QImage&
    115, 115, 0,	//736  QFile::Permission, QFile::Permission
    39, 39, 0,	//739  KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption
    401, 401, 0,	//742  const QDBusObjectPath&, const QDBusObjectPath&
    102, 236, 0,	//745  QDataStream&, QSize&
    102, 190, 0,	//748  QDataStream&, QKeySequence&
    253, 253, 0,	//751  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    102, 414, 0,	//754  QDataStream&, const QIcon&
    102, 452, 0,	//757  QDataStream&, const QString&
    102, 405, 0,	//760  QDataStream&, const QDateTime&
    244, 244, 0,	//763  QString::SectionFlag, QString::SectionFlag
    101, 101, 0,	//766  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    252, 252, 0,	//769  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    439, 466, 0,	//772  const QPointF&, double
    379, 86, 0,	//775  bool, QBool
    188, 188, 0,	//778  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    400, 221, 0,	//781  const QDBusArgument&, QPointF&
    254, 154, 0,	//784  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    102, 387, 0,	//787  QDataStream&, const KFileItem&
    253, 468, 0,	//790  QStyleOptionTab::CornerWidget, int
    102, 437, 0,	//793  QDataStream&, const QPoint&
    102, 274, 0,	//796  QDataStream&, QVariant&
    323, 468, 0,	//799  Qt::MouseButton, int
    102, 183, 0,	//802  QDataStream&, QImage&
    50, 468, 0,	//805  KIconLoader::Group&, int
    12, 118, 0,	//808  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    439, 0,	//811  const QPointF&
    12, 468, 0,	//813  KConfigBase::WriteConfigFlag, int
    99, 135, 0,	//816  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    16, 468, 0,	//819  KDialog::CaptionFlag, int
    441, 427, 0,	//822  const QPolygonF&, const QMatrix&
    467, 437, 0,	//825  float, const QPoint&
    325, 171, 0,	//828  Qt::Orientation, QFlags<Qt::Orientation>
    114, 468, 0,	//831  QEventLoop::ProcessEventsFlag, int
    443, 443, 0,	//834  const QRectF&, const QRectF&
    98, 447, 0,	//837  QDBusArgument&, const QSize&
    102, 269, 0,	//840  QDataStream&, QTransform&
    310, 165, 0,	//843  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    16, 16, 0,	//846  KDialog::CaptionFlag, KDialog::CaptionFlag
    102, 453, 0,	//849  QDataStream&, const QStringList&
    396, 380, 0,	//852  const QByteArray&, char
    107, 107, 0,	//855  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    105, 138, 0,	//858  QDir::Filter, QFlags<QDir::Filter>
    102, 219, 0,	//861  QDataStream&, QPoint&
    449, 466, 0,	//864  const QSizeF&, double
    102, 404, 0,	//867  QDataStream&, const QDate&
    258, 468, 0,	//870  QStyleOptionViewItemV2::ViewItemFeature, int
    239, 239, 0,	//873  QSizePolicy::ControlType, QSizePolicy::ControlType
    102, 419, 0,	//876  QDataStream&, const QLine&
    102, 201, 0,	//879  QDataStream&, QMatrix&
    102, 241, 0,	//882  QDataStream&, QString&
    249, 249, 0,	//885  QStyle::StateFlag, QStyle::StateFlag
    18, 121, 0,	//888  KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>
    400, 104, 0,	//891  const QDBusArgument&, QDateTime&
    252, 468, 0,	//894  QStyleOptionFrameV2::FrameFeature, int
    400, 229, 0,	//897  const QDBusArgument&, QRectF&
    68, 130, 0,	//900  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    420, 427, 0,	//903  const QLineF&, const QMatrix&
    315, 468, 0,	//906  Qt::ItemFlag, int
    261, 262, 0,	//909  QTextStream&, QTextStream&(*)(QTextStream&)
    400, 266, 0,	//912  const QDBusArgument&, QTime&
    51, 51, 0,	//915  KJob::Capability, KJob::Capability
    114, 114, 0,	//918  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    261, 264, 0,	//921  QTextStream&, QTextStreamManipulator
    306, 164, 0,	//924  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    255, 468, 0,	//927  QStyleOptionToolButton::ToolButtonFeature, int
    99, 99, 0,	//930  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    239, 147, 0,	//933  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    278, 278, 0,	//936  QWidget::RenderFlag, QWidget::RenderFlag
    102, 85, 0,	//939  QDataStream&, QBitArray&
    102, 223, 0,	//942  QDataStream&, QPolygon&
    15, 15, 0,	//945  KDialog::ButtonCode, KDialog::ButtonCode
    102, 232, 0,	//948  QDataStream&, QRegion&
    81, 81, 0,	//951  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    102, 450, 0,	//954  QDataStream&, const QSizePolicy&
    65, 65, 0,	//957  KUrl::CleanPathOption, KUrl::CleanPathOption
    255, 255, 0,	//960  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    98, 424, 0,	//963  QDBusArgument&, const QMap<QString,QVariant>&
    437, 458, 0,	//966  const QPoint&, const QTransform&
    455, 464, 0,	//969  const QStringRef&, const char*
    400, 219, 0,	//972  const QDBusArgument&, QPoint&
    306, 468, 0,	//975  Qt::GestureFlag, int
    380, 396, 0,	//978  char, const QByteArray&
    249, 468, 0,	//981  QStyle::StateFlag, int
    102, 461, 0,	//984  QDataStream&, const QVariant&
    400, 237, 0,	//987  const QDBusArgument&, QSizeF&
    255, 155, 0,	//990  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    400, 236, 0,	//993  const QDBusArgument&, QSize&
    349, 468, 0,	//996  Qt::WindowState, int
    102, 266, 0,	//999  QDataStream&, QTime&
    51, 126, 0,	//1002  KJob::Capability, QFlags<KJob::Capability>
    70, 70, 0,	//1005  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    15, 468, 0,	//1008  KDialog::ButtonCode, int
    102, 217, 0,	//1011  QDataStream&, QPixmap&
    318, 318, 0,	//1014  Qt::KeyboardModifier, Qt::KeyboardModifier
    466, 439, 0,	//1017  double, const QPointF&
    102, 112, 0,	//1020  QDataStream&, QEasingCurve&
    445, 458, 0,	//1023  const QRegion&, const QTransform&
    301, 163, 0,	//1026  Qt::DropAction, QFlags<Qt::DropAction>
    447, 466, 0,	//1029  const QSize&, double
    100, 468, 0,	//1032  QDBusConnection::VirtualObjectRegisterOption, int
    433, 458, 0,	//1035  const QPainterPath&, const QTransform&
    105, 105, 0,	//1038  QDir::Filter, QDir::Filter
    441, 458, 0,	//1041  const QPolygonF&, const QTransform&
    466, 437, 0,	//1044  double, const QPoint&
    102, 420, 0,	//1047  QDataStream&, const QLineF&
    11, 468, 0,	//1050  KConfig::OpenFlag, int
    18, 468, 0,	//1053  KDirLister::OpenUrlFlag, int
    181, 181, 0,	//1056  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    5, 116, 0,	//1059  KAction::ShortcutType, QFlags<KAction::ShortcutType>
    299, 299, 0,	//1062  Qt::DockWidgetArea, Qt::DockWidgetArea
    5, 468, 0,	//1065  KAction::ShortcutType, int
    106, 139, 0,	//1068  QDir::SortFlag, QFlags<QDir::SortFlag>
    41, 468, 0,	//1071  KGlobalSettings::GraphicEffect, int
    41, 125, 0,	//1074  KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>
    31, 468, 0,	//1077  KFileMetaInfo::What, int
    461, 463, 0,	//1080  const QVariant&, const QVariantComparisonHelper&
    191, 191, 0,	//1083  QLibrary::LoadHint, QLibrary::LoadHint
    107, 468, 0,	//1086  QDirIterator::IteratorFlag, int
    312, 312, 0,	//1089  Qt::InputMethodHint, Qt::InputMethodHint
    400, 228, 0,	//1092  const QDBusArgument&, QRect&
    102, 214, 0,	//1095  QDataStream&, QPainterPath&
    337, 337, 0,	//1098  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    343, 468, 0,	//1101  Qt::TouchPointState, int
    271, 159, 0,	//1104  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    81, 468, 0,	//1107  QAbstractSpinBox::StepEnabledFlag, int
    239, 468, 0,	//1110  QSizePolicy::ControlType, int
    337, 468, 0,	//1113  Qt::TextInteractionFlag, int
    349, 349, 0,	//1116  Qt::WindowState, Qt::WindowState
    73, 132, 0,	//1119  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    102, 398, 0,	//1122  QDataStream&, const QColor&
    102, 396, 0,	//1125  QDataStream&, const QByteArray&
    419, 427, 0,	//1128  const QLine&, const QMatrix&
    102, 407, 0,	//1131  QDataStream&, const QEasingCurve&
    102, 459, 0,	//1134  QDataStream&, const QUrl&
    400, 274, 0,	//1137  const QDBusArgument&, QVariant&
    106, 106, 0,	//1140  QDir::SortFlag, QDir::SortFlag
    263, 468, 0,	//1143  QTextStream::NumberFlag, int
    102, 228, 0,	//1146  QDataStream&, QRect&
    102, 447, 0,	//1149  QDataStream&, const QSize&
    102, 397, 0,	//1152  QDataStream&, const QChar&
    249, 149, 0,	//1155  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    279, 468, 0,	//1158  Qt::AlignmentFlag, int
    25, 468, 0,	//1161  KFile::Mode, int
    102, 444, 0,	//1164  QDataStream&, const QRegExp&
    400, 193, 0,	//1167  const QDBusArgument&, QLine&
    349, 175, 0,	//1170  Qt::WindowState, QFlags<Qt::WindowState>
    315, 315, 0,	//1173  Qt::ItemFlag, Qt::ItemFlag
    102, 272, 0,	//1176  QDataStream&, QUuid&
    102, 179, 0,	//1179  QDataStream&, QFont&
    102, 225, 0,	//1182  QDataStream&, QPolygonF&
    39, 468, 0,	//1185  KGlobalSettings::ActivateOption, int
    254, 468, 0,	//1188  QStyleOptionToolBar::ToolBarFeature, int
    65, 127, 0,	//1191  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    437, 468, 0,	//1194  const QPoint&, int
    102, 275, 0,	//1197  QDataStream&, QVariant::Type&
    65, 468, 0,	//1200  KUrl::CleanPathOption, int
    78, 468, 0,	//1203  QAbstractItemView::EditTrigger, int
    70, 131, 0,	//1206  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    437, 427, 0,	//1209  const QPoint&, const QMatrix&
    100, 100, 0,	//1212  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    98, 404, 0,	//1215  QDBusArgument&, const QDate&
    413, 413, 0,	//1218  const QHashDummyValue&, const QHashDummyValue&
    102, 221, 0,	//1221  QDataStream&, QPointF&
    258, 258, 0,	//1224  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    325, 468, 0,	//1227  Qt::Orientation, int
    306, 306, 0,	//1230  Qt::GestureFlag, Qt::GestureFlag
    181, 143, 0,	//1233  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    102, 411, 0,	//1236  QDataStream&, const QFont&
    102, 389, 0,	//1239  QDataStream&, const KIO::UDSEntry&
    440, 458, 0,	//1242  const QPolygon&, const QTransform&
    99, 468, 0,	//1245  QDBusConnection::RegisterOption, int
    437, 467, 0,	//1248  const QPoint&, float
    466, 447, 0,	//1251  double, const QSize&
    102, 1, 0,	//1254  QDataStream&, KACL&
    188, 468, 0,	//1257  QItemSelectionModel::SelectionFlag, int
    98, 449, 0,	//1260  QDBusArgument&, const QSizeF&
    67, 468, 0,	//1263  KUrl::EncodedPathAndQueryOption, int
    86, 379, 0,	//1266  QBool, bool
    102, 193, 0,	//1269  QDataStream&, QLine&
    250, 468, 0,	//1272  QStyle::SubControl, int
    263, 263, 0,	//1275  QTextStream::NumberFlag, QTextStream::NumberFlag
    420, 458, 0,	//1278  const QLineF&, const QTransform&
    70, 468, 0,	//1281  KUrl::QueryItemsOption, int
    323, 170, 0,	//1284  Qt::MouseButton, QFlags<Qt::MouseButton>
    102, 462, 0,	//1287  QDataStream&, const QVariant::Type
    315, 167, 0,	//1290  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    439, 458, 0,	//1293  const QPointF&, const QTransform&
    102, 460, 0,	//1296  QDataStream&, const QUuid&
    191, 145, 0,	//1299  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    350, 468, 0,	//1302  Qt::WindowType, int
    251, 468, 0,	//1305  QStyleOptionButton::ButtonFeature, int
    102, 229, 0,	//1308  QDataStream&, QRectF&
    251, 151, 0,	//1311  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    102, 96, 0,	//1314  QDataStream&, QCursor&
    102, 442, 0,	//1317  QDataStream&, const QRect&
    321, 169, 0,	//1320  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    101, 468, 0,	//1323  QDBusServiceWatcher::WatchModeFlag, int
    279, 161, 0,	//1326  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    102, 91, 0,	//1329  QDataStream&, QChar&
    102, 230, 0,	//1332  QDataStream&, QRegExp&
    102, 439, 0,	//1335  QDataStream&, const QPointF&
    102, 449, 0,	//1338  QDataStream&, const QSizeF&
    199, 146, 0,	//1341  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    5, 5, 0,	//1344  KAction::ShortcutType, KAction::ShortcutType
    244, 148, 0,	//1347  QString::SectionFlag, QFlags<QString::SectionFlag>
    452, 452, 0,	//1350  const QString&, const QString&
    73, 73, 0,	//1353  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    31, 123, 0,	//1356  KFileMetaInfo::What, QFlags<KFileMetaInfo::What>
    181, 468, 0,	//1359  QIODevice::OpenModeFlag, int
    81, 134, 0,	//1362  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    102, 89, 0,	//1365  QDataStream&, QByteArray&
    440, 427, 0,	//1368  const QPolygon&, const QMatrix&
    321, 468, 0,	//1371  Qt::MatchFlag, int
    102, 440, 0,	//1374  QDataStream&, const QPolygon&
    98, 437, 0,	//1377  QDBusArgument&, const QPoint&
    102, 103, 0,	//1380  QDataStream&, QDate&
    102, 393, 0,	//1383  QDataStream&, const QBitArray&
    431, 79, 0,	//1386  const QModelIndex&, QAbstractItemView::ScrollHint
    267, 0,	//1389  QTimerEvent*
    77, 168, 0,	//1391  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    442, 144, 0,	//1394  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    416, 0,	//1397  const QItemSelection&
    416, 416, 0,	//1399  const QItemSelection&, const QItemSelection&
    92, 0,	//1402  QChildEvent*
    468, 431, 0,	//1404  int, const QModelIndex&
    212, 456, 431, 0,	//1407  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    212, 442, 431, 0,	//1411  QPainter*, const QRect&, const QModelIndex&
    207, 0,	//1415  QMoveEvent*
    259, 0,	//1417  QTabletEvent*
    83, 0,	//1419  QActionEvent*
    376, 0,	//1421  _XEvent*
    209, 0,	//1423  QPaintDevice::PaintDeviceMetric
    248, 0,	//1425  QStyle&
    434, 0,	//1427  const QPalette&
    411, 0,	//1429  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "Adjust",	//3
    "AdjustToContents",	//4
    "AdjustToContentsOnFirstShow",	//5
    "AdjustToMinimumContentsLength",	//6
    "AdjustToMinimumContentsLengthWithIcon",	//7
    "AllActions",	//8
    "AllEditTriggers",	//9
    "AnimatingState",	//10
    "AnyKeyPressed",	//11
    "AppNameCaption",	//12
    "Apply",	//13
    "Batched",	//14
    "BelowItem",	//15
    "Box",	//16
    "Cancel",	//17
    "CapacityBarRecommendedRole",	//18
    "CategoryDisplayRole",	//19
    "CategorySortRole",	//20
    "Close",	//21
    "CollapsingState",	//22
    "ContiguousSelection",	//23
    "CurrentChanged",	//24
    "Default",	//25
    "DelayedPopup",	//26
    "Detail",	//27
    "DetailTree",	//28
    "Details",	//29
    "Directory",	//30
    "DoubleClicked",	//31
    "DragDrop",	//32
    "DragOnly",	//33
    "DragSelectingState",	//34
    "DraggingState",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "DropOnly",	//38
    "EditKeyPressed",	//39
    "EditingState",	//40
    "EnsureVisible",	//41
    "ExistingOnly",	//42
    "ExpandingState",	//43
    "Extended",	//44
    "ExtendedSelection",	//45
    "File",	//46
    "FileActions",	//47
    "FileViewMax",	//48
    "Files",	//49
    "Fixed",	//50
    "FixedDeviceRole",	//51
    "Free",	//52
    "HIGCompliantCaption",	//53
    "HLine",	//54
    "Help",	//55
    "HiddenRole",	//56
    "ITIMER_PROF",	//57
    "ITIMER_REAL",	//58
    "ITIMER_VIRTUAL",	//59
    "IconMode",	//60
    "IgnoreMask",	//61
    "InsertAfterCurrent",	//62
    "InsertAlphabetically",	//63
    "InsertAtBottom",	//64
    "InsertAtCurrent",	//65
    "InsertAtTop",	//66
    "InsertBeforeCurrent",	//67
    "InstantPopup",	//68
    "InternalMove",	//69
    "KAbstractFileWidget",	//70
    "KAbstractFileWidget#",	//71
    "KDirOperator",	//72
    "KDirOperator#",	//73
    "KDirOperator##",	//74
    "KDirSelectDialog",	//75
    "KDirSelectDialog#",	//76
    "KDirSelectDialog#$",	//77
    "KDirSelectDialog#$#",	//78
    "KDirSortFilterProxyModel",	//79
    "KDirSortFilterProxyModel#",	//80
    "KFile",	//81
    "KFile#",	//82
    "KFileFilterCombo",	//83
    "KFileFilterCombo#",	//84
    "KFilePlacesModel",	//85
    "KFilePlacesModel#",	//86
    "KFilePlacesView",	//87
    "KFilePlacesView#",	//88
    "KFilePreviewGenerator",	//89
    "KFilePreviewGenerator#",	//90
    "KFilePreviewGenerator##",	//91
    "KFileTreeView",	//92
    "KFileTreeView#",	//93
    "KFileWidget",	//94
    "KFileWidget##",	//95
    "KST_CTimeInfo",	//96
    "KST_KCustom",	//97
    "KST_KDEDesktopMimeType",	//98
    "KST_KFolderMimeType",	//99
    "KST_KImageIO",	//100
    "KST_KImageIOFormat",	//101
    "KST_KMimeType",	//102
    "KST_KMimeTypeEntry",	//103
    "KST_KMimeTypeFactory",	//104
    "KST_KProtocolInfo",	//105
    "KST_KProtocolInfoFactory",	//106
    "KST_KService",	//107
    "KST_KServiceFactory",	//108
    "KST_KServiceGroup",	//109
    "KST_KServiceGroupFactory",	//110
    "KST_KServiceSeparator",	//111
    "KST_KServiceType",	//112
    "KST_KServiceTypeFactory",	//113
    "KST_KSycocaEntry",	//114
    "KUrlNavigator",	//115
    "KUrlNavigator#",	//116
    "KUrlNavigator###",	//117
    "LeftToRight",	//118
    "LicensedActiveQt",	//119
    "LicensedCore",	//120
    "LicensedDBus",	//121
    "LicensedDeclarative",	//122
    "LicensedGui",	//123
    "LicensedHelp",	//124
    "LicensedMultimedia",	//125
    "LicensedNetwork",	//126
    "LicensedOpenGL",	//127
    "LicensedOpenVG",	//128
    "LicensedQt3Support",	//129
    "LicensedQt3SupportLight",	//130
    "LicensedScript",	//131
    "LicensedScriptTools",	//132
    "LicensedSql",	//133
    "LicensedSvg",	//134
    "LicensedTest",	//135
    "LicensedXml",	//136
    "LicensedXmlPatterns",	//137
    "ListMode",	//138
    "LocalOnly",	//139
    "ModeMax",	//140
    "ModifiedCaption",	//141
    "MoveDown",	//142
    "MoveEnd",	//143
    "MoveHome",	//144
    "MoveLeft",	//145
    "MoveNext",	//146
    "MovePageDown",	//147
    "MovePageUp",	//148
    "MovePrevious",	//149
    "MoveRight",	//150
    "MoveUp",	//151
    "Multi",	//152
    "MultiSelection",	//153
    "NavActions",	//154
    "NextCompletionMatch",	//155
    "No",	//156
    "NoCaptionFlags",	//157
    "NoDefault",	//158
    "NoDragDrop",	//159
    "NoEditTriggers",	//160
    "NoFrame",	//161
    "NoInsert",	//162
    "NoSelection",	//163
    "NoState",	//164
    "None",	//165
    "Ok",	//166
    "OnItem",	//167
    "OnViewport",	//168
    "Opening",	//169
    "Other",	//170
    "Panel",	//171
    "Plain",	//172
    "PositionAtBottom",	//173
    "PositionAtCenter",	//174
    "PositionAtTop",	//175
    "PrevCompletionMatch",	//176
    "PreviewContents",	//177
    "PreviewInfo",	//178
    "QtCriticalMsg",	//179
    "QtDebugMsg",	//180
    "QtFatalMsg",	//181
    "QtSystemMsg",	//182
    "QtWarningMsg",	//183
    "Raised",	//184
    "Rejected",	//185
    "Reset",	//186
    "Saving",	//187
    "ScrollPerItem",	//188
    "ScrollPerPixel",	//189
    "SelectColumns",	//190
    "SelectItems",	//191
    "SelectRows",	//192
    "SelectedClicked",	//193
    "SeparateDirs",	//194
    "SetupNeededRole",	//195
    "Shadow_Mask",	//196
    "Shape_Mask",	//197
    "Simple",	//198
    "Single",	//199
    "SinglePass",	//200
    "SingleSelection",	//201
    "Snap",	//202
    "SortActions",	//203
    "Static",	//204
    "StyledPanel",	//205
    "SubstringCompletion",	//206
    "Sunken",	//207
    "TextCompletion",	//208
    "TopToBottom",	//209
    "Tree",	//210
    "Try",	//211
    "UrlRole",	//212
    "User1",	//213
    "User2",	//214
    "User3",	//215
    "VLine",	//216
    "ViewActions",	//217
    "WinPanel",	//218
    "Yes",	//219
    "_IEEE_",	//220
    "_ISOC_",	//221
    "_POSIX_",	//222
    "_SVID_",	//223
    "_XOPEN_",	//224
    "__codecvt_error",	//225
    "__codecvt_noconv",	//226
    "__codecvt_ok",	//227
    "__codecvt_partial",	//228
    "accept",	//229
    "accepted",	//230
    "actionCollection",	//231
    "actionEvent",	//232
    "activated",	//233
    "activated#",	//234
    "activatedMenu",	//235
    "activatedMenu##",	//236
    "addPlace",	//237
    "addPlace$#",	//238
    "addPlace$#$",	//239
    "addPlace$#$$",	//240
    "addPlace$#$$#",	//241
    "back",	//242
    "baseUrl",	//243
    "bookmarkForIndex",	//244
    "bookmarkForIndex#",	//245
    "buddy",	//246
    "canFetchMore",	//247
    "canFetchMore#",	//248
    "cancelButton",	//249
    "cancelPreviews",	//250
    "cdUp",	//251
    "changeEvent",	//252
    "changeEvent#",	//253
    "checkPreviewSupport",	//254
    "childEvent",	//255
    "clearFilter",	//256
    "clearHistory",	//257
    "close",	//258
    "closeEditor",	//259
    "closeEvent",	//260
    "closestItem",	//261
    "closestItem#",	//262
    "columnCount",	//263
    "columnCount#",	//264
    "commitData",	//265
    "compareCategories",	//266
    "completion",	//267
    "completion$",	//268
    "completionObject",	//269
    "connectNotify",	//270
    "contextMenuAboutToShow",	//271
    "contextMenuAboutToShow##",	//272
    "contextMenuEvent",	//273
    "contextMenuEvent#",	//274
    "create",	//275
    "createView",	//276
    "createView#$",	//277
    "currentChanged",	//278
    "currentChanged#",	//279
    "currentFilter",	//280
    "currentFilterMimeType",	//281
    "currentIconSizeChanged",	//282
    "currentIconSizeChanged$",	//283
    "currentMimeFilter",	//284
    "currentUrl",	//285
    "customEvent",	//286
    "customProtocols",	//287
    "data",	//288
    "data#$",	//289
    "dataChanged",	//290
    "dataChanged##",	//291
    "decorationPosition",	//292
    "defaultFilter",	//293
    "del",	//294
    "del#",	//295
    "del##",	//296
    "del##$",	//297
    "del##$$",	//298
    "deleteSelected",	//299
    "devType",	//300
    "deviceForIndex",	//301
    "deviceForIndex#",	//302
    "dirActivated",	//303
    "dirActivated#",	//304
    "dirCompletionObject",	//305
    "dirHighlighting",	//306
    "dirLister",	//307
    "dirOnlyMode",	//308
    "dirOnlyMode$",	//309
    "dirOperator",	//310
    "disconnectNotify",	//311
    "doItemsLayout",	//312
    "done",	//313
    "dragEnterEvent",	//314
    "dragEnterEvent#",	//315
    "dragLeaveEvent",	//316
    "dragLeaveEvent#",	//317
    "dragMoveEvent",	//318
    "dragMoveEvent#",	//319
    "drawBranches",	//320
    "drawRow",	//321
    "dropEvent",	//322
    "dropEvent#",	//323
    "dropMimeData",	//324
    "dropMimeData#$$$#",	//325
    "dropped",	//326
    "dropped##?",	//327
    "edit",	//328
    "editPlace",	//329
    "editPlace#$#",	//330
    "editPlace#$#$",	//331
    "editPlace#$#$$",	//332
    "editableStateChanged",	//333
    "editableStateChanged$",	//334
    "editor",	//335
    "editorDestroyed",	//336
    "ejectActionForIndex",	//337
    "ejectActionForIndex#",	//338
    "enabledChange",	//339
    "enabledPlugins",	//340
    "enterEvent",	//341
    "errorMessage",	//342
    "errorMessage$",	//343
    "event",	//344
    "eventFilter",	//345
    "eventFilter##",	//346
    "fetchMore",	//347
    "fileHighlighted",	//348
    "fileHighlighted#",	//349
    "fileHighlighted$",	//350
    "fileSelected",	//351
    "fileSelected#",	//352
    "fileSelected$",	//353
    "filterAcceptsColumn",	//354
    "filterAcceptsRow",	//355
    "filterChanged",	//356
    "filterChanged$",	//357
    "filterWidget",	//358
    "filters",	//359
    "finishedLoading",	//360
    "flags",	//361
    "flags#",	//362
    "focusInEvent",	//363
    "focusNextPrevChild",	//364
    "focusOutEvent",	//365
    "fontChange",	//366
    "forward",	//367
    "getStartUrl",	//368
    "getStartUrl#$",	//369
    "getStartUrl#$$",	//370
    "goBack",	//371
    "goForward",	//372
    "goHome",	//373
    "goUp",	//374
    "hasChildren",	//375
    "hasChildren#",	//376
    "headerData",	//377
    "heightForWidth",	//378
    "hiddenCount",	//379
    "hideEvent",	//380
    "hideEvent#",	//381
    "hidePopup",	//382
    "highlightFile",	//383
    "highlightFile#",	//384
    "historyChanged",	//385
    "historyIndex",	//386
    "historySize",	//387
    "historyUrl",	//388
    "historyUrl$",	//389
    "home",	//390
    "homeUrl",	//391
    "horizontalOffset",	//392
    "horizontalScrollbarAction",	//393
    "horizontalScrollbarValueChanged",	//394
    "icon",	//395
    "icon#",	//396
    "iconsZoom",	//397
    "index",	//398
    "index$$",	//399
    "index$$#",	//400
    "indexAt",	//401
    "inputMethodEvent",	//402
    "inputMethodQuery",	//403
    "insertColumns",	//404
    "insertRows",	//405
    "isActive",	//406
    "isAutoResizeItemsEnabled",	//407
    "isDefaultView",	//408
    "isDefaultView$",	//409
    "isDetailTreeView",	//410
    "isDetailTreeView$",	//411
    "isDetailView",	//412
    "isDetailView$",	//413
    "isDevice",	//414
    "isDevice#",	//415
    "isDropOnPlaceEnabled",	//416
    "isHidden",	//417
    "isHidden#",	//418
    "isIndexHidden",	//419
    "isInlinePreviewShown",	//420
    "isMimeFilter",	//421
    "isPlacesSelectorVisible",	//422
    "isPreviewContents",	//423
    "isPreviewContents$",	//424
    "isPreviewInfo",	//425
    "isPreviewInfo$",	//426
    "isPreviewShown",	//427
    "isRoot",	//428
    "isSaving",	//429
    "isSelected",	//430
    "isSelected#",	//431
    "isSeparateDirs",	//432
    "isSeparateDirs$",	//433
    "isSimpleView",	//434
    "isSimpleView$",	//435
    "isSortByDate",	//436
    "isSortByDate#",	//437
    "isSortByName",	//438
    "isSortByName#",	//439
    "isSortBySize",	//440
    "isSortBySize#",	//441
    "isSortByType",	//442
    "isSortByType#",	//443
    "isSortCaseInsensitive",	//444
    "isSortCaseInsensitive#",	//445
    "isSortDirsFirst",	//446
    "isSortDirsFirst#",	//447
    "isTreeView",	//448
    "isTreeView$",	//449
    "isUrlEditable",	//450
    "itemData",	//451
    "keepsLocation",	//452
    "keyPressEvent",	//453
    "keyPressEvent#",	//454
    "keyReleaseEvent",	//455
    "keyReleaseEvent#",	//456
    "keyboardSearch",	//457
    "languageChange",	//458
    "leaveEvent",	//459
    "lessThan",	//460
    "localOnly",	//461
    "locationEdit",	//462
    "locationState",	//463
    "locationState$",	//464
    "locationUrl",	//465
    "locationUrl$",	//466
    "makeCompletion",	//467
    "makeCompletion$",	//468
    "makeDirCompletion",	//469
    "makeDirCompletion$",	//470
    "mapFromSource",	//471
    "mapSelectionFromSource",	//472
    "mapSelectionToSource",	//473
    "mapToSource",	//474
    "match",	//475
    "metaObject",	//476
    "metric",	//477
    "mimeData",	//478
    "mimeData?",	//479
    "mimeFilter",	//480
    "mimeTypes",	//481
    "minimumSizeHint",	//482
    "mkdir",	//483
    "mkdir$",	//484
    "mkdir$$",	//485
    "mode",	//486
    "mouseDoubleClickEvent",	//487
    "mouseMoveEvent",	//488
    "mousePressEvent",	//489
    "mouseReleaseEvent",	//490
    "mouseReleaseEvent#",	//491
    "moveCursor",	//492
    "moveEvent",	//493
    "nameFilter",	//494
    "newFileMenuSupportedMimeTypes",	//495
    "numDirs",	//496
    "numFiles",	//497
    "okButton",	//498
    "onlyDoubleClickSelectsFiles",	//499
    "operationMode",	//500
    "operator!=",	//501
    "operator!=##",	//502
    "operator!=#$",	//503
    "operator!=$#",	//504
    "operator&",	//505
    "operator&##",	//506
    "operator*",	//507
    "operator*##",	//508
    "operator*#$",	//509
    "operator*$#",	//510
    "operator+",	//511
    "operator+##",	//512
    "operator+#$",	//513
    "operator+$#",	//514
    "operator+$$",	//515
    "operator++",	//516
    "operator++$",	//517
    "operator++$$",	//518
    "operator-",	//519
    "operator-#",	//520
    "operator-##",	//521
    "operator-#$",	//522
    "operator/",	//523
    "operator/#$",	//524
    "operator<",	//525
    "operator<##",	//526
    "operator<#$",	//527
    "operator<$#",	//528
    "operator<<",	//529
    "operator<<##",	//530
    "operator<<#$",	//531
    "operator<<#?",	//532
    "operator<=",	//533
    "operator<=##",	//534
    "operator<=#$",	//535
    "operator<=$#",	//536
    "operator==",	//537
    "operator==##",	//538
    "operator==#$",	//539
    "operator==$#",	//540
    "operator>",	//541
    "operator>##",	//542
    "operator>#$",	//543
    "operator>$#",	//544
    "operator>=",	//545
    "operator>=##",	//546
    "operator>=#$",	//547
    "operator>=$#",	//548
    "operator>>",	//549
    "operator>>##",	//550
    "operator>>#$",	//551
    "operator>>#?",	//552
    "operator^",	//553
    "operator^##",	//554
    "operator|",	//555
    "operator|##",	//556
    "operator|$$",	//557
    "paintEngine",	//558
    "paintEvent",	//559
    "paintEvent#",	//560
    "paletteChange",	//561
    "parent",	//562
    "parent#",	//563
    "pathChanged",	//564
    "pointsForPermissions",	//565
    "pointsForPermissions#",	//566
    "prepareCompletionObjects",	//567
    "previewGenerator",	//568
    "progressBar",	//569
    "qt_metacall",	//570
    "qt_metacall$$?",	//571
    "qt_metacast",	//572
    "qt_metacast$",	//573
    "readConfig",	//574
    "readConfig#",	//575
    "reject",	//576
    "removeColumns",	//577
    "removePlace",	//578
    "removePlace#",	//579
    "removeRows",	//580
    "requestActivation",	//581
    "requestEject",	//582
    "requestEject#",	//583
    "requestSetup",	//584
    "requestSetup#",	//585
    "requestTeardown",	//586
    "requestTeardown#",	//587
    "rereadDir",	//588
    "reset",	//589
    "resetCursor",	//590
    "resizeEvent",	//591
    "resizeEvent#",	//592
    "returnPressed",	//593
    "revert",	//594
    "rootUrl",	//595
    "rowCount",	//596
    "rowCount#",	//597
    "rowsAboutToBeRemoved",	//598
    "rowsInserted",	//599
    "rowsInserted#$$",	//600
    "saveLocationState",	//601
    "saveLocationState#",	//602
    "savePosition",	//603
    "savePosition$$",	//604
    "saveRootUrl",	//605
    "saveRootUrl#",	//606
    "savedPosition",	//607
    "savedRootUrl",	//608
    "scrollContentsBy",	//609
    "scrollTo",	//610
    "selectAll",	//611
    "selectDir",	//612
    "selectDir#",	//613
    "selectDirectory",	//614
    "selectDirectory#",	//615
    "selectDirectory#$",	//616
    "selectDirectory#$#",	//617
    "selectDirectory#$#$",	//618
    "selectFile",	//619
    "selectFile#",	//620
    "selectedFile",	//621
    "selectedFiles",	//622
    "selectedIndexes",	//623
    "selectedItems",	//624
    "selectedUrl",	//625
    "selectedUrls",	//626
    "selectionChanged",	//627
    "selectionCommand",	//628
    "setAcceptDrops",	//629
    "setAcceptDrops$",	//630
    "setActive",	//631
    "setActive$",	//632
    "setAutoCompletion",	//633
    "setAutoResizeItemsEnabled",	//634
    "setAutoResizeItemsEnabled$",	//635
    "setCaption",	//636
    "setCompletedItems",	//637
    "setCompletedText",	//638
    "setCompletionMode",	//639
    "setCompletionObject",	//640
    "setConfirmOverwrite",	//641
    "setConfirmOverwrite$",	//642
    "setContextMenuEnabled",	//643
    "setCurrentFilter",	//644
    "setCurrentFilter$",	//645
    "setCurrentItem",	//646
    "setCurrentItem#",	//647
    "setCurrentItem$",	//648
    "setCurrentItems",	//649
    "setCurrentItems#",	//650
    "setCurrentItems?",	//651
    "setCurrentUrl",	//652
    "setCurrentUrl#",	//653
    "setCustomProtocols",	//654
    "setCustomProtocols?",	//655
    "setCustomWidget",	//656
    "setCustomWidget#",	//657
    "setCustomWidget$#",	//658
    "setData",	//659
    "setDecorationPosition",	//660
    "setDecorationPosition$",	//661
    "setDefaultFilter",	//662
    "setDefaultFilter$",	//663
    "setDirLister",	//664
    "setDirLister#",	//665
    "setDirOnlyMode",	//666
    "setDirOnlyMode$",	//667
    "setDropOnPlaceEnabled",	//668
    "setDropOnPlaceEnabled$",	//669
    "setDropOptions",	//670
    "setDropOptions$",	//671
    "setEnableDirHighlighting",	//672
    "setEnableDirHighlighting$",	//673
    "setEnabledPlugins",	//674
    "setEnabledPlugins?",	//675
    "setFilter",	//676
    "setFilter$",	//677
    "setFocus",	//678
    "setHandleSignals",	//679
    "setHeaderData",	//680
    "setHomeUrl",	//681
    "setHomeUrl#",	//682
    "setHomeUrl$",	//683
    "setIconsZoom",	//684
    "setIconsZoom$",	//685
    "setInlinePreviewShown",	//686
    "setInlinePreviewShown$",	//687
    "setIsSaving",	//688
    "setIsSaving$",	//689
    "setItemData",	//690
    "setKeepLocation",	//691
    "setKeepLocation$",	//692
    "setLineEdit",	//693
    "setLocationLabel",	//694
    "setLocationLabel$",	//695
    "setLocationUrl",	//696
    "setLocationUrl#",	//697
    "setMimeFilter",	//698
    "setMimeFilter?",	//699
    "setMimeFilter?$",	//700
    "setMode",	//701
    "setMode$",	//702
    "setModel",	//703
    "setModel#",	//704
    "setNameFilter",	//705
    "setNameFilter$",	//706
    "setNewFileMenuSupportedMimeTypes",	//707
    "setNewFileMenuSupportedMimeTypes?",	//708
    "setOnlyDoubleClickSelectsFiles",	//709
    "setOnlyDoubleClickSelectsFiles$",	//710
    "setOperationMode",	//711
    "setOperationMode$",	//712
    "setPlaceHidden",	//713
    "setPlaceHidden#$",	//714
    "setPlacesSelectorVisible",	//715
    "setPlacesSelectorVisible$",	//716
    "setPlainCaption",	//717
    "setPreviewShown",	//718
    "setPreviewShown$",	//719
    "setPreviewWidget",	//720
    "setPreviewWidget#",	//721
    "setRootIndex",	//722
    "setRootUrl",	//723
    "setRootUrl#",	//724
    "setSelection",	//725
    "setSelection$",	//726
    "setSelectionModel",	//727
    "setShowAll",	//728
    "setShowAll$",	//729
    "setShowFullPath",	//730
    "setShowFullPath$",	//731
    "setShowHiddenFiles",	//732
    "setShowHiddenFiles$",	//733
    "setSortFoldersFirst",	//734
    "setSortFoldersFirst$",	//735
    "setSorting",	//736
    "setSorting$",	//737
    "setSourceModel",	//738
    "setStartDir",	//739
    "setStartDir#",	//740
    "setUrl",	//741
    "setUrl#",	//742
    "setUrl#$",	//743
    "setUrlEditable",	//744
    "setUrlEditable$",	//745
    "setView",	//746
    "setView#",	//747
    "setView$",	//748
    "setViewConfig",	//749
    "setViewConfig#",	//750
    "setVisible",	//751
    "setupActions",	//752
    "setupDone",	//753
    "setupDone#$",	//754
    "setupMenu",	//755
    "setupMenu$",	//756
    "setupNeeded",	//757
    "setupNeeded#",	//758
    "showEvent",	//759
    "showEvent#",	//760
    "showFullPath",	//761
    "showHiddenFiles",	//762
    "showPopup",	//763
    "showsAllTypes",	//764
    "sizeHint",	//765
    "sizeHintForColumn",	//766
    "sizeHintForRow",	//767
    "slotButtonClicked",	//768
    "slotCancel",	//769
    "slotCompletionMatch",	//770
    "slotCompletionMatch$",	//771
    "slotOk",	//772
    "sort",	//773
    "sortByDate",	//774
    "sortByName",	//775
    "sortBySize",	//776
    "sortByType",	//777
    "sortFoldersFirst",	//778
    "sortReversed",	//779
    "sorting",	//780
    "span",	//781
    "startDir",	//782
    "startDrag",	//783
    "staticMetaObject",	//784
    "styleChange",	//785
    "subSortLessThan",	//786
    "subSortLessThan##",	//787
    "submit",	//788
    "supportedDropActions",	//789
    "tabRequested",	//790
    "tabRequested#",	//791
    "tabletEvent",	//792
    "teardownActionForIndex",	//793
    "teardownActionForIndex#",	//794
    "text",	//795
    "text#",	//796
    "timerEvent",	//797
    "toggleDirsFirst",	//798
    "toggleIgnoreCase",	//799
    "toolBar",	//800
    "tr",	//801
    "tr$",	//802
    "tr$$",	//803
    "tr$$$",	//804
    "trUtf8",	//805
    "trUtf8$",	//806
    "trUtf8$$",	//807
    "trUtf8$$$",	//808
    "trash",	//809
    "trash##",	//810
    "trash##$",	//811
    "trash##$$",	//812
    "trashSelected",	//813
    "uncommittedUrl",	//814
    "updateDir",	//815
    "updateEditorData",	//816
    "updateEditorGeometries",	//817
    "updateGeometries",	//818
    "updateIcons",	//819
    "updateInformation",	//820
    "updateInformation$$",	//821
    "updatePreviews",	//822
    "updateSelectionDependentActions",	//823
    "updateSortActions",	//824
    "updateViewActions",	//825
    "url",	//826
    "url#",	//827
    "url$",	//828
    "urlAboutToBeChanged",	//829
    "urlAboutToBeChanged#",	//830
    "urlChanged",	//831
    "urlChanged#",	//832
    "urlEntered",	//833
    "urlEntered#",	//834
    "urlsDropped",	//835
    "urlsDropped##",	//836
    "urlsDropped###",	//837
    "urlsDropped?#",	//838
    "verticalOffset",	//839
    "verticalScrollbarAction",	//840
    "verticalScrollbarValueChanged",	//841
    "view",	//842
    "viewChanged",	//843
    "viewChanged#",	//844
    "viewConfigGroup",	//845
    "viewOptions",	//846
    "viewportEvent",	//847
    "virtual_hook",	//848
    "virtual_hook$$",	//849
    "visualRect",	//850
    "visualRegionForSelection",	//851
    "wheelEvent",	//852
    "wheelEvent#",	//853
    "windowActivationChange",	//854
    "writeConfig",	//855
    "writeConfig#",	//856
    "x11Event",	//857
    "~KAbstractFileWidget",	//858
    "~KDirOperator",	//859
    "~KDirSelectDialog",	//860
    "~KDirSortFilterProxyModel",	//861
    "~KFile",	//862
    "~KFileFilterCombo",	//863
    "~KFilePlacesModel",	//864
    "~KFilePlacesView",	//865
    "~KFilePreviewGenerator",	//866
    "~KFileTreeView",	//867
    "~KFileWidget",	//868
    "~KUrlNavigator",	//869
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 625, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 64, 1},	//1 KAbstractFileWidget::selectedUrl() const [pure virtual]
    {2, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 69, 2},	//2 KAbstractFileWidget::selectedUrls() const [pure virtual]
    {2, 243, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 64, 3},	//3 KAbstractFileWidget::baseUrl() const [pure virtual]
    {2, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 4},	//4 KAbstractFileWidget::selectedFile() const [pure virtual]
    {2, 622, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 5},	//5 KAbstractFileWidget::selectedFiles() const [pure virtual]
    {2, 741, 1, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//6 KAbstractFileWidget::setUrl(const KUrl&, bool) [pure virtual]
    {2, 725, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//7 KAbstractFileWidget::setSelection(const QString&) [pure virtual]
    {2, 711, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//8 KAbstractFileWidget::setOperationMode(KAbstractFileWidget::OperationMode) [pure virtual]
    {2, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 3, 9},	//9 KAbstractFileWidget::operationMode() const [pure virtual]
    {2, 691, 8, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//10 KAbstractFileWidget::setKeepLocation(bool) [pure virtual]
    {2, 452, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 379, 11},	//11 KAbstractFileWidget::keepsLocation() const [pure virtual]
    {2, 676, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//12 KAbstractFileWidget::setFilter(const QString&) [pure virtual]
    {2, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 13},	//13 KAbstractFileWidget::currentFilter() const [pure virtual]
    {2, 281, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 58, 14},	//14 KAbstractFileWidget::currentFilterMimeType() [pure virtual]
    {2, 698, 10, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//15 KAbstractFileWidget::setMimeFilter(const QStringList&, const QString&) [pure virtual]
    {2, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 16},	//16 KAbstractFileWidget::currentMimeFilter() const [pure virtual]
    {2, 256, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//17 KAbstractFileWidget::clearFilter() [pure virtual]
    {2, 720, 13, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 18},	//18 KAbstractFileWidget::setPreviewWidget(KPreviewWidgetBase*) [pure virtual]
    {2, 701, 15, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//19 KAbstractFileWidget::setMode(QFlags<KFile::Mode>) [pure virtual]
    {2, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 20},	//20 KAbstractFileWidget::mode() const [pure virtual]
    {2, 694, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//21 KAbstractFileWidget::setLocationLabel(const QString&) [pure virtual]
    {2, 800, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 63, 22},	//22 KAbstractFileWidget::toolBar() const [pure virtual]
    {2, 498, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 23},	//23 KAbstractFileWidget::okButton() const [pure virtual]
    {2, 249, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 24},	//24 KAbstractFileWidget::cancelButton() const [pure virtual]
    {2, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 25},	//25 KAbstractFileWidget::locationEdit() const [pure virtual]
    {2, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 26},	//26 KAbstractFileWidget::filterWidget() const [pure virtual]
    {2, 231, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 27},	//27 KAbstractFileWidget::actionCollection() const [pure virtual]
    {2, 656, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//28 KAbstractFileWidget::setCustomWidget(QWidget*) [pure virtual]
    {2, 656, 19, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//29 KAbstractFileWidget::setCustomWidget(const QString&, QWidget*) [pure virtual]
    {2, 772, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//30 KAbstractFileWidget::slotOk() [pure virtual]
    {2, 229, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 31},	//31 KAbstractFileWidget::accept() [pure virtual]
    {2, 769, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//32 KAbstractFileWidget::slotCancel() [pure virtual]
    {2, 848, 22, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//33 KAbstractFileWidget::virtual_hook(int, void*) [pure virtual]
    {2, 641, 8, 1, 0, 0, 34},	//34 KAbstractFileWidget::setConfirmOverwrite(bool)
    {2, 686, 8, 1, 0, 0, 35},	//35 KAbstractFileWidget::setInlinePreviewShown(bool)
    {2, 70, 0, 0, Smoke::mf_ctor, 2, 36},	//36 KAbstractFileWidget::KAbstractFileWidget()
    {2, 70, 25, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 37},	//37 KAbstractFileWidget::KAbstractFileWidget(const KAbstractFileWidget&)
    {2, 741, 27, 1, 0, 0, 38},	//38 KAbstractFileWidget::setUrl(const KUrl&)
    {2, 698, 29, 1, 0, 0, 39},	//39 KAbstractFileWidget::setMimeFilter(const QStringList&)
    {2, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 40},	//40 KAbstractFileWidget::Other (enum)
    {2, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 41},	//41 KAbstractFileWidget::Opening (enum)
    {2, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 42},	//42 KAbstractFileWidget::Saving (enum)
    {2, 858, 0, 0, Smoke::mf_dtor, 0, 43 },	//43 KAbstractFileWidget::~KAbstractFileWidget()
    {6, 773, 31, 2, Smoke::mf_virtual, 0, 0},	//44 KCategorizedSortFilterProxyModel::sort(int, Qt::SortOrder)
    {6, 460, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//45 KCategorizedSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {6, 266, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//46 KCategorizedSortFilterProxyModel::compareCategories(const QModelIndex&, const QModelIndex&) const
    {8, 633, 8, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//47 KComboBox::setAutoCompletion(bool)
    {8, 643, 8, 1, Smoke::mf_virtual, 0, 0},	//48 KComboBox::setContextMenuEnabled(bool)
    {8, 693, 37, 1, Smoke::mf_virtual, 0, 0},	//49 KComboBox::setLineEdit(QLineEdit*)
    {8, 638, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 KComboBox::setCompletedText(const QString&)
    {8, 637, 39, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//51 KComboBox::setCompletedItems(const QStringList&, bool)
    {8, 467, 4, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//52 KComboBox::makeCompletion(const QString&)
    {8, 638, 42, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 KComboBox::setCompletedText(const QString&, bool)
    {8, 275, 45, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 KComboBox::create(unsigned long, bool, bool)
    {8, 852, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 KComboBox::wheelEvent(QWheelEvent*)
    {8, 482, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//56 KComboBox::minimumSizeHint() const
    {10, 640, 51, 2, Smoke::mf_virtual, 0, 0},	//57 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {10, 679, 8, 1, Smoke::mf_virtual, 0, 0},	//58 KCompletionBase::setHandleSignals(bool)
    {10, 639, 54, 1, Smoke::mf_virtual, 0, 0},	//59 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {10, 848, 22, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 KCompletionBase::virtual_hook(int, void*)
    {13, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//61 KDialog::sizeHint() const
    {13, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//62 KDialog::minimumSizeHint() const
    {13, 636, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//63 KDialog::setCaption(const QString&)
    {13, 636, 42, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//64 KDialog::setCaption(const QString&, bool)
    {13, 717, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//65 KDialog::setPlainCaption(const QString&)
    {13, 260, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 KDialog::closeEvent(QCloseEvent*)
    {13, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 KDialog::keyPressEvent(QKeyEvent*)
    {13, 768, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//68 KDialog::slotButtonClicked(int)
    {13, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 9},	//69 KDialog::None (enum)
    {13, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 10},	//70 KDialog::Help (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 11},	//71 KDialog::Default (enum)
    {13, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 12},	//72 KDialog::Ok (enum)
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 13},	//73 KDialog::Apply (enum)
    {13, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//74 KDialog::Try (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//75 KDialog::Cancel (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//76 KDialog::Close (enum)
    {13, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//77 KDialog::No (enum)
    {13, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 18},	//78 KDialog::Yes (enum)
    {13, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 19},	//79 KDialog::Reset (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 20},	//80 KDialog::Details (enum)
    {13, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 21},	//81 KDialog::User1 (enum)
    {13, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 22},	//82 KDialog::User2 (enum)
    {13, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 23},	//83 KDialog::User3 (enum)
    {13, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 24},	//84 KDialog::NoDefault (enum)
    {13, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 25},	//85 KDialog::NoCaptionFlags (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 26},	//86 KDialog::AppNameCaption (enum)
    {13, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 27},	//87 KDialog::ModifiedCaption (enum)
    {13, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//88 KDialog::HIGCompliantCaption (enum)
    {15, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//89 KDirOperator::metaObject() const
    {15, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//90 KDirOperator::qt_metacast(const char*)
    {15, 801, 64, 2, Smoke::mf_static, 240, 3},	//91 KDirOperator::tr(const char*, const char*)
    {15, 805, 64, 2, Smoke::mf_static, 240, 4},	//92 KDirOperator::trUtf8(const char*, const char*)
    {15, 801, 67, 3, Smoke::mf_static, 240, 5},	//93 KDirOperator::tr(const char*, const char*, int)
    {15, 805, 67, 3, Smoke::mf_static, 240, 6},	//94 KDirOperator::trUtf8(const char*, const char*, int)
    {15, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//95 KDirOperator::qt_metacall(QMetaObject::Call, int, void**)
    {15, 72, 75, 2, Smoke::mf_ctor, 19, 8},	//96 KDirOperator::KDirOperator(const KUrl&, QWidget*)
    {15, 732, 8, 1, Smoke::mf_virtual, 0, 9},	//97 KDirOperator::setShowHiddenFiles(bool)
    {15, 762, 0, 0, Smoke::mf_const, 379, 10},	//98 KDirOperator::showHiddenFiles() const
    {15, 258, 0, 0, 0, 0, 11},	//99 KDirOperator::close()
    {15, 705, 4, 1, 0, 0, 12},	//100 KDirOperator::setNameFilter(const QString&)
    {15, 494, 0, 0, Smoke::mf_const, 240, 13},	//101 KDirOperator::nameFilter() const
    {15, 698, 29, 1, 0, 0, 14},	//102 KDirOperator::setMimeFilter(const QStringList&)
    {15, 480, 0, 0, Smoke::mf_const, 245, 15},	//103 KDirOperator::mimeFilter() const
    {15, 707, 29, 1, 0, 0, 16},	//104 KDirOperator::setNewFileMenuSupportedMimeTypes(const QStringList&)
    {15, 495, 0, 0, Smoke::mf_const, 245, 17},	//105 KDirOperator::newFileMenuSupportedMimeTypes() const
    {15, 256, 0, 0, 0, 0, 18},	//106 KDirOperator::clearFilter()
    {15, 826, 0, 0, Smoke::mf_const, 64, 19},	//107 KDirOperator::url() const
    {15, 741, 1, 2, Smoke::mf_virtual, 0, 20},	//108 KDirOperator::setUrl(const KUrl&, bool)
    {15, 646, 4, 1, 0, 0, 21},	//109 KDirOperator::setCurrentItem(const QString&)
    {15, 646, 78, 1, 0, 0, 22},	//110 KDirOperator::setCurrentItem(const KFileItem&)
    {15, 649, 29, 1, 0, 0, 23},	//111 KDirOperator::setCurrentItems(const QStringList&)
    {15, 649, 80, 1, 0, 0, 24},	//112 KDirOperator::setCurrentItems(const KFileItemList&)
    {15, 746, 82, 1, Smoke::mf_virtual, 0, 25},	//113 KDirOperator::setView(QAbstractItemView*)
    {15, 842, 0, 0, Smoke::mf_const, 76, 26},	//114 KDirOperator::view() const
    {15, 746, 84, 1, Smoke::mf_virtual, 0, 27},	//115 KDirOperator::setView(KFile::FileView)
    {15, 736, 86, 1, 0, 0, 28},	//116 KDirOperator::setSorting(QFlags<QDir::SortFlag>)
    {15, 780, 0, 0, Smoke::mf_const, 139, 29},	//117 KDirOperator::sorting() const
    {15, 428, 0, 0, Smoke::mf_const, 379, 30},	//118 KDirOperator::isRoot() const
    {15, 307, 0, 0, Smoke::mf_const, 17, 31},	//119 KDirOperator::dirLister() const
    {15, 569, 0, 0, Smoke::mf_const, 226, 32},	//120 KDirOperator::progressBar() const
    {15, 701, 15, 1, Smoke::mf_virtual, 0, 33},	//121 KDirOperator::setMode(QFlags<KFile::Mode>)
    {15, 486, 0, 0, Smoke::mf_const, 122, 34},	//122 KDirOperator::mode() const
    {15, 720, 13, 1, Smoke::mf_virtual, 0, 35},	//123 KDirOperator::setPreviewWidget(KPreviewWidgetBase*)
    {15, 624, 0, 0, Smoke::mf_const, 30, 36},	//124 KDirOperator::selectedItems() const
    {15, 430, 78, 1, Smoke::mf_const, 379, 37},	//125 KDirOperator::isSelected(const KFileItem&) const
    {15, 496, 0, 0, Smoke::mf_const, 468, 38},	//126 KDirOperator::numDirs() const
    {15, 497, 0, 0, Smoke::mf_const, 468, 39},	//127 KDirOperator::numFiles() const
    {15, 269, 0, 0, Smoke::mf_const, 9, 40},	//128 KDirOperator::completionObject() const
    {15, 305, 0, 0, Smoke::mf_const, 9, 41},	//129 KDirOperator::dirCompletionObject() const
    {15, 231, 0, 0, Smoke::mf_const, 6, 42},	//130 KDirOperator::actionCollection() const
    {15, 749, 88, 1, Smoke::mf_virtual, 0, 43},	//131 KDirOperator::setViewConfig(KConfigGroup&)
    {15, 845, 0, 0, Smoke::mf_const, 14, 44},	//132 KDirOperator::viewConfigGroup() const
    {15, 574, 90, 1, Smoke::mf_virtual, 0, 45},	//133 KDirOperator::readConfig(const KConfigGroup&)
    {15, 855, 88, 1, Smoke::mf_virtual, 0, 46},	//134 KDirOperator::writeConfig(KConfigGroup&)
    {15, 709, 8, 1, 0, 0, 47},	//135 KDirOperator::setOnlyDoubleClickSelectsFiles(bool)
    {15, 499, 0, 0, Smoke::mf_const, 379, 48},	//136 KDirOperator::onlyDoubleClickSelectsFiles() const
    {15, 483, 42, 2, Smoke::mf_virtual, 379, 49},	//137 KDirOperator::mkdir(const QString&, bool)
    {15, 294, 92, 4, Smoke::mf_virtual, 45, 50},	//138 KDirOperator::del(const KFileItemList&, QWidget*, bool, bool)
    {15, 257, 0, 0, 0, 0, 51},	//139 KDirOperator::clearHistory()
    {15, 672, 8, 1, Smoke::mf_virtual, 0, 52},	//140 KDirOperator::setEnableDirHighlighting(bool)
    {15, 306, 0, 0, Smoke::mf_const, 379, 53},	//141 KDirOperator::dirHighlighting() const
    {15, 308, 0, 0, Smoke::mf_const, 379, 54},	//142 KDirOperator::dirOnlyMode() const
    {15, 308, 97, 1, Smoke::mf_static, 379, 55},	//143 KDirOperator::dirOnlyMode(unsigned int)
    {15, 755, 60, 1, 0, 0, 56},	//144 KDirOperator::setupMenu(int)
    {15, 629, 8, 1, Smoke::mf_virtual, 0, 57},	//145 KDirOperator::setAcceptDrops(bool)
    {15, 670, 60, 1, Smoke::mf_virtual, 0, 58},	//146 KDirOperator::setDropOptions(int)
    {15, 809, 92, 4, Smoke::mf_virtual, 44, 59},	//147 KDirOperator::trash(const KFileItemList&, QWidget*, bool, bool)
    {15, 568, 0, 0, Smoke::mf_const, 35, 60},	//148 KDirOperator::previewGenerator() const
    {15, 686, 8, 1, 0, 0, 61},	//149 KDirOperator::setInlinePreviewShown(bool)
    {15, 292, 0, 0, Smoke::mf_const, 257, 62},	//150 KDirOperator::decorationPosition() const
    {15, 660, 99, 1, 0, 0, 63},	//151 KDirOperator::setDecorationPosition(QStyleOptionViewItem::Position)
    {15, 420, 0, 0, Smoke::mf_const, 379, 64},	//152 KDirOperator::isInlinePreviewShown() const
    {15, 397, 0, 0, Smoke::mf_const, 468, 65},	//153 KDirOperator::iconsZoom() const
    {15, 688, 8, 1, 0, 0, 66},	//154 KDirOperator::setIsSaving(bool)
    {15, 429, 0, 0, Smoke::mf_const, 379, 67},	//155 KDirOperator::isSaving() const
    {15, 276, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 76, 68},	//156 KDirOperator::createView(QWidget*, KFile::FileView)
    {15, 664, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//157 KDirOperator::setDirLister(KDirLister*)
    {15, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//158 KDirOperator::resizeEvent(QResizeEvent*)
    {15, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//159 KDirOperator::keyPressEvent(QKeyEvent*)
    {15, 752, 0, 0, Smoke::mf_protected, 0, 72},	//160 KDirOperator::setupActions()
    {15, 824, 0, 0, Smoke::mf_protected, 0, 73},	//161 KDirOperator::updateSortActions()
    {15, 825, 0, 0, Smoke::mf_protected, 0, 74},	//162 KDirOperator::updateViewActions()
    {15, 755, 0, 0, Smoke::mf_protected, 0, 75},	//163 KDirOperator::setupMenu()
    {15, 567, 0, 0, Smoke::mf_protected, 0, 76},	//164 KDirOperator::prepareCompletionObjects()
    {15, 254, 0, 0, Smoke::mf_protected, 379, 77},	//165 KDirOperator::checkPreviewSupport()
    {15, 235, 108, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 78},	//166 KDirOperator::activatedMenu(const KFileItem&, const QPoint&)
    {15, 252, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//167 KDirOperator::changeEvent(QEvent*)
    {15, 345, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 80},	//168 KDirOperator::eventFilter(QObject*, QEvent*)
    {15, 242, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 81},	//169 KDirOperator::back()
    {15, 367, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 82},	//170 KDirOperator::forward()
    {15, 390, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 83},	//171 KDirOperator::home()
    {15, 251, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 84},	//172 KDirOperator::cdUp()
    {15, 815, 0, 0, Smoke::mf_slot, 0, 85},	//173 KDirOperator::updateDir()
    {15, 588, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 86},	//174 KDirOperator::rereadDir()
    {15, 483, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 87},	//175 KDirOperator::mkdir()
    {15, 299, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 88},	//176 KDirOperator::deleteSelected()
    {15, 823, 0, 0, Smoke::mf_slot, 0, 89},	//177 KDirOperator::updateSelectionDependentActions()
    {15, 467, 4, 1, Smoke::mf_slot, 240, 90},	//178 KDirOperator::makeCompletion(const QString&)
    {15, 469, 4, 1, Smoke::mf_slot, 240, 91},	//179 KDirOperator::makeDirCompletion(const QString&)
    {15, 813, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//180 KDirOperator::trashSelected()
    {15, 684, 60, 1, Smoke::mf_slot, 0, 93},	//181 KDirOperator::setIconsZoom(int)
    {15, 590, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 94},	//182 KDirOperator::resetCursor()
    {15, 564, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 95},	//183 KDirOperator::pathChanged()
    {15, 612, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 96},	//184 KDirOperator::selectDir(const KFileItem&)
    {15, 619, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 97},	//185 KDirOperator::selectFile(const KFileItem&)
    {15, 383, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 98},	//186 KDirOperator::highlightFile(const KFileItem&)
    {15, 775, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 99},	//187 KDirOperator::sortByName()
    {15, 776, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 100},	//188 KDirOperator::sortBySize()
    {15, 774, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 101},	//189 KDirOperator::sortByDate()
    {15, 777, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 102},	//190 KDirOperator::sortByType()
    {15, 779, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 103},	//191 KDirOperator::sortReversed()
    {15, 798, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 104},	//192 KDirOperator::toggleDirsFirst()
    {15, 799, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 105},	//193 KDirOperator::toggleIgnoreCase()
    {15, 770, 4, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 106},	//194 KDirOperator::slotCompletionMatch(const QString&)
    {15, 833, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//195 KDirOperator::urlEntered(const KUrl&)
    {15, 820, 116, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//196 KDirOperator::updateInformation(int, int)
    {15, 267, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//197 KDirOperator::completion(const QString&)
    {15, 360, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//198 KDirOperator::finishedLoading()
    {15, 843, 82, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//199 KDirOperator::viewChanged(QAbstractItemView*)
    {15, 348, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//200 KDirOperator::fileHighlighted(const KFileItem&)
    {15, 303, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//201 KDirOperator::dirActivated(const KFileItem&)
    {15, 351, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//202 KDirOperator::fileSelected(const KFileItem&)
    {15, 326, 119, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//203 KDirOperator::dropped(const KFileItem&, QDropEvent*, const KUrl::List&)
    {15, 271, 123, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//204 KDirOperator::contextMenuAboutToShow(const KFileItem&, QMenu*)
    {15, 282, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//205 KDirOperator::currentIconSizeChanged(int)
    {15, 801, 62, 1, Smoke::mf_static, 240, 118},	//206 KDirOperator::tr(const char*)
    {15, 805, 62, 1, Smoke::mf_static, 240, 119},	//207 KDirOperator::trUtf8(const char*)
    {15, 72, 0, 0, Smoke::mf_ctor, 19, 120},	//208 KDirOperator::KDirOperator()
    {15, 72, 27, 1, Smoke::mf_ctor, 19, 121},	//209 KDirOperator::KDirOperator(const KUrl&)
    {15, 483, 4, 1, 0, 379, 122},	//210 KDirOperator::mkdir(const QString&)
    {15, 294, 80, 1, 0, 45, 123},	//211 KDirOperator::del(const KFileItemList&)
    {15, 294, 126, 2, 0, 45, 124},	//212 KDirOperator::del(const KFileItemList&, QWidget*)
    {15, 294, 129, 3, 0, 45, 125},	//213 KDirOperator::del(const KFileItemList&, QWidget*, bool)
    {15, 809, 126, 2, 0, 44, 126},	//214 KDirOperator::trash(const KFileItemList&, QWidget*)
    {15, 809, 129, 3, 0, 44, 127},	//215 KDirOperator::trash(const KFileItemList&, QWidget*, bool)
    {15, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 128},	//216 KDirOperator::staticMetaObject() const
    {15, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 129},	//217 KDirOperator::SortActions (enum)
    {15, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 130},	//218 KDirOperator::ViewActions (enum)
    {15, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 131},	//219 KDirOperator::NavActions (enum)
    {15, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 132},	//220 KDirOperator::FileActions (enum)
    {15, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 133},	//221 KDirOperator::AllActions (enum)
    {15, 859, 0, 0, Smoke::mf_dtor, 0, 134 },	//222 KDirOperator::~KDirOperator()
    {16, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//223 KDirSelectDialog::metaObject() const
    {16, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//224 KDirSelectDialog::qt_metacast(const char*)
    {16, 801, 64, 2, Smoke::mf_static, 240, 3},	//225 KDirSelectDialog::tr(const char*, const char*)
    {16, 805, 64, 2, Smoke::mf_static, 240, 4},	//226 KDirSelectDialog::trUtf8(const char*, const char*)
    {16, 801, 67, 3, Smoke::mf_static, 240, 5},	//227 KDirSelectDialog::tr(const char*, const char*, int)
    {16, 805, 67, 3, Smoke::mf_static, 240, 6},	//228 KDirSelectDialog::trUtf8(const char*, const char*, int)
    {16, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//229 KDirSelectDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 75, 133, 3, Smoke::mf_ctor, 21, 8},	//230 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool, QWidget*)
    {16, 826, 0, 0, Smoke::mf_const, 64, 9},	//231 KDirSelectDialog::url() const
    {16, 842, 0, 0, Smoke::mf_const, 76, 10},	//232 KDirSelectDialog::view() const
    {16, 461, 0, 0, Smoke::mf_const, 379, 11},	//233 KDirSelectDialog::localOnly() const
    {16, 614, 137, 4, Smoke::mf_static, 64, 12},	//234 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*, const QString&)
    {16, 782, 0, 0, Smoke::mf_const, 64, 13},	//235 KDirSelectDialog::startDir() const
    {16, 652, 27, 1, Smoke::mf_slot, 0, 14},	//236 KDirSelectDialog::setCurrentUrl(const KUrl&)
    {16, 229, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//237 KDirSelectDialog::accept()
    {16, 380, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//238 KDirSelectDialog::hideEvent(QHideEvent*)
    {16, 801, 62, 1, Smoke::mf_static, 240, 17},	//239 KDirSelectDialog::tr(const char*)
    {16, 805, 62, 1, Smoke::mf_static, 240, 18},	//240 KDirSelectDialog::trUtf8(const char*)
    {16, 75, 0, 0, Smoke::mf_ctor, 21, 19},	//241 KDirSelectDialog::KDirSelectDialog()
    {16, 75, 27, 1, Smoke::mf_ctor, 21, 20},	//242 KDirSelectDialog::KDirSelectDialog(const KUrl&)
    {16, 75, 1, 2, Smoke::mf_ctor, 21, 21},	//243 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool)
    {16, 614, 0, 0, Smoke::mf_static, 64, 22},	//244 KDirSelectDialog::selectDirectory()
    {16, 614, 27, 1, Smoke::mf_static, 64, 23},	//245 KDirSelectDialog::selectDirectory(const KUrl&)
    {16, 614, 1, 2, Smoke::mf_static, 64, 24},	//246 KDirSelectDialog::selectDirectory(const KUrl&, bool)
    {16, 614, 133, 3, Smoke::mf_static, 64, 25},	//247 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*)
    {16, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 26},	//248 KDirSelectDialog::staticMetaObject() const
    {16, 860, 0, 0, Smoke::mf_dtor, 0, 27 },	//249 KDirSelectDialog::~KDirSelectDialog()
    {17, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//250 KDirSortFilterProxyModel::metaObject() const
    {17, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//251 KDirSortFilterProxyModel::qt_metacast(const char*)
    {17, 801, 64, 2, Smoke::mf_static, 240, 3},	//252 KDirSortFilterProxyModel::tr(const char*, const char*)
    {17, 805, 64, 2, Smoke::mf_static, 240, 4},	//253 KDirSortFilterProxyModel::trUtf8(const char*, const char*)
    {17, 801, 67, 3, Smoke::mf_static, 240, 5},	//254 KDirSortFilterProxyModel::tr(const char*, const char*, int)
    {17, 805, 67, 3, Smoke::mf_static, 240, 6},	//255 KDirSortFilterProxyModel::trUtf8(const char*, const char*, int)
    {17, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//256 KDirSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 79, 144, 1, Smoke::mf_ctor, 22, 8},	//257 KDirSortFilterProxyModel::KDirSortFilterProxyModel(QObject*)
    {17, 375, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 9},	//258 KDirSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {17, 247, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 10},	//259 KDirSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {17, 565, 148, 1, Smoke::mf_static, 468, 11},	//260 KDirSortFilterProxyModel::pointsForPermissions(const QFileInfo&)
    {17, 734, 8, 1, 0, 0, 12},	//261 KDirSortFilterProxyModel::setSortFoldersFirst(bool)
    {17, 778, 0, 0, Smoke::mf_const, 379, 13},	//262 KDirSortFilterProxyModel::sortFoldersFirst() const
    {17, 786, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 14},	//263 KDirSortFilterProxyModel::subSortLessThan(const QModelIndex&, const QModelIndex&) const
    {17, 801, 62, 1, Smoke::mf_static, 240, 15},	//264 KDirSortFilterProxyModel::tr(const char*)
    {17, 805, 62, 1, Smoke::mf_static, 240, 16},	//265 KDirSortFilterProxyModel::trUtf8(const char*)
    {17, 79, 0, 0, Smoke::mf_ctor, 22, 17},	//266 KDirSortFilterProxyModel::KDirSortFilterProxyModel()
    {17, 375, 0, 0, Smoke::mf_const, 379, 18},	//267 KDirSortFilterProxyModel::hasChildren() const
    {17, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 19},	//268 KDirSortFilterProxyModel::staticMetaObject() const
    {17, 861, 0, 0, Smoke::mf_dtor, 0, 20 },	//269 KDirSortFilterProxyModel::~KDirSortFilterProxyModel()
    {18, 438, 150, 1, Smoke::mf_static, 379, 1},	//270 KFile::isSortByName(const QFlags<QDir::SortFlag>&)
    {18, 440, 150, 1, Smoke::mf_static, 379, 2},	//271 KFile::isSortBySize(const QFlags<QDir::SortFlag>&)
    {18, 436, 150, 1, Smoke::mf_static, 379, 3},	//272 KFile::isSortByDate(const QFlags<QDir::SortFlag>&)
    {18, 442, 150, 1, Smoke::mf_static, 379, 4},	//273 KFile::isSortByType(const QFlags<QDir::SortFlag>&)
    {18, 446, 150, 1, Smoke::mf_static, 379, 5},	//274 KFile::isSortDirsFirst(const QFlags<QDir::SortFlag>&)
    {18, 444, 150, 1, Smoke::mf_static, 379, 6},	//275 KFile::isSortCaseInsensitive(const QFlags<QDir::SortFlag>&)
    {18, 408, 152, 1, Smoke::mf_static, 379, 7},	//276 KFile::isDefaultView(const KFile::FileView&)
    {18, 434, 152, 1, Smoke::mf_static, 379, 8},	//277 KFile::isSimpleView(const KFile::FileView&)
    {18, 412, 152, 1, Smoke::mf_static, 379, 9},	//278 KFile::isDetailView(const KFile::FileView&)
    {18, 432, 152, 1, Smoke::mf_static, 379, 10},	//279 KFile::isSeparateDirs(const KFile::FileView&)
    {18, 423, 152, 1, Smoke::mf_static, 379, 11},	//280 KFile::isPreviewContents(const KFile::FileView&)
    {18, 425, 152, 1, Smoke::mf_static, 379, 12},	//281 KFile::isPreviewInfo(const KFile::FileView&)
    {18, 448, 152, 1, Smoke::mf_static, 379, 13},	//282 KFile::isTreeView(const KFile::FileView&)
    {18, 410, 152, 1, Smoke::mf_static, 379, 14},	//283 KFile::isDetailTreeView(const KFile::FileView&)
    {18, 81, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 15},	//284 KFile::KFile(const KFile&)
    {18, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 16},	//285 KFile::staticMetaObject() const
    {18, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 17},	//286 KFile::File (enum)
    {18, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 18},	//287 KFile::Directory (enum)
    {18, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 19},	//288 KFile::Files (enum)
    {18, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 20},	//289 KFile::ExistingOnly (enum)
    {18, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//290 KFile::LocalOnly (enum)
    {18, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//291 KFile::ModeMax (enum)
    {18, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 23},	//292 KFile::Default (enum)
    {18, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 24},	//293 KFile::Simple (enum)
    {18, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 25},	//294 KFile::Detail (enum)
    {18, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 26},	//295 KFile::SeparateDirs (enum)
    {18, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 27},	//296 KFile::PreviewContents (enum)
    {18, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 28},	//297 KFile::PreviewInfo (enum)
    {18, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 29},	//298 KFile::Tree (enum)
    {18, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//299 KFile::DetailTree (enum)
    {18, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//300 KFile::FileViewMax (enum)
    {18, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//301 KFile::Single (enum)
    {18, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 33},	//302 KFile::Multi (enum)
    {18, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 34},	//303 KFile::Extended (enum)
    {18, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 35},	//304 KFile::NoSelection (enum)
    {18, 862, 0, 0, Smoke::mf_dtor, 0, 36 },	//305 KFile::~KFile()
    {19, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//306 KFileFilterCombo::metaObject() const
    {19, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//307 KFileFilterCombo::qt_metacast(const char*)
    {19, 801, 64, 2, Smoke::mf_static, 240, 3},	//308 KFileFilterCombo::tr(const char*, const char*)
    {19, 805, 64, 2, Smoke::mf_static, 240, 4},	//309 KFileFilterCombo::trUtf8(const char*, const char*)
    {19, 801, 67, 3, Smoke::mf_static, 240, 5},	//310 KFileFilterCombo::tr(const char*, const char*, int)
    {19, 805, 67, 3, Smoke::mf_static, 240, 6},	//311 KFileFilterCombo::trUtf8(const char*, const char*, int)
    {19, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//312 KFileFilterCombo::qt_metacall(QMetaObject::Call, int, void**)
    {19, 83, 17, 1, Smoke::mf_ctor, 27, 8},	//313 KFileFilterCombo::KFileFilterCombo(QWidget*)
    {19, 676, 4, 1, 0, 0, 9},	//314 KFileFilterCombo::setFilter(const QString&)
    {19, 280, 0, 0, Smoke::mf_const, 240, 10},	//315 KFileFilterCombo::currentFilter() const
    {19, 644, 4, 1, 0, 0, 11},	//316 KFileFilterCombo::setCurrentFilter(const QString&)
    {19, 698, 10, 2, 0, 0, 12},	//317 KFileFilterCombo::setMimeFilter(const QStringList&, const QString&)
    {19, 764, 0, 0, Smoke::mf_const, 379, 13},	//318 KFileFilterCombo::showsAllTypes() const
    {19, 662, 4, 1, 0, 0, 14},	//319 KFileFilterCombo::setDefaultFilter(const QString&)
    {19, 293, 0, 0, Smoke::mf_const, 240, 15},	//320 KFileFilterCombo::defaultFilter() const
    {19, 359, 0, 0, Smoke::mf_const, 245, 16},	//321 KFileFilterCombo::filters() const
    {19, 421, 0, 0, Smoke::mf_const, 379, 17},	//322 KFileFilterCombo::isMimeFilter() const
    {19, 345, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 18},	//323 KFileFilterCombo::eventFilter(QObject*, QEvent*)
    {19, 356, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//324 KFileFilterCombo::filterChanged()
    {19, 801, 62, 1, Smoke::mf_static, 240, 20},	//325 KFileFilterCombo::tr(const char*)
    {19, 805, 62, 1, Smoke::mf_static, 240, 21},	//326 KFileFilterCombo::trUtf8(const char*)
    {19, 83, 0, 0, Smoke::mf_ctor, 27, 22},	//327 KFileFilterCombo::KFileFilterCombo()
    {19, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 23},	//328 KFileFilterCombo::staticMetaObject() const
    {19, 863, 0, 0, Smoke::mf_dtor, 0, 24 },	//329 KFileFilterCombo::~KFileFilterCombo()
    {22, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//330 KFilePlacesModel::metaObject() const
    {22, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//331 KFilePlacesModel::qt_metacast(const char*)
    {22, 801, 64, 2, Smoke::mf_static, 240, 3},	//332 KFilePlacesModel::tr(const char*, const char*)
    {22, 805, 64, 2, Smoke::mf_static, 240, 4},	//333 KFilePlacesModel::trUtf8(const char*, const char*)
    {22, 801, 67, 3, Smoke::mf_static, 240, 5},	//334 KFilePlacesModel::tr(const char*, const char*, int)
    {22, 805, 67, 3, Smoke::mf_static, 240, 6},	//335 KFilePlacesModel::trUtf8(const char*, const char*, int)
    {22, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//336 KFilePlacesModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 85, 144, 1, Smoke::mf_ctor, 32, 8},	//337 KFilePlacesModel::KFilePlacesModel(QObject*)
    {22, 826, 146, 1, Smoke::mf_const, 64, 9},	//338 KFilePlacesModel::url(const QModelIndex&) const
    {22, 757, 146, 1, Smoke::mf_const, 379, 10},	//339 KFilePlacesModel::setupNeeded(const QModelIndex&) const
    {22, 395, 146, 1, Smoke::mf_const, 48, 11},	//340 KFilePlacesModel::icon(const QModelIndex&) const
    {22, 795, 146, 1, Smoke::mf_const, 240, 12},	//341 KFilePlacesModel::text(const QModelIndex&) const
    {22, 417, 146, 1, Smoke::mf_const, 379, 13},	//342 KFilePlacesModel::isHidden(const QModelIndex&) const
    {22, 414, 146, 1, Smoke::mf_const, 379, 14},	//343 KFilePlacesModel::isDevice(const QModelIndex&) const
    {22, 301, 146, 1, Smoke::mf_const, 374, 15},	//344 KFilePlacesModel::deviceForIndex(const QModelIndex&) const
    {22, 244, 146, 1, Smoke::mf_const, 7, 16},	//345 KFilePlacesModel::bookmarkForIndex(const QModelIndex&) const
    {22, 793, 146, 1, Smoke::mf_const, 82, 17},	//346 KFilePlacesModel::teardownActionForIndex(const QModelIndex&) const
    {22, 337, 146, 1, Smoke::mf_const, 82, 18},	//347 KFilePlacesModel::ejectActionForIndex(const QModelIndex&) const
    {22, 586, 146, 1, 0, 0, 19},	//348 KFilePlacesModel::requestTeardown(const QModelIndex&)
    {22, 582, 146, 1, 0, 0, 20},	//349 KFilePlacesModel::requestEject(const QModelIndex&)
    {22, 584, 146, 1, 0, 0, 21},	//350 KFilePlacesModel::requestSetup(const QModelIndex&)
    {22, 237, 156, 4, 0, 0, 22},	//351 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&)
    {22, 237, 161, 5, 0, 0, 23},	//352 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&, const QModelIndex&)
    {22, 329, 167, 5, 0, 0, 24},	//353 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&)
    {22, 578, 146, 1, Smoke::mf_const, 0, 25},	//354 KFilePlacesModel::removePlace(const QModelIndex&) const
    {22, 713, 173, 2, 0, 0, 26},	//355 KFilePlacesModel::setPlaceHidden(const QModelIndex&, bool)
    {22, 379, 0, 0, Smoke::mf_const, 468, 27},	//356 KFilePlacesModel::hiddenCount() const
    {22, 288, 176, 2, Smoke::mf_const|Smoke::mf_virtual, 273, 28},	//357 KFilePlacesModel::data(const QModelIndex&, int) const
    {22, 398, 179, 3, Smoke::mf_const|Smoke::mf_virtual, 205, 29},	//358 KFilePlacesModel::index(int, int, const QModelIndex&) const
    {22, 562, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 30},	//359 KFilePlacesModel::parent(const QModelIndex&) const
    {22, 596, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 31},	//360 KFilePlacesModel::rowCount(const QModelIndex&) const
    {22, 263, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 32},	//361 KFilePlacesModel::columnCount(const QModelIndex&) const
    {22, 261, 27, 1, Smoke::mf_const, 205, 33},	//362 KFilePlacesModel::closestItem(const KUrl&) const
    {22, 789, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 34},	//363 KFilePlacesModel::supportedDropActions() const
    {22, 361, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 35},	//364 KFilePlacesModel::flags(const QModelIndex&) const
    {22, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 36},	//365 KFilePlacesModel::mimeTypes() const
    {22, 478, 183, 1, Smoke::mf_const|Smoke::mf_virtual, 204, 37},	//366 KFilePlacesModel::mimeData(const QList<QModelIndex>&) const
    {22, 324, 185, 5, Smoke::mf_virtual, 379, 38},	//367 KFilePlacesModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {22, 342, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//368 KFilePlacesModel::errorMessage(const QString&)
    {22, 753, 173, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//369 KFilePlacesModel::setupDone(const QModelIndex&, bool)
    {22, 801, 62, 1, Smoke::mf_static, 240, 41},	//370 KFilePlacesModel::tr(const char*)
    {22, 805, 62, 1, Smoke::mf_static, 240, 42},	//371 KFilePlacesModel::trUtf8(const char*)
    {22, 85, 0, 0, Smoke::mf_ctor, 32, 43},	//372 KFilePlacesModel::KFilePlacesModel()
    {22, 237, 191, 2, 0, 0, 44},	//373 KFilePlacesModel::addPlace(const QString&, const KUrl&)
    {22, 237, 194, 3, 0, 0, 45},	//374 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&)
    {22, 329, 198, 3, 0, 0, 46},	//375 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&)
    {22, 329, 202, 4, 0, 0, 47},	//376 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&)
    {22, 398, 116, 2, Smoke::mf_const, 205, 48},	//377 KFilePlacesModel::index(int, int) const
    {22, 596, 0, 0, Smoke::mf_const, 468, 49},	//378 KFilePlacesModel::rowCount() const
    {22, 263, 0, 0, Smoke::mf_const, 468, 50},	//379 KFilePlacesModel::columnCount() const
    {22, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 51},	//380 KFilePlacesModel::staticMetaObject() const
    {22, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 52},	//381 KFilePlacesModel::UrlRole (enum)
    {22, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 53},	//382 KFilePlacesModel::HiddenRole (enum)
    {22, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 54},	//383 KFilePlacesModel::SetupNeededRole (enum)
    {22, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 55},	//384 KFilePlacesModel::FixedDeviceRole (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 56},	//385 KFilePlacesModel::CapacityBarRecommendedRole (enum)
    {22, 864, 0, 0, Smoke::mf_dtor, 0, 57 },	//386 KFilePlacesModel::~KFilePlacesModel()
    {23, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//387 KFilePlacesView::metaObject() const
    {23, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//388 KFilePlacesView::qt_metacast(const char*)
    {23, 801, 64, 2, Smoke::mf_static, 240, 3},	//389 KFilePlacesView::tr(const char*, const char*)
    {23, 805, 64, 2, Smoke::mf_static, 240, 4},	//390 KFilePlacesView::trUtf8(const char*, const char*)
    {23, 801, 67, 3, Smoke::mf_static, 240, 5},	//391 KFilePlacesView::tr(const char*, const char*, int)
    {23, 805, 67, 3, Smoke::mf_static, 240, 6},	//392 KFilePlacesView::trUtf8(const char*, const char*, int)
    {23, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//393 KFilePlacesView::qt_metacall(QMetaObject::Call, int, void**)
    {23, 87, 17, 1, Smoke::mf_ctor, 34, 8},	//394 KFilePlacesView::KFilePlacesView(QWidget*)
    {23, 668, 8, 1, 0, 0, 9},	//395 KFilePlacesView::setDropOnPlaceEnabled(bool)
    {23, 416, 0, 0, Smoke::mf_const, 379, 10},	//396 KFilePlacesView::isDropOnPlaceEnabled() const
    {23, 634, 8, 1, 0, 0, 11},	//397 KFilePlacesView::setAutoResizeItemsEnabled(bool)
    {23, 407, 0, 0, Smoke::mf_const, 379, 12},	//398 KFilePlacesView::isAutoResizeItemsEnabled() const
    {23, 741, 27, 1, Smoke::mf_slot, 0, 13},	//399 KFilePlacesView::setUrl(const KUrl&)
    {23, 728, 8, 1, Smoke::mf_slot, 0, 14},	//400 KFilePlacesView::setShowAll(bool)
    {23, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_slot, 235, 15},	//401 KFilePlacesView::sizeHint() const
    {23, 703, 207, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//402 KFilePlacesView::setModel(QAbstractItemModel*)
    {23, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//403 KFilePlacesView::keyPressEvent(QKeyEvent*)
    {23, 273, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//404 KFilePlacesView::contextMenuEvent(QContextMenuEvent*)
    {23, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//405 KFilePlacesView::resizeEvent(QResizeEvent*)
    {23, 759, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//406 KFilePlacesView::showEvent(QShowEvent*)
    {23, 380, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//407 KFilePlacesView::hideEvent(QHideEvent*)
    {23, 314, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//408 KFilePlacesView::dragEnterEvent(QDragEnterEvent*)
    {23, 316, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//409 KFilePlacesView::dragLeaveEvent(QDragLeaveEvent*)
    {23, 318, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//410 KFilePlacesView::dragMoveEvent(QDragMoveEvent*)
    {23, 322, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//411 KFilePlacesView::dropEvent(QDropEvent*)
    {23, 559, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//412 KFilePlacesView::paintEvent(QPaintEvent*)
    {23, 599, 223, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//413 KFilePlacesView::rowsInserted(const QModelIndex&, int, int)
    {23, 290, 34, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//414 KFilePlacesView::dataChanged(const QModelIndex&, const QModelIndex&)
    {23, 831, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//415 KFilePlacesView::urlChanged(const KUrl&)
    {23, 835, 227, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//416 KFilePlacesView::urlsDropped(const KUrl&, QDropEvent*, QWidget*)
    {23, 801, 62, 1, Smoke::mf_static, 240, 31},	//417 KFilePlacesView::tr(const char*)
    {23, 805, 62, 1, Smoke::mf_static, 240, 32},	//418 KFilePlacesView::trUtf8(const char*)
    {23, 87, 0, 0, Smoke::mf_ctor, 34, 33},	//419 KFilePlacesView::KFilePlacesView()
    {23, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 34},	//420 KFilePlacesView::staticMetaObject() const
    {23, 865, 0, 0, Smoke::mf_dtor, 0, 35 },	//421 KFilePlacesView::~KFilePlacesView()
    {24, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//422 KFilePreviewGenerator::metaObject() const
    {24, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//423 KFilePreviewGenerator::qt_metacast(const char*)
    {24, 801, 64, 2, Smoke::mf_static, 240, 3},	//424 KFilePreviewGenerator::tr(const char*, const char*)
    {24, 805, 64, 2, Smoke::mf_static, 240, 4},	//425 KFilePreviewGenerator::trUtf8(const char*, const char*)
    {24, 801, 67, 3, Smoke::mf_static, 240, 5},	//426 KFilePreviewGenerator::tr(const char*, const char*, int)
    {24, 805, 67, 3, Smoke::mf_static, 240, 6},	//427 KFilePreviewGenerator::trUtf8(const char*, const char*, int)
    {24, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//428 KFilePreviewGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {24, 89, 82, 1, Smoke::mf_ctor, 35, 8},	//429 KFilePreviewGenerator::KFilePreviewGenerator(QAbstractItemView*)
    {24, 89, 231, 2, Smoke::mf_ctor, 35, 9},	//430 KFilePreviewGenerator::KFilePreviewGenerator(KAbstractViewAdapter*, QAbstractProxyModel*)
    {24, 718, 8, 1, 0, 0, 10},	//431 KFilePreviewGenerator::setPreviewShown(bool)
    {24, 427, 0, 0, Smoke::mf_const, 379, 11},	//432 KFilePreviewGenerator::isPreviewShown() const
    {24, 822, 0, 0, 0, 0, 12},	//433 KFilePreviewGenerator::updatePreviews()
    {24, 819, 0, 0, 0, 0, 13},	//434 KFilePreviewGenerator::updateIcons()
    {24, 250, 0, 0, 0, 0, 14},	//435 KFilePreviewGenerator::cancelPreviews()
    {24, 674, 29, 1, 0, 0, 15},	//436 KFilePreviewGenerator::setEnabledPlugins(const QStringList&)
    {24, 340, 0, 0, Smoke::mf_const, 245, 16},	//437 KFilePreviewGenerator::enabledPlugins() const
    {24, 801, 62, 1, Smoke::mf_static, 240, 17},	//438 KFilePreviewGenerator::tr(const char*)
    {24, 805, 62, 1, Smoke::mf_static, 240, 18},	//439 KFilePreviewGenerator::trUtf8(const char*)
    {24, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 19},	//440 KFilePreviewGenerator::staticMetaObject() const
    {24, 866, 0, 0, Smoke::mf_dtor, 0, 20 },	//441 KFilePreviewGenerator::~KFilePreviewGenerator()
    {25, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//442 KFileTreeView::metaObject() const
    {25, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//443 KFileTreeView::qt_metacast(const char*)
    {25, 801, 64, 2, Smoke::mf_static, 240, 3},	//444 KFileTreeView::tr(const char*, const char*)
    {25, 805, 64, 2, Smoke::mf_static, 240, 4},	//445 KFileTreeView::trUtf8(const char*, const char*)
    {25, 801, 67, 3, Smoke::mf_static, 240, 5},	//446 KFileTreeView::tr(const char*, const char*, int)
    {25, 805, 67, 3, Smoke::mf_static, 240, 6},	//447 KFileTreeView::trUtf8(const char*, const char*, int)
    {25, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//448 KFileTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {25, 92, 17, 1, Smoke::mf_ctor, 36, 8},	//449 KFileTreeView::KFileTreeView(QWidget*)
    {25, 285, 0, 0, Smoke::mf_const, 64, 9},	//450 KFileTreeView::currentUrl() const
    {25, 625, 0, 0, Smoke::mf_const, 64, 10},	//451 KFileTreeView::selectedUrl() const
    {25, 626, 0, 0, Smoke::mf_const, 69, 11},	//452 KFileTreeView::selectedUrls() const
    {25, 595, 0, 0, Smoke::mf_const, 64, 12},	//453 KFileTreeView::rootUrl() const
    {25, 762, 0, 0, Smoke::mf_const, 379, 13},	//454 KFileTreeView::showHiddenFiles() const
    {25, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 14},	//455 KFileTreeView::sizeHint() const
    {25, 666, 8, 1, Smoke::mf_slot, 0, 15},	//456 KFileTreeView::setDirOnlyMode(bool)
    {25, 732, 8, 1, Smoke::mf_slot, 0, 16},	//457 KFileTreeView::setShowHiddenFiles(bool)
    {25, 652, 27, 1, Smoke::mf_slot, 0, 17},	//458 KFileTreeView::setCurrentUrl(const KUrl&)
    {25, 723, 27, 1, Smoke::mf_slot, 0, 18},	//459 KFileTreeView::setRootUrl(const KUrl&)
    {25, 233, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//460 KFileTreeView::activated(const KUrl&)
    {25, 278, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//461 KFileTreeView::currentChanged(const KUrl&)
    {25, 273, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//462 KFileTreeView::contextMenuEvent(QContextMenuEvent*)
    {25, 801, 62, 1, Smoke::mf_static, 240, 22},	//463 KFileTreeView::tr(const char*)
    {25, 805, 62, 1, Smoke::mf_static, 240, 23},	//464 KFileTreeView::trUtf8(const char*)
    {25, 92, 0, 0, Smoke::mf_ctor, 36, 24},	//465 KFileTreeView::KFileTreeView()
    {25, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 25},	//466 KFileTreeView::staticMetaObject() const
    {25, 867, 0, 0, Smoke::mf_dtor, 0, 26 },	//467 KFileTreeView::~KFileTreeView()
    {26, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//468 KFileWidget::metaObject() const
    {26, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//469 KFileWidget::qt_metacast(const char*)
    {26, 801, 64, 2, Smoke::mf_static, 240, 3},	//470 KFileWidget::tr(const char*, const char*)
    {26, 805, 64, 2, Smoke::mf_static, 240, 4},	//471 KFileWidget::trUtf8(const char*, const char*)
    {26, 801, 67, 3, Smoke::mf_static, 240, 5},	//472 KFileWidget::tr(const char*, const char*, int)
    {26, 805, 67, 3, Smoke::mf_static, 240, 6},	//473 KFileWidget::trUtf8(const char*, const char*, int)
    {26, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//474 KFileWidget::qt_metacall(QMetaObject::Call, int, void**)
    {26, 94, 75, 2, Smoke::mf_ctor, 37, 8},	//475 KFileWidget::KFileWidget(const KUrl&, QWidget*)
    {26, 625, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 64, 9},	//476 KFileWidget::selectedUrl() const
    {26, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 69, 10},	//477 KFileWidget::selectedUrls() const
    {26, 243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 64, 11},	//478 KFileWidget::baseUrl() const
    {26, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 12},	//479 KFileWidget::selectedFile() const
    {26, 622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 13},	//480 KFileWidget::selectedFiles() const
    {26, 741, 1, 2, Smoke::mf_virtual, 0, 14},	//481 KFileWidget::setUrl(const KUrl&, bool)
    {26, 725, 4, 1, Smoke::mf_virtual, 0, 15},	//482 KFileWidget::setSelection(const QString&)
    {26, 711, 6, 1, Smoke::mf_virtual, 0, 16},	//483 KFileWidget::setOperationMode(KAbstractFileWidget::OperationMode)
    {26, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 17},	//484 KFileWidget::operationMode() const
    {26, 691, 8, 1, Smoke::mf_virtual, 0, 18},	//485 KFileWidget::setKeepLocation(bool)
    {26, 452, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 379, 19},	//486 KFileWidget::keepsLocation() const
    {26, 676, 4, 1, Smoke::mf_virtual, 0, 20},	//487 KFileWidget::setFilter(const QString&)
    {26, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 21},	//488 KFileWidget::currentFilter() const
    {26, 281, 0, 0, Smoke::mf_virtual, 58, 22},	//489 KFileWidget::currentFilterMimeType()
    {26, 698, 10, 2, Smoke::mf_virtual, 0, 23},	//490 KFileWidget::setMimeFilter(const QStringList&, const QString&)
    {26, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 24},	//491 KFileWidget::currentMimeFilter() const
    {26, 256, 0, 0, Smoke::mf_virtual, 0, 25},	//492 KFileWidget::clearFilter()
    {26, 720, 13, 1, Smoke::mf_virtual, 0, 26},	//493 KFileWidget::setPreviewWidget(KPreviewWidgetBase*)
    {26, 701, 15, 1, Smoke::mf_virtual, 0, 27},	//494 KFileWidget::setMode(QFlags<KFile::Mode>)
    {26, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 28},	//495 KFileWidget::mode() const
    {26, 694, 4, 1, Smoke::mf_virtual, 0, 29},	//496 KFileWidget::setLocationLabel(const QString&)
    {26, 800, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 30},	//497 KFileWidget::toolBar() const
    {26, 498, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 56, 31},	//498 KFileWidget::okButton() const
    {26, 249, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 56, 32},	//499 KFileWidget::cancelButton() const
    {26, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 33},	//500 KFileWidget::locationEdit() const
    {26, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 34},	//501 KFileWidget::filterWidget() const
    {26, 231, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 6, 35},	//502 KFileWidget::actionCollection() const
    {26, 368, 234, 2, Smoke::mf_static, 64, 36},	//503 KFileWidget::getStartUrl(const KUrl&, QString&)
    {26, 368, 237, 3, Smoke::mf_static, 64, 37},	//504 KFileWidget::getStartUrl(const KUrl&, QString&, QString&)
    {26, 739, 27, 1, Smoke::mf_static, 0, 38},	//505 KFileWidget::setStartDir(const KUrl&)
    {26, 656, 17, 1, Smoke::mf_virtual, 0, 39},	//506 KFileWidget::setCustomWidget(QWidget*)
    {26, 656, 19, 2, Smoke::mf_virtual, 0, 40},	//507 KFileWidget::setCustomWidget(const QString&, QWidget*)
    {26, 848, 22, 2, Smoke::mf_virtual, 0, 41},	//508 KFileWidget::virtual_hook(int, void*)
    {26, 772, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//509 KFileWidget::slotOk()
    {26, 229, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//510 KFileWidget::accept()
    {26, 769, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//511 KFileWidget::slotCancel()
    {26, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//512 KFileWidget::resizeEvent(QResizeEvent*)
    {26, 759, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//513 KFileWidget::showEvent(QShowEvent*)
    {26, 345, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 47},	//514 KFileWidget::eventFilter(QObject*, QEvent*)
    {26, 351, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//515 KFileWidget::fileSelected(const KUrl&)
    {26, 351, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//516 KFileWidget::fileSelected(const QString&)
    {26, 348, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//517 KFileWidget::fileHighlighted(const KUrl&)
    {26, 348, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//518 KFileWidget::fileHighlighted(const QString&)
    {26, 627, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//519 KFileWidget::selectionChanged()
    {26, 356, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//520 KFileWidget::filterChanged(const QString&)
    {26, 230, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//521 KFileWidget::accepted()
    {26, 310, 0, 0, 0, 19, 55},	//522 KFileWidget::dirOperator()
    {26, 574, 88, 1, 0, 0, 56},	//523 KFileWidget::readConfig(KConfigGroup&)
    {26, 801, 62, 1, Smoke::mf_static, 240, 57},	//524 KFileWidget::tr(const char*)
    {26, 805, 62, 1, Smoke::mf_static, 240, 58},	//525 KFileWidget::trUtf8(const char*)
    {26, 741, 27, 1, 0, 0, 59},	//526 KFileWidget::setUrl(const KUrl&)
    {26, 698, 29, 1, 0, 0, 60},	//527 KFileWidget::setMimeFilter(const QStringList&)
    {26, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 61},	//528 KFileWidget::staticMetaObject() const
    {26, 868, 0, 0, Smoke::mf_dtor, 0, 62 },	//529 KFileWidget::~KFileWidget()
    {41, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 429, 1},	//530 KUrlNavigator::metaObject() const
    {41, 572, 62, 1, Smoke::mf_virtual, 476, 2},	//531 KUrlNavigator::qt_metacast(const char*)
    {41, 801, 64, 2, Smoke::mf_static, 240, 3},	//532 KUrlNavigator::tr(const char*, const char*)
    {41, 805, 64, 2, Smoke::mf_static, 240, 4},	//533 KUrlNavigator::trUtf8(const char*, const char*)
    {41, 801, 67, 3, Smoke::mf_static, 240, 5},	//534 KUrlNavigator::tr(const char*, const char*, int)
    {41, 805, 67, 3, Smoke::mf_static, 240, 6},	//535 KUrlNavigator::trUtf8(const char*, const char*, int)
    {41, 570, 71, 3, Smoke::mf_virtual, 468, 7},	//536 KUrlNavigator::qt_metacall(QMetaObject::Call, int, void**)
    {41, 115, 17, 1, Smoke::mf_ctor, 72, 8},	//537 KUrlNavigator::KUrlNavigator(QWidget*)
    {41, 115, 241, 3, Smoke::mf_ctor, 72, 9},	//538 KUrlNavigator::KUrlNavigator(KFilePlacesModel*, const KUrl&, QWidget*)
    {41, 465, 60, 1, Smoke::mf_const, 64, 10},	//539 KUrlNavigator::locationUrl(int) const
    {41, 601, 245, 1, 0, 0, 11},	//540 KUrlNavigator::saveLocationState(const QByteArray&)
    {41, 463, 60, 1, Smoke::mf_const, 88, 12},	//541 KUrlNavigator::locationState(int) const
    {41, 371, 0, 0, 0, 379, 13},	//542 KUrlNavigator::goBack()
    {41, 372, 0, 0, 0, 379, 14},	//543 KUrlNavigator::goForward()
    {41, 374, 0, 0, 0, 379, 15},	//544 KUrlNavigator::goUp()
    {41, 373, 0, 0, 0, 0, 16},	//545 KUrlNavigator::goHome()
    {41, 681, 27, 1, 0, 0, 17},	//546 KUrlNavigator::setHomeUrl(const KUrl&)
    {41, 391, 0, 0, Smoke::mf_const, 64, 18},	//547 KUrlNavigator::homeUrl() const
    {41, 744, 8, 1, 0, 0, 19},	//548 KUrlNavigator::setUrlEditable(bool)
    {41, 450, 0, 0, Smoke::mf_const, 379, 20},	//549 KUrlNavigator::isUrlEditable() const
    {41, 730, 8, 1, 0, 0, 21},	//550 KUrlNavigator::setShowFullPath(bool)
    {41, 761, 0, 0, Smoke::mf_const, 379, 22},	//551 KUrlNavigator::showFullPath() const
    {41, 631, 8, 1, 0, 0, 23},	//552 KUrlNavigator::setActive(bool)
    {41, 406, 0, 0, Smoke::mf_const, 379, 24},	//553 KUrlNavigator::isActive() const
    {41, 715, 8, 1, 0, 0, 25},	//554 KUrlNavigator::setPlacesSelectorVisible(bool)
    {41, 422, 0, 0, Smoke::mf_const, 379, 26},	//555 KUrlNavigator::isPlacesSelectorVisible() const
    {41, 814, 0, 0, Smoke::mf_const, 64, 27},	//556 KUrlNavigator::uncommittedUrl() const
    {41, 387, 0, 0, Smoke::mf_const, 468, 28},	//557 KUrlNavigator::historySize() const
    {41, 386, 0, 0, Smoke::mf_const, 468, 29},	//558 KUrlNavigator::historyIndex() const
    {41, 335, 0, 0, Smoke::mf_const, 71, 30},	//559 KUrlNavigator::editor() const
    {41, 654, 29, 1, 0, 0, 31},	//560 KUrlNavigator::setCustomProtocols(const QStringList&)
    {41, 287, 0, 0, Smoke::mf_const, 245, 32},	//561 KUrlNavigator::customProtocols() const
    {41, 826, 0, 0, Smoke::mf_const, 390, 33},	//562 KUrlNavigator::url() const
    {41, 826, 60, 1, Smoke::mf_const, 64, 34},	//563 KUrlNavigator::url(int) const
    {41, 388, 60, 1, Smoke::mf_const, 64, 35},	//564 KUrlNavigator::historyUrl(int) const
    {41, 608, 0, 0, Smoke::mf_const, 390, 36},	//565 KUrlNavigator::savedRootUrl() const
    {41, 607, 0, 0, Smoke::mf_const, 218, 37},	//566 KUrlNavigator::savedPosition() const
    {41, 681, 4, 1, 0, 0, 38},	//567 KUrlNavigator::setHomeUrl(const QString&)
    {41, 696, 27, 1, Smoke::mf_slot, 0, 39},	//568 KUrlNavigator::setLocationUrl(const KUrl&)
    {41, 581, 0, 0, Smoke::mf_slot, 0, 40},	//569 KUrlNavigator::requestActivation()
    {41, 678, 0, 0, Smoke::mf_slot, 0, 41},	//570 KUrlNavigator::setFocus()
    {41, 741, 27, 1, Smoke::mf_slot, 0, 42},	//571 KUrlNavigator::setUrl(const KUrl&)
    {41, 605, 27, 1, Smoke::mf_slot, 0, 43},	//572 KUrlNavigator::saveRootUrl(const KUrl&)
    {41, 603, 116, 2, Smoke::mf_slot, 0, 44},	//573 KUrlNavigator::savePosition(int, int)
    {41, 233, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//574 KUrlNavigator::activated()
    {41, 831, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//575 KUrlNavigator::urlChanged(const KUrl&)
    {41, 829, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//576 KUrlNavigator::urlAboutToBeChanged(const KUrl&)
    {41, 333, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//577 KUrlNavigator::editableStateChanged(bool)
    {41, 385, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//578 KUrlNavigator::historyChanged()
    {41, 835, 247, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//579 KUrlNavigator::urlsDropped(const KUrl&, QDropEvent*)
    {41, 593, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//580 KUrlNavigator::returnPressed()
    {41, 790, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//581 KUrlNavigator::tabRequested(const KUrl&)
    {41, 835, 250, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//582 KUrlNavigator::urlsDropped(const KUrl::List&, const KUrl&)
    {41, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//583 KUrlNavigator::keyPressEvent(QKeyEvent*)
    {41, 455, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//584 KUrlNavigator::keyReleaseEvent(QKeyEvent*)
    {41, 490, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//585 KUrlNavigator::mouseReleaseEvent(QMouseEvent*)
    {41, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//586 KUrlNavigator::resizeEvent(QResizeEvent*)
    {41, 852, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//587 KUrlNavigator::wheelEvent(QWheelEvent*)
    {41, 345, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 59},	//588 KUrlNavigator::eventFilter(QObject*, QEvent*)
    {41, 801, 62, 1, Smoke::mf_static, 240, 60},	//589 KUrlNavigator::tr(const char*)
    {41, 805, 62, 1, Smoke::mf_static, 240, 61},	//590 KUrlNavigator::trUtf8(const char*)
    {41, 115, 0, 0, Smoke::mf_ctor, 72, 62},	//591 KUrlNavigator::KUrlNavigator()
    {41, 465, 0, 0, Smoke::mf_const, 64, 63},	//592 KUrlNavigator::locationUrl() const
    {41, 463, 0, 0, Smoke::mf_const, 88, 64},	//593 KUrlNavigator::locationState() const
    {41, 784, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 428, 65},	//594 KUrlNavigator::staticMetaObject() const
    {41, 869, 0, 0, Smoke::mf_dtor, 0, 66 },	//595 KUrlNavigator::~KUrlNavigator()
    {42, 375, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//596 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {42, 659, 255, 3, Smoke::mf_virtual, 379, 0},	//597 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {42, 377, 259, 3, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//598 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {42, 680, 263, 4, Smoke::mf_virtual, 379, 0},	//599 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {42, 451, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//600 QAbstractItemModel::itemData(const QModelIndex&) const
    {42, 690, 268, 2, Smoke::mf_virtual, 379, 0},	//601 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {42, 405, 179, 3, Smoke::mf_virtual, 379, 0},	//602 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {42, 404, 179, 3, Smoke::mf_virtual, 379, 0},	//603 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {42, 580, 179, 3, Smoke::mf_virtual, 379, 0},	//604 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {42, 577, 179, 3, Smoke::mf_virtual, 379, 0},	//605 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {42, 347, 146, 1, Smoke::mf_virtual, 0, 0},	//606 QAbstractItemModel::fetchMore(const QModelIndex&)
    {42, 247, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 379, 0},	//607 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {42, 773, 31, 2, Smoke::mf_virtual, 0, 0},	//608 QAbstractItemModel::sort(int, Qt::SortOrder)
    {42, 246, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//609 QAbstractItemModel::buddy(const QModelIndex&) const
    {42, 475, 271, 5, Smoke::mf_const|Smoke::mf_virtual, 197, 0},	//610 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {42, 781, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//611 QAbstractItemModel::span(const QModelIndex&) const
    {42, 788, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 379, 0},	//612 QAbstractItemModel::submit()
    {42, 594, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//613 QAbstractItemModel::revert()
    {43, 727, 277, 1, Smoke::mf_virtual, 0, 0},	//614 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {43, 457, 4, 1, Smoke::mf_virtual, 0, 0},	//615 QAbstractItemView::keyboardSearch(const QString&)
    {43, 767, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//616 QAbstractItemView::sizeHintForRow(int) const
    {43, 766, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//617 QAbstractItemView::sizeHintForColumn(int) const
    {43, 403, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//618 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {43, 611, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//619 QAbstractItemView::selectAll()
    {43, 816, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//620 QAbstractItemView::updateEditorData()
    {43, 817, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//621 QAbstractItemView::updateEditorGeometries()
    {43, 840, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//622 QAbstractItemView::verticalScrollbarAction(int)
    {43, 393, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//623 QAbstractItemView::horizontalScrollbarAction(int)
    {43, 841, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//624 QAbstractItemView::verticalScrollbarValueChanged(int)
    {43, 394, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//625 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {43, 259, 281, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//626 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {43, 265, 17, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//627 QAbstractItemView::commitData(QWidget*)
    {43, 336, 144, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//628 QAbstractItemView::editorDestroyed(QObject*)
    {43, 328, 284, 3, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//629 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {43, 628, 288, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 144, 0},	//630 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {43, 783, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//631 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {43, 846, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//632 QAbstractItemView::viewOptions() const
    {43, 364, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//633 QAbstractItemView::focusNextPrevChild(bool)
    {43, 344, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//634 QAbstractItemView::event(QEvent*)
    {43, 847, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//635 QAbstractItemView::viewportEvent(QEvent*)
    {43, 489, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {43, 487, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {43, 314, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {43, 316, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {43, 322, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QAbstractItemView::dropEvent(QDropEvent*)
    {43, 363, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QAbstractItemView::focusInEvent(QFocusEvent*)
    {43, 365, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//642 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {43, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QAbstractItemView::resizeEvent(QResizeEvent*)
    {43, 402, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {43, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 32},	//645 QAbstractItemView::EnsureVisible (enum)
    {43, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 33},	//646 QAbstractItemView::PositionAtTop (enum)
    {43, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 34},	//647 QAbstractItemView::PositionAtBottom (enum)
    {43, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 35},	//648 QAbstractItemView::PositionAtCenter (enum)
    {43, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 36},	//649 QAbstractItemView::NoEditTriggers (enum)
    {43, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 37},	//650 QAbstractItemView::CurrentChanged (enum)
    {43, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 38},	//651 QAbstractItemView::DoubleClicked (enum)
    {43, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 39},	//652 QAbstractItemView::SelectedClicked (enum)
    {43, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 40},	//653 QAbstractItemView::EditKeyPressed (enum)
    {43, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 41},	//654 QAbstractItemView::AnyKeyPressed (enum)
    {43, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 42},	//655 QAbstractItemView::AllEditTriggers (enum)
    {43, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 43},	//656 QAbstractItemView::MoveUp (enum)
    {43, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 44},	//657 QAbstractItemView::MoveDown (enum)
    {43, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 45},	//658 QAbstractItemView::MoveLeft (enum)
    {43, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 46},	//659 QAbstractItemView::MoveRight (enum)
    {43, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 47},	//660 QAbstractItemView::MoveHome (enum)
    {43, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 48},	//661 QAbstractItemView::MoveEnd (enum)
    {43, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 49},	//662 QAbstractItemView::MovePageUp (enum)
    {43, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 50},	//663 QAbstractItemView::MovePageDown (enum)
    {43, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 51},	//664 QAbstractItemView::MoveNext (enum)
    {43, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 52},	//665 QAbstractItemView::MovePrevious (enum)
    {44, 788, 0, 0, Smoke::mf_virtual, 379, 0},	//666 QAbstractProxyModel::submit()
    {44, 594, 0, 0, Smoke::mf_virtual, 0, 0},	//667 QAbstractProxyModel::revert()
    {44, 451, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//668 QAbstractProxyModel::itemData(const QModelIndex&) const
    {44, 690, 268, 2, Smoke::mf_virtual, 379, 0},	//669 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {45, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//670 QAbstractScrollArea::minimumSizeHint() const
    {45, 852, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//671 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {56, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//672 QComboBox::sizeHint() const
    {56, 763, 0, 0, Smoke::mf_virtual, 0, 0},	//673 QComboBox::showPopup()
    {56, 382, 0, 0, Smoke::mf_virtual, 0, 0},	//674 QComboBox::hidePopup()
    {56, 344, 111, 1, Smoke::mf_virtual, 379, 0},	//675 QComboBox::event(QEvent*)
    {56, 363, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QComboBox::focusInEvent(QFocusEvent*)
    {56, 365, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QComboBox::focusOutEvent(QFocusEvent*)
    {56, 252, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QComboBox::changeEvent(QEvent*)
    {56, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QComboBox::resizeEvent(QResizeEvent*)
    {56, 559, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QComboBox::paintEvent(QPaintEvent*)
    {56, 759, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QComboBox::showEvent(QShowEvent*)
    {56, 380, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QComboBox::hideEvent(QHideEvent*)
    {56, 489, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QComboBox::mousePressEvent(QMouseEvent*)
    {56, 490, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {56, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QComboBox::keyPressEvent(QKeyEvent*)
    {56, 455, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QComboBox::keyReleaseEvent(QKeyEvent*)
    {56, 273, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {56, 402, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {56, 403, 279, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 273, 0},	//689 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {66, 751, 8, 1, Smoke::mf_virtual, 0, 0},	//690 QDialog::setVisible(bool)
    {66, 313, 60, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//691 QDialog::done(int)
    {66, 576, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//692 QDialog::reject()
    {66, 759, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QDialog::showEvent(QShowEvent*)
    {66, 591, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QDialog::resizeEvent(QResizeEvent*)
    {66, 273, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QDialog::contextMenuEvent(QContextMenuEvent*)
    {66, 345, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//696 QDialog::eventFilter(QObject*, QEvent*)
    {77, 252, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QFrame::changeEvent(QEvent*)
    {78, 545, 297, 2, Smoke::mf_static, 379, 1},	//698 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {78, 555, 300, 2, Smoke::mf_static, 184, 2},	//699 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {78, 555, 303, 2, Smoke::mf_static, 184, 3},	//700 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {78, 555, 306, 2, Smoke::mf_static, 136, 4},	//701 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {78, 549, 309, 2, Smoke::mf_static, 102, 5},	//702 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {78, 507, 312, 2, Smoke::mf_static, 220, 6},	//703 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {78, 537, 315, 2, Smoke::mf_static, 379, 7},	//704 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {78, 537, 318, 2, Smoke::mf_static, 379, 8},	//705 QGlobalSpace::operator==(const QSize&, const QSize&)
    {78, 529, 321, 2, Smoke::mf_static, 102, 9},	//706 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {78, 511, 324, 2, Smoke::mf_static, 395, 10},	//707 QGlobalSpace::operator+(const char*, const QByteArray&)
    {78, 555, 327, 2, Smoke::mf_static, 151, 11},	//708 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {78, 555, 330, 2, Smoke::mf_static, 142, 12},	//709 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {78, 549, 333, 2, Smoke::mf_static, 102, 13},	//710 QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    {78, 537, 336, 2, Smoke::mf_static, 379, 14},	//711 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {78, 529, 339, 2, Smoke::mf_static, 102, 15},	//712 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {78, 549, 342, 2, Smoke::mf_static, 102, 16},	//713 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {78, 545, 345, 2, Smoke::mf_static, 379, 17},	//714 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {78, 529, 348, 2, Smoke::mf_static, 102, 18},	//715 QGlobalSpace::operator<<(QDataStream&, const KACL&)
    {78, 537, 351, 2, Smoke::mf_static, 379, 19},	//716 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {78, 541, 324, 2, Smoke::mf_static, 379, 20},	//717 QGlobalSpace::operator>(const char*, const QByteArray&)
    {78, 516, 354, 1, Smoke::mf_static, 50, 21},	//718 QGlobalSpace::operator++(KIconLoader::Group&)
    {78, 555, 356, 2, Smoke::mf_static, 184, 22},	//719 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {78, 529, 359, 2, Smoke::mf_static, 102, 23},	//720 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {78, 555, 362, 2, Smoke::mf_static, 150, 24},	//721 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {78, 537, 365, 2, Smoke::mf_static, 379, 25},	//722 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {78, 537, 368, 2, Smoke::mf_static, 379, 26},	//723 QGlobalSpace::operator==(QChar, QChar)
    {78, 537, 371, 2, Smoke::mf_static, 379, 27},	//724 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {78, 555, 374, 2, Smoke::mf_static, 174, 28},	//725 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {78, 529, 377, 2, Smoke::mf_static, 98, 29},	//726 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {78, 529, 380, 2, Smoke::mf_static, 98, 30},	//727 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {78, 555, 383, 2, Smoke::mf_static, 184, 31},	//728 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {78, 529, 386, 2, Smoke::mf_static, 102, 32},	//729 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {78, 549, 389, 2, Smoke::mf_static, 102, 33},	//730 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {78, 525, 368, 2, Smoke::mf_static, 379, 34},	//731 QGlobalSpace::operator<(QChar, QChar)
    {78, 545, 368, 2, Smoke::mf_static, 379, 35},	//732 QGlobalSpace::operator>=(QChar, QChar)
    {78, 501, 392, 2, Smoke::mf_static, 379, 36},	//733 QGlobalSpace::operator!=(QString::Null, const QString&)
    {78, 529, 395, 2, Smoke::mf_static, 98, 37},	//734 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {78, 525, 324, 2, Smoke::mf_static, 379, 38},	//735 QGlobalSpace::operator<(const char*, const QByteArray&)
    {78, 555, 398, 2, Smoke::mf_static, 160, 39},	//736 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {78, 555, 401, 2, Smoke::mf_static, 173, 40},	//737 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {78, 555, 404, 2, Smoke::mf_static, 119, 41},	//738 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {78, 555, 407, 2, Smoke::mf_static, 146, 42},	//739 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {78, 541, 368, 2, Smoke::mf_static, 379, 43},	//740 QGlobalSpace::operator>(QChar, QChar)
    {78, 555, 410, 2, Smoke::mf_static, 130, 44},	//741 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {78, 529, 413, 2, Smoke::mf_static, 98, 45},	//742 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {78, 555, 416, 2, Smoke::mf_static, 176, 46},	//743 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {78, 507, 419, 2, Smoke::mf_static, 448, 47},	//744 QGlobalSpace::operator*(double, const QSizeF&)
    {78, 555, 422, 2, Smoke::mf_static, 128, 48},	//745 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {78, 555, 425, 2, Smoke::mf_static, 184, 49},	//746 QGlobalSpace::operator|(QDir::Filter, int)
    {78, 555, 428, 2, Smoke::mf_static, 150, 50},	//747 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {78, 501, 297, 2, Smoke::mf_static, 379, 51},	//748 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {78, 529, 431, 2, Smoke::mf_static, 261, 52},	//749 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {78, 519, 434, 2, Smoke::mf_static, 436, 53},	//750 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {78, 549, 437, 2, Smoke::mf_static, 400, 54},	//751 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {78, 529, 440, 2, Smoke::mf_static, 102, 55},	//752 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {78, 555, 443, 2, Smoke::mf_static, 184, 56},	//753 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {78, 555, 446, 2, Smoke::mf_static, 172, 57},	//754 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {78, 519, 449, 2, Smoke::mf_static, 268, 58},	//755 QGlobalSpace::operator-(const QTransform&, double)
    {78, 555, 452, 2, Smoke::mf_static, 133, 59},	//756 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {78, 555, 455, 2, Smoke::mf_static, 117, 60},	//757 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {78, 555, 458, 2, Smoke::mf_static, 124, 61},	//758 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>)
    {78, 529, 461, 2, Smoke::mf_static, 98, 62},	//759 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {78, 501, 315, 2, Smoke::mf_static, 379, 63},	//760 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {78, 555, 464, 2, Smoke::mf_static, 158, 64},	//761 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {78, 555, 467, 2, Smoke::mf_static, 184, 65},	//762 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {78, 555, 470, 2, Smoke::mf_static, 184, 66},	//763 QGlobalSpace::operator|(QFile::Permission, int)
    {78, 523, 473, 2, Smoke::mf_static, 436, 67},	//764 QGlobalSpace::operator/(const QPoint&, double)
    {78, 511, 434, 2, Smoke::mf_static, 436, 68},	//765 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {78, 529, 476, 2, Smoke::mf_static, 102, 69},	//766 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {78, 555, 479, 2, Smoke::mf_static, 140, 70},	//767 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {78, 519, 482, 2, Smoke::mf_static, 448, 71},	//768 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {78, 501, 345, 2, Smoke::mf_static, 379, 72},	//769 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {78, 529, 485, 2, Smoke::mf_static, 102, 73},	//770 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {78, 555, 488, 2, Smoke::mf_static, 168, 74},	//771 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {78, 555, 491, 2, Smoke::mf_static, 159, 75},	//772 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {78, 511, 318, 2, Smoke::mf_static, 446, 76},	//773 QGlobalSpace::operator+(const QSize&, const QSize&)
    {78, 555, 494, 2, Smoke::mf_static, 174, 77},	//774 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {78, 555, 497, 2, Smoke::mf_static, 184, 78},	//775 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {78, 555, 500, 2, Smoke::mf_static, 165, 79},	//776 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {78, 511, 482, 2, Smoke::mf_static, 448, 80},	//777 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {78, 555, 503, 2, Smoke::mf_static, 133, 81},	//778 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {78, 555, 506, 2, Smoke::mf_static, 184, 82},	//779 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {78, 501, 509, 2, Smoke::mf_static, 379, 83},	//780 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {78, 555, 512, 2, Smoke::mf_static, 128, 84},	//781 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {78, 501, 515, 2, Smoke::mf_static, 379, 85},	//782 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {78, 555, 518, 2, Smoke::mf_static, 163, 86},	//783 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {78, 507, 449, 2, Smoke::mf_static, 268, 87},	//784 QGlobalSpace::operator*(const QTransform&, double)
    {78, 525, 515, 2, Smoke::mf_static, 379, 88},	//785 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {78, 549, 521, 2, Smoke::mf_static, 102, 89},	//786 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {78, 511, 524, 2, Smoke::mf_static, 451, 90},	//787 QGlobalSpace::operator+(const QString&, QChar)
    {78, 501, 527, 2, Smoke::mf_static, 379, 91},	//788 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {78, 511, 345, 2, Smoke::mf_static, 395, 92},	//789 QGlobalSpace::operator+(const QByteArray&, const char*)
    {78, 555, 530, 2, Smoke::mf_static, 152, 93},	//790 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {78, 555, 533, 2, Smoke::mf_static, 157, 94},	//791 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {78, 555, 536, 2, Smoke::mf_static, 171, 95},	//792 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {78, 529, 539, 2, Smoke::mf_static, 102, 96},	//793 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {78, 549, 542, 2, Smoke::mf_static, 102, 97},	//794 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {78, 555, 545, 2, Smoke::mf_static, 173, 98},	//795 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {78, 533, 345, 2, Smoke::mf_static, 379, 99},	//796 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {78, 537, 548, 2, Smoke::mf_static, 379, 100},	//797 QGlobalSpace::operator==(const QRect&, const QRect&)
    {78, 555, 551, 2, Smoke::mf_static, 141, 101},	//798 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {78, 553, 554, 2, Smoke::mf_static, 84, 102},	//799 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {78, 541, 557, 2, Smoke::mf_static, 379, 103},	//800 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {78, 555, 560, 2, Smoke::mf_static, 117, 104},	//801 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {78, 555, 563, 2, Smoke::mf_static, 120, 105},	//802 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {78, 555, 566, 2, Smoke::mf_static, 123, 106},	//803 QGlobalSpace::operator|(KFileMetaInfo::What, KFileMetaInfo::What)
    {78, 529, 569, 2, Smoke::mf_static, 102, 107},	//804 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {78, 529, 572, 2, Smoke::mf_static, 102, 108},	//805 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {78, 555, 575, 2, Smoke::mf_static, 156, 109},	//806 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {78, 549, 578, 2, Smoke::mf_static, 102, 110},	//807 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {78, 537, 581, 2, Smoke::mf_static, 379, 111},	//808 QGlobalSpace::operator==(QBool, QBool)
    {78, 537, 584, 2, Smoke::mf_static, 379, 112},	//809 QGlobalSpace::operator==(const char*, const QStringRef&)
    {78, 555, 587, 2, Smoke::mf_static, 184, 113},	//810 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {78, 533, 557, 2, Smoke::mf_static, 379, 114},	//811 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {78, 511, 449, 2, Smoke::mf_static, 268, 115},	//812 QGlobalSpace::operator+(const QTransform&, double)
    {78, 507, 590, 2, Smoke::mf_static, 192, 116},	//813 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {78, 555, 593, 2, Smoke::mf_static, 184, 117},	//814 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {78, 511, 596, 2, Smoke::mf_static, 451, 118},	//815 QGlobalSpace::operator+(QChar, const QString&)
    {78, 555, 599, 2, Smoke::mf_static, 153, 119},	//816 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {78, 555, 602, 2, Smoke::mf_static, 184, 120},	//817 QGlobalSpace::operator|(QString::SectionFlag, int)
    {78, 555, 605, 2, Smoke::mf_static, 184, 121},	//818 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {78, 549, 608, 2, Smoke::mf_static, 102, 122},	//819 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {78, 529, 611, 2, Smoke::mf_static, 98, 123},	//820 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {78, 501, 614, 2, Smoke::mf_static, 379, 124},	//821 QGlobalSpace::operator!=(const QString&, QString::Null)
    {78, 549, 617, 2, Smoke::mf_static, 102, 125},	//822 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {78, 555, 620, 2, Smoke::mf_static, 184, 126},	//823 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {78, 555, 623, 2, Smoke::mf_static, 157, 127},	//824 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {78, 549, 626, 2, Smoke::mf_static, 400, 128},	//825 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {78, 501, 365, 2, Smoke::mf_static, 379, 129},	//826 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {78, 507, 629, 2, Smoke::mf_static, 213, 130},	//827 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {78, 555, 632, 2, Smoke::mf_static, 125, 131},	//828 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect)
    {78, 519, 336, 2, Smoke::mf_static, 438, 132},	//829 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {78, 537, 527, 2, Smoke::mf_static, 379, 133},	//830 QGlobalSpace::operator==(QString::Null, QString::Null)
    {78, 555, 635, 2, Smoke::mf_static, 166, 134},	//831 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {78, 549, 638, 2, Smoke::mf_static, 102, 135},	//832 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {78, 525, 557, 2, Smoke::mf_static, 379, 136},	//833 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {78, 555, 641, 2, Smoke::mf_static, 176, 137},	//834 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {78, 529, 644, 2, Smoke::mf_static, 98, 138},	//835 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {78, 529, 647, 2, Smoke::mf_static, 98, 139},	//836 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {78, 555, 650, 2, Smoke::mf_static, 170, 140},	//837 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {78, 555, 653, 2, Smoke::mf_static, 129, 141},	//838 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {78, 511, 336, 2, Smoke::mf_static, 438, 142},	//839 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {78, 507, 656, 2, Smoke::mf_static, 231, 143},	//840 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {78, 555, 659, 2, Smoke::mf_static, 161, 144},	//841 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {78, 537, 482, 2, Smoke::mf_static, 379, 145},	//842 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {78, 519, 662, 1, Smoke::mf_static, 436, 146},	//843 QGlobalSpace::operator-(const QPoint&)
    {78, 555, 664, 2, Smoke::mf_static, 184, 147},	//844 QGlobalSpace::operator|(Qt::DropAction, int)
    {78, 549, 667, 2, Smoke::mf_static, 102, 148},	//845 QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    {78, 529, 670, 2, Smoke::mf_static, 102, 149},	//846 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {78, 555, 673, 2, Smoke::mf_static, 184, 150},	//847 QGlobalSpace::operator|(QDir::SortFlag, int)
    {78, 537, 676, 2, Smoke::mf_static, 379, 151},	//848 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {78, 555, 679, 2, Smoke::mf_static, 137, 152},	//849 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {78, 529, 682, 2, Smoke::mf_static, 102, 153},	//850 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {78, 555, 685, 2, Smoke::mf_static, 122, 154},	//851 QGlobalSpace::operator|(KFile::Mode, QFlags<KFile::Mode>)
    {78, 501, 482, 2, Smoke::mf_static, 379, 155},	//852 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {78, 555, 688, 2, Smoke::mf_static, 184, 156},	//853 QGlobalSpace::operator|(KJob::Capability, int)
    {78, 555, 691, 2, Smoke::mf_static, 169, 157},	//854 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {78, 555, 694, 2, Smoke::mf_static, 129, 158},	//855 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {78, 555, 697, 2, Smoke::mf_static, 162, 159},	//856 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {78, 549, 700, 2, Smoke::mf_static, 102, 160},	//857 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {78, 555, 703, 2, Smoke::mf_static, 154, 161},	//858 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {78, 555, 706, 2, Smoke::mf_static, 144, 162},	//859 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {78, 555, 709, 2, Smoke::mf_static, 184, 163},	//860 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {78, 555, 712, 2, Smoke::mf_static, 122, 164},	//861 QGlobalSpace::operator|(KFile::Mode, KFile::Mode)
    {78, 555, 715, 2, Smoke::mf_static, 118, 165},	//862 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {78, 529, 718, 2, Smoke::mf_static, 102, 166},	//863 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {78, 507, 721, 2, Smoke::mf_static, 436, 167},	//864 QGlobalSpace::operator*(int, const QPoint&)
    {78, 529, 724, 2, Smoke::mf_static, 98, 168},	//865 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {78, 537, 515, 2, Smoke::mf_static, 379, 169},	//866 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {78, 541, 297, 2, Smoke::mf_static, 379, 170},	//867 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {78, 555, 727, 2, Smoke::mf_static, 121, 171},	//868 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag)
    {78, 549, 730, 2, Smoke::mf_static, 102, 172},	//869 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {78, 501, 336, 2, Smoke::mf_static, 379, 173},	//870 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {78, 529, 733, 2, Smoke::mf_static, 102, 174},	//871 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {78, 555, 736, 2, Smoke::mf_static, 142, 175},	//872 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {78, 555, 739, 2, Smoke::mf_static, 124, 176},	//873 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption)
    {78, 501, 742, 2, Smoke::mf_static, 379, 177},	//874 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {78, 549, 745, 2, Smoke::mf_static, 102, 178},	//875 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {78, 537, 392, 2, Smoke::mf_static, 379, 179},	//876 QGlobalSpace::operator==(QString::Null, const QString&)
    {78, 549, 748, 2, Smoke::mf_static, 102, 180},	//877 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {78, 537, 509, 2, Smoke::mf_static, 379, 181},	//878 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {78, 555, 751, 2, Smoke::mf_static, 153, 182},	//879 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {78, 511, 557, 2, Smoke::mf_static, 395, 183},	//880 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {78, 529, 754, 2, Smoke::mf_static, 102, 184},	//881 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {78, 529, 757, 2, Smoke::mf_static, 102, 185},	//882 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {78, 529, 760, 2, Smoke::mf_static, 102, 186},	//883 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {78, 555, 763, 2, Smoke::mf_static, 148, 187},	//884 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {78, 555, 766, 2, Smoke::mf_static, 137, 188},	//885 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {78, 555, 769, 2, Smoke::mf_static, 152, 189},	//886 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {78, 523, 772, 2, Smoke::mf_static, 438, 190},	//887 QGlobalSpace::operator/(const QPointF&, double)
    {78, 501, 775, 2, Smoke::mf_static, 379, 191},	//888 QGlobalSpace::operator!=(bool, QBool)
    {78, 555, 778, 2, Smoke::mf_static, 144, 192},	//889 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {78, 549, 781, 2, Smoke::mf_static, 400, 193},	//890 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {78, 555, 784, 2, Smoke::mf_static, 154, 194},	//891 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {78, 523, 449, 2, Smoke::mf_static, 268, 195},	//892 QGlobalSpace::operator/(const QTransform&, double)
    {78, 529, 787, 2, Smoke::mf_static, 102, 196},	//893 QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    {78, 555, 790, 2, Smoke::mf_static, 184, 197},	//894 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {78, 529, 793, 2, Smoke::mf_static, 102, 198},	//895 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {78, 549, 796, 2, Smoke::mf_static, 102, 199},	//896 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {78, 555, 799, 2, Smoke::mf_static, 184, 200},	//897 QGlobalSpace::operator|(Qt::MouseButton, int)
    {78, 549, 802, 2, Smoke::mf_static, 102, 201},	//898 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {78, 516, 805, 2, Smoke::mf_static, 49, 202},	//899 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {78, 555, 808, 2, Smoke::mf_static, 118, 203},	//900 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {78, 519, 811, 1, Smoke::mf_static, 438, 204},	//901 QGlobalSpace::operator-(const QPointF&)
    {78, 555, 813, 2, Smoke::mf_static, 184, 205},	//902 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {78, 537, 775, 2, Smoke::mf_static, 379, 206},	//903 QGlobalSpace::operator==(bool, QBool)
    {78, 555, 816, 2, Smoke::mf_static, 135, 207},	//904 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {78, 555, 819, 2, Smoke::mf_static, 184, 208},	//905 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {78, 507, 822, 2, Smoke::mf_static, 224, 209},	//906 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {78, 507, 825, 2, Smoke::mf_static, 436, 210},	//907 QGlobalSpace::operator*(float, const QPoint&)
    {78, 505, 554, 2, Smoke::mf_static, 84, 211},	//908 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {78, 545, 324, 2, Smoke::mf_static, 379, 212},	//909 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {78, 555, 828, 2, Smoke::mf_static, 171, 213},	//910 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {78, 555, 831, 2, Smoke::mf_static, 184, 214},	//911 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {78, 501, 834, 2, Smoke::mf_static, 379, 215},	//912 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {78, 529, 837, 2, Smoke::mf_static, 98, 216},	//913 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {78, 549, 840, 2, Smoke::mf_static, 102, 217},	//914 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {78, 555, 843, 2, Smoke::mf_static, 165, 218},	//915 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {78, 501, 324, 2, Smoke::mf_static, 379, 219},	//916 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {78, 555, 846, 2, Smoke::mf_static, 120, 220},	//917 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {78, 501, 434, 2, Smoke::mf_static, 379, 221},	//918 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {78, 537, 834, 2, Smoke::mf_static, 379, 222},	//919 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {78, 529, 849, 2, Smoke::mf_static, 102, 223},	//920 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {78, 511, 852, 2, Smoke::mf_static, 395, 224},	//921 QGlobalSpace::operator+(const QByteArray&, char)
    {78, 555, 855, 2, Smoke::mf_static, 140, 225},	//922 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {78, 555, 858, 2, Smoke::mf_static, 138, 226},	//923 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {78, 549, 861, 2, Smoke::mf_static, 102, 227},	//924 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {78, 523, 864, 2, Smoke::mf_static, 448, 228},	//925 QGlobalSpace::operator/(const QSizeF&, double)
    {78, 529, 867, 2, Smoke::mf_static, 102, 229},	//926 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {78, 555, 870, 2, Smoke::mf_static, 184, 230},	//927 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {78, 537, 434, 2, Smoke::mf_static, 379, 231},	//928 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {78, 555, 873, 2, Smoke::mf_static, 147, 232},	//929 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {78, 533, 324, 2, Smoke::mf_static, 379, 233},	//930 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {78, 533, 297, 2, Smoke::mf_static, 379, 234},	//931 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {78, 529, 876, 2, Smoke::mf_static, 102, 235},	//932 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {78, 549, 879, 2, Smoke::mf_static, 102, 236},	//933 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {78, 549, 882, 2, Smoke::mf_static, 102, 237},	//934 QGlobalSpace::operator>>(QDataStream&, QString&)
    {78, 555, 885, 2, Smoke::mf_static, 149, 238},	//935 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {78, 555, 888, 2, Smoke::mf_static, 121, 239},	//936 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>)
    {78, 549, 891, 2, Smoke::mf_static, 400, 240},	//937 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {78, 555, 894, 2, Smoke::mf_static, 184, 241},	//938 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {78, 549, 897, 2, Smoke::mf_static, 400, 242},	//939 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {78, 555, 900, 2, Smoke::mf_static, 130, 243},	//940 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {78, 507, 903, 2, Smoke::mf_static, 195, 244},	//941 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {78, 555, 906, 2, Smoke::mf_static, 184, 245},	//942 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {78, 537, 614, 2, Smoke::mf_static, 379, 246},	//943 QGlobalSpace::operator==(const QString&, QString::Null)
    {78, 529, 909, 2, Smoke::mf_static, 261, 247},	//944 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {78, 525, 345, 2, Smoke::mf_static, 379, 248},	//945 QGlobalSpace::operator<(const QByteArray&, const char*)
    {78, 549, 912, 2, Smoke::mf_static, 400, 249},	//946 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {78, 555, 915, 2, Smoke::mf_static, 126, 250},	//947 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {78, 555, 918, 2, Smoke::mf_static, 141, 251},	//948 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {78, 529, 921, 2, Smoke::mf_static, 261, 252},	//949 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {78, 501, 368, 2, Smoke::mf_static, 379, 253},	//950 QGlobalSpace::operator!=(QChar, QChar)
    {78, 555, 924, 2, Smoke::mf_static, 164, 254},	//951 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {78, 555, 927, 2, Smoke::mf_static, 184, 255},	//952 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {78, 555, 930, 2, Smoke::mf_static, 135, 256},	//953 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {78, 555, 933, 2, Smoke::mf_static, 147, 257},	//954 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {78, 555, 936, 2, Smoke::mf_static, 160, 258},	//955 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {78, 549, 939, 2, Smoke::mf_static, 102, 259},	//956 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {78, 549, 942, 2, Smoke::mf_static, 102, 260},	//957 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {78, 555, 945, 2, Smoke::mf_static, 119, 261},	//958 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {78, 549, 948, 2, Smoke::mf_static, 102, 262},	//959 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {78, 501, 584, 2, Smoke::mf_static, 379, 263},	//960 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {78, 555, 951, 2, Smoke::mf_static, 134, 264},	//961 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {78, 529, 954, 2, Smoke::mf_static, 102, 265},	//962 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {78, 555, 957, 2, Smoke::mf_static, 127, 266},	//963 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {78, 555, 960, 2, Smoke::mf_static, 155, 267},	//964 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {78, 529, 963, 2, Smoke::mf_static, 98, 268},	//965 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {78, 507, 966, 2, Smoke::mf_static, 218, 269},	//966 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {78, 501, 969, 2, Smoke::mf_static, 379, 270},	//967 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {78, 549, 972, 2, Smoke::mf_static, 400, 271},	//968 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {78, 555, 975, 2, Smoke::mf_static, 184, 272},	//969 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {78, 549, 909, 2, Smoke::mf_static, 261, 273},	//970 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {78, 511, 978, 2, Smoke::mf_static, 395, 274},	//971 QGlobalSpace::operator+(char, const QByteArray&)
    {78, 555, 981, 2, Smoke::mf_static, 184, 275},	//972 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {78, 537, 324, 2, Smoke::mf_static, 379, 276},	//973 QGlobalSpace::operator==(const char*, const QByteArray&)
    {78, 529, 984, 2, Smoke::mf_static, 102, 277},	//974 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {78, 549, 987, 2, Smoke::mf_static, 400, 278},	//975 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {78, 555, 990, 2, Smoke::mf_static, 155, 279},	//976 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {78, 519, 318, 2, Smoke::mf_static, 446, 280},	//977 QGlobalSpace::operator-(const QSize&, const QSize&)
    {78, 549, 993, 2, Smoke::mf_static, 400, 281},	//978 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {78, 555, 996, 2, Smoke::mf_static, 184, 282},	//979 QGlobalSpace::operator|(Qt::WindowState, int)
    {78, 549, 999, 2, Smoke::mf_static, 102, 283},	//980 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {78, 555, 1002, 2, Smoke::mf_static, 126, 284},	//981 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {78, 555, 1005, 2, Smoke::mf_static, 131, 285},	//982 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {78, 555, 1008, 2, Smoke::mf_static, 184, 286},	//983 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {78, 549, 1011, 2, Smoke::mf_static, 102, 287},	//984 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {78, 501, 676, 2, Smoke::mf_static, 379, 288},	//985 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {78, 555, 1014, 2, Smoke::mf_static, 168, 289},	//986 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {78, 507, 1017, 2, Smoke::mf_static, 438, 290},	//987 QGlobalSpace::operator*(double, const QPointF&)
    {78, 549, 1020, 2, Smoke::mf_static, 102, 291},	//988 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {78, 507, 1023, 2, Smoke::mf_static, 231, 292},	//989 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {78, 555, 1026, 2, Smoke::mf_static, 163, 293},	//990 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {78, 537, 297, 2, Smoke::mf_static, 379, 294},	//991 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {78, 507, 1029, 2, Smoke::mf_static, 446, 295},	//992 QGlobalSpace::operator*(const QSize&, double)
    {78, 555, 1032, 2, Smoke::mf_static, 184, 296},	//993 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {78, 507, 1035, 2, Smoke::mf_static, 213, 297},	//994 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {78, 555, 1038, 2, Smoke::mf_static, 138, 298},	//995 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {78, 507, 1041, 2, Smoke::mf_static, 224, 299},	//996 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {78, 507, 1044, 2, Smoke::mf_static, 436, 300},	//997 QGlobalSpace::operator*(double, const QPoint&)
    {78, 529, 1047, 2, Smoke::mf_static, 102, 301},	//998 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {78, 555, 1050, 2, Smoke::mf_static, 184, 302},	//999 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {78, 555, 1053, 2, Smoke::mf_static, 184, 303},	//1000 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, int)
    {78, 555, 1056, 2, Smoke::mf_static, 143, 304},	//1001 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {78, 555, 1059, 2, Smoke::mf_static, 116, 305},	//1002 QGlobalSpace::operator|(KAction::ShortcutType, QFlags<KAction::ShortcutType>)
    {78, 555, 1062, 2, Smoke::mf_static, 162, 306},	//1003 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {78, 555, 1065, 2, Smoke::mf_static, 184, 307},	//1004 QGlobalSpace::operator|(KAction::ShortcutType, int)
    {78, 555, 1068, 2, Smoke::mf_static, 139, 308},	//1005 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {78, 555, 1071, 2, Smoke::mf_static, 184, 309},	//1006 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, int)
    {78, 555, 1074, 2, Smoke::mf_static, 125, 310},	//1007 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>)
    {78, 555, 1077, 2, Smoke::mf_static, 184, 311},	//1008 QGlobalSpace::operator|(KFileMetaInfo::What, int)
    {78, 537, 1080, 2, Smoke::mf_static, 379, 312},	//1009 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {78, 555, 1083, 2, Smoke::mf_static, 145, 313},	//1010 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {78, 555, 1086, 2, Smoke::mf_static, 184, 314},	//1011 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {78, 555, 1089, 2, Smoke::mf_static, 166, 315},	//1012 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {78, 549, 1092, 2, Smoke::mf_static, 400, 316},	//1013 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {78, 545, 557, 2, Smoke::mf_static, 379, 317},	//1014 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {78, 549, 1095, 2, Smoke::mf_static, 102, 318},	//1015 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {78, 555, 1098, 2, Smoke::mf_static, 172, 319},	//1016 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {78, 555, 1101, 2, Smoke::mf_static, 184, 320},	//1017 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {78, 555, 1104, 2, Smoke::mf_static, 159, 321},	//1018 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {78, 555, 1107, 2, Smoke::mf_static, 184, 322},	//1019 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {78, 555, 1110, 2, Smoke::mf_static, 184, 323},	//1020 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {78, 555, 1113, 2, Smoke::mf_static, 184, 324},	//1021 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {78, 555, 1116, 2, Smoke::mf_static, 175, 325},	//1022 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {78, 555, 1119, 2, Smoke::mf_static, 132, 326},	//1023 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {78, 529, 1122, 2, Smoke::mf_static, 102, 327},	//1024 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {78, 529, 1125, 2, Smoke::mf_static, 102, 328},	//1025 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {78, 507, 1128, 2, Smoke::mf_static, 192, 329},	//1026 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {78, 529, 1131, 2, Smoke::mf_static, 102, 330},	//1027 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {78, 529, 1134, 2, Smoke::mf_static, 102, 331},	//1028 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {78, 549, 1137, 2, Smoke::mf_static, 400, 332},	//1029 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {78, 555, 1140, 2, Smoke::mf_static, 139, 333},	//1030 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {78, 501, 548, 2, Smoke::mf_static, 379, 334},	//1031 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {78, 555, 1143, 2, Smoke::mf_static, 184, 335},	//1032 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {78, 537, 557, 2, Smoke::mf_static, 379, 336},	//1033 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {78, 549, 1146, 2, Smoke::mf_static, 102, 337},	//1034 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {78, 555, 554, 2, Smoke::mf_static, 84, 338},	//1035 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {78, 529, 1149, 2, Smoke::mf_static, 102, 339},	//1036 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {78, 529, 1152, 2, Smoke::mf_static, 102, 340},	//1037 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {78, 555, 1155, 2, Smoke::mf_static, 149, 341},	//1038 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {78, 555, 1158, 2, Smoke::mf_static, 184, 342},	//1039 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {78, 555, 1161, 2, Smoke::mf_static, 184, 343},	//1040 QGlobalSpace::operator|(KFile::Mode, int)
    {78, 529, 1164, 2, Smoke::mf_static, 102, 344},	//1041 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {78, 533, 368, 2, Smoke::mf_static, 379, 345},	//1042 QGlobalSpace::operator<=(QChar, QChar)
    {78, 549, 1167, 2, Smoke::mf_static, 400, 346},	//1043 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {78, 555, 1170, 2, Smoke::mf_static, 175, 347},	//1044 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {78, 501, 1080, 2, Smoke::mf_static, 379, 348},	//1045 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {78, 555, 1173, 2, Smoke::mf_static, 167, 349},	//1046 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {78, 549, 1176, 2, Smoke::mf_static, 102, 350},	//1047 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {78, 549, 1179, 2, Smoke::mf_static, 102, 351},	//1048 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {78, 549, 1182, 2, Smoke::mf_static, 102, 352},	//1049 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {78, 555, 1185, 2, Smoke::mf_static, 184, 353},	//1050 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, int)
    {78, 555, 1188, 2, Smoke::mf_static, 184, 354},	//1051 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {78, 555, 1191, 2, Smoke::mf_static, 127, 355},	//1052 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {78, 507, 1194, 2, Smoke::mf_static, 436, 356},	//1053 QGlobalSpace::operator*(const QPoint&, int)
    {78, 549, 1197, 2, Smoke::mf_static, 102, 357},	//1054 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {78, 555, 1200, 2, Smoke::mf_static, 184, 358},	//1055 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {78, 555, 1203, 2, Smoke::mf_static, 184, 359},	//1056 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {78, 523, 1029, 2, Smoke::mf_static, 446, 360},	//1057 QGlobalSpace::operator/(const QSize&, double)
    {78, 555, 1206, 2, Smoke::mf_static, 131, 361},	//1058 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {78, 507, 1209, 2, Smoke::mf_static, 218, 362},	//1059 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {78, 555, 1212, 2, Smoke::mf_static, 136, 363},	//1060 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {78, 529, 1215, 2, Smoke::mf_static, 98, 364},	//1061 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {78, 537, 1218, 2, Smoke::mf_static, 379, 365},	//1062 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {78, 549, 1221, 2, Smoke::mf_static, 102, 366},	//1063 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {78, 555, 1224, 2, Smoke::mf_static, 156, 367},	//1064 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {78, 555, 1227, 2, Smoke::mf_static, 184, 368},	//1065 QGlobalSpace::operator|(Qt::Orientation, int)
    {78, 507, 473, 2, Smoke::mf_static, 436, 369},	//1066 QGlobalSpace::operator*(const QPoint&, double)
    {78, 555, 1230, 2, Smoke::mf_static, 164, 370},	//1067 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {78, 555, 1233, 2, Smoke::mf_static, 143, 371},	//1068 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {78, 537, 742, 2, Smoke::mf_static, 379, 372},	//1069 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {78, 537, 345, 2, Smoke::mf_static, 379, 373},	//1070 QGlobalSpace::operator==(const QByteArray&, const char*)
    {78, 529, 1236, 2, Smoke::mf_static, 102, 374},	//1071 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {78, 529, 1239, 2, Smoke::mf_static, 102, 375},	//1072 QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    {78, 507, 864, 2, Smoke::mf_static, 448, 376},	//1073 QGlobalSpace::operator*(const QSizeF&, double)
    {78, 537, 969, 2, Smoke::mf_static, 379, 377},	//1074 QGlobalSpace::operator==(const QStringRef&, const char*)
    {78, 507, 1242, 2, Smoke::mf_static, 222, 378},	//1075 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {78, 555, 1245, 2, Smoke::mf_static, 184, 379},	//1076 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {78, 507, 1248, 2, Smoke::mf_static, 436, 380},	//1077 QGlobalSpace::operator*(const QPoint&, float)
    {78, 507, 1251, 2, Smoke::mf_static, 446, 381},	//1078 QGlobalSpace::operator*(double, const QSize&)
    {78, 549, 1254, 2, Smoke::mf_static, 102, 382},	//1079 QGlobalSpace::operator>>(QDataStream&, KACL&)
    {78, 555, 1257, 2, Smoke::mf_static, 184, 383},	//1080 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {78, 529, 1260, 2, Smoke::mf_static, 98, 384},	//1081 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {78, 525, 297, 2, Smoke::mf_static, 379, 385},	//1082 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {78, 555, 1263, 2, Smoke::mf_static, 184, 386},	//1083 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {78, 501, 1266, 2, Smoke::mf_static, 379, 387},	//1084 QGlobalSpace::operator!=(QBool, bool)
    {78, 501, 318, 2, Smoke::mf_static, 379, 388},	//1085 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {78, 549, 1269, 2, Smoke::mf_static, 102, 389},	//1086 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {78, 555, 1272, 2, Smoke::mf_static, 184, 390},	//1087 QGlobalSpace::operator|(QStyle::SubControl, int)
    {78, 555, 1275, 2, Smoke::mf_static, 158, 391},	//1088 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {78, 507, 1278, 2, Smoke::mf_static, 195, 392},	//1089 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {78, 555, 1281, 2, Smoke::mf_static, 184, 393},	//1090 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {78, 507, 772, 2, Smoke::mf_static, 438, 394},	//1091 QGlobalSpace::operator*(const QPointF&, double)
    {78, 555, 1284, 2, Smoke::mf_static, 170, 395},	//1092 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {78, 525, 742, 2, Smoke::mf_static, 379, 396},	//1093 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {78, 501, 351, 2, Smoke::mf_static, 379, 397},	//1094 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {78, 529, 1287, 2, Smoke::mf_static, 102, 398},	//1095 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {78, 555, 1290, 2, Smoke::mf_static, 167, 399},	//1096 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {78, 507, 1293, 2, Smoke::mf_static, 220, 400},	//1097 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {78, 529, 1296, 2, Smoke::mf_static, 102, 401},	//1098 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {78, 555, 1299, 2, Smoke::mf_static, 145, 402},	//1099 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {78, 555, 1302, 2, Smoke::mf_static, 184, 403},	//1100 QGlobalSpace::operator|(Qt::WindowType, int)
    {78, 555, 1305, 2, Smoke::mf_static, 184, 404},	//1101 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {78, 549, 1308, 2, Smoke::mf_static, 102, 405},	//1102 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {78, 555, 1311, 2, Smoke::mf_static, 151, 406},	//1103 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {78, 549, 1314, 2, Smoke::mf_static, 102, 407},	//1104 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {78, 529, 1317, 2, Smoke::mf_static, 102, 408},	//1105 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {78, 555, 1320, 2, Smoke::mf_static, 169, 409},	//1106 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {78, 555, 1323, 2, Smoke::mf_static, 184, 410},	//1107 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {78, 555, 1326, 2, Smoke::mf_static, 161, 411},	//1108 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {78, 537, 1266, 2, Smoke::mf_static, 379, 412},	//1109 QGlobalSpace::operator==(QBool, bool)
    {78, 549, 1329, 2, Smoke::mf_static, 102, 413},	//1110 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {78, 549, 1332, 2, Smoke::mf_static, 102, 414},	//1111 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {78, 529, 1335, 2, Smoke::mf_static, 102, 415},	//1112 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {78, 529, 1338, 2, Smoke::mf_static, 102, 416},	//1113 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {78, 555, 1341, 2, Smoke::mf_static, 146, 417},	//1114 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {78, 555, 1344, 2, Smoke::mf_static, 116, 418},	//1115 QGlobalSpace::operator|(KAction::ShortcutType, KAction::ShortcutType)
    {78, 555, 1347, 2, Smoke::mf_static, 148, 419},	//1116 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {78, 511, 1350, 2, Smoke::mf_static, 451, 420},	//1117 QGlobalSpace::operator+(const QString&, const QString&)
    {78, 501, 581, 2, Smoke::mf_static, 379, 421},	//1118 QGlobalSpace::operator!=(QBool, QBool)
    {78, 555, 1353, 2, Smoke::mf_static, 132, 422},	//1119 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {78, 555, 1356, 2, Smoke::mf_static, 123, 423},	//1120 QGlobalSpace::operator|(KFileMetaInfo::What, QFlags<KFileMetaInfo::What>)
    {78, 555, 1359, 2, Smoke::mf_static, 184, 424},	//1121 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {78, 555, 1362, 2, Smoke::mf_static, 134, 425},	//1122 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {78, 541, 345, 2, Smoke::mf_static, 379, 426},	//1123 QGlobalSpace::operator>(const QByteArray&, const char*)
    {78, 549, 1365, 2, Smoke::mf_static, 102, 427},	//1124 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {78, 507, 1368, 2, Smoke::mf_static, 222, 428},	//1125 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {78, 555, 1371, 2, Smoke::mf_static, 184, 429},	//1126 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {78, 501, 557, 2, Smoke::mf_static, 379, 430},	//1127 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {78, 529, 1374, 2, Smoke::mf_static, 102, 431},	//1128 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {78, 529, 1377, 2, Smoke::mf_static, 98, 432},	//1129 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {78, 549, 1380, 2, Smoke::mf_static, 102, 433},	//1130 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {78, 529, 1383, 2, Smoke::mf_static, 102, 434},	//1131 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {78, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 435},	//1132 QGlobalSpace::_IEEE_ (enum)
    {78, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 436},	//1133 QGlobalSpace::_SVID_ (enum)
    {78, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 437},	//1134 QGlobalSpace::_XOPEN_ (enum)
    {78, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 438},	//1135 QGlobalSpace::_POSIX_ (enum)
    {78, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 439},	//1136 QGlobalSpace::_ISOC_ (enum)
    {78, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 440},	//1137 QGlobalSpace::ITIMER_REAL (enum)
    {78, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 441},	//1138 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {78, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 442},	//1139 QGlobalSpace::ITIMER_PROF (enum)
    {78, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 443},	//1140 QGlobalSpace::LicensedXml (enum)
    {78, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 444},	//1141 QGlobalSpace::QtDebugMsg (enum)
    {78, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 445},	//1142 QGlobalSpace::QtWarningMsg (enum)
    {78, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 446},	//1143 QGlobalSpace::QtCriticalMsg (enum)
    {78, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 447},	//1144 QGlobalSpace::QtFatalMsg (enum)
    {78, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 448},	//1145 QGlobalSpace::QtSystemMsg (enum)
    {78, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 449},	//1146 QGlobalSpace::LicensedOpenGL (enum)
    {78, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 450},	//1147 QGlobalSpace::LicensedQt3Support (enum)
    {78, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 451},	//1148 QGlobalSpace::LicensedOpenVG (enum)
    {78, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 452},	//1149 QGlobalSpace::LicensedNetwork (enum)
    {78, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 453},	//1150 QGlobalSpace::LicensedSql (enum)
    {78, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 454},	//1151 QGlobalSpace::KST_KSycocaEntry (enum)
    {78, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 455},	//1152 QGlobalSpace::KST_KService (enum)
    {78, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 456},	//1153 QGlobalSpace::KST_KServiceType (enum)
    {78, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 457},	//1154 QGlobalSpace::KST_KMimeType (enum)
    {78, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 458},	//1155 QGlobalSpace::KST_KFolderMimeType (enum)
    {78, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 459},	//1156 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {78, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 460},	//1157 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {78, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 461},	//1158 QGlobalSpace::KST_KServiceGroup (enum)
    {78, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 462},	//1159 QGlobalSpace::KST_KImageIOFormat (enum)
    {78, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 463},	//1160 QGlobalSpace::KST_KProtocolInfo (enum)
    {78, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 464},	//1161 QGlobalSpace::KST_KServiceSeparator (enum)
    {78, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 465},	//1162 QGlobalSpace::KST_KCustom (enum)
    {78, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 466},	//1163 QGlobalSpace::LicensedCore (enum)
    {78, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 467},	//1164 QGlobalSpace::KST_KServiceFactory (enum)
    {78, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 468},	//1165 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {78, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 469},	//1166 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {78, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 470},	//1167 QGlobalSpace::KST_KImageIO (enum)
    {78, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 471},	//1168 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {78, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 472},	//1169 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {78, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 473},	//1170 QGlobalSpace::KST_CTimeInfo (enum)
    {78, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 474},	//1171 QGlobalSpace::LicensedSvg (enum)
    {78, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 475},	//1172 QGlobalSpace::LicensedXmlPatterns (enum)
    {78, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 476},	//1173 QGlobalSpace::LicensedGui (enum)
    {78, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 477},	//1174 QGlobalSpace::LicensedDeclarative (enum)
    {78, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 478},	//1175 QGlobalSpace::LicensedActiveQt (enum)
    {78, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 479},	//1176 QGlobalSpace::LicensedDBus (enum)
    {78, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 480},	//1177 QGlobalSpace::LicensedTest (enum)
    {78, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 481},	//1178 QGlobalSpace::LicensedScriptTools (enum)
    {78, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 482},	//1179 QGlobalSpace::LicensedQt3SupportLight (enum)
    {78, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 483},	//1180 QGlobalSpace::__codecvt_ok (enum)
    {78, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 484},	//1181 QGlobalSpace::__codecvt_partial (enum)
    {78, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 485},	//1182 QGlobalSpace::__codecvt_error (enum)
    {78, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 486},	//1183 QGlobalSpace::__codecvt_noconv (enum)
    {78, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 487},	//1184 QGlobalSpace::LicensedScript (enum)
    {78, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 488},	//1185 QGlobalSpace::LicensedMultimedia (enum)
    {78, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 489},	//1186 QGlobalSpace::LicensedHelp (enum)
    {93, 850, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//1187 QListView::visualRect(const QModelIndex&) const
    {93, 610, 1386, 2, Smoke::mf_virtual, 0, 0},	//1188 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {93, 401, 662, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1189 QListView::indexAt(const QPoint&) const
    {93, 312, 0, 0, Smoke::mf_virtual, 0, 0},	//1190 QListView::doItemsLayout()
    {93, 589, 0, 0, Smoke::mf_virtual, 0, 0},	//1191 QListView::reset()
    {93, 722, 146, 1, Smoke::mf_virtual, 0, 0},	//1192 QListView::setRootIndex(const QModelIndex&)
    {93, 344, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1193 QListView::event(QEvent*)
    {93, 609, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1194 QListView::scrollContentsBy(int, int)
    {93, 598, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1195 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {93, 488, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1196 QListView::mouseMoveEvent(QMouseEvent*)
    {93, 490, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1197 QListView::mouseReleaseEvent(QMouseEvent*)
    {93, 797, 1389, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1198 QListView::timerEvent(QTimerEvent*)
    {93, 783, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1199 QListView::startDrag(QFlags<Qt::DropAction>)
    {93, 846, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//1200 QListView::viewOptions() const
    {93, 392, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1201 QListView::horizontalOffset() const
    {93, 839, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1202 QListView::verticalOffset() const
    {93, 492, 1391, 2, Smoke::mf_protected|Smoke::mf_virtual, 205, 0},	//1203 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {93, 725, 1394, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1204 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {93, 851, 1397, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 231, 0},	//1205 QListView::visualRegionForSelection(const QItemSelection&) const
    {93, 623, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//1206 QListView::selectedIndexes() const
    {93, 818, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1207 QListView::updateGeometries()
    {93, 419, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1208 QListView::isIndexHidden(const QModelIndex&) const
    {93, 627, 1399, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1209 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {93, 278, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1210 QListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {103, 344, 111, 1, Smoke::mf_virtual, 379, 0},	//1211 QObject::event(QEvent*)
    {103, 345, 113, 2, Smoke::mf_virtual, 379, 0},	//1212 QObject::eventFilter(QObject*, QEvent*)
    {103, 797, 1389, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1213 QObject::timerEvent(QTimerEvent*)
    {103, 255, 1402, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1214 QObject::childEvent(QChildEvent*)
    {103, 286, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1215 QObject::customEvent(QEvent*)
    {103, 270, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1216 QObject::connectNotify(const char*)
    {103, 311, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1217 QObject::disconnectNotify(const char*)
    {124, 738, 207, 1, Smoke::mf_virtual, 0, 0},	//1218 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {124, 474, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1219 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {124, 471, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1220 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {124, 473, 1397, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//1221 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {124, 472, 1397, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//1222 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {124, 355, 1404, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1223 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {124, 354, 1404, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1224 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {124, 398, 179, 3, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1225 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {124, 562, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1226 QSortFilterProxyModel::parent(const QModelIndex&) const
    {124, 596, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1227 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {124, 263, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1228 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {124, 288, 176, 2, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//1229 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {124, 659, 255, 3, Smoke::mf_virtual, 379, 0},	//1230 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {124, 377, 259, 3, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//1231 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {124, 680, 263, 4, Smoke::mf_virtual, 379, 0},	//1232 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {124, 478, 183, 1, Smoke::mf_const|Smoke::mf_virtual, 204, 0},	//1233 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {124, 324, 185, 5, Smoke::mf_virtual, 379, 0},	//1234 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {124, 405, 179, 3, Smoke::mf_virtual, 379, 0},	//1235 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {124, 404, 179, 3, Smoke::mf_virtual, 379, 0},	//1236 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {124, 580, 179, 3, Smoke::mf_virtual, 379, 0},	//1237 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {124, 577, 179, 3, Smoke::mf_virtual, 379, 0},	//1238 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {124, 347, 146, 1, Smoke::mf_virtual, 0, 0},	//1239 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {124, 361, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1240 QSortFilterProxyModel::flags(const QModelIndex&) const
    {124, 246, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1241 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {124, 475, 271, 5, Smoke::mf_const|Smoke::mf_virtual, 197, 0},	//1242 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {124, 781, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//1243 QSortFilterProxyModel::span(const QModelIndex&) const
    {124, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 0},	//1244 QSortFilterProxyModel::mimeTypes() const
    {124, 789, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//1245 QSortFilterProxyModel::supportedDropActions() const
    {135, 703, 207, 1, Smoke::mf_virtual, 0, 0},	//1246 QTreeView::setModel(QAbstractItemModel*)
    {135, 722, 146, 1, Smoke::mf_virtual, 0, 0},	//1247 QTreeView::setRootIndex(const QModelIndex&)
    {135, 727, 277, 1, Smoke::mf_virtual, 0, 0},	//1248 QTreeView::setSelectionModel(QItemSelectionModel*)
    {135, 457, 4, 1, Smoke::mf_virtual, 0, 0},	//1249 QTreeView::keyboardSearch(const QString&)
    {135, 850, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//1250 QTreeView::visualRect(const QModelIndex&) const
    {135, 610, 1386, 2, Smoke::mf_virtual, 0, 0},	//1251 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {135, 401, 662, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1252 QTreeView::indexAt(const QPoint&) const
    {135, 312, 0, 0, Smoke::mf_virtual, 0, 0},	//1253 QTreeView::doItemsLayout()
    {135, 589, 0, 0, Smoke::mf_virtual, 0, 0},	//1254 QTreeView::reset()
    {135, 290, 34, 2, Smoke::mf_virtual, 0, 0},	//1255 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {135, 611, 0, 0, Smoke::mf_virtual, 0, 0},	//1256 QTreeView::selectAll()
    {135, 609, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1257 QTreeView::scrollContentsBy(int, int)
    {135, 599, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1258 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {135, 598, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1259 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {135, 492, 1391, 2, Smoke::mf_protected|Smoke::mf_virtual, 205, 0},	//1260 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {135, 392, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1261 QTreeView::horizontalOffset() const
    {135, 839, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1262 QTreeView::verticalOffset() const
    {135, 725, 1394, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1263 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {135, 851, 1397, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 231, 0},	//1264 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {135, 623, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//1265 QTreeView::selectedIndexes() const
    {135, 797, 1389, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1266 QTreeView::timerEvent(QTimerEvent*)
    {135, 559, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1267 QTreeView::paintEvent(QPaintEvent*)
    {135, 321, 1407, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1268 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {135, 320, 1411, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1269 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {135, 489, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1270 QTreeView::mousePressEvent(QMouseEvent*)
    {135, 490, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1271 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {135, 487, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1272 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {135, 488, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1273 QTreeView::mouseMoveEvent(QMouseEvent*)
    {135, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1274 QTreeView::keyPressEvent(QKeyEvent*)
    {135, 318, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1275 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {135, 847, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1276 QTreeView::viewportEvent(QEvent*)
    {135, 818, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1277 QTreeView::updateGeometries()
    {135, 766, 60, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1278 QTreeView::sizeHintForColumn(int) const
    {135, 393, 60, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1279 QTreeView::horizontalScrollbarAction(int)
    {135, 419, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1280 QTreeView::isIndexHidden(const QModelIndex&) const
    {135, 627, 1399, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1281 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {135, 278, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1282 QTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {141, 300, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1283 QWidget::devType() const
    {141, 751, 8, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1284 QWidget::setVisible(bool)
    {141, 765, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 235, 0},	//1285 QWidget::sizeHint() const
    {141, 482, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 235, 0},	//1286 QWidget::minimumSizeHint() const
    {141, 378, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1287 QWidget::heightForWidth(int) const
    {141, 558, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 0},	//1288 QWidget::paintEngine() const
    {141, 344, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1289 QWidget::event(QEvent*)
    {141, 489, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1290 QWidget::mousePressEvent(QMouseEvent*)
    {141, 490, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1291 QWidget::mouseReleaseEvent(QMouseEvent*)
    {141, 487, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1292 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {141, 488, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1293 QWidget::mouseMoveEvent(QMouseEvent*)
    {141, 852, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1294 QWidget::wheelEvent(QWheelEvent*)
    {141, 453, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1295 QWidget::keyPressEvent(QKeyEvent*)
    {141, 455, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1296 QWidget::keyReleaseEvent(QKeyEvent*)
    {141, 363, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1297 QWidget::focusInEvent(QFocusEvent*)
    {141, 365, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1298 QWidget::focusOutEvent(QFocusEvent*)
    {141, 341, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1299 QWidget::enterEvent(QEvent*)
    {141, 459, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1300 QWidget::leaveEvent(QEvent*)
    {141, 559, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1301 QWidget::paintEvent(QPaintEvent*)
    {141, 493, 1415, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1302 QWidget::moveEvent(QMoveEvent*)
    {141, 260, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1303 QWidget::closeEvent(QCloseEvent*)
    {141, 273, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1304 QWidget::contextMenuEvent(QContextMenuEvent*)
    {141, 792, 1417, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1305 QWidget::tabletEvent(QTabletEvent*)
    {141, 232, 1419, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1306 QWidget::actionEvent(QActionEvent*)
    {141, 314, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1307 QWidget::dragEnterEvent(QDragEnterEvent*)
    {141, 318, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1308 QWidget::dragMoveEvent(QDragMoveEvent*)
    {141, 316, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1309 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {141, 322, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1310 QWidget::dropEvent(QDropEvent*)
    {141, 759, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1311 QWidget::showEvent(QShowEvent*)
    {141, 380, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1312 QWidget::hideEvent(QHideEvent*)
    {141, 857, 1421, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1313 QWidget::x11Event(_XEvent*)
    {141, 252, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1314 QWidget::changeEvent(QEvent*)
    {141, 477, 1423, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1315 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {141, 402, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1316 QWidget::inputMethodEvent(QInputMethodEvent*)
    {141, 403, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//1317 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {141, 364, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 379, 0},	//1318 QWidget::focusNextPrevChild(bool)
    {141, 785, 1425, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1319 QWidget::styleChange(QStyle&)
    {141, 339, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1320 QWidget::enabledChange(bool)
    {141, 561, 1427, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1321 QWidget::paletteChange(const QPalette&)
    {141, 366, 1429, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1322 QWidget::fontChange(const QFont&)
    {141, 854, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1323 QWidget::windowActivationChange(bool)
    {141, 458, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1324 QWidget::languageChange()
    {141, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 43},	//1325 QWidget::DrawWindowBackground (enum)
    {141, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 44},	//1326 QWidget::DrawChildren (enum)
    {141, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 45},	//1327 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    748,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    780,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    782,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    788,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    826,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    852,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    870,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    874,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    912,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    918,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    950,  // QGlobalSpace::operator!=(QChar, QChar)
    985,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1031,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1045,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1085,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1118,  // QGlobalSpace::operator!=(QBool, QBool)
    1127,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    733,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    760,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    769,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    967,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1084,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    821,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    888,  // QGlobalSpace::operator!=(bool, QBool)
    916,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    960,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1094,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    703,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    813,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    827,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    840,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    906,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    941,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    966,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    989,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    994,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    996,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1026,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1059,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1075,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1089,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1097,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1125,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    784,  // QGlobalSpace::operator*(const QTransform&, double)
    992,  // QGlobalSpace::operator*(const QSize&, double)
    1053,  // QGlobalSpace::operator*(const QPoint&, int)
    1066,  // QGlobalSpace::operator*(const QPoint&, double)
    1073,  // QGlobalSpace::operator*(const QSizeF&, double)
    1077,  // QGlobalSpace::operator*(const QPoint&, float)
    1091,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    744,  // QGlobalSpace::operator*(double, const QSizeF&)
    864,  // QGlobalSpace::operator*(int, const QPoint&)
    907,  // QGlobalSpace::operator*(float, const QPoint&)
    987,  // QGlobalSpace::operator*(double, const QPointF&)
    997,  // QGlobalSpace::operator*(double, const QPoint&)
    1078,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    765,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    773,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    777,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    839,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    880,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    789,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    812,  // QGlobalSpace::operator+(const QTransform&, double)
    815,  // QGlobalSpace::operator+(QChar, const QString&)
    921,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    707,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    787,  // QGlobalSpace::operator+(const QString&, QChar)
    971,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    843,  // QGlobalSpace::operator-(const QPoint&)
    901,  // QGlobalSpace::operator-(const QPointF&)
    0,
    750,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    768,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    829,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    977,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    764,  // QGlobalSpace::operator/(const QPoint&, double)
    887,  // QGlobalSpace::operator/(const QPointF&, double)
    892,  // QGlobalSpace::operator/(const QTransform&, double)
    925,  // QGlobalSpace::operator/(const QSizeF&, double)
    1057,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    731,  // QGlobalSpace::operator<(QChar, QChar)
    785,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    833,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1082,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1093,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    706,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    715,  // QGlobalSpace::operator<<(QDataStream&, const KACL&)
    720,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    726,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    727,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    729,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    742,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    749,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    752,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    759,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    766,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    770,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    793,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    804,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    805,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    835,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    836,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    846,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    850,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    863,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    865,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    871,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    881,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    883,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    893,  // QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    895,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    913,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    926,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    932,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    944,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    949,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    962,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    974,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    998,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1024,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1025,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1027,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1028,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1036,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1037,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1041,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1061,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    1071,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1072,  // QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    1081,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    1098,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1105,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1112,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1113,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1128,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1129,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    1131,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    882,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1095,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    734,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    820,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    920,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    965,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    811,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    931,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1042,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    705,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    711,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    722,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    723,  // QGlobalSpace::operator==(QChar, QChar)
    724,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    797,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    808,  // QGlobalSpace::operator==(QBool, QBool)
    830,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    842,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    848,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    866,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    878,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    919,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    928,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    991,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1009,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1033,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1062,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1069,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    704,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    876,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1070,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1074,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1109,  // QGlobalSpace::operator==(QBool, bool)
    0,
    716,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    809,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    903,  // QGlobalSpace::operator==(bool, QBool)
    943,  // QGlobalSpace::operator==(const QString&, QString::Null)
    973,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    740,  // QGlobalSpace::operator>(QChar, QChar)
    800,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    867,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    698,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    732,  // QGlobalSpace::operator>=(QChar, QChar)
    1014,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    702,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    710,  // QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    713,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    730,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    751,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    786,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    794,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    807,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    819,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    822,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    825,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    832,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    845,  // QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    869,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    875,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    877,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    890,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    896,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    898,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    914,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    924,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    933,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    937,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    939,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    946,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    956,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    957,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    959,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    968,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    970,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    975,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    978,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    980,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    984,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    988,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1013,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    1015,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1029,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    1034,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1043,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    1047,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1048,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1049,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1063,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1079,  // QGlobalSpace::operator>>(QDataStream&, KACL&)
    1086,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1102,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1104,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1110,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1111,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1124,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1130,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    934,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1054,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    699,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    700,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    701,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    708,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    709,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    719,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    721,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    725,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    728,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    736,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    737,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    738,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    739,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    741,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    743,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    745,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    746,  // QGlobalSpace::operator|(QDir::Filter, int)
    747,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    753,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    754,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    756,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    757,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    758,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>)
    761,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    762,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    763,  // QGlobalSpace::operator|(QFile::Permission, int)
    767,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    771,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    772,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    774,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    775,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    776,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    778,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    779,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    781,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    783,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    790,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    791,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    792,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    795,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    798,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    801,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    802,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    803,  // QGlobalSpace::operator|(KFileMetaInfo::What, KFileMetaInfo::What)
    806,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    810,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    814,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    816,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    817,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    818,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    823,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    824,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    828,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect)
    831,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    834,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    837,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    838,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    841,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    844,  // QGlobalSpace::operator|(Qt::DropAction, int)
    847,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    849,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    851,  // QGlobalSpace::operator|(KFile::Mode, QFlags<KFile::Mode>)
    853,  // QGlobalSpace::operator|(KJob::Capability, int)
    854,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    855,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    856,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    858,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    859,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    860,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    861,  // QGlobalSpace::operator|(KFile::Mode, KFile::Mode)
    862,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    868,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag)
    872,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    873,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption)
    879,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    884,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    885,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    886,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    889,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    891,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    894,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    897,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    900,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    902,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    904,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    905,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    910,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    911,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    915,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    917,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    922,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    923,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    927,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    929,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    935,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    936,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>)
    938,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    940,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    942,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    947,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    948,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    951,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    952,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    953,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    954,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    955,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    958,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    961,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    963,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    964,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    969,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    972,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    976,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    979,  // QGlobalSpace::operator|(Qt::WindowState, int)
    981,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    982,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    983,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    986,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    990,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    993,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    995,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    999,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    1000,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, int)
    1001,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1002,  // QGlobalSpace::operator|(KAction::ShortcutType, QFlags<KAction::ShortcutType>)
    1003,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1004,  // QGlobalSpace::operator|(KAction::ShortcutType, int)
    1005,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1006,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, int)
    1007,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>)
    1008,  // QGlobalSpace::operator|(KFileMetaInfo::What, int)
    1010,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1011,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1012,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1016,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1017,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1018,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1019,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1020,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1021,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1022,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1023,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1030,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1032,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1038,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1039,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1040,  // QGlobalSpace::operator|(KFile::Mode, int)
    1044,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1046,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1050,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, int)
    1051,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1052,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    1055,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    1056,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1058,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    1060,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    1064,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1065,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1067,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1068,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1076,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    1080,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1083,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    1087,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1088,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1090,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    1092,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1096,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1099,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1100,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1101,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1103,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1106,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1107,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    1108,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1114,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1115,  // QGlobalSpace::operator|(KAction::ShortcutType, KAction::ShortcutType)
    1116,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1119,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1120,  // QGlobalSpace::operator|(KFileMetaInfo::What, QFlags<KFileMetaInfo::What>)
    1121,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1122,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1126,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {2, 70, 36},	// KAbstractFileWidget::KAbstractFileWidget
    {2, 71, 37},	// KAbstractFileWidget::KAbstractFileWidget#
    {2, 169, 41},	// KAbstractFileWidget::Opening
    {2, 170, 40},	// KAbstractFileWidget::Other
    {2, 187, 42},	// KAbstractFileWidget::Saving
    {2, 229, 31},	// KAbstractFileWidget::accept
    {2, 231, 27},	// KAbstractFileWidget::actionCollection
    {2, 243, 3},	// KAbstractFileWidget::baseUrl
    {2, 249, 24},	// KAbstractFileWidget::cancelButton
    {2, 256, 17},	// KAbstractFileWidget::clearFilter
    {2, 280, 13},	// KAbstractFileWidget::currentFilter
    {2, 281, 14},	// KAbstractFileWidget::currentFilterMimeType
    {2, 284, 16},	// KAbstractFileWidget::currentMimeFilter
    {2, 358, 26},	// KAbstractFileWidget::filterWidget
    {2, 452, 11},	// KAbstractFileWidget::keepsLocation
    {2, 462, 25},	// KAbstractFileWidget::locationEdit
    {2, 486, 20},	// KAbstractFileWidget::mode
    {2, 498, 23},	// KAbstractFileWidget::okButton
    {2, 500, 9},	// KAbstractFileWidget::operationMode
    {2, 621, 4},	// KAbstractFileWidget::selectedFile
    {2, 622, 5},	// KAbstractFileWidget::selectedFiles
    {2, 625, 1},	// KAbstractFileWidget::selectedUrl
    {2, 626, 2},	// KAbstractFileWidget::selectedUrls
    {2, 642, 34},	// KAbstractFileWidget::setConfirmOverwrite$
    {2, 657, 28},	// KAbstractFileWidget::setCustomWidget#
    {2, 658, 29},	// KAbstractFileWidget::setCustomWidget$#
    {2, 677, 12},	// KAbstractFileWidget::setFilter$
    {2, 687, 35},	// KAbstractFileWidget::setInlinePreviewShown$
    {2, 692, 10},	// KAbstractFileWidget::setKeepLocation$
    {2, 695, 21},	// KAbstractFileWidget::setLocationLabel$
    {2, 699, 39},	// KAbstractFileWidget::setMimeFilter?
    {2, 700, 15},	// KAbstractFileWidget::setMimeFilter?$
    {2, 702, 19},	// KAbstractFileWidget::setMode$
    {2, 712, 8},	// KAbstractFileWidget::setOperationMode$
    {2, 721, 18},	// KAbstractFileWidget::setPreviewWidget#
    {2, 726, 7},	// KAbstractFileWidget::setSelection$
    {2, 742, 38},	// KAbstractFileWidget::setUrl#
    {2, 743, 6},	// KAbstractFileWidget::setUrl#$
    {2, 769, 32},	// KAbstractFileWidget::slotCancel
    {2, 772, 30},	// KAbstractFileWidget::slotOk
    {2, 800, 22},	// KAbstractFileWidget::toolBar
    {2, 849, 33},	// KAbstractFileWidget::virtual_hook$$
    {2, 858, 43},	// KAbstractFileWidget::~KAbstractFileWidget
    {15, 8, 221},	// KDirOperator::AllActions
    {15, 47, 220},	// KDirOperator::FileActions
    {15, 72, 208},	// KDirOperator::KDirOperator
    {15, 73, 209},	// KDirOperator::KDirOperator#
    {15, 74, 96},	// KDirOperator::KDirOperator##
    {15, 154, 219},	// KDirOperator::NavActions
    {15, 203, 217},	// KDirOperator::SortActions
    {15, 217, 218},	// KDirOperator::ViewActions
    {15, 231, 130},	// KDirOperator::actionCollection
    {15, 236, 166},	// KDirOperator::activatedMenu##
    {15, 242, 169},	// KDirOperator::back
    {15, 251, 172},	// KDirOperator::cdUp
    {15, 253, 167},	// KDirOperator::changeEvent#
    {15, 254, 165},	// KDirOperator::checkPreviewSupport
    {15, 256, 106},	// KDirOperator::clearFilter
    {15, 257, 139},	// KDirOperator::clearHistory
    {15, 258, 99},	// KDirOperator::close
    {15, 268, 197},	// KDirOperator::completion$
    {15, 269, 128},	// KDirOperator::completionObject
    {15, 272, 204},	// KDirOperator::contextMenuAboutToShow##
    {15, 277, 156},	// KDirOperator::createView#$
    {15, 283, 205},	// KDirOperator::currentIconSizeChanged$
    {15, 292, 150},	// KDirOperator::decorationPosition
    {15, 295, 211},	// KDirOperator::del#
    {15, 296, 212},	// KDirOperator::del##
    {15, 297, 213},	// KDirOperator::del##$
    {15, 298, 138},	// KDirOperator::del##$$
    {15, 299, 176},	// KDirOperator::deleteSelected
    {15, 304, 201},	// KDirOperator::dirActivated#
    {15, 305, 129},	// KDirOperator::dirCompletionObject
    {15, 306, 141},	// KDirOperator::dirHighlighting
    {15, 307, 119},	// KDirOperator::dirLister
    {15, 308, 142},	// KDirOperator::dirOnlyMode
    {15, 309, 143},	// KDirOperator::dirOnlyMode$
    {15, 327, 203},	// KDirOperator::dropped##?
    {15, 346, 168},	// KDirOperator::eventFilter##
    {15, 349, 200},	// KDirOperator::fileHighlighted#
    {15, 352, 202},	// KDirOperator::fileSelected#
    {15, 360, 198},	// KDirOperator::finishedLoading
    {15, 367, 170},	// KDirOperator::forward
    {15, 384, 186},	// KDirOperator::highlightFile#
    {15, 390, 171},	// KDirOperator::home
    {15, 397, 153},	// KDirOperator::iconsZoom
    {15, 420, 152},	// KDirOperator::isInlinePreviewShown
    {15, 428, 118},	// KDirOperator::isRoot
    {15, 429, 155},	// KDirOperator::isSaving
    {15, 431, 125},	// KDirOperator::isSelected#
    {15, 454, 159},	// KDirOperator::keyPressEvent#
    {15, 468, 178},	// KDirOperator::makeCompletion$
    {15, 470, 179},	// KDirOperator::makeDirCompletion$
    {15, 476, 89},	// KDirOperator::metaObject
    {15, 480, 103},	// KDirOperator::mimeFilter
    {15, 483, 175},	// KDirOperator::mkdir
    {15, 484, 210},	// KDirOperator::mkdir$
    {15, 485, 137},	// KDirOperator::mkdir$$
    {15, 486, 122},	// KDirOperator::mode
    {15, 494, 101},	// KDirOperator::nameFilter
    {15, 495, 105},	// KDirOperator::newFileMenuSupportedMimeTypes
    {15, 496, 126},	// KDirOperator::numDirs
    {15, 497, 127},	// KDirOperator::numFiles
    {15, 499, 136},	// KDirOperator::onlyDoubleClickSelectsFiles
    {15, 564, 183},	// KDirOperator::pathChanged
    {15, 567, 164},	// KDirOperator::prepareCompletionObjects
    {15, 568, 148},	// KDirOperator::previewGenerator
    {15, 569, 120},	// KDirOperator::progressBar
    {15, 571, 95},	// KDirOperator::qt_metacall$$?
    {15, 573, 90},	// KDirOperator::qt_metacast$
    {15, 575, 133},	// KDirOperator::readConfig#
    {15, 588, 174},	// KDirOperator::rereadDir
    {15, 590, 182},	// KDirOperator::resetCursor
    {15, 592, 158},	// KDirOperator::resizeEvent#
    {15, 613, 184},	// KDirOperator::selectDir#
    {15, 620, 185},	// KDirOperator::selectFile#
    {15, 624, 124},	// KDirOperator::selectedItems
    {15, 630, 145},	// KDirOperator::setAcceptDrops$
    {15, 647, 110},	// KDirOperator::setCurrentItem#
    {15, 648, 109},	// KDirOperator::setCurrentItem$
    {15, 650, 112},	// KDirOperator::setCurrentItems#
    {15, 651, 111},	// KDirOperator::setCurrentItems?
    {15, 661, 151},	// KDirOperator::setDecorationPosition$
    {15, 665, 157},	// KDirOperator::setDirLister#
    {15, 671, 146},	// KDirOperator::setDropOptions$
    {15, 673, 140},	// KDirOperator::setEnableDirHighlighting$
    {15, 685, 181},	// KDirOperator::setIconsZoom$
    {15, 687, 149},	// KDirOperator::setInlinePreviewShown$
    {15, 689, 154},	// KDirOperator::setIsSaving$
    {15, 699, 102},	// KDirOperator::setMimeFilter?
    {15, 702, 121},	// KDirOperator::setMode$
    {15, 706, 100},	// KDirOperator::setNameFilter$
    {15, 708, 104},	// KDirOperator::setNewFileMenuSupportedMimeTypes?
    {15, 710, 135},	// KDirOperator::setOnlyDoubleClickSelectsFiles$
    {15, 721, 123},	// KDirOperator::setPreviewWidget#
    {15, 733, 97},	// KDirOperator::setShowHiddenFiles$
    {15, 737, 116},	// KDirOperator::setSorting$
    {15, 743, 108},	// KDirOperator::setUrl#$
    {15, 747, 113},	// KDirOperator::setView#
    {15, 748, 115},	// KDirOperator::setView$
    {15, 750, 131},	// KDirOperator::setViewConfig#
    {15, 752, 160},	// KDirOperator::setupActions
    {15, 755, 163},	// KDirOperator::setupMenu
    {15, 756, 144},	// KDirOperator::setupMenu$
    {15, 762, 98},	// KDirOperator::showHiddenFiles
    {15, 771, 194},	// KDirOperator::slotCompletionMatch$
    {15, 774, 189},	// KDirOperator::sortByDate
    {15, 775, 187},	// KDirOperator::sortByName
    {15, 776, 188},	// KDirOperator::sortBySize
    {15, 777, 190},	// KDirOperator::sortByType
    {15, 779, 191},	// KDirOperator::sortReversed
    {15, 780, 117},	// KDirOperator::sorting
    {15, 784, 216},	// KDirOperator::staticMetaObject
    {15, 798, 192},	// KDirOperator::toggleDirsFirst
    {15, 799, 193},	// KDirOperator::toggleIgnoreCase
    {15, 802, 206},	// KDirOperator::tr$
    {15, 803, 91},	// KDirOperator::tr$$
    {15, 804, 93},	// KDirOperator::tr$$$
    {15, 806, 207},	// KDirOperator::trUtf8$
    {15, 807, 92},	// KDirOperator::trUtf8$$
    {15, 808, 94},	// KDirOperator::trUtf8$$$
    {15, 810, 214},	// KDirOperator::trash##
    {15, 811, 215},	// KDirOperator::trash##$
    {15, 812, 147},	// KDirOperator::trash##$$
    {15, 813, 180},	// KDirOperator::trashSelected
    {15, 815, 173},	// KDirOperator::updateDir
    {15, 821, 196},	// KDirOperator::updateInformation$$
    {15, 823, 177},	// KDirOperator::updateSelectionDependentActions
    {15, 824, 161},	// KDirOperator::updateSortActions
    {15, 825, 162},	// KDirOperator::updateViewActions
    {15, 826, 107},	// KDirOperator::url
    {15, 834, 195},	// KDirOperator::urlEntered#
    {15, 842, 114},	// KDirOperator::view
    {15, 844, 199},	// KDirOperator::viewChanged#
    {15, 845, 132},	// KDirOperator::viewConfigGroup
    {15, 856, 134},	// KDirOperator::writeConfig#
    {15, 859, 222},	// KDirOperator::~KDirOperator
    {16, 75, 241},	// KDirSelectDialog::KDirSelectDialog
    {16, 76, 242},	// KDirSelectDialog::KDirSelectDialog#
    {16, 77, 243},	// KDirSelectDialog::KDirSelectDialog#$
    {16, 78, 230},	// KDirSelectDialog::KDirSelectDialog#$#
    {16, 229, 237},	// KDirSelectDialog::accept
    {16, 381, 238},	// KDirSelectDialog::hideEvent#
    {16, 461, 233},	// KDirSelectDialog::localOnly
    {16, 476, 223},	// KDirSelectDialog::metaObject
    {16, 571, 229},	// KDirSelectDialog::qt_metacall$$?
    {16, 573, 224},	// KDirSelectDialog::qt_metacast$
    {16, 614, 244},	// KDirSelectDialog::selectDirectory
    {16, 615, 245},	// KDirSelectDialog::selectDirectory#
    {16, 616, 246},	// KDirSelectDialog::selectDirectory#$
    {16, 617, 247},	// KDirSelectDialog::selectDirectory#$#
    {16, 618, 234},	// KDirSelectDialog::selectDirectory#$#$
    {16, 653, 236},	// KDirSelectDialog::setCurrentUrl#
    {16, 782, 235},	// KDirSelectDialog::startDir
    {16, 784, 248},	// KDirSelectDialog::staticMetaObject
    {16, 802, 239},	// KDirSelectDialog::tr$
    {16, 803, 225},	// KDirSelectDialog::tr$$
    {16, 804, 227},	// KDirSelectDialog::tr$$$
    {16, 806, 240},	// KDirSelectDialog::trUtf8$
    {16, 807, 226},	// KDirSelectDialog::trUtf8$$
    {16, 808, 228},	// KDirSelectDialog::trUtf8$$$
    {16, 826, 231},	// KDirSelectDialog::url
    {16, 842, 232},	// KDirSelectDialog::view
    {16, 860, 249},	// KDirSelectDialog::~KDirSelectDialog
    {17, 79, 266},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel
    {17, 80, 257},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel#
    {17, 248, 259},	// KDirSortFilterProxyModel::canFetchMore#
    {17, 375, 267},	// KDirSortFilterProxyModel::hasChildren
    {17, 376, 258},	// KDirSortFilterProxyModel::hasChildren#
    {17, 476, 250},	// KDirSortFilterProxyModel::metaObject
    {17, 566, 260},	// KDirSortFilterProxyModel::pointsForPermissions#
    {17, 571, 256},	// KDirSortFilterProxyModel::qt_metacall$$?
    {17, 573, 251},	// KDirSortFilterProxyModel::qt_metacast$
    {17, 735, 261},	// KDirSortFilterProxyModel::setSortFoldersFirst$
    {17, 778, 262},	// KDirSortFilterProxyModel::sortFoldersFirst
    {17, 784, 268},	// KDirSortFilterProxyModel::staticMetaObject
    {17, 787, 263},	// KDirSortFilterProxyModel::subSortLessThan##
    {17, 802, 264},	// KDirSortFilterProxyModel::tr$
    {17, 803, 252},	// KDirSortFilterProxyModel::tr$$
    {17, 804, 254},	// KDirSortFilterProxyModel::tr$$$
    {17, 806, 265},	// KDirSortFilterProxyModel::trUtf8$
    {17, 807, 253},	// KDirSortFilterProxyModel::trUtf8$$
    {17, 808, 255},	// KDirSortFilterProxyModel::trUtf8$$$
    {17, 861, 269},	// KDirSortFilterProxyModel::~KDirSortFilterProxyModel
    {18, 25, 292},	// KFile::Default
    {18, 27, 294},	// KFile::Detail
    {18, 28, 299},	// KFile::DetailTree
    {18, 30, 287},	// KFile::Directory
    {18, 42, 289},	// KFile::ExistingOnly
    {18, 44, 303},	// KFile::Extended
    {18, 46, 286},	// KFile::File
    {18, 48, 300},	// KFile::FileViewMax
    {18, 49, 288},	// KFile::Files
    {18, 82, 284},	// KFile::KFile#
    {18, 139, 290},	// KFile::LocalOnly
    {18, 140, 291},	// KFile::ModeMax
    {18, 152, 302},	// KFile::Multi
    {18, 163, 304},	// KFile::NoSelection
    {18, 177, 296},	// KFile::PreviewContents
    {18, 178, 297},	// KFile::PreviewInfo
    {18, 194, 295},	// KFile::SeparateDirs
    {18, 198, 293},	// KFile::Simple
    {18, 199, 301},	// KFile::Single
    {18, 210, 298},	// KFile::Tree
    {18, 409, 276},	// KFile::isDefaultView$
    {18, 411, 283},	// KFile::isDetailTreeView$
    {18, 413, 278},	// KFile::isDetailView$
    {18, 424, 280},	// KFile::isPreviewContents$
    {18, 426, 281},	// KFile::isPreviewInfo$
    {18, 433, 279},	// KFile::isSeparateDirs$
    {18, 435, 277},	// KFile::isSimpleView$
    {18, 437, 272},	// KFile::isSortByDate#
    {18, 439, 270},	// KFile::isSortByName#
    {18, 441, 271},	// KFile::isSortBySize#
    {18, 443, 273},	// KFile::isSortByType#
    {18, 445, 275},	// KFile::isSortCaseInsensitive#
    {18, 447, 274},	// KFile::isSortDirsFirst#
    {18, 449, 282},	// KFile::isTreeView$
    {18, 784, 285},	// KFile::staticMetaObject
    {18, 862, 305},	// KFile::~KFile
    {19, 83, 327},	// KFileFilterCombo::KFileFilterCombo
    {19, 84, 313},	// KFileFilterCombo::KFileFilterCombo#
    {19, 280, 315},	// KFileFilterCombo::currentFilter
    {19, 293, 320},	// KFileFilterCombo::defaultFilter
    {19, 346, 323},	// KFileFilterCombo::eventFilter##
    {19, 356, 324},	// KFileFilterCombo::filterChanged
    {19, 359, 321},	// KFileFilterCombo::filters
    {19, 421, 322},	// KFileFilterCombo::isMimeFilter
    {19, 476, 306},	// KFileFilterCombo::metaObject
    {19, 571, 312},	// KFileFilterCombo::qt_metacall$$?
    {19, 573, 307},	// KFileFilterCombo::qt_metacast$
    {19, 645, 316},	// KFileFilterCombo::setCurrentFilter$
    {19, 663, 319},	// KFileFilterCombo::setDefaultFilter$
    {19, 677, 314},	// KFileFilterCombo::setFilter$
    {19, 700, 317},	// KFileFilterCombo::setMimeFilter?$
    {19, 764, 318},	// KFileFilterCombo::showsAllTypes
    {19, 784, 328},	// KFileFilterCombo::staticMetaObject
    {19, 802, 325},	// KFileFilterCombo::tr$
    {19, 803, 308},	// KFileFilterCombo::tr$$
    {19, 804, 310},	// KFileFilterCombo::tr$$$
    {19, 806, 326},	// KFileFilterCombo::trUtf8$
    {19, 807, 309},	// KFileFilterCombo::trUtf8$$
    {19, 808, 311},	// KFileFilterCombo::trUtf8$$$
    {19, 863, 329},	// KFileFilterCombo::~KFileFilterCombo
    {22, 18, 385},	// KFilePlacesModel::CapacityBarRecommendedRole
    {22, 51, 384},	// KFilePlacesModel::FixedDeviceRole
    {22, 56, 382},	// KFilePlacesModel::HiddenRole
    {22, 85, 372},	// KFilePlacesModel::KFilePlacesModel
    {22, 86, 337},	// KFilePlacesModel::KFilePlacesModel#
    {22, 195, 383},	// KFilePlacesModel::SetupNeededRole
    {22, 212, 381},	// KFilePlacesModel::UrlRole
    {22, 238, 373},	// KFilePlacesModel::addPlace$#
    {22, 239, 374},	// KFilePlacesModel::addPlace$#$
    {22, 240, 351},	// KFilePlacesModel::addPlace$#$$
    {22, 241, 352},	// KFilePlacesModel::addPlace$#$$#
    {22, 245, 345},	// KFilePlacesModel::bookmarkForIndex#
    {22, 262, 362},	// KFilePlacesModel::closestItem#
    {22, 263, 379},	// KFilePlacesModel::columnCount
    {22, 264, 361},	// KFilePlacesModel::columnCount#
    {22, 289, 357},	// KFilePlacesModel::data#$
    {22, 302, 344},	// KFilePlacesModel::deviceForIndex#
    {22, 325, 367},	// KFilePlacesModel::dropMimeData#$$$#
    {22, 330, 375},	// KFilePlacesModel::editPlace#$#
    {22, 331, 376},	// KFilePlacesModel::editPlace#$#$
    {22, 332, 353},	// KFilePlacesModel::editPlace#$#$$
    {22, 338, 347},	// KFilePlacesModel::ejectActionForIndex#
    {22, 343, 368},	// KFilePlacesModel::errorMessage$
    {22, 362, 364},	// KFilePlacesModel::flags#
    {22, 379, 356},	// KFilePlacesModel::hiddenCount
    {22, 396, 340},	// KFilePlacesModel::icon#
    {22, 399, 377},	// KFilePlacesModel::index$$
    {22, 400, 358},	// KFilePlacesModel::index$$#
    {22, 415, 343},	// KFilePlacesModel::isDevice#
    {22, 418, 342},	// KFilePlacesModel::isHidden#
    {22, 476, 330},	// KFilePlacesModel::metaObject
    {22, 479, 366},	// KFilePlacesModel::mimeData?
    {22, 481, 365},	// KFilePlacesModel::mimeTypes
    {22, 563, 359},	// KFilePlacesModel::parent#
    {22, 571, 336},	// KFilePlacesModel::qt_metacall$$?
    {22, 573, 331},	// KFilePlacesModel::qt_metacast$
    {22, 579, 354},	// KFilePlacesModel::removePlace#
    {22, 583, 349},	// KFilePlacesModel::requestEject#
    {22, 585, 350},	// KFilePlacesModel::requestSetup#
    {22, 587, 348},	// KFilePlacesModel::requestTeardown#
    {22, 596, 378},	// KFilePlacesModel::rowCount
    {22, 597, 360},	// KFilePlacesModel::rowCount#
    {22, 714, 355},	// KFilePlacesModel::setPlaceHidden#$
    {22, 754, 369},	// KFilePlacesModel::setupDone#$
    {22, 758, 339},	// KFilePlacesModel::setupNeeded#
    {22, 784, 380},	// KFilePlacesModel::staticMetaObject
    {22, 789, 363},	// KFilePlacesModel::supportedDropActions
    {22, 794, 346},	// KFilePlacesModel::teardownActionForIndex#
    {22, 796, 341},	// KFilePlacesModel::text#
    {22, 802, 370},	// KFilePlacesModel::tr$
    {22, 803, 332},	// KFilePlacesModel::tr$$
    {22, 804, 334},	// KFilePlacesModel::tr$$$
    {22, 806, 371},	// KFilePlacesModel::trUtf8$
    {22, 807, 333},	// KFilePlacesModel::trUtf8$$
    {22, 808, 335},	// KFilePlacesModel::trUtf8$$$
    {22, 827, 338},	// KFilePlacesModel::url#
    {22, 864, 386},	// KFilePlacesModel::~KFilePlacesModel
    {23, 87, 419},	// KFilePlacesView::KFilePlacesView
    {23, 88, 394},	// KFilePlacesView::KFilePlacesView#
    {23, 274, 404},	// KFilePlacesView::contextMenuEvent#
    {23, 291, 414},	// KFilePlacesView::dataChanged##
    {23, 315, 408},	// KFilePlacesView::dragEnterEvent#
    {23, 317, 409},	// KFilePlacesView::dragLeaveEvent#
    {23, 319, 410},	// KFilePlacesView::dragMoveEvent#
    {23, 323, 411},	// KFilePlacesView::dropEvent#
    {23, 381, 407},	// KFilePlacesView::hideEvent#
    {23, 407, 398},	// KFilePlacesView::isAutoResizeItemsEnabled
    {23, 416, 396},	// KFilePlacesView::isDropOnPlaceEnabled
    {23, 454, 403},	// KFilePlacesView::keyPressEvent#
    {23, 476, 387},	// KFilePlacesView::metaObject
    {23, 560, 412},	// KFilePlacesView::paintEvent#
    {23, 571, 393},	// KFilePlacesView::qt_metacall$$?
    {23, 573, 388},	// KFilePlacesView::qt_metacast$
    {23, 592, 405},	// KFilePlacesView::resizeEvent#
    {23, 600, 413},	// KFilePlacesView::rowsInserted#$$
    {23, 635, 397},	// KFilePlacesView::setAutoResizeItemsEnabled$
    {23, 669, 395},	// KFilePlacesView::setDropOnPlaceEnabled$
    {23, 704, 402},	// KFilePlacesView::setModel#
    {23, 729, 400},	// KFilePlacesView::setShowAll$
    {23, 742, 399},	// KFilePlacesView::setUrl#
    {23, 760, 406},	// KFilePlacesView::showEvent#
    {23, 765, 401},	// KFilePlacesView::sizeHint
    {23, 784, 420},	// KFilePlacesView::staticMetaObject
    {23, 802, 417},	// KFilePlacesView::tr$
    {23, 803, 389},	// KFilePlacesView::tr$$
    {23, 804, 391},	// KFilePlacesView::tr$$$
    {23, 806, 418},	// KFilePlacesView::trUtf8$
    {23, 807, 390},	// KFilePlacesView::trUtf8$$
    {23, 808, 392},	// KFilePlacesView::trUtf8$$$
    {23, 832, 415},	// KFilePlacesView::urlChanged#
    {23, 837, 416},	// KFilePlacesView::urlsDropped###
    {23, 865, 421},	// KFilePlacesView::~KFilePlacesView
    {24, 90, 429},	// KFilePreviewGenerator::KFilePreviewGenerator#
    {24, 91, 430},	// KFilePreviewGenerator::KFilePreviewGenerator##
    {24, 250, 435},	// KFilePreviewGenerator::cancelPreviews
    {24, 340, 437},	// KFilePreviewGenerator::enabledPlugins
    {24, 427, 432},	// KFilePreviewGenerator::isPreviewShown
    {24, 476, 422},	// KFilePreviewGenerator::metaObject
    {24, 571, 428},	// KFilePreviewGenerator::qt_metacall$$?
    {24, 573, 423},	// KFilePreviewGenerator::qt_metacast$
    {24, 675, 436},	// KFilePreviewGenerator::setEnabledPlugins?
    {24, 719, 431},	// KFilePreviewGenerator::setPreviewShown$
    {24, 784, 440},	// KFilePreviewGenerator::staticMetaObject
    {24, 802, 438},	// KFilePreviewGenerator::tr$
    {24, 803, 424},	// KFilePreviewGenerator::tr$$
    {24, 804, 426},	// KFilePreviewGenerator::tr$$$
    {24, 806, 439},	// KFilePreviewGenerator::trUtf8$
    {24, 807, 425},	// KFilePreviewGenerator::trUtf8$$
    {24, 808, 427},	// KFilePreviewGenerator::trUtf8$$$
    {24, 819, 434},	// KFilePreviewGenerator::updateIcons
    {24, 822, 433},	// KFilePreviewGenerator::updatePreviews
    {24, 866, 441},	// KFilePreviewGenerator::~KFilePreviewGenerator
    {25, 92, 465},	// KFileTreeView::KFileTreeView
    {25, 93, 449},	// KFileTreeView::KFileTreeView#
    {25, 234, 460},	// KFileTreeView::activated#
    {25, 274, 462},	// KFileTreeView::contextMenuEvent#
    {25, 279, 461},	// KFileTreeView::currentChanged#
    {25, 285, 450},	// KFileTreeView::currentUrl
    {25, 476, 442},	// KFileTreeView::metaObject
    {25, 571, 448},	// KFileTreeView::qt_metacall$$?
    {25, 573, 443},	// KFileTreeView::qt_metacast$
    {25, 595, 453},	// KFileTreeView::rootUrl
    {25, 625, 451},	// KFileTreeView::selectedUrl
    {25, 626, 452},	// KFileTreeView::selectedUrls
    {25, 653, 458},	// KFileTreeView::setCurrentUrl#
    {25, 667, 456},	// KFileTreeView::setDirOnlyMode$
    {25, 724, 459},	// KFileTreeView::setRootUrl#
    {25, 733, 457},	// KFileTreeView::setShowHiddenFiles$
    {25, 762, 454},	// KFileTreeView::showHiddenFiles
    {25, 765, 455},	// KFileTreeView::sizeHint
    {25, 784, 466},	// KFileTreeView::staticMetaObject
    {25, 802, 463},	// KFileTreeView::tr$
    {25, 803, 444},	// KFileTreeView::tr$$
    {25, 804, 446},	// KFileTreeView::tr$$$
    {25, 806, 464},	// KFileTreeView::trUtf8$
    {25, 807, 445},	// KFileTreeView::trUtf8$$
    {25, 808, 447},	// KFileTreeView::trUtf8$$$
    {25, 867, 467},	// KFileTreeView::~KFileTreeView
    {26, 95, 475},	// KFileWidget::KFileWidget##
    {26, 229, 510},	// KFileWidget::accept
    {26, 230, 521},	// KFileWidget::accepted
    {26, 231, 502},	// KFileWidget::actionCollection
    {26, 243, 478},	// KFileWidget::baseUrl
    {26, 249, 499},	// KFileWidget::cancelButton
    {26, 256, 492},	// KFileWidget::clearFilter
    {26, 280, 488},	// KFileWidget::currentFilter
    {26, 281, 489},	// KFileWidget::currentFilterMimeType
    {26, 284, 491},	// KFileWidget::currentMimeFilter
    {26, 310, 522},	// KFileWidget::dirOperator
    {26, 346, 514},	// KFileWidget::eventFilter##
    {26, 349, 517},	// KFileWidget::fileHighlighted#
    {26, 350, 518},	// KFileWidget::fileHighlighted$
    {26, 352, 515},	// KFileWidget::fileSelected#
    {26, 353, 516},	// KFileWidget::fileSelected$
    {26, 357, 520},	// KFileWidget::filterChanged$
    {26, 358, 501},	// KFileWidget::filterWidget
    {26, 369, 503},	// KFileWidget::getStartUrl#$
    {26, 370, 504},	// KFileWidget::getStartUrl#$$
    {26, 452, 486},	// KFileWidget::keepsLocation
    {26, 462, 500},	// KFileWidget::locationEdit
    {26, 476, 468},	// KFileWidget::metaObject
    {26, 486, 495},	// KFileWidget::mode
    {26, 498, 498},	// KFileWidget::okButton
    {26, 500, 484},	// KFileWidget::operationMode
    {26, 571, 474},	// KFileWidget::qt_metacall$$?
    {26, 573, 469},	// KFileWidget::qt_metacast$
    {26, 575, 523},	// KFileWidget::readConfig#
    {26, 592, 512},	// KFileWidget::resizeEvent#
    {26, 621, 479},	// KFileWidget::selectedFile
    {26, 622, 480},	// KFileWidget::selectedFiles
    {26, 625, 476},	// KFileWidget::selectedUrl
    {26, 626, 477},	// KFileWidget::selectedUrls
    {26, 627, 519},	// KFileWidget::selectionChanged
    {26, 657, 506},	// KFileWidget::setCustomWidget#
    {26, 658, 507},	// KFileWidget::setCustomWidget$#
    {26, 677, 487},	// KFileWidget::setFilter$
    {26, 692, 485},	// KFileWidget::setKeepLocation$
    {26, 695, 496},	// KFileWidget::setLocationLabel$
    {26, 699, 527},	// KFileWidget::setMimeFilter?
    {26, 700, 490},	// KFileWidget::setMimeFilter?$
    {26, 702, 494},	// KFileWidget::setMode$
    {26, 712, 483},	// KFileWidget::setOperationMode$
    {26, 721, 493},	// KFileWidget::setPreviewWidget#
    {26, 726, 482},	// KFileWidget::setSelection$
    {26, 740, 505},	// KFileWidget::setStartDir#
    {26, 742, 526},	// KFileWidget::setUrl#
    {26, 743, 481},	// KFileWidget::setUrl#$
    {26, 760, 513},	// KFileWidget::showEvent#
    {26, 769, 511},	// KFileWidget::slotCancel
    {26, 772, 509},	// KFileWidget::slotOk
    {26, 784, 528},	// KFileWidget::staticMetaObject
    {26, 800, 497},	// KFileWidget::toolBar
    {26, 802, 524},	// KFileWidget::tr$
    {26, 803, 470},	// KFileWidget::tr$$
    {26, 804, 472},	// KFileWidget::tr$$$
    {26, 806, 525},	// KFileWidget::trUtf8$
    {26, 807, 471},	// KFileWidget::trUtf8$$
    {26, 808, 473},	// KFileWidget::trUtf8$$$
    {26, 849, 508},	// KFileWidget::virtual_hook$$
    {26, 868, 529},	// KFileWidget::~KFileWidget
    {41, 115, 591},	// KUrlNavigator::KUrlNavigator
    {41, 116, 537},	// KUrlNavigator::KUrlNavigator#
    {41, 117, 538},	// KUrlNavigator::KUrlNavigator###
    {41, 233, 574},	// KUrlNavigator::activated
    {41, 287, 561},	// KUrlNavigator::customProtocols
    {41, 334, 577},	// KUrlNavigator::editableStateChanged$
    {41, 335, 559},	// KUrlNavigator::editor
    {41, 346, 588},	// KUrlNavigator::eventFilter##
    {41, 371, 542},	// KUrlNavigator::goBack
    {41, 372, 543},	// KUrlNavigator::goForward
    {41, 373, 545},	// KUrlNavigator::goHome
    {41, 374, 544},	// KUrlNavigator::goUp
    {41, 385, 578},	// KUrlNavigator::historyChanged
    {41, 386, 558},	// KUrlNavigator::historyIndex
    {41, 387, 557},	// KUrlNavigator::historySize
    {41, 389, 564},	// KUrlNavigator::historyUrl$
    {41, 391, 547},	// KUrlNavigator::homeUrl
    {41, 406, 553},	// KUrlNavigator::isActive
    {41, 422, 555},	// KUrlNavigator::isPlacesSelectorVisible
    {41, 450, 549},	// KUrlNavigator::isUrlEditable
    {41, 454, 583},	// KUrlNavigator::keyPressEvent#
    {41, 456, 584},	// KUrlNavigator::keyReleaseEvent#
    {41, 463, 593},	// KUrlNavigator::locationState
    {41, 464, 541},	// KUrlNavigator::locationState$
    {41, 465, 592},	// KUrlNavigator::locationUrl
    {41, 466, 539},	// KUrlNavigator::locationUrl$
    {41, 476, 530},	// KUrlNavigator::metaObject
    {41, 491, 585},	// KUrlNavigator::mouseReleaseEvent#
    {41, 571, 536},	// KUrlNavigator::qt_metacall$$?
    {41, 573, 531},	// KUrlNavigator::qt_metacast$
    {41, 581, 569},	// KUrlNavigator::requestActivation
    {41, 592, 586},	// KUrlNavigator::resizeEvent#
    {41, 593, 580},	// KUrlNavigator::returnPressed
    {41, 602, 540},	// KUrlNavigator::saveLocationState#
    {41, 604, 573},	// KUrlNavigator::savePosition$$
    {41, 606, 572},	// KUrlNavigator::saveRootUrl#
    {41, 607, 566},	// KUrlNavigator::savedPosition
    {41, 608, 565},	// KUrlNavigator::savedRootUrl
    {41, 632, 552},	// KUrlNavigator::setActive$
    {41, 655, 560},	// KUrlNavigator::setCustomProtocols?
    {41, 678, 570},	// KUrlNavigator::setFocus
    {41, 682, 546},	// KUrlNavigator::setHomeUrl#
    {41, 683, 567},	// KUrlNavigator::setHomeUrl$
    {41, 697, 568},	// KUrlNavigator::setLocationUrl#
    {41, 716, 554},	// KUrlNavigator::setPlacesSelectorVisible$
    {41, 731, 550},	// KUrlNavigator::setShowFullPath$
    {41, 742, 571},	// KUrlNavigator::setUrl#
    {41, 745, 548},	// KUrlNavigator::setUrlEditable$
    {41, 761, 551},	// KUrlNavigator::showFullPath
    {41, 784, 594},	// KUrlNavigator::staticMetaObject
    {41, 791, 581},	// KUrlNavigator::tabRequested#
    {41, 802, 589},	// KUrlNavigator::tr$
    {41, 803, 532},	// KUrlNavigator::tr$$
    {41, 804, 534},	// KUrlNavigator::tr$$$
    {41, 806, 590},	// KUrlNavigator::trUtf8$
    {41, 807, 533},	// KUrlNavigator::trUtf8$$
    {41, 808, 535},	// KUrlNavigator::trUtf8$$$
    {41, 814, 556},	// KUrlNavigator::uncommittedUrl
    {41, 826, 562},	// KUrlNavigator::url
    {41, 828, 563},	// KUrlNavigator::url$
    {41, 830, 576},	// KUrlNavigator::urlAboutToBeChanged#
    {41, 832, 575},	// KUrlNavigator::urlChanged#
    {41, 836, 579},	// KUrlNavigator::urlsDropped##
    {41, 838, 582},	// KUrlNavigator::urlsDropped?#
    {41, 853, 587},	// KUrlNavigator::wheelEvent#
    {41, 869, 595},	// KUrlNavigator::~KUrlNavigator
    {78, 57, 1139},	// QGlobalSpace::ITIMER_PROF
    {78, 58, 1137},	// QGlobalSpace::ITIMER_REAL
    {78, 59, 1138},	// QGlobalSpace::ITIMER_VIRTUAL
    {78, 96, 1170},	// QGlobalSpace::KST_CTimeInfo
    {78, 97, 1162},	// QGlobalSpace::KST_KCustom
    {78, 98, 1156},	// QGlobalSpace::KST_KDEDesktopMimeType
    {78, 99, 1155},	// QGlobalSpace::KST_KFolderMimeType
    {78, 100, 1167},	// QGlobalSpace::KST_KImageIO
    {78, 101, 1159},	// QGlobalSpace::KST_KImageIOFormat
    {78, 102, 1154},	// QGlobalSpace::KST_KMimeType
    {78, 103, 1157},	// QGlobalSpace::KST_KMimeTypeEntry
    {78, 104, 1169},	// QGlobalSpace::KST_KMimeTypeFactory
    {78, 105, 1160},	// QGlobalSpace::KST_KProtocolInfo
    {78, 106, 1168},	// QGlobalSpace::KST_KProtocolInfoFactory
    {78, 107, 1152},	// QGlobalSpace::KST_KService
    {78, 108, 1164},	// QGlobalSpace::KST_KServiceFactory
    {78, 109, 1158},	// QGlobalSpace::KST_KServiceGroup
    {78, 110, 1166},	// QGlobalSpace::KST_KServiceGroupFactory
    {78, 111, 1161},	// QGlobalSpace::KST_KServiceSeparator
    {78, 112, 1153},	// QGlobalSpace::KST_KServiceType
    {78, 113, 1165},	// QGlobalSpace::KST_KServiceTypeFactory
    {78, 114, 1151},	// QGlobalSpace::KST_KSycocaEntry
    {78, 119, 1175},	// QGlobalSpace::LicensedActiveQt
    {78, 120, 1163},	// QGlobalSpace::LicensedCore
    {78, 121, 1176},	// QGlobalSpace::LicensedDBus
    {78, 122, 1174},	// QGlobalSpace::LicensedDeclarative
    {78, 123, 1173},	// QGlobalSpace::LicensedGui
    {78, 124, 1186},	// QGlobalSpace::LicensedHelp
    {78, 125, 1185},	// QGlobalSpace::LicensedMultimedia
    {78, 126, 1149},	// QGlobalSpace::LicensedNetwork
    {78, 127, 1146},	// QGlobalSpace::LicensedOpenGL
    {78, 128, 1148},	// QGlobalSpace::LicensedOpenVG
    {78, 129, 1147},	// QGlobalSpace::LicensedQt3Support
    {78, 130, 1179},	// QGlobalSpace::LicensedQt3SupportLight
    {78, 131, 1184},	// QGlobalSpace::LicensedScript
    {78, 132, 1178},	// QGlobalSpace::LicensedScriptTools
    {78, 133, 1150},	// QGlobalSpace::LicensedSql
    {78, 134, 1171},	// QGlobalSpace::LicensedSvg
    {78, 135, 1177},	// QGlobalSpace::LicensedTest
    {78, 136, 1140},	// QGlobalSpace::LicensedXml
    {78, 137, 1172},	// QGlobalSpace::LicensedXmlPatterns
    {78, 179, 1143},	// QGlobalSpace::QtCriticalMsg
    {78, 180, 1141},	// QGlobalSpace::QtDebugMsg
    {78, 181, 1144},	// QGlobalSpace::QtFatalMsg
    {78, 182, 1145},	// QGlobalSpace::QtSystemMsg
    {78, 183, 1142},	// QGlobalSpace::QtWarningMsg
    {78, 220, 1132},	// QGlobalSpace::_IEEE_
    {78, 221, 1136},	// QGlobalSpace::_ISOC_
    {78, 222, 1135},	// QGlobalSpace::_POSIX_
    {78, 223, 1133},	// QGlobalSpace::_SVID_
    {78, 224, 1134},	// QGlobalSpace::_XOPEN_
    {78, 225, 1182},	// QGlobalSpace::__codecvt_error
    {78, 226, 1183},	// QGlobalSpace::__codecvt_noconv
    {78, 227, 1180},	// QGlobalSpace::__codecvt_ok
    {78, 228, 1181},	// QGlobalSpace::__codecvt_partial
    {78, 502, -1},	// QGlobalSpace::operator!=##
    {78, 503, -19},	// QGlobalSpace::operator!=#$
    {78, 504, -25},	// QGlobalSpace::operator!=$#
    {78, 506, 908},	// QGlobalSpace::operator&##
    {78, 508, -31},	// QGlobalSpace::operator*##
    {78, 509, -48},	// QGlobalSpace::operator*#$
    {78, 510, -56},	// QGlobalSpace::operator*$#
    {78, 512, -63},	// QGlobalSpace::operator+##
    {78, 513, -69},	// QGlobalSpace::operator+#$
    {78, 514, -74},	// QGlobalSpace::operator+$#
    {78, 515, 1117},	// QGlobalSpace::operator+$$
    {78, 517, 718},	// QGlobalSpace::operator++$
    {78, 518, 899},	// QGlobalSpace::operator++$$
    {78, 520, -78},	// QGlobalSpace::operator-#
    {78, 521, -81},	// QGlobalSpace::operator-##
    {78, 522, 755},	// QGlobalSpace::operator-#$
    {78, 524, -86},	// QGlobalSpace::operator/#$
    {78, 526, -92},	// QGlobalSpace::operator<##
    {78, 527, 945},	// QGlobalSpace::operator<#$
    {78, 528, 735},	// QGlobalSpace::operator<$#
    {78, 530, -98},	// QGlobalSpace::operator<<##
    {78, 531, -152},	// QGlobalSpace::operator<<#$
    {78, 532, -155},	// QGlobalSpace::operator<<#?
    {78, 534, -160},	// QGlobalSpace::operator<=##
    {78, 535, 796},	// QGlobalSpace::operator<=#$
    {78, 536, 930},	// QGlobalSpace::operator<=$#
    {78, 538, -164},	// QGlobalSpace::operator==##
    {78, 539, -184},	// QGlobalSpace::operator==#$
    {78, 540, -190},	// QGlobalSpace::operator==$#
    {78, 542, -196},	// QGlobalSpace::operator>##
    {78, 543, 1123},	// QGlobalSpace::operator>#$
    {78, 544, 717},	// QGlobalSpace::operator>$#
    {78, 546, -200},	// QGlobalSpace::operator>=##
    {78, 547, 714},	// QGlobalSpace::operator>=#$
    {78, 548, 909},	// QGlobalSpace::operator>=$#
    {78, 550, -204},	// QGlobalSpace::operator>>##
    {78, 551, -257},	// QGlobalSpace::operator>>#$
    {78, 552, 857},	// QGlobalSpace::operator>>#?
    {78, 554, 799},	// QGlobalSpace::operator^##
    {78, 556, 1035},	// QGlobalSpace::operator|##
    {78, 557, -260},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *kfile_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kfile_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    kfile_Smoke = new Smoke(
        "kfile",
        __smokekfile::classes, 142,
        __smokekfile::methods, 1328,
        __smokekfile::methodMaps, 647,
        __smokekfile::methodNames, 869,
        __smokekfile::types, 478,
        __smokekfile::inheritanceList,
        __smokekfile::argumentList,
        __smokekfile::ambiguousMethodList,
        __smokekfile::cast );
    initialized = true;
}

void delete_kfile_Smoke() { delete kfile_Smoke; }

}
