#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDebug
      switch(to) {
        case 3: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 28: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QUrl
      switch(to) {
        case 11: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 12:   //QVariant
      switch(to) {
        case 12: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Backend
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 14: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BackendSetting
      switch(to) {
        case 15: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::BindingSet
      switch(to) {
        case 16: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::Error
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorCache
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::ErrorData
      switch(to) {
        case 19: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::Locator
      switch(to) {
        case 20: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Error::ParserError
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::FilterModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Graph
      switch(to) {
        case 23: return (void*)(Soprano::Graph*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Inference::Rule
      switch(to) {
        case 25: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::LanguageTag
      switch(to) {
        case 26: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::LiteralValue
      switch(to) {
        case 27: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 28: return (void*)(Soprano::Model*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Node
      switch(to) {
        case 29: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::NodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::Parser
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 31: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::Plugin
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::PluginManager
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::QueryResultIterator
      switch(to) {
        case 34: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 35: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::RdfSchemaModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::Serializer
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 37: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::Statement
      switch(to) {
        case 38: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::StatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::StorageModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::AsyncResult
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 46:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 47:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    32, 18, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    17, 0,	// 4: Soprano::Error::Error
    28, 0,	// 6: Soprano::Model
    22, 0,	// 8: Soprano::FilterModel
    7, 18, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    7, 0,	// 15: QObject
    30, 0,	// 17: Soprano::NodeIterator
    39, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDebug", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QUrl", true, 0, 0, 0, 0, 0 },	//11
    { "QVariant", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//13
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//14
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//15
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//17
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//18
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//20
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//21
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//22
    { "Soprano::Graph", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//24
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//28
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//29
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//30
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//31
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//32
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//33
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//34
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//36
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//37
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//38
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//39
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//40
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//41
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//42
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//43
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//44
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//45
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//46
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//47
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//53
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//54
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//55
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDebug", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Soprano::Node::N3ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//9
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//18
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//22
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QUrl", 11, Smoke::t_class|Smoke::tf_stack },	//24
    { "QVariant", 12, Smoke::t_class|Smoke::tf_stack },	//25
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Soprano::BackendFeature", 13, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Soprano::BackendOption", 13, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Soprano::BackendSetting", 15, Smoke::t_class|Smoke::tf_stack },	//121
    { "Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref },	//122
    { "Soprano::BackendSetting*", 15, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Soprano::BindingSet", 16, Smoke::t_class|Smoke::tf_stack },	//124
    { "Soprano::Error::Error", 17, Smoke::t_class|Smoke::tf_stack },	//125
    { "Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref },	//126
    { "Soprano::Error::Error*", 17, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Soprano::Error::ErrorCache*", 18, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Soprano::Error::ErrorData*", 19, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Soprano::Error::Locator", 20, Smoke::t_class|Smoke::tf_stack },	//131
    { "Soprano::Error::ParserError", 21, Smoke::t_class|Smoke::tf_stack },	//132
    { "Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref },	//133
    { "Soprano::Error::ParserError*", 21, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Soprano::FilterModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Soprano::Inference::InferenceModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Soprano::Inference::Rule", 25, Smoke::t_class|Smoke::tf_stack },	//137
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//139
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//140
    { "Soprano::LiteralValue", 27, Smoke::t_class|Smoke::tf_stack },	//141
    { "Soprano::Model*", 28, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Soprano::Node", 29, Smoke::t_class|Smoke::tf_stack },	//143
    { "Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref },	//144
    { "Soprano::Node*", 29, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Soprano::Node::N3ParserFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Soprano::Node::Type", 29, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Soprano::NodeIterator", 30, Smoke::t_class|Smoke::tf_stack },	//148
    { "Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref },	//149
    { "Soprano::NodeIterator*", 30, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Soprano::Plugin*", 32, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Soprano::PluginManager*", 33, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Soprano::QueryResultIterator", 34, Smoke::t_class|Smoke::tf_stack },	//155
    { "Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref },	//156
    { "Soprano::QueryResultIterator*", 34, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Soprano::QueryResultIteratorBackend*", 35, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Soprano::RdfSchemaModel*", 36, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Soprano::RdfSerialization", 13, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr },	//161
    { "Soprano::Statement", 38, Smoke::t_class|Smoke::tf_stack },	//162
    { "Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref },	//163
    { "Soprano::Statement*", 38, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Soprano::StatementIterator", 39, Smoke::t_class|Smoke::tf_stack },	//165
    { "Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref },	//166
    { "Soprano::StatementIterator*", 39, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Soprano::StorageModel*", 40, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Soprano::Util::AsyncModel*", 41, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Soprano::Util::AsyncModel::AsyncModelMode", 41, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Soprano::Util::AsyncQuery*", 42, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Soprano::Util::AsyncResult*", 43, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Soprano::Util::ReadOnlyModel*", 44, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Soprano::Util::SignalCacheModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref },	//175
    { "Soprano::Util::SimpleNodeIterator*", 46, Smoke::t_class|Smoke::tf_ptr },	//176
    { "Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref },	//177
    { "Soprano::Util::SimpleStatementIterator*", 47, Smoke::t_class|Smoke::tf_ptr },	//178
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//179
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//180
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//186
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//188
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//191
    { "const QUrl&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QVariant&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Soprano::Backend&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//195
    { "const Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Soprano::Error::ErrorCache&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Soprano::Error::Locator&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Soprano::Graph&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Soprano::Inference::Rule&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Soprano::LanguageTag&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Soprano::LiteralValue&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Soprano::Parser&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const Soprano::Plugin&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Soprano::Serializer&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//212
    { "const Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//217
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//218
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//219
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//220
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 0,	//1  QEvent*
    17, 4, 0,	//3  QObject*, QEvent*
    23, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    217, 0,	//10  const char*
    9, 120, 189, 0,	//12  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    9, 120, 0,	//16  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    205, 0,	//19  const Soprano::Node&
    5, 190, 0,	//21  QFlags<Soprano::BackendFeature>, const QStringList&
    5, 0,	//24  QFlags<Soprano::BackendFeature>
    3, 201, 0,	//26  QDebug, const Soprano::Graph&
    213, 0,	//29  const Soprano::Statement&
    189, 0,	//31  const QString&
    160, 189, 0,	//33  Soprano::RdfSerialization, const QString&
    160, 0,	//36  Soprano::RdfSerialization
    181, 120, 193, 0,	//38  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    195, 0,	//42  const Soprano::Backend*
    203, 0,	//44  const Soprano::LanguageTag&
    181, 0,	//46  const QList<Soprano::BackendSetting>&
    181, 189, 193, 0,	//48  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    181, 189, 0,	//52  const QList<Soprano::BackendSetting>&, const QString&
    181, 120, 189, 0,	//55  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    181, 120, 0,	//59  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    204, 0,	//62  const Soprano::LiteralValue&
    9, 189, 0,	//64  QList<Soprano::BackendSetting>&, const QString&
    194, 0,	//67  const Soprano::Backend&
    120, 0,	//69  Soprano::BackendOption
    120, 193, 0,	//71  Soprano::BackendOption, const QVariant&
    189, 193, 0,	//74  const QString&, const QVariant&
    196, 0,	//77  const Soprano::BackendSetting&
    193, 0,	//79  const QVariant&
    189, 218, 0,	//81  const QString&, int
    197, 0,	//84  const Soprano::Error::Error&
    130, 0,	//86  Soprano::Error::ErrorData*
    198, 0,	//88  const Soprano::Error::ErrorCache&
    199, 189, 218, 0,	//90  const Soprano::Error::Locator&, const QString&, int
    200, 0,	//94  const Soprano::Error::ParserError&
    199, 0,	//96  const Soprano::Error::Locator&
    199, 189, 0,	//98  const Soprano::Error::Locator&, const QString&
    217, 217, 0,	//101  const char*, const char*
    217, 217, 218, 0,	//104  const char*, const char*, int
    16, 218, 222, 0,	//108  QMetaObject::Call, int, void**
    142, 0,	//112  Soprano::Model*
    205, 205, 205, 205, 0,	//114  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    189, 154, 189, 0,	//119  const QString&, Soprano::Query::QueryLanguage, const QString&
    22, 0,	//123  QTextStream&
    205, 205, 205, 0,	//125  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    189, 154, 0,	//129  const QString&, Soprano::Query::QueryLanguage
    202, 0,	//132  const Soprano::Inference::Rule&
    182, 0,	//134  const QList<Soprano::Inference::Rule>&
    180, 0,	//136  bool
    184, 0,	//138  const QList<Soprano::Statement>&
    192, 0,	//140  const QUrl&
    204, 189, 0,	//142  const Soprano::LiteralValue&, const QString&
    189, 6, 0,	//145  const QString&, QFlags<Soprano::Node::N3ParserFlag>
    22, 6, 0,	//148  QTextStream&, QFlags<Soprano::Node::N3ParserFlag>
    139, 0,	//151  Soprano::IteratorBackend<Soprano::Node>*
    206, 0,	//153  const Soprano::NodeIterator&
    189, 192, 160, 189, 0,	//155  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    22, 192, 160, 189, 0,	//160  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    207, 0,	//165  const Soprano::Parser&
    189, 192, 160, 0,	//167  const QString&, const QUrl&, Soprano::RdfSerialization
    22, 192, 160, 0,	//171  QTextStream&, const QUrl&, Soprano::RdfSerialization
    209, 0,	//175  const Soprano::Plugin&
    190, 180, 0,	//177  const QStringList&, bool
    190, 0,	//180  const QStringList&
    210, 0,	//182  const Soprano::QueryResultIterator&
    158, 0,	//184  Soprano::QueryResultIteratorBackend*
    218, 0,	//186  int
    188, 0,	//188  const QString
    189, 189, 189, 189, 213, 0,	//190  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    189, 189, 189, 0,	//196  const QString&, const QString&, const QString&
    189, 189, 189, 189, 0,	//200  const QString&, const QString&, const QString&, const QString&
    205, 205, 0,	//205  const Soprano::Node&, const Soprano::Node&
    165, 22, 160, 189, 0,	//208  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    189, 192, 0,	//213  const QString&, const QUrl&
    211, 0,	//216  const Soprano::Serializer&
    165, 22, 160, 0,	//218  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    140, 0,	//222  Soprano::IteratorBackend<Soprano::Statement>*
    214, 0,	//224  const Soprano::StatementIterator&
    170, 0,	//226  Soprano::Util::AsyncModel::AsyncModelMode
    171, 0,	//228  Soprano::Util::AsyncQuery*
    142, 189, 154, 189, 0,	//230  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    142, 189, 154, 0,	//235  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    172, 0,	//239  Soprano::Util::AsyncResult*
    193, 197, 0,	//241  const QVariant&, const Soprano::Error::Error&
    183, 0,	//244  const QList<Soprano::Node>&
    215, 0,	//246  const Soprano::Util::SimpleNodeIterator&
    216, 0,	//248  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Agent",	//1
    "AllDifferent",	//2
    "Alt",	//3
    "Annotation",	//4
    "AnnotationProperty",	//5
    "Archive",	//6
    "ArchivedFile",	//7
    "AsymmetricProperty",	//8
    "AsyncModel",	//9
    "AsyncModel#",	//10
    "Audio",	//11
    "AudioList",	//12
    "Backend",	//13
    "Backend#",	//14
    "Backend$",	//15
    "BackendFeatureAddStatement",	//16
    "BackendFeatureAll",	//17
    "BackendFeatureContext",	//18
    "BackendFeatureInference",	//19
    "BackendFeatureInferenceOptional",	//20
    "BackendFeatureListStatements",	//21
    "BackendFeatureNone",	//22
    "BackendFeatureQuery",	//23
    "BackendFeatureRemoveStatements",	//24
    "BackendFeatureStorageMemory",	//25
    "BackendFeatureUser",	//26
    "BackendOptionEnableInference",	//27
    "BackendOptionHost",	//28
    "BackendOptionNone",	//29
    "BackendOptionPassword",	//30
    "BackendOptionPort",	//31
    "BackendOptionStorageDir",	//32
    "BackendOptionStorageMemory",	//33
    "BackendOptionUser",	//34
    "BackendOptionUsername",	//35
    "BackendSetting",	//36
    "BackendSetting#",	//37
    "BackendSetting$",	//38
    "BackendSetting$#",	//39
    "Bag",	//40
    "BlankNode",	//41
    "BlockDevice",	//42
    "Bookmark",	//43
    "Class",	//44
    "CommunicationChannel",	//45
    "Configuration",	//46
    "Contact",	//47
    "ContactGroup",	//48
    "Container",	//49
    "ContainerMembershipProperty",	//50
    "Content",	//51
    "Data",	//52
    "DataObject",	//53
    "DataRange",	//54
    "Datatype",	//55
    "DatatypeProperty",	//56
    "DefaultGraph",	//57
    "DefiningProperty",	//58
    "DeletedFile",	//59
    "DeprecatedClass",	//60
    "DeprecatedProperty",	//61
    "DiscardableInstanceBase",	//62
    "Document",	//63
    "DocumentGraph",	//64
    "Documentation",	//65
    "Email",	//66
    "EmailAttachment",	//67
    "EmbeddedObject",	//68
    "EmptyNode",	//69
    "Error",	//70
    "Error#",	//71
    "Error$",	//72
    "Error$$",	//73
    "ErrorCache",	//74
    "ErrorCache#",	//75
    "ExternalViewSpecification",	//76
    "File",	//77
    "FileSystem",	//78
    "Filelike",	//79
    "FilterModel",	//80
    "FilterModel#",	//81
    "Folder",	//82
    "FreeDesktopIcon",	//83
    "FunctionalProperty",	//84
    "Graph",	//85
    "GraphMetadata",	//86
    "GraphView",	//87
    "IMAP4Message",	//88
    "IMMessage",	//89
    "IgnorePrefixes",	//90
    "Image",	//91
    "InferenceGraph",	//92
    "InferenceMetaData",	//93
    "InferenceModel",	//94
    "InferenceModel#",	//95
    "InstanceBase",	//96
    "InverseFunctionalProperty",	//97
    "KnowledgeBase",	//98
    "LicensedActiveQt",	//99
    "LicensedCore",	//100
    "LicensedDBus",	//101
    "LicensedDeclarative",	//102
    "LicensedGui",	//103
    "LicensedHelp",	//104
    "LicensedMultimedia",	//105
    "LicensedNetwork",	//106
    "LicensedOpenGL",	//107
    "LicensedOpenVG",	//108
    "LicensedQt3Support",	//109
    "LicensedQt3SupportLight",	//110
    "LicensedScript",	//111
    "LicensedScriptTools",	//112
    "LicensedSql",	//113
    "LicensedSvg",	//114
    "LicensedTest",	//115
    "LicensedXml",	//116
    "LicensedXmlPatterns",	//117
    "List",	//118
    "Literal",	//119
    "LiteralNode",	//120
    "MailingList",	//121
    "MailingListEmail",	//122
    "Media",	//123
    "MediaList",	//124
    "Message",	//125
    "MessageboxMessage",	//126
    "Model",	//127
    "MultiThreaded",	//128
    "Music",	//129
    "NewsGroup",	//130
    "NewsGroupEmail",	//131
    "NoFlags",	//132
    "Node",	//133
    "Node#",	//134
    "Node#$",	//135
    "Node$",	//136
    "NodeIterator",	//137
    "NodeIterator#",	//138
    "NodeIterator?",	//139
    "NonDefiningProperty",	//140
    "Nothing",	//141
    "ObjectProperty",	//142
    "OfflineMedia",	//143
    "Ontology",	//144
    "OntologyProperty",	//145
    "Organization",	//146
    "POP3Message",	//147
    "Parser",	//148
    "Parser#",	//149
    "Parser$",	//150
    "ParserError",	//151
    "ParserError#",	//152
    "ParserError#$",	//153
    "ParserError#$$",	//154
    "Party",	//155
    "Person",	//156
    "PersonalEmail",	//157
    "Photo",	//158
    "Plugin",	//159
    "Plugin#",	//160
    "Plugin$",	//161
    "Presentation",	//162
    "Project",	//163
    "Property",	//164
    "Q_COMPLEX_TYPE",	//165
    "Q_DUMMY_TYPE",	//166
    "Q_MOVABLE_TYPE",	//167
    "Q_PRIMITIVE_TYPE",	//168
    "Q_STATIC_TYPE",	//169
    "QtCriticalMsg",	//170
    "QtDebugMsg",	//171
    "QtFatalMsg",	//172
    "QtSystemMsg",	//173
    "QtWarningMsg",	//174
    "QueryResultIterator",	//175
    "QueryResultIterator#",	//176
    "RSSFeed",	//177
    "RSSMessage",	//178
    "RdfSchemaModel",	//179
    "RdfSchemaModel#",	//180
    "ReadOnlyModel",	//181
    "ReadOnlyModel#",	//182
    "ReflexiveProperty",	//183
    "RemoteFile",	//184
    "RemoteMessageboxMessage",	//185
    "RemoteResource",	//186
    "Resource",	//187
    "ResourceNode",	//188
    "Restriction",	//189
    "RevisionControlledFile",	//190
    "RevisionControlledRepository",	//191
    "RuleViewSpecification",	//192
    "Schema",	//193
    "Semantics",	//194
    "Seq",	//195
    "SerializationN3",	//196
    "SerializationNQuads",	//197
    "SerializationNTriples",	//198
    "SerializationRdfXml",	//199
    "SerializationTrig",	//200
    "SerializationTurtle",	//201
    "SerializationUnknown",	//202
    "SerializationUser",	//203
    "Serializer",	//204
    "Serializer#",	//205
    "Serializer$",	//206
    "SignalCacheModel",	//207
    "SignalCacheModel#",	//208
    "SimpleNodeIterator",	//209
    "SimpleNodeIterator#",	//210
    "SimpleNodeIterator?",	//211
    "SimpleStatementIterator",	//212
    "SimpleStatementIterator#",	//213
    "SimpleStatementIterator?",	//214
    "SingleThreaded",	//215
    "SoftwarePackage",	//216
    "Source",	//217
    "SourceCode",	//218
    "Spreadsheet",	//219
    "Statement",	//220
    "Statement#",	//221
    "Statement###",	//222
    "Statement####",	//223
    "StatementIterator",	//224
    "StatementIterator#",	//225
    "StatementIterator?",	//226
    "StorageModel",	//227
    "StorageModel#",	//228
    "StrictLiteralTypes",	//229
    "StrictUris",	//230
    "Symbol",	//231
    "SymmetricProperty",	//232
    "SystemResource",	//233
    "Tag",	//234
    "Text",	//235
    "TextDocument",	//236
    "Thing",	//237
    "TransitiveProperty",	//238
    "UncategorizedText",	//239
    "Video",	//240
    "ViewSpecification",	//241
    "Visual",	//242
    "XML",	//243
    "XMLLiteral",	//244
    "__codecvt_error",	//245
    "__codecvt_noconv",	//246
    "__codecvt_ok",	//247
    "__codecvt_partial",	//248
    "acl",	//249
    "addPrefix",	//250
    "addPrefix$#",	//251
    "addRule",	//252
    "addRule#",	//253
    "addStatement",	//254
    "addStatement#",	//255
    "addStatement###",	//256
    "addStatement####",	//257
    "addStatementAsync",	//258
    "addStatementAsync#",	//259
    "addStatementAsync###",	//260
    "addStatementAsync####",	//261
    "addStatements",	//262
    "addStatements?",	//263
    "addStatementsAsync",	//264
    "addStatementsAsync?",	//265
    "album",	//266
    "albumArtist",	//267
    "albumGain",	//268
    "albumPeakGain",	//269
    "albumTrackCount",	//270
    "allBackends",	//271
    "allBindings",	//272
    "allNodes",	//273
    "allParsers",	//274
    "allSerializers",	//275
    "allStatements",	//276
    "allValuesFrom",	//277
    "altLabel",	//278
    "altSymbol",	//279
    "annotation",	//280
    "aperture",	//281
    "artist",	//282
    "asText",	//283
    "aspectRatio",	//284
    "attachmentEncoding",	//285
    "audioBPM",	//286
    "audioBitrate",	//287
    "audioChannels",	//288
    "audioCodec",	//289
    "audioCodecType",	//290
    "audioSampleBitDepth",	//291
    "audioSampleCount",	//292
    "audioSampleDataType",	//293
    "audioSampleRate",	//294
    "author",	//295
    "autoRating",	//296
    "backend",	//297
    "backwardCompatibleWith",	//298
    "base64Binary",	//299
    "baseRevisionID",	//300
    "bcc",	//301
    "binding",	//302
    "binding$",	//303
    "bindingCount",	//304
    "bindingNames",	//305
    "birthDate",	//306
    "blankToN3",	//307
    "blankToN3$",	//308
    "blogContactURL",	//309
    "boolValue",	//310
    "boolean",	//311
    "cacheTime",	//312
    "cameraManufacturer",	//313
    "cameraModel",	//314
    "cardinality",	//315
    "cc",	//316
    "ccdWidth",	//317
    "cellPhoneNumber",	//318
    "changeCommitTime",	//319
    "changeCommitter",	//320
    "characterCount",	//321
    "charset",	//322
    "chatRoom",	//323
    "childEvent",	//324
    "classes",	//325
    "clearError",	//326
    "clearInference",	//327
    "clearPrefixes",	//328
    "close",	//329
    "code",	//330
    "colorCount",	//331
    "colorSpace",	//332
    "columnCount",	//333
    "comment",	//334
    "commentCharacterCount",	//335
    "commitDiff",	//336
    "communicationChannel",	//337
    "complementOf",	//338
    "composer",	//339
    "compressionAlgorithm",	//340
    "compressionLevel",	//341
    "conflicts",	//342
    "connectNotify",	//343
    "contactMedium",	//344
    "contactNick",	//345
    "contactURL",	//346
    "contains",	//347
    "containsAnyStatement",	//348
    "containsAnyStatement#",	//349
    "containsAnyStatement###",	//350
    "containsAnyStatement####",	//351
    "containsAnyStatementAsync",	//352
    "containsAnyStatementAsync#",	//353
    "containsAnyStatementAsync###",	//354
    "containsAnyStatementAsync####",	//355
    "containsContext",	//356
    "containsContext#",	//357
    "containsStatement",	//358
    "containsStatement#",	//359
    "containsStatement###",	//360
    "containsStatement####",	//361
    "containsStatementAsync",	//362
    "containsStatementAsync#",	//363
    "containsStatementAsync###",	//364
    "containsStatementAsync####",	//365
    "contentComment",	//366
    "contentCreated",	//367
    "contentKeyword",	//368
    "contentModified",	//369
    "contentType",	//370
    "context",	//371
    "contributor",	//372
    "copyright",	//373
    "coreGraphMetadataFor",	//374
    "createBlankNode",	//375
    "createBlankNode$",	//376
    "createBlankNodeAsync",	//377
    "createEmptyNode",	//378
    "createLiteralNode",	//379
    "createLiteralNode#",	//380
    "createLiteralNode#$",	//381
    "createModel",	//382
    "createModel?",	//383
    "createResourceNode",	//384
    "createResourceNode#",	//385
    "createResult",	//386
    "created",	//387
    "creator",	//388
    "currentBindings",	//389
    "currentStatement",	//390
    "customEvent",	//391
    "dataType",	//392
    "date",	//393
    "dateTime",	//394
    "decimal",	//395
    "definesClass",	//396
    "definesFunction",	//397
    "definesGlobalVariable",	//398
    "deleteModelData",	//399
    "deleteModelData?",	//400
    "deletionTime",	//401
    "depends",	//402
    "deprecated",	//403
    "derivedFrom",	//404
    "description",	//405
    "differentFrom",	//406
    "directSubClassOf",	//407
    "directSubClassOf#",	//408
    "directSubClassOf##",	//409
    "directSubPropertyOf",	//410
    "directSubPropertyOf#",	//411
    "directSubPropertyOf##",	//412
    "directType",	//413
    "directType##",	//414
    "discNumber",	//415
    "disclaimer",	//416
    "disconnectNotify",	//417
    "discoverBackendByFeatures",	//418
    "discoverBackendByFeatures$",	//419
    "discoverBackendByFeatures$?",	//420
    "discoverBackendByName",	//421
    "discoverBackendByName$",	//422
    "discoverParserByName",	//423
    "discoverParserByName$",	//424
    "discoverParserForSerialization",	//425
    "discoverParserForSerialization$",	//426
    "discoverParserForSerialization$$",	//427
    "discoverSerializerByName",	//428
    "discoverSerializerByName$",	//429
    "discoverSerializerForSerialization",	//430
    "discoverSerializerForSerialization$",	//431
    "discoverSerializerForSerialization$$",	//432
    "disjointWith",	//433
    "distinctMembers",	//434
    "documentCategory",	//435
    "domain",	//436
    "domain##",	//437
    "emailAddress",	//438
    "engineeringTool",	//439
    "equivalentClass",	//440
    "equivalentGraph",	//441
    "equivalentProperty",	//442
    "errorCode",	//443
    "event",	//444
    "eventFilter",	//445
    "executeQuery",	//446
    "executeQuery#$$",	//447
    "executeQuery#$$$",	//448
    "executeQuery$$",	//449
    "executeQuery$$$",	//450
    "executeQueryAsync",	//451
    "executeQueryAsync$$",	//452
    "executeQueryAsync$$$",	//453
    "exposureBias",	//454
    "exposureProgram",	//455
    "exposureTime",	//456
    "externalRealizer",	//457
    "familyName",	//458
    "faxPhoneNumber",	//459
    "fileExtension",	//460
    "fileSystemType",	//461
    "fingerprint",	//462
    "finished",	//463
    "finished#",	//464
    "first",	//465
    "firstUsed",	//466
    "flashUsed",	//467
    "focalLength",	//468
    "focusDistance",	//469
    "formatSubtype",	//470
    "frameCount",	//471
    "frameRate",	//472
    "freeSpace",	//473
    "fromN3",	//474
    "fromN3$",	//475
    "fromN3$$",	//476
    "fromN3Stream",	//477
    "fromN3Stream#",	//478
    "fromN3Stream#$",	//479
    "gender",	//480
    "generator",	//481
    "generatorOptions",	//482
    "genre",	//483
    "givenName",	//484
    "graphMetadataFor",	//485
    "group",	//486
    "hasDefaultNamespace",	//487
    "hasDefaultNamespaceAbbreviation",	//488
    "hasSemantics",	//489
    "hasSpecification",	//490
    "hasSubResource",	//491
    "hasSuperResource",	//492
    "hasSymbol",	//493
    "hasTag",	//494
    "hasTopic",	//495
    "hasValue",	//496
    "height",	//497
    "homeEmailAddress",	//498
    "homePhoneNumber",	//499
    "homePostalAddress",	//500
    "homepageContactURL",	//501
    "honorificPrefix",	//502
    "honorificSuffix",	//503
    "horizontalResolution",	//504
    "iconName",	//505
    "id",	//506
    "identifier",	//507
    "imContactMedium",	//508
    "imports",	//509
    "inReplyTo",	//510
    "incompatibleWith",	//511
    "instance",	//512
    "integer",	//513
    "interest",	//514
    "interlaceMode",	//515
    "intersectionOf",	//516
    "inverseOf",	//517
    "inverseProperty",	//518
    "ircContactMedium",	//519
    "isAvailable",	//520
    "isBinding",	//521
    "isBlank",	//522
    "isBool",	//523
    "isClass",	//524
    "isClass#",	//525
    "isContentEncrypted",	//526
    "isDataGraphFor",	//527
    "isDefinedBy",	//528
    "isDirectSubClassOf",	//529
    "isDirectSubClassOf##",	//530
    "isDirectSubPropertyOf",	//531
    "isDirectSubPropertyOf##",	//532
    "isDirectType",	//533
    "isDirectType##",	//534
    "isEmpty",	//535
    "isEmptyAsync",	//536
    "isEncrypted",	//537
    "isGraph",	//538
    "isImportant",	//539
    "isInProgress",	//540
    "isLiteral",	//541
    "isOptionInSettings",	//542
    "isOptionInSettings?$",	//543
    "isOptionInSettings?$$",	//544
    "isParserError",	//545
    "isProperty",	//546
    "isProperty#",	//547
    "isPublicChannel",	//548
    "isRead",	//549
    "isRelated",	//550
    "isResource",	//551
    "isSourceEncrypted",	//552
    "isSubClassOf",	//553
    "isSubClassOf##",	//554
    "isSubPropertyOf",	//555
    "isSubPropertyOf##",	//556
    "isTagFor",	//557
    "isTopicOf",	//558
    "isType",	//559
    "isType##",	//560
    "isValid",	//561
    "isoEquivalent",	//562
    "iterateBindings",	//563
    "iterateBindings$",	//564
    "iterateContexts",	//565
    "iterateObjects",	//566
    "iteratePredicates",	//567
    "iterateStatements",	//568
    "iterateStatementsFromBindings",	//569
    "iterateStatementsFromBindings$$$",	//570
    "iterateStatementsFromBindings$$$$",	//571
    "iterateStatementsFromBindings$$$$#",	//572
    "iterateSubjects",	//573
    "jabberContactMedium",	//574
    "keyword",	//575
    "knows",	//576
    "label",	//577
    "language",	//578
    "lastError",	//579
    "lastModified",	//580
    "lastRefreshed",	//581
    "lastUsed",	//582
    "legal",	//583
    "license",	//584
    "licenseType",	//585
    "lineCount",	//586
    "links",	//587
    "listContexts",	//588
    "listContextsAsync",	//589
    "listStatements",	//590
    "listStatements#",	//591
    "listStatements###",	//592
    "listStatements####",	//593
    "listStatementsAsync",	//594
    "listStatementsAsync#",	//595
    "listStatementsAsync###",	//596
    "listStatementsAsync####",	//597
    "listStatementsInContext",	//598
    "listStatementsInContext#",	//599
    "literal",	//600
    "literalToN3",	//601
    "literalToN3#",	//602
    "loadCustomBackend",	//603
    "loadCustomBackend$",	//604
    "loadCustomParser",	//605
    "loadCustomParser$",	//606
    "loadCustomPlugin",	//607
    "loadCustomPlugin$",	//608
    "loadCustomSerializer",	//609
    "loadCustomSerializer$",	//610
    "localRevision",	//611
    "locator",	//612
    "lyricist",	//613
    "mailingList",	//614
    "mailingPostalAddress",	//615
    "maintainedBy",	//616
    "maintainer",	//617
    "markupCharacterCount",	//618
    "matches",	//619
    "matches#",	//620
    "maxCardinality",	//621
    "md5Hash",	//622
    "mediaBitrate",	//623
    "mediaCodec",	//624
    "mediaCodecType",	//625
    "mediaDuration",	//626
    "member",	//627
    "mergeConflict",	//628
    "message",	//629
    "metaObject",	//630
    "meteringMode",	//631
    "mimeType",	//632
    "mimeTypeToSerialization",	//633
    "mimeTypeToSerialization$",	//634
    "minCardinality",	//635
    "mode",	//636
    "modified",	//637
    "mountPoint",	//638
    "name",	//639
    "naoNamespace",	//640
    "negativeInteger",	//641
    "newsGroup",	//642
    "next",	//643
    "nextReady",	//644
    "nextReady#",	//645
    "nil",	//646
    "node",	//647
    "nodeIterator",	//648
    "nonNegativeInteger",	//649
    "nrlNamespace",	//650
    "numericRating",	//651
    "object",	//652
    "occupiedSpace",	//653
    "onProperty",	//654
    "oneOf",	//655
    "operator bool",	//656
    "operator!=",	//657
    "operator!=#",	//658
    "operator<<",	//659
    "operator<<##",	//660
    "operator=",	//661
    "operator=#",	//662
    "operator==",	//663
    "operator==#",	//664
    "operator=?",	//665
    "operator[]",	//666
    "operator[]$",	//667
    "option",	//668
    "orientation",	//669
    "originURL",	//670
    "originalLocation",	//671
    "otherName",	//672
    "owlNamespace",	//673
    "owner",	//674
    "pageCount",	//675
    "paragraphCount",	//676
    "parentModel",	//677
    "parentStatementAdded",	//678
    "parentStatementAdded#",	//679
    "parentStatementRemoved",	//680
    "parentStatementRemoved#",	//681
    "parentStatementsAdded",	//682
    "parentStatementsRemoved",	//683
    "parseFile",	//684
    "parseFile$#$",	//685
    "parseFile$#$$",	//686
    "parseStream",	//687
    "parseStream##$",	//688
    "parseStream##$$",	//689
    "parseString",	//690
    "parseString$#$",	//691
    "parseString$#$$",	//692
    "performInference",	//693
    "performer",	//694
    "permissions",	//695
    "personPhoto",	//696
    "personalIdentifier",	//697
    "phoneNumber",	//698
    "pixelDataBitDepth",	//699
    "pixelDataType",	//700
    "pluginName",	//701
    "pluralPrefLabel",	//702
    "postalAddress",	//703
    "predicate",	//704
    "prefLabel",	//705
    "prefSymbol",	//706
    "prefixes",	//707
    "primaryRecipient",	//708
    "priorVersion",	//709
    "programmingLanguage",	//710
    "properties",	//711
    "qHash",	//712
    "qHash#",	//713
    "qt_metacall",	//714
    "qt_metacall$$?",	//715
    "qt_metacast",	//716
    "qt_metacast$",	//717
    "queryResultIterator",	//718
    "range",	//719
    "range##",	//720
    "rating",	//721
    "rdfNamespace",	//722
    "rdfsNamespace",	//723
    "realizes",	//724
    "receptionTime",	//725
    "recipient",	//726
    "related",	//727
    "remotePassword",	//728
    "remotePort",	//729
    "remoteServer",	//730
    "remoteUser",	//731
    "removeAllStatements",	//732
    "removeAllStatements#",	//733
    "removeAllStatements###",	//734
    "removeAllStatements####",	//735
    "removeAllStatementsAsync",	//736
    "removeAllStatementsAsync#",	//737
    "removeAllStatementsAsync###",	//738
    "removeAllStatementsAsync####",	//739
    "removeContext",	//740
    "removeContext#",	//741
    "removeStatement",	//742
    "removeStatement#",	//743
    "removeStatement###",	//744
    "removeStatement####",	//745
    "removeStatementAsync",	//746
    "removeStatementAsync#",	//747
    "removeStatementAsync###",	//748
    "removeStatementAsync####",	//749
    "removeStatements",	//750
    "removeStatements?",	//751
    "removeStatementsAsync",	//752
    "removeStatementsAsync?",	//753
    "replyTo",	//754
    "resourceToN3",	//755
    "resourceToN3#",	//756
    "rest",	//757
    "resultReady",	//758
    "resultReady#",	//759
    "rowCount",	//760
    "rssFeed",	//761
    "rule",	//762
    "ruleLanguage",	//763
    "sameAs",	//764
    "sampleConfiguration",	//765
    "sampleDataBitDepth",	//766
    "sampleDataType",	//767
    "score",	//768
    "scoreParameter",	//769
    "secondaryRecipient",	//770
    "seeAlso",	//771
    "seenAttachedAs",	//772
    "semanticsDefinedBy",	//773
    "serializationLanguage",	//774
    "serializationMimeType",	//775
    "serializationMimeType$",	//776
    "serializationMimeType$$",	//777
    "serialize",	//778
    "serialize##$",	//779
    "serialize##$$",	//780
    "setCacheTime",	//781
    "setCacheTime$",	//782
    "setCompressedSourceStatements",	//783
    "setCompressedSourceStatements$",	//784
    "setContext",	//785
    "setContext#",	//786
    "setCount",	//787
    "setError",	//788
    "setError#",	//789
    "setError$",	//790
    "setError$$",	//791
    "setMode",	//792
    "setMode$",	//793
    "setObject",	//794
    "setObject#",	//795
    "setOptimizedQueriesEnabled",	//796
    "setOptimizedQueriesEnabled$",	//797
    "setParentModel",	//798
    "setParentModel#",	//799
    "setPluginSearchPath",	//800
    "setPluginSearchPath?",	//801
    "setPluginSearchPath?$",	//802
    "setPredicate",	//803
    "setPredicate#",	//804
    "setRate",	//805
    "setResult",	//806
    "setResult##",	//807
    "setRules",	//808
    "setRules?",	//809
    "setSubject",	//810
    "setSubject#",	//811
    "setUsedBackend",	//812
    "setUsedBackend#",	//813
    "setValue",	//814
    "setValue#",	//815
    "settingInSettings",	//816
    "settingInSettings?",	//817
    "settingInSettings?$",	//818
    "settingInSettings?$$",	//819
    "sha1Hash",	//820
    "silNamespace",	//821
    "size",	//822
    "someValuesFrom",	//823
    "sourceCreated",	//824
    "sourceModified",	//825
    "sourceStatement",	//826
    "statementAdded",	//827
    "statementAdded#",	//828
    "statementCount",	//829
    "statementCountAsync",	//830
    "statementIterator",	//831
    "statementRemoved",	//832
    "statementRemoved#",	//833
    "statementsAdded",	//834
    "statementsRemoved",	//835
    "staticMetaObject",	//836
    "status",	//837
    "storageSize",	//838
    "string",	//839
    "subClassOf",	//840
    "subClassOf#",	//841
    "subClassOf##",	//842
    "subGraphOf",	//843
    "subPropertyOf",	//844
    "subPropertyOf#",	//845
    "subPropertyOf##",	//846
    "subject",	//847
    "summary",	//848
    "superGraphOf",	//849
    "supercedes",	//850
    "supportedFeatures",	//851
    "supportedSerializations",	//852
    "supportedUserFeatures",	//853
    "supportedUserSerializations",	//854
    "supportsFeatures",	//855
    "supportsFeatures$",	//856
    "supportsFeatures$?",	//857
    "supportsSerialization",	//858
    "supportsSerialization$",	//859
    "supportsSerialization$$",	//860
    "targetQuality",	//861
    "time",	//862
    "timerEvent",	//863
    "timerEvent#",	//864
    "title",	//865
    "to",	//866
    "toN3",	//867
    "toParserError",	//868
    "toString",	//869
    "totalSpace",	//870
    "totalUncompressedSize",	//871
    "tr",	//872
    "tr$",	//873
    "tr$$",	//874
    "tr$$$",	//875
    "trUtf8",	//876
    "trUtf8$",	//877
    "trUtf8$$",	//878
    "trUtf8$$$",	//879
    "trackGain",	//880
    "trackNumber",	//881
    "trackPeakGain",	//882
    "type",	//883
    "type##",	//884
    "unionOf",	//885
    "unsignedInt",	//886
    "unsignedLong",	//887
    "unsignedShort",	//888
    "updatable",	//889
    "uri",	//890
    "url",	//891
    "useCount",	//892
    "usedBackend",	//893
    "userComment",	//894
    "userKeyword",	//895
    "userOptionName",	//896
    "userRating",	//897
    "userVisible",	//898
    "usesNamespace",	//899
    "value",	//900
    "valueInSettings",	//901
    "valueInSettings?$",	//902
    "valueInSettings?$#",	//903
    "valueInSettings?$$",	//904
    "valueInSettingsWithDefault",	//905
    "valueInSettingsWithDefault?$#",	//906
    "version",	//907
    "versionInfo",	//908
    "versionMajor",	//909
    "versionMinor",	//910
    "versionRelease",	//911
    "versionString",	//912
    "verticalResolution",	//913
    "videoBitrate",	//914
    "videoCodec",	//915
    "videoCodecType",	//916
    "viewOn",	//917
    "whiteBalance",	//918
    "width",	//919
    "wordCount",	//920
    "workEmailAddress",	//921
    "workPhoneNumber",	//922
    "workPostalAddress",	//923
    "write",	//924
    "write#",	//925
    "xesam35mmEquivalent",	//926
    "xesamNamespace",	//927
    "xsdDouble",	//928
    "xsdFloat",	//929
    "xsdInt",	//930
    "xsdLong",	//931
    "xsdNamespace",	//932
    "xsdShort",	//933
    "~AsyncModel",	//934
    "~AsyncQuery",	//935
    "~AsyncResult",	//936
    "~Backend",	//937
    "~BackendSetting",	//938
    "~Error",	//939
    "~ErrorCache",	//940
    "~FilterModel",	//941
    "~InferenceModel",	//942
    "~Model",	//943
    "~Node",	//944
    "~NodeIterator",	//945
    "~Parser",	//946
    "~ParserError",	//947
    "~Plugin",	//948
    "~PluginManager",	//949
    "~QueryResultIterator",	//950
    "~RdfSchemaModel",	//951
    "~ReadOnlyModel",	//952
    "~Serializer",	//953
    "~SignalCacheModel",	//954
    "~SimpleNodeIterator",	//955
    "~SimpleStatementIterator",	//956
    "~Statement",	//957
    "~StatementIterator",	//958
    "~StorageModel",	//959
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {5, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 30},	//30 QGlobalSpace::__codecvt_ok (enum)
    {5, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 31},	//31 QGlobalSpace::__codecvt_partial (enum)
    {5, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 32},	//32 QGlobalSpace::__codecvt_error (enum)
    {5, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 33},	//33 QGlobalSpace::__codecvt_noconv (enum)
    {7, 444, 1, 1, Smoke::mf_virtual, 180, 0},	//34 QObject::event(QEvent*)
    {7, 445, 3, 2, Smoke::mf_virtual, 180, 0},	//35 QObject::eventFilter(QObject*, QEvent*)
    {7, 863, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::timerEvent(QTimerEvent*)
    {7, 324, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::childEvent(QChildEvent*)
    {7, 391, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::customEvent(QEvent*)
    {7, 343, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QObject::connectNotify(const char*)
    {7, 417, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QObject::disconnectNotify(const char*)
    {13, 816, 12, 3, Smoke::mf_static, 122, 1},	//41 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 816, 16, 2, Smoke::mf_static, 122, 2},	//42 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 712, 19, 1, Smoke::mf_static, 220, 3},	//43 Soprano::qHash(const Soprano::Node&)
    {13, 418, 21, 2, Smoke::mf_static, 195, 4},	//44 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {13, 418, 24, 1, Smoke::mf_static, 195, 5},	//45 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {13, 659, 26, 2, Smoke::mf_static, 3, 6},	//46 Soprano::operator<<(QDebug, const Soprano::Graph&)
    {13, 712, 29, 1, Smoke::mf_static, 220, 7},	//47 Soprano::qHash(const Soprano::Statement&)
    {13, 633, 31, 1, Smoke::mf_static, 160, 8},	//48 Soprano::mimeTypeToSerialization(const QString&)
    {13, 775, 33, 2, Smoke::mf_static, 19, 9},	//49 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {13, 775, 36, 1, Smoke::mf_static, 19, 10},	//50 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {13, 421, 31, 1, Smoke::mf_static, 195, 11},	//51 Soprano::discoverBackendByName(const QString&)
    {13, 905, 38, 3, Smoke::mf_static, 25, 12},	//52 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {13, 812, 42, 1, Smoke::mf_static, 0, 13},	//53 Soprano::setUsedBackend(const Soprano::Backend*)
    {13, 712, 44, 1, Smoke::mf_static, 220, 14},	//54 Soprano::qHash(const Soprano::LanguageTag&)
    {13, 382, 46, 1, Smoke::mf_static, 142, 15},	//55 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {13, 382, 0, 0, Smoke::mf_static, 142, 16},	//56 Soprano::createModel()
    {13, 901, 48, 3, Smoke::mf_static, 25, 17},	//57 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {13, 901, 52, 2, Smoke::mf_static, 25, 18},	//58 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 816, 55, 3, Smoke::mf_static, 121, 19},	//59 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 816, 59, 2, Smoke::mf_static, 121, 20},	//60 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 816, 52, 2, Smoke::mf_static, 121, 21},	//61 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 816, 46, 1, Smoke::mf_static, 121, 22},	//62 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {13, 542, 55, 3, Smoke::mf_static, 180, 23},	//63 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 542, 59, 2, Smoke::mf_static, 180, 24},	//64 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 912, 0, 0, Smoke::mf_static, 217, 25},	//65 Soprano::versionString()
    {13, 909, 0, 0, Smoke::mf_static, 220, 26},	//66 Soprano::versionMajor()
    {13, 911, 0, 0, Smoke::mf_static, 220, 27},	//67 Soprano::versionRelease()
    {13, 712, 62, 1, Smoke::mf_static, 220, 28},	//68 Soprano::qHash(const Soprano::LiteralValue&)
    {13, 901, 55, 3, Smoke::mf_static, 25, 29},	//69 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 901, 59, 2, Smoke::mf_static, 25, 30},	//70 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 893, 0, 0, Smoke::mf_static, 195, 31},	//71 Soprano::usedBackend()
    {13, 816, 64, 2, Smoke::mf_static, 122, 32},	//72 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {13, 910, 0, 0, Smoke::mf_static, 220, 33},	//73 Soprano::versionMinor()
    {13, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 34},	//74 Soprano::BackendFeatureNone (enum)
    {13, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 35},	//75 Soprano::BackendFeatureAddStatement (enum)
    {13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 36},	//76 Soprano::BackendFeatureRemoveStatements (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 37},	//77 Soprano::BackendFeatureListStatements (enum)
    {13, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 38},	//78 Soprano::BackendFeatureQuery (enum)
    {13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 39},	//79 Soprano::BackendFeatureInference (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 40},	//80 Soprano::BackendFeatureInferenceOptional (enum)
    {13, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 41},	//81 Soprano::BackendFeatureContext (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 42},	//82 Soprano::BackendFeatureStorageMemory (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 43},	//83 Soprano::BackendFeatureAll (enum)
    {13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 44},	//84 Soprano::BackendFeatureUser (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 45},	//85 Soprano::BackendOptionNone (enum)
    {13, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 46},	//86 Soprano::BackendOptionStorageMemory (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 47},	//87 Soprano::BackendOptionEnableInference (enum)
    {13, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 48},	//88 Soprano::BackendOptionStorageDir (enum)
    {13, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 49},	//89 Soprano::BackendOptionHost (enum)
    {13, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 50},	//90 Soprano::BackendOptionPort (enum)
    {13, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 51},	//91 Soprano::BackendOptionUsername (enum)
    {13, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 52},	//92 Soprano::BackendOptionPassword (enum)
    {13, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 53},	//93 Soprano::BackendOptionUser (enum)
    {13, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 54},	//94 Soprano::SerializationUnknown (enum)
    {13, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 55},	//95 Soprano::SerializationRdfXml (enum)
    {13, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 56},	//96 Soprano::SerializationN3 (enum)
    {13, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 57},	//97 Soprano::SerializationNTriples (enum)
    {13, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 58},	//98 Soprano::SerializationTurtle (enum)
    {13, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 59},	//99 Soprano::SerializationTrig (enum)
    {13, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 60},	//100 Soprano::SerializationNQuads (enum)
    {13, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 61},	//101 Soprano::SerializationUser (enum)
    {14, 13, 31, 1, Smoke::mf_ctor, 118, 1},	//102 Soprano::Backend::Backend(const QString&)
    {14, 382, 46, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 168, 2},	//103 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 399, 46, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 180, 3},	//104 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 851, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 4},	//105 Soprano::Backend::supportedFeatures() const [pure virtual]
    {14, 853, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 5},	//106 Soprano::Backend::supportedUserFeatures() const
    {14, 855, 21, 2, Smoke::mf_const, 180, 6},	//107 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {14, 13, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 7},	//108 Soprano::Backend::Backend(const Soprano::Backend&)
    {14, 382, 0, 0, Smoke::mf_const, 168, 8},	//109 Soprano::Backend::createModel() const
    {14, 855, 24, 1, Smoke::mf_const, 180, 9},	//110 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {14, 937, 0, 0, Smoke::mf_dtor, 0, 10 },	//111 Soprano::Backend::~Backend()
    {15, 36, 0, 0, Smoke::mf_ctor, 123, 1},	//112 Soprano::BackendSetting::BackendSetting()
    {15, 36, 69, 1, Smoke::mf_ctor, 123, 2},	//113 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {15, 36, 71, 2, Smoke::mf_ctor, 123, 3},	//114 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {15, 36, 74, 2, Smoke::mf_ctor, 123, 4},	//115 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {15, 36, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 5},	//116 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {15, 661, 77, 1, 0, 122, 6},	//117 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {15, 668, 0, 0, Smoke::mf_const, 120, 7},	//118 Soprano::BackendSetting::option() const
    {15, 896, 0, 0, Smoke::mf_const, 19, 8},	//119 Soprano::BackendSetting::userOptionName() const
    {15, 900, 0, 0, Smoke::mf_const, 25, 9},	//120 Soprano::BackendSetting::value() const
    {15, 814, 79, 1, 0, 0, 10},	//121 Soprano::BackendSetting::setValue(const QVariant&)
    {15, 938, 0, 0, Smoke::mf_dtor, 0, 11 },	//122 Soprano::BackendSetting::~BackendSetting()
    {17, 70, 0, 0, Smoke::mf_ctor, 127, 1},	//123 Soprano::Error::Error::Error()
    {17, 70, 81, 2, Smoke::mf_ctor, 127, 2},	//124 Soprano::Error::Error::Error(const QString&, int)
    {17, 70, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 127, 3},	//125 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {17, 661, 84, 1, 0, 126, 4},	//126 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {17, 656, 0, 0, Smoke::mf_const, 180, 5},	//127 Soprano::Error::Error::operator bool() const
    {17, 629, 0, 0, Smoke::mf_const, 19, 6},	//128 Soprano::Error::Error::message() const
    {17, 330, 0, 0, Smoke::mf_const, 218, 7},	//129 Soprano::Error::Error::code() const
    {17, 545, 0, 0, Smoke::mf_const, 180, 8},	//130 Soprano::Error::Error::isParserError() const
    {17, 868, 0, 0, Smoke::mf_const, 132, 9},	//131 Soprano::Error::Error::toParserError() const
    {17, 70, 86, 1, Smoke::mf_ctor|Smoke::mf_protected, 127, 10},	//132 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {17, 70, 31, 1, Smoke::mf_ctor, 127, 11},	//133 Soprano::Error::Error::Error(const QString&)
    {17, 939, 0, 0, Smoke::mf_dtor, 0, 12 },	//134 Soprano::Error::Error::~Error()
    {18, 579, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 125, 1},	//135 Soprano::Error::ErrorCache::lastError() const
    {18, 74, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 128, 2},	//136 Soprano::Error::ErrorCache::ErrorCache()
    {18, 326, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//137 Soprano::Error::ErrorCache::clearError() const
    {18, 788, 84, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//138 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {18, 788, 81, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//139 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {18, 74, 88, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 6},	//140 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {18, 788, 31, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//141 Soprano::Error::ErrorCache::setError(const QString&) const
    {18, 940, 0, 0, Smoke::mf_dtor, 0, 8 },	//142 Soprano::Error::ErrorCache::~ErrorCache()
    {21, 151, 0, 0, Smoke::mf_ctor, 134, 1},	//143 Soprano::Error::ParserError::ParserError()
    {21, 151, 90, 3, Smoke::mf_ctor, 134, 2},	//144 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {21, 151, 84, 1, Smoke::mf_ctor, 134, 3},	//145 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {21, 661, 84, 1, 0, 133, 4},	//146 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {21, 612, 0, 0, Smoke::mf_const, 131, 5},	//147 Soprano::Error::ParserError::locator() const
    {21, 151, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 6},	//148 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {21, 151, 96, 1, Smoke::mf_ctor, 134, 7},	//149 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {21, 151, 98, 2, Smoke::mf_ctor, 134, 8},	//150 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {21, 947, 0, 0, Smoke::mf_dtor, 0, 9 },	//151 Soprano::Error::ParserError::~ParserError()
    {22, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//152 Soprano::FilterModel::metaObject() const
    {22, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//153 Soprano::FilterModel::qt_metacast(const char*)
    {22, 872, 101, 2, Smoke::mf_static, 19, 3},	//154 Soprano::FilterModel::tr(const char*, const char*)
    {22, 876, 101, 2, Smoke::mf_static, 19, 4},	//155 Soprano::FilterModel::trUtf8(const char*, const char*)
    {22, 872, 104, 3, Smoke::mf_static, 19, 5},	//156 Soprano::FilterModel::tr(const char*, const char*, int)
    {22, 876, 104, 3, Smoke::mf_static, 19, 6},	//157 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {22, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//158 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 798, 112, 1, Smoke::mf_virtual, 0, 8},	//159 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {22, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 142, 9},	//160 Soprano::FilterModel::parentModel() const
    {22, 254, 29, 1, Smoke::mf_virtual, 129, 10},	//161 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {22, 254, 114, 4, 0, 129, 11},	//162 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 742, 29, 1, Smoke::mf_virtual, 129, 12},	//163 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {22, 742, 114, 4, 0, 129, 13},	//164 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 732, 29, 1, Smoke::mf_virtual, 129, 14},	//165 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {22, 732, 114, 4, 0, 129, 15},	//166 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 590, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 165, 16},	//167 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {22, 590, 114, 4, Smoke::mf_const, 165, 17},	//168 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 18},	//169 Soprano::FilterModel::listContexts() const
    {22, 446, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 155, 19},	//170 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {22, 358, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 20},	//171 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {22, 358, 114, 4, Smoke::mf_const, 180, 21},	//172 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 348, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 22},	//173 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {22, 348, 114, 4, Smoke::mf_const, 180, 23},	//174 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 24},	//175 Soprano::FilterModel::isEmpty() const
    {22, 829, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 25},	//176 Soprano::FilterModel::statementCount() const
    {22, 924, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 129, 26},	//177 Soprano::FilterModel::write(QTextStream&) const
    {22, 375, 0, 0, Smoke::mf_virtual, 143, 27},	//178 Soprano::FilterModel::createBlankNode()
    {22, 732, 0, 0, 0, 129, 28},	//179 Soprano::FilterModel::removeAllStatements()
    {22, 590, 0, 0, Smoke::mf_const, 165, 29},	//180 Soprano::FilterModel::listStatements() const
    {22, 80, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 135, 30},	//181 Soprano::FilterModel::FilterModel()
    {22, 80, 112, 1, Smoke::mf_ctor|Smoke::mf_protected, 135, 31},	//182 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {22, 682, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//183 Soprano::FilterModel::parentStatementsAdded()
    {22, 683, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//184 Soprano::FilterModel::parentStatementsRemoved()
    {22, 678, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//185 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {22, 680, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//186 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {22, 872, 10, 1, Smoke::mf_static, 19, 36},	//187 Soprano::FilterModel::tr(const char*)
    {22, 876, 10, 1, Smoke::mf_static, 19, 37},	//188 Soprano::FilterModel::trUtf8(const char*)
    {22, 254, 125, 3, 0, 129, 38},	//189 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 742, 125, 3, 0, 129, 39},	//190 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 732, 125, 3, 0, 129, 40},	//191 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 590, 125, 3, Smoke::mf_const, 165, 41},	//192 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 446, 129, 2, Smoke::mf_const, 155, 42},	//193 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {22, 358, 125, 3, Smoke::mf_const, 180, 43},	//194 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 348, 125, 3, Smoke::mf_const, 180, 44},	//195 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 45},	//196 Soprano::FilterModel::staticMetaObject() const
    {22, 941, 0, 0, Smoke::mf_dtor, 0, 46 },	//197 Soprano::FilterModel::~FilterModel()
    {24, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//198 Soprano::Inference::InferenceModel::metaObject() const
    {24, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//199 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {24, 872, 101, 2, Smoke::mf_static, 19, 3},	//200 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {24, 876, 101, 2, Smoke::mf_static, 19, 4},	//201 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {24, 872, 104, 3, Smoke::mf_static, 19, 5},	//202 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {24, 876, 104, 3, Smoke::mf_static, 19, 6},	//203 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {24, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//204 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 94, 112, 1, Smoke::mf_ctor, 136, 8},	//205 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {24, 254, 29, 1, Smoke::mf_virtual, 129, 9},	//206 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {24, 742, 29, 1, Smoke::mf_virtual, 129, 10},	//207 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {24, 732, 29, 1, Smoke::mf_virtual, 129, 11},	//208 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {24, 252, 132, 1, 0, 0, 12},	//209 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {24, 808, 134, 1, 0, 0, 13},	//210 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {24, 254, 114, 4, 0, 129, 14},	//211 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 742, 114, 4, 0, 129, 15},	//212 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 732, 114, 4, 0, 129, 16},	//213 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 732, 0, 0, 0, 129, 17},	//214 Soprano::Inference::InferenceModel::removeAllStatements()
    {24, 693, 0, 0, Smoke::mf_slot, 0, 18},	//215 Soprano::Inference::InferenceModel::performInference()
    {24, 327, 0, 0, Smoke::mf_slot, 0, 19},	//216 Soprano::Inference::InferenceModel::clearInference()
    {24, 783, 136, 1, Smoke::mf_slot, 0, 20},	//217 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {24, 796, 136, 1, Smoke::mf_slot, 0, 21},	//218 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {24, 872, 10, 1, Smoke::mf_static, 19, 22},	//219 Soprano::Inference::InferenceModel::tr(const char*)
    {24, 876, 10, 1, Smoke::mf_static, 19, 23},	//220 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {24, 254, 125, 3, 0, 129, 24},	//221 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 742, 125, 3, 0, 129, 25},	//222 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 732, 125, 3, 0, 129, 26},	//223 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 27},	//224 Soprano::Inference::InferenceModel::staticMetaObject() const
    {24, 942, 0, 0, Smoke::mf_dtor, 0, 28 },	//225 Soprano::Inference::InferenceModel::~InferenceModel()
    {28, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//226 Soprano::Model::metaObject() const
    {28, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//227 Soprano::Model::qt_metacast(const char*)
    {28, 872, 101, 2, Smoke::mf_static, 19, 3},	//228 Soprano::Model::tr(const char*, const char*)
    {28, 876, 101, 2, Smoke::mf_static, 19, 4},	//229 Soprano::Model::trUtf8(const char*, const char*)
    {28, 872, 104, 3, Smoke::mf_static, 19, 5},	//230 Soprano::Model::tr(const char*, const char*, int)
    {28, 876, 104, 3, Smoke::mf_static, 19, 6},	//231 Soprano::Model::trUtf8(const char*, const char*, int)
    {28, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//232 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {28, 254, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 8},	//233 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {28, 254, 114, 4, 0, 129, 9},	//234 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 262, 138, 1, 0, 129, 10},	//235 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {28, 742, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 11},	//236 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {28, 742, 114, 4, 0, 129, 12},	//237 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 732, 29, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 129, 13},	//238 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {28, 732, 114, 4, 0, 129, 14},	//239 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 750, 138, 1, 0, 129, 15},	//240 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {28, 740, 19, 1, 0, 129, 16},	//241 Soprano::Model::removeContext(const Soprano::Node&)
    {28, 732, 0, 0, 0, 129, 17},	//242 Soprano::Model::removeAllStatements()
    {28, 590, 29, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 165, 18},	//243 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {28, 590, 114, 4, Smoke::mf_const, 165, 19},	//244 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 590, 0, 0, Smoke::mf_const, 165, 20},	//245 Soprano::Model::listStatements() const
    {28, 598, 19, 1, Smoke::mf_const, 165, 21},	//246 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {28, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 22},	//247 Soprano::Model::listContexts() const [pure virtual]
    {28, 446, 119, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 155, 23},	//248 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {28, 348, 29, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 180, 24},	//249 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {28, 348, 114, 4, Smoke::mf_const, 180, 25},	//250 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 358, 29, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 180, 26},	//251 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {28, 358, 114, 4, Smoke::mf_const, 180, 27},	//252 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 356, 19, 1, Smoke::mf_const, 180, 28},	//253 Soprano::Model::containsContext(const Soprano::Node&) const
    {28, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 180, 29},	//254 Soprano::Model::isEmpty() const [pure virtual]
    {28, 829, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 218, 30},	//255 Soprano::Model::statementCount() const [pure virtual]
    {28, 924, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 129, 31},	//256 Soprano::Model::write(QTextStream&) const
    {28, 375, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 143, 32},	//257 Soprano::Model::createBlankNode() [pure virtual]
    {28, 834, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//258 Soprano::Model::statementsAdded()
    {28, 835, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//259 Soprano::Model::statementsRemoved()
    {28, 827, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//260 Soprano::Model::statementAdded(const Soprano::Statement&)
    {28, 832, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//261 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {28, 127, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 142, 37},	//262 Soprano::Model::Model()
    {28, 872, 10, 1, Smoke::mf_static, 19, 38},	//263 Soprano::Model::tr(const char*)
    {28, 876, 10, 1, Smoke::mf_static, 19, 39},	//264 Soprano::Model::trUtf8(const char*)
    {28, 254, 125, 3, 0, 129, 40},	//265 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 742, 125, 3, 0, 129, 41},	//266 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 732, 125, 3, 0, 129, 42},	//267 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 590, 125, 3, Smoke::mf_const, 165, 43},	//268 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 446, 129, 2, Smoke::mf_const, 155, 44},	//269 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {28, 348, 125, 3, Smoke::mf_const, 180, 45},	//270 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 358, 125, 3, Smoke::mf_const, 180, 46},	//271 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 47},	//272 Soprano::Model::staticMetaObject() const
    {28, 943, 0, 0, Smoke::mf_dtor, 0, 48 },	//273 Soprano::Model::~Model()
    {29, 133, 0, 0, Smoke::mf_ctor, 145, 1},	//274 Soprano::Node::Node()
    {29, 133, 140, 1, Smoke::mf_ctor, 145, 2},	//275 Soprano::Node::Node(const QUrl&)
    {29, 133, 31, 1, Smoke::mf_ctor, 145, 3},	//276 Soprano::Node::Node(const QString&)
    {29, 133, 62, 1, Smoke::mf_ctor, 145, 4},	//277 Soprano::Node::Node(const Soprano::LiteralValue&)
    {29, 133, 142, 2, Smoke::mf_ctor, 145, 5},	//278 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {29, 133, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 6},	//279 Soprano::Node::Node(const Soprano::Node&)
    {29, 661, 19, 1, 0, 144, 7},	//280 Soprano::Node::operator=(const Soprano::Node&)
    {29, 661, 140, 1, 0, 144, 8},	//281 Soprano::Node::operator=(const QUrl&)
    {29, 661, 62, 1, 0, 144, 9},	//282 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {29, 663, 19, 1, Smoke::mf_const, 180, 10},	//283 Soprano::Node::operator==(const Soprano::Node&) const
    {29, 657, 19, 1, Smoke::mf_const, 180, 11},	//284 Soprano::Node::operator!=(const Soprano::Node&) const
    {29, 663, 140, 1, Smoke::mf_const, 180, 12},	//285 Soprano::Node::operator==(const QUrl&) const
    {29, 663, 62, 1, Smoke::mf_const, 180, 13},	//286 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {29, 619, 19, 1, Smoke::mf_const, 180, 14},	//287 Soprano::Node::matches(const Soprano::Node&) const
    {29, 883, 0, 0, Smoke::mf_const, 147, 15},	//288 Soprano::Node::type() const
    {29, 535, 0, 0, Smoke::mf_const, 180, 16},	//289 Soprano::Node::isEmpty() const
    {29, 561, 0, 0, Smoke::mf_const, 180, 17},	//290 Soprano::Node::isValid() const
    {29, 541, 0, 0, Smoke::mf_const, 180, 18},	//291 Soprano::Node::isLiteral() const
    {29, 551, 0, 0, Smoke::mf_const, 180, 19},	//292 Soprano::Node::isResource() const
    {29, 522, 0, 0, Smoke::mf_const, 180, 20},	//293 Soprano::Node::isBlank() const
    {29, 890, 0, 0, Smoke::mf_const, 24, 21},	//294 Soprano::Node::uri() const
    {29, 507, 0, 0, Smoke::mf_const, 19, 22},	//295 Soprano::Node::identifier() const
    {29, 600, 0, 0, Smoke::mf_const, 141, 23},	//296 Soprano::Node::literal() const
    {29, 392, 0, 0, Smoke::mf_const, 24, 24},	//297 Soprano::Node::dataType() const
    {29, 578, 0, 0, Smoke::mf_const, 19, 25},	//298 Soprano::Node::language() const
    {29, 869, 0, 0, Smoke::mf_const, 19, 26},	//299 Soprano::Node::toString() const
    {29, 867, 0, 0, Smoke::mf_const, 19, 27},	//300 Soprano::Node::toN3() const
    {29, 378, 0, 0, Smoke::mf_static, 143, 28},	//301 Soprano::Node::createEmptyNode()
    {29, 384, 140, 1, Smoke::mf_static, 143, 29},	//302 Soprano::Node::createResourceNode(const QUrl&)
    {29, 375, 31, 1, Smoke::mf_static, 143, 30},	//303 Soprano::Node::createBlankNode(const QString&)
    {29, 379, 62, 1, Smoke::mf_static, 143, 31},	//304 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {29, 379, 142, 2, Smoke::mf_static, 143, 32},	//305 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {29, 755, 140, 1, Smoke::mf_static, 19, 33},	//306 Soprano::Node::resourceToN3(const QUrl&)
    {29, 307, 31, 1, Smoke::mf_static, 19, 34},	//307 Soprano::Node::blankToN3(const QString&)
    {29, 601, 62, 1, Smoke::mf_static, 19, 35},	//308 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {29, 474, 145, 2, Smoke::mf_static, 143, 36},	//309 Soprano::Node::fromN3(const QString&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 477, 148, 2, Smoke::mf_static, 143, 37},	//310 Soprano::Node::fromN3Stream(QTextStream&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 474, 31, 1, Smoke::mf_static, 143, 38},	//311 Soprano::Node::fromN3(const QString&)
    {29, 477, 123, 1, Smoke::mf_static, 143, 39},	//312 Soprano::Node::fromN3Stream(QTextStream&)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 40},	//313 Soprano::Node::EmptyNode (enum)
    {29, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 41},	//314 Soprano::Node::ResourceNode (enum)
    {29, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 42},	//315 Soprano::Node::LiteralNode (enum)
    {29, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 43},	//316 Soprano::Node::BlankNode (enum)
    {29, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 44},	//317 Soprano::Node::NoFlags (enum)
    {29, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 45},	//318 Soprano::Node::StrictLiteralTypes (enum)
    {29, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 46},	//319 Soprano::Node::StrictUris (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 47},	//320 Soprano::Node::IgnorePrefixes (enum)
    {29, 944, 0, 0, Smoke::mf_dtor, 0, 48 },	//321 Soprano::Node::~Node()
    {30, 137, 0, 0, Smoke::mf_ctor, 150, 1},	//322 Soprano::NodeIterator::NodeIterator()
    {30, 137, 151, 1, Smoke::mf_ctor, 150, 2},	//323 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {30, 137, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 3},	//324 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {30, 661, 153, 1, 0, 149, 4},	//325 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {30, 273, 0, 0, 0, 11, 5},	//326 Soprano::NodeIterator::allNodes()
    {30, 945, 0, 0, Smoke::mf_dtor, 0, 6 },	//327 Soprano::NodeIterator::~NodeIterator()
    {31, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//328 Soprano::Parser::supportedSerializations() const [pure virtual]
    {31, 854, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//329 Soprano::Parser::supportedUserSerializations() const
    {31, 858, 33, 2, Smoke::mf_const, 180, 3},	//330 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {31, 684, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 165, 4},	//331 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 690, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 165, 5},	//332 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 687, 160, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 165, 6},	//333 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {31, 148, 31, 1, Smoke::mf_ctor|Smoke::mf_protected, 151, 7},	//334 Soprano::Parser::Parser(const QString&)
    {31, 148, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 8},	//335 Soprano::Parser::Parser(const Soprano::Parser&)
    {31, 858, 36, 1, Smoke::mf_const, 180, 9},	//336 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {31, 684, 167, 3, Smoke::mf_const, 165, 10},	//337 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 690, 167, 3, Smoke::mf_const, 165, 11},	//338 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 687, 171, 3, Smoke::mf_const, 165, 12},	//339 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {31, 946, 0, 0, Smoke::mf_dtor, 0, 13 },	//340 Soprano::Parser::~Parser()
    {32, 701, 0, 0, Smoke::mf_const, 19, 1},	//341 Soprano::Plugin::pluginName() const
    {32, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 2},	//342 Soprano::Plugin::isAvailable() const
    {32, 159, 31, 1, Smoke::mf_ctor|Smoke::mf_protected, 152, 3},	//343 Soprano::Plugin::Plugin(const QString&)
    {32, 159, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 4},	//344 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {32, 948, 0, 0, Smoke::mf_dtor, 0, 5 },	//345 Soprano::Plugin::~Plugin()
    {33, 630, 0, 0, Smoke::mf_const, 186, 1},	//346 Soprano::PluginManager::metaObject() const
    {33, 716, 10, 1, 0, 221, 2},	//347 Soprano::PluginManager::qt_metacast(const char*)
    {33, 872, 101, 2, Smoke::mf_static, 19, 3},	//348 Soprano::PluginManager::tr(const char*, const char*)
    {33, 876, 101, 2, Smoke::mf_static, 19, 4},	//349 Soprano::PluginManager::trUtf8(const char*, const char*)
    {33, 872, 104, 3, Smoke::mf_static, 19, 5},	//350 Soprano::PluginManager::tr(const char*, const char*, int)
    {33, 876, 104, 3, Smoke::mf_static, 19, 6},	//351 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {33, 714, 108, 3, 0, 218, 7},	//352 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {33, 800, 177, 2, 0, 0, 8},	//353 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {33, 607, 31, 1, 0, 180, 9},	//354 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {33, 603, 31, 1, 0, 195, 10},	//355 Soprano::PluginManager::loadCustomBackend(const QString&)
    {33, 605, 31, 1, 0, 208, 11},	//356 Soprano::PluginManager::loadCustomParser(const QString&)
    {33, 609, 31, 1, 0, 212, 12},	//357 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {33, 421, 31, 1, 0, 195, 13},	//358 Soprano::PluginManager::discoverBackendByName(const QString&)
    {33, 418, 21, 2, 0, 195, 14},	//359 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {33, 271, 0, 0, 0, 13, 15},	//360 Soprano::PluginManager::allBackends()
    {33, 423, 31, 1, 0, 208, 16},	//361 Soprano::PluginManager::discoverParserByName(const QString&)
    {33, 425, 33, 2, 0, 208, 17},	//362 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 274, 0, 0, 0, 14, 18},	//363 Soprano::PluginManager::allParsers()
    {33, 428, 31, 1, 0, 212, 19},	//364 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {33, 430, 33, 2, 0, 212, 20},	//365 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 275, 0, 0, 0, 15, 21},	//366 Soprano::PluginManager::allSerializers()
    {33, 512, 0, 0, Smoke::mf_static, 153, 22},	//367 Soprano::PluginManager::instance()
    {33, 872, 10, 1, Smoke::mf_static, 19, 23},	//368 Soprano::PluginManager::tr(const char*)
    {33, 876, 10, 1, Smoke::mf_static, 19, 24},	//369 Soprano::PluginManager::trUtf8(const char*)
    {33, 800, 180, 1, 0, 0, 25},	//370 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {33, 418, 24, 1, 0, 195, 26},	//371 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {33, 425, 36, 1, 0, 208, 27},	//372 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {33, 430, 36, 1, 0, 212, 28},	//373 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {33, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 29},	//374 Soprano::PluginManager::staticMetaObject() const
    {33, 949, 0, 0, Smoke::mf_dtor, 0, 30 },	//375 Soprano::PluginManager::~PluginManager()
    {34, 175, 0, 0, Smoke::mf_ctor, 157, 1},	//376 Soprano::QueryResultIterator::QueryResultIterator()
    {34, 175, 182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//377 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {34, 175, 184, 1, Smoke::mf_ctor, 157, 3},	//378 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {34, 661, 182, 1, 0, 156, 4},	//379 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {34, 390, 0, 0, Smoke::mf_const, 162, 5},	//380 Soprano::QueryResultIterator::currentStatement() const
    {34, 389, 0, 0, Smoke::mf_const, 124, 6},	//381 Soprano::QueryResultIterator::currentBindings() const
    {34, 310, 0, 0, Smoke::mf_const, 180, 7},	//382 Soprano::QueryResultIterator::boolValue() const
    {34, 666, 186, 1, Smoke::mf_const, 143, 8},	//383 Soprano::QueryResultIterator::operator[](int) const
    {34, 666, 188, 1, Smoke::mf_const, 143, 9},	//384 Soprano::QueryResultIterator::operator[](const QString) const
    {34, 302, 31, 1, Smoke::mf_const, 143, 10},	//385 Soprano::QueryResultIterator::binding(const QString&) const
    {34, 302, 186, 1, Smoke::mf_const, 143, 11},	//386 Soprano::QueryResultIterator::binding(int) const
    {34, 304, 0, 0, Smoke::mf_const, 218, 12},	//387 Soprano::QueryResultIterator::bindingCount() const
    {34, 305, 0, 0, Smoke::mf_const, 20, 13},	//388 Soprano::QueryResultIterator::bindingNames() const
    {34, 538, 0, 0, Smoke::mf_const, 180, 14},	//389 Soprano::QueryResultIterator::isGraph() const
    {34, 521, 0, 0, Smoke::mf_const, 180, 15},	//390 Soprano::QueryResultIterator::isBinding() const
    {34, 523, 0, 0, Smoke::mf_const, 180, 16},	//391 Soprano::QueryResultIterator::isBool() const
    {34, 272, 0, 0, 0, 10, 17},	//392 Soprano::QueryResultIterator::allBindings()
    {34, 568, 0, 0, Smoke::mf_const, 165, 18},	//393 Soprano::QueryResultIterator::iterateStatements() const
    {34, 563, 31, 1, Smoke::mf_const, 148, 19},	//394 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {34, 563, 186, 1, Smoke::mf_const, 148, 20},	//395 Soprano::QueryResultIterator::iterateBindings(int) const
    {34, 569, 190, 5, Smoke::mf_const, 165, 21},	//396 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {34, 569, 196, 3, Smoke::mf_const, 165, 22},	//397 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {34, 569, 200, 4, Smoke::mf_const, 165, 23},	//398 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {34, 950, 0, 0, Smoke::mf_dtor, 0, 24 },	//399 Soprano::QueryResultIterator::~QueryResultIterator()
    {36, 179, 112, 1, Smoke::mf_ctor, 159, 1},	//400 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {36, 325, 0, 0, Smoke::mf_const, 165, 2},	//401 Soprano::RdfSchemaModel::classes() const
    {36, 407, 205, 2, Smoke::mf_const, 165, 3},	//402 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 410, 205, 2, Smoke::mf_const, 165, 4},	//403 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 413, 205, 2, Smoke::mf_const, 165, 5},	//404 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {36, 436, 205, 2, Smoke::mf_const, 165, 6},	//405 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {36, 711, 0, 0, Smoke::mf_const, 165, 7},	//406 Soprano::RdfSchemaModel::properties() const
    {36, 719, 205, 2, Smoke::mf_const, 165, 8},	//407 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {36, 840, 205, 2, Smoke::mf_const, 165, 9},	//408 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 844, 205, 2, Smoke::mf_const, 165, 10},	//409 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 883, 205, 2, Smoke::mf_const, 165, 11},	//410 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {36, 524, 19, 1, Smoke::mf_const, 180, 12},	//411 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {36, 546, 19, 1, Smoke::mf_const, 180, 13},	//412 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {36, 529, 205, 2, Smoke::mf_const, 180, 14},	//413 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 531, 205, 2, Smoke::mf_const, 180, 15},	//414 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 533, 205, 2, Smoke::mf_const, 180, 16},	//415 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {36, 553, 205, 2, Smoke::mf_const, 180, 17},	//416 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 555, 205, 2, Smoke::mf_const, 180, 18},	//417 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 559, 205, 2, Smoke::mf_const, 180, 19},	//418 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {36, 179, 0, 0, Smoke::mf_ctor, 159, 20},	//419 Soprano::RdfSchemaModel::RdfSchemaModel()
    {36, 407, 19, 1, Smoke::mf_const, 165, 21},	//420 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {36, 410, 19, 1, Smoke::mf_const, 165, 22},	//421 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {36, 840, 19, 1, Smoke::mf_const, 165, 23},	//422 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {36, 844, 19, 1, Smoke::mf_const, 165, 24},	//423 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {36, 951, 0, 0, Smoke::mf_dtor, 0, 25 },	//424 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {37, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//425 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {37, 854, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//426 Soprano::Serializer::supportedUserSerializations() const
    {37, 858, 33, 2, Smoke::mf_const, 180, 3},	//427 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {37, 778, 208, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 180, 4},	//428 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {37, 250, 213, 2, Smoke::mf_const, 0, 5},	//429 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {37, 328, 0, 0, Smoke::mf_const, 0, 6},	//430 Soprano::Serializer::clearPrefixes() const
    {37, 707, 0, 0, Smoke::mf_const, 8, 7},	//431 Soprano::Serializer::prefixes() const
    {37, 204, 31, 1, Smoke::mf_ctor|Smoke::mf_protected, 161, 8},	//432 Soprano::Serializer::Serializer(const QString&)
    {37, 204, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 9},	//433 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {37, 858, 36, 1, Smoke::mf_const, 180, 10},	//434 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {37, 778, 218, 3, Smoke::mf_const, 180, 11},	//435 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {37, 953, 0, 0, Smoke::mf_dtor, 0, 12 },	//436 Soprano::Serializer::~Serializer()
    {38, 220, 0, 0, Smoke::mf_ctor, 164, 1},	//437 Soprano::Statement::Statement()
    {38, 220, 114, 4, Smoke::mf_ctor, 164, 2},	//438 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 220, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 164, 3},	//439 Soprano::Statement::Statement(const Soprano::Statement&)
    {38, 661, 29, 1, 0, 163, 4},	//440 Soprano::Statement::operator=(const Soprano::Statement&)
    {38, 663, 29, 1, Smoke::mf_const, 180, 5},	//441 Soprano::Statement::operator==(const Soprano::Statement&) const
    {38, 657, 29, 1, Smoke::mf_const, 180, 6},	//442 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {38, 619, 29, 1, Smoke::mf_const, 180, 7},	//443 Soprano::Statement::matches(const Soprano::Statement&) const
    {38, 561, 0, 0, Smoke::mf_const, 180, 8},	//444 Soprano::Statement::isValid() const
    {38, 847, 0, 0, Smoke::mf_const, 143, 9},	//445 Soprano::Statement::subject() const
    {38, 704, 0, 0, Smoke::mf_const, 143, 10},	//446 Soprano::Statement::predicate() const
    {38, 652, 0, 0, Smoke::mf_const, 143, 11},	//447 Soprano::Statement::object() const
    {38, 371, 0, 0, Smoke::mf_const, 143, 12},	//448 Soprano::Statement::context() const
    {38, 810, 19, 1, 0, 0, 13},	//449 Soprano::Statement::setSubject(const Soprano::Node&)
    {38, 803, 19, 1, 0, 0, 14},	//450 Soprano::Statement::setPredicate(const Soprano::Node&)
    {38, 794, 19, 1, 0, 0, 15},	//451 Soprano::Statement::setObject(const Soprano::Node&)
    {38, 785, 19, 1, 0, 0, 16},	//452 Soprano::Statement::setContext(const Soprano::Node&)
    {38, 220, 125, 3, Smoke::mf_ctor, 164, 17},	//453 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 957, 0, 0, Smoke::mf_dtor, 0, 18 },	//454 Soprano::Statement::~Statement()
    {39, 224, 0, 0, Smoke::mf_ctor, 167, 1},	//455 Soprano::StatementIterator::StatementIterator()
    {39, 224, 222, 1, Smoke::mf_ctor, 167, 2},	//456 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {39, 224, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 167, 3},	//457 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {39, 661, 224, 1, 0, 166, 4},	//458 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {39, 276, 0, 0, 0, 12, 5},	//459 Soprano::StatementIterator::allStatements()
    {39, 573, 0, 0, Smoke::mf_const, 148, 6},	//460 Soprano::StatementIterator::iterateSubjects() const
    {39, 567, 0, 0, Smoke::mf_const, 148, 7},	//461 Soprano::StatementIterator::iteratePredicates() const
    {39, 566, 0, 0, Smoke::mf_const, 148, 8},	//462 Soprano::StatementIterator::iterateObjects() const
    {39, 565, 0, 0, Smoke::mf_const, 148, 9},	//463 Soprano::StatementIterator::iterateContexts() const
    {39, 958, 0, 0, Smoke::mf_dtor, 0, 10 },	//464 Soprano::StatementIterator::~StatementIterator()
    {40, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//465 Soprano::StorageModel::metaObject() const
    {40, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//466 Soprano::StorageModel::qt_metacast(const char*)
    {40, 872, 101, 2, Smoke::mf_static, 19, 3},	//467 Soprano::StorageModel::tr(const char*, const char*)
    {40, 876, 101, 2, Smoke::mf_static, 19, 4},	//468 Soprano::StorageModel::trUtf8(const char*, const char*)
    {40, 872, 104, 3, Smoke::mf_static, 19, 5},	//469 Soprano::StorageModel::tr(const char*, const char*, int)
    {40, 876, 104, 3, Smoke::mf_static, 19, 6},	//470 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {40, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//471 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {40, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 8},	//472 Soprano::StorageModel::isEmpty() const
    {40, 358, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 9},	//473 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {40, 348, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 10},	//474 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {40, 732, 29, 1, Smoke::mf_virtual, 129, 11},	//475 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {40, 297, 0, 0, Smoke::mf_const, 195, 12},	//476 Soprano::StorageModel::backend() const
    {40, 732, 114, 4, 0, 129, 13},	//477 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 732, 0, 0, 0, 129, 14},	//478 Soprano::StorageModel::removeAllStatements()
    {40, 358, 114, 4, Smoke::mf_const, 180, 15},	//479 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 348, 114, 4, Smoke::mf_const, 180, 16},	//480 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 227, 42, 1, Smoke::mf_ctor|Smoke::mf_protected, 168, 17},	//481 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {40, 872, 10, 1, Smoke::mf_static, 19, 18},	//482 Soprano::StorageModel::tr(const char*)
    {40, 876, 10, 1, Smoke::mf_static, 19, 19},	//483 Soprano::StorageModel::trUtf8(const char*)
    {40, 732, 125, 3, 0, 129, 20},	//484 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 358, 125, 3, Smoke::mf_const, 180, 21},	//485 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 348, 125, 3, Smoke::mf_const, 180, 22},	//486 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 23},	//487 Soprano::StorageModel::staticMetaObject() const
    {40, 959, 0, 0, Smoke::mf_dtor, 0, 24 },	//488 Soprano::StorageModel::~StorageModel()
    {41, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//489 Soprano::Util::AsyncModel::metaObject() const
    {41, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//490 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {41, 872, 101, 2, Smoke::mf_static, 19, 3},	//491 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {41, 876, 101, 2, Smoke::mf_static, 19, 4},	//492 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {41, 872, 104, 3, Smoke::mf_static, 19, 5},	//493 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {41, 876, 104, 3, Smoke::mf_static, 19, 6},	//494 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {41, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//495 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {41, 9, 112, 1, Smoke::mf_ctor, 169, 8},	//496 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {41, 792, 226, 1, 0, 0, 9},	//497 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {41, 636, 0, 0, Smoke::mf_const, 170, 10},	//498 Soprano::Util::AsyncModel::mode() const
    {41, 258, 29, 1, 0, 172, 11},	//499 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {41, 258, 114, 4, 0, 172, 12},	//500 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 264, 138, 1, 0, 172, 13},	//501 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {41, 746, 29, 1, 0, 172, 14},	//502 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {41, 746, 114, 4, 0, 172, 15},	//503 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 752, 138, 1, 0, 172, 16},	//504 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {41, 736, 29, 1, 0, 172, 17},	//505 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {41, 736, 114, 4, 0, 172, 18},	//506 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 536, 0, 0, Smoke::mf_const, 172, 19},	//507 Soprano::Util::AsyncModel::isEmptyAsync() const
    {41, 830, 0, 0, Smoke::mf_const, 172, 20},	//508 Soprano::Util::AsyncModel::statementCountAsync() const
    {41, 594, 29, 1, Smoke::mf_const, 172, 21},	//509 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {41, 594, 114, 4, Smoke::mf_const, 172, 22},	//510 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 594, 0, 0, Smoke::mf_const, 172, 23},	//511 Soprano::Util::AsyncModel::listStatementsAsync() const
    {41, 589, 0, 0, Smoke::mf_const, 172, 24},	//512 Soprano::Util::AsyncModel::listContextsAsync() const
    {41, 451, 119, 3, Smoke::mf_const, 172, 25},	//513 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 362, 29, 1, Smoke::mf_const, 172, 26},	//514 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {41, 362, 114, 4, Smoke::mf_const, 172, 27},	//515 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 352, 29, 1, Smoke::mf_const, 172, 28},	//516 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {41, 352, 114, 4, Smoke::mf_const, 172, 29},	//517 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 377, 0, 0, 0, 172, 30},	//518 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {41, 590, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 165, 31},	//519 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {41, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 32},	//520 Soprano::Util::AsyncModel::listContexts() const
    {41, 446, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 155, 33},	//521 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 254, 29, 1, Smoke::mf_virtual, 129, 34},	//522 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {41, 254, 114, 4, 0, 129, 35},	//523 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 742, 29, 1, Smoke::mf_virtual, 129, 36},	//524 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {41, 742, 114, 4, 0, 129, 37},	//525 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 732, 29, 1, Smoke::mf_virtual, 129, 38},	//526 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {41, 732, 114, 4, 0, 129, 39},	//527 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 732, 0, 0, 0, 129, 40},	//528 Soprano::Util::AsyncModel::removeAllStatements()
    {41, 590, 114, 4, Smoke::mf_const, 165, 41},	//529 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 590, 0, 0, Smoke::mf_const, 165, 42},	//530 Soprano::Util::AsyncModel::listStatements() const
    {41, 358, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 43},	//531 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {41, 358, 114, 4, Smoke::mf_const, 180, 44},	//532 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 348, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 45},	//533 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {41, 348, 114, 4, Smoke::mf_const, 180, 46},	//534 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 872, 10, 1, Smoke::mf_static, 19, 47},	//535 Soprano::Util::AsyncModel::tr(const char*)
    {41, 876, 10, 1, Smoke::mf_static, 19, 48},	//536 Soprano::Util::AsyncModel::trUtf8(const char*)
    {41, 9, 0, 0, Smoke::mf_ctor, 169, 49},	//537 Soprano::Util::AsyncModel::AsyncModel()
    {41, 258, 125, 3, 0, 172, 50},	//538 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 746, 125, 3, 0, 172, 51},	//539 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 736, 125, 3, 0, 172, 52},	//540 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 594, 125, 3, Smoke::mf_const, 172, 53},	//541 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 451, 129, 2, Smoke::mf_const, 172, 54},	//542 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {41, 362, 125, 3, Smoke::mf_const, 172, 55},	//543 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 352, 125, 3, Smoke::mf_const, 172, 56},	//544 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 446, 129, 2, Smoke::mf_const, 155, 57},	//545 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {41, 254, 125, 3, 0, 129, 58},	//546 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 742, 125, 3, 0, 129, 59},	//547 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 732, 125, 3, 0, 129, 60},	//548 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 590, 125, 3, Smoke::mf_const, 165, 61},	//549 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 358, 125, 3, Smoke::mf_const, 180, 62},	//550 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 348, 125, 3, Smoke::mf_const, 180, 63},	//551 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 64},	//552 Soprano::Util::AsyncModel::staticMetaObject() const
    {41, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 65},	//553 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {41, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 66},	//554 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {41, 934, 0, 0, Smoke::mf_dtor, 0, 67 },	//555 Soprano::Util::AsyncModel::~AsyncModel()
    {42, 630, 0, 0, Smoke::mf_const, 186, 1},	//556 Soprano::Util::AsyncQuery::metaObject() const
    {42, 716, 10, 1, 0, 221, 2},	//557 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {42, 872, 101, 2, Smoke::mf_static, 19, 3},	//558 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {42, 876, 101, 2, Smoke::mf_static, 19, 4},	//559 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {42, 872, 104, 3, Smoke::mf_static, 19, 5},	//560 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {42, 876, 104, 3, Smoke::mf_static, 19, 6},	//561 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {42, 714, 108, 3, 0, 218, 7},	//562 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {42, 390, 0, 0, Smoke::mf_const, 162, 8},	//563 Soprano::Util::AsyncQuery::currentStatement() const
    {42, 389, 0, 0, Smoke::mf_const, 124, 9},	//564 Soprano::Util::AsyncQuery::currentBindings() const
    {42, 310, 0, 0, Smoke::mf_const, 180, 10},	//565 Soprano::Util::AsyncQuery::boolValue() const
    {42, 302, 31, 1, Smoke::mf_const, 143, 11},	//566 Soprano::Util::AsyncQuery::binding(const QString&) const
    {42, 302, 186, 1, Smoke::mf_const, 143, 12},	//567 Soprano::Util::AsyncQuery::binding(int) const
    {42, 304, 0, 0, Smoke::mf_const, 218, 13},	//568 Soprano::Util::AsyncQuery::bindingCount() const
    {42, 305, 0, 0, Smoke::mf_const, 20, 14},	//569 Soprano::Util::AsyncQuery::bindingNames() const
    {42, 538, 0, 0, Smoke::mf_const, 180, 15},	//570 Soprano::Util::AsyncQuery::isGraph() const
    {42, 521, 0, 0, Smoke::mf_const, 180, 16},	//571 Soprano::Util::AsyncQuery::isBinding() const
    {42, 523, 0, 0, Smoke::mf_const, 180, 17},	//572 Soprano::Util::AsyncQuery::isBool() const
    {42, 643, 0, 0, Smoke::mf_slot, 180, 18},	//573 Soprano::Util::AsyncQuery::next()
    {42, 329, 0, 0, Smoke::mf_slot, 0, 19},	//574 Soprano::Util::AsyncQuery::close()
    {42, 644, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//575 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {42, 463, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//576 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {42, 446, 230, 4, Smoke::mf_static, 171, 22},	//577 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {42, 872, 10, 1, Smoke::mf_static, 19, 23},	//578 Soprano::Util::AsyncQuery::tr(const char*)
    {42, 876, 10, 1, Smoke::mf_static, 19, 24},	//579 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {42, 446, 235, 3, Smoke::mf_static, 171, 25},	//580 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {42, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 26},	//581 Soprano::Util::AsyncQuery::staticMetaObject() const
    {42, 935, 0, 0, Smoke::mf_dtor, 0, 27 },	//582 Soprano::Util::AsyncQuery::~AsyncQuery()
    {43, 630, 0, 0, Smoke::mf_const, 186, 1},	//583 Soprano::Util::AsyncResult::metaObject() const
    {43, 716, 10, 1, 0, 221, 2},	//584 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {43, 872, 101, 2, Smoke::mf_static, 19, 3},	//585 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {43, 876, 101, 2, Smoke::mf_static, 19, 4},	//586 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {43, 872, 104, 3, Smoke::mf_static, 19, 5},	//587 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {43, 876, 104, 3, Smoke::mf_static, 19, 6},	//588 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {43, 714, 108, 3, 0, 218, 7},	//589 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {43, 758, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//590 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {43, 386, 0, 0, Smoke::mf_static, 172, 9},	//591 Soprano::Util::AsyncResult::createResult()
    {43, 900, 0, 0, Smoke::mf_const, 25, 10},	//592 Soprano::Util::AsyncResult::value() const
    {43, 443, 0, 0, Smoke::mf_const, 129, 11},	//593 Soprano::Util::AsyncResult::errorCode() const
    {43, 831, 0, 0, Smoke::mf_const, 165, 12},	//594 Soprano::Util::AsyncResult::statementIterator() const
    {43, 648, 0, 0, Smoke::mf_const, 148, 13},	//595 Soprano::Util::AsyncResult::nodeIterator() const
    {43, 718, 0, 0, Smoke::mf_const, 155, 14},	//596 Soprano::Util::AsyncResult::queryResultIterator() const
    {43, 647, 0, 0, Smoke::mf_const, 143, 15},	//597 Soprano::Util::AsyncResult::node() const
    {43, 806, 241, 2, 0, 0, 16},	//598 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {43, 872, 10, 1, Smoke::mf_static, 19, 17},	//599 Soprano::Util::AsyncResult::tr(const char*)
    {43, 876, 10, 1, Smoke::mf_static, 19, 18},	//600 Soprano::Util::AsyncResult::trUtf8(const char*)
    {43, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 19},	//601 Soprano::Util::AsyncResult::staticMetaObject() const
    {43, 936, 0, 0, Smoke::mf_dtor, 0, 20 },	//602 Soprano::Util::AsyncResult::~AsyncResult()
    {44, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//603 Soprano::Util::ReadOnlyModel::metaObject() const
    {44, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//604 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {44, 872, 101, 2, Smoke::mf_static, 19, 3},	//605 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {44, 876, 101, 2, Smoke::mf_static, 19, 4},	//606 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {44, 872, 104, 3, Smoke::mf_static, 19, 5},	//607 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {44, 876, 104, 3, Smoke::mf_static, 19, 6},	//608 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {44, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//609 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {44, 181, 112, 1, Smoke::mf_ctor, 173, 8},	//610 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {44, 798, 112, 1, 0, 0, 9},	//611 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {44, 590, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 165, 10},	//612 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {44, 588, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 11},	//613 Soprano::Util::ReadOnlyModel::listContexts() const
    {44, 446, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 155, 12},	//614 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {44, 358, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 13},	//615 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {44, 348, 29, 1, Smoke::mf_const|Smoke::mf_virtual, 180, 14},	//616 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {44, 535, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 15},	//617 Soprano::Util::ReadOnlyModel::isEmpty() const
    {44, 829, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 16},	//618 Soprano::Util::ReadOnlyModel::statementCount() const
    {44, 254, 29, 1, Smoke::mf_virtual, 129, 17},	//619 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {44, 742, 29, 1, Smoke::mf_virtual, 129, 18},	//620 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {44, 732, 29, 1, Smoke::mf_virtual, 129, 19},	//621 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {44, 375, 0, 0, Smoke::mf_virtual, 143, 20},	//622 Soprano::Util::ReadOnlyModel::createBlankNode()
    {44, 254, 114, 4, 0, 129, 21},	//623 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 742, 114, 4, 0, 129, 22},	//624 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 732, 114, 4, 0, 129, 23},	//625 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 732, 0, 0, 0, 129, 24},	//626 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {44, 590, 114, 4, Smoke::mf_const, 165, 25},	//627 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 590, 0, 0, Smoke::mf_const, 165, 26},	//628 Soprano::Util::ReadOnlyModel::listStatements() const
    {44, 358, 114, 4, Smoke::mf_const, 180, 27},	//629 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 348, 114, 4, Smoke::mf_const, 180, 28},	//630 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 872, 10, 1, Smoke::mf_static, 19, 29},	//631 Soprano::Util::ReadOnlyModel::tr(const char*)
    {44, 876, 10, 1, Smoke::mf_static, 19, 30},	//632 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {44, 181, 0, 0, Smoke::mf_ctor, 173, 31},	//633 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {44, 446, 129, 2, Smoke::mf_const, 155, 32},	//634 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {44, 254, 125, 3, 0, 129, 33},	//635 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 742, 125, 3, 0, 129, 34},	//636 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 732, 125, 3, 0, 129, 35},	//637 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 590, 125, 3, Smoke::mf_const, 165, 36},	//638 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 358, 125, 3, Smoke::mf_const, 180, 37},	//639 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 348, 125, 3, Smoke::mf_const, 180, 38},	//640 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 39},	//641 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {44, 952, 0, 0, Smoke::mf_dtor, 0, 40 },	//642 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {45, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//643 Soprano::Util::SignalCacheModel::metaObject() const
    {45, 716, 10, 1, Smoke::mf_virtual, 221, 2},	//644 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {45, 872, 101, 2, Smoke::mf_static, 19, 3},	//645 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {45, 876, 101, 2, Smoke::mf_static, 19, 4},	//646 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {45, 872, 104, 3, Smoke::mf_static, 19, 5},	//647 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {45, 876, 104, 3, Smoke::mf_static, 19, 6},	//648 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {45, 714, 108, 3, Smoke::mf_virtual, 218, 7},	//649 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 207, 112, 1, Smoke::mf_ctor, 174, 8},	//650 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {45, 312, 0, 0, Smoke::mf_const, 218, 9},	//651 Soprano::Util::SignalCacheModel::cacheTime() const
    {45, 781, 186, 1, Smoke::mf_slot, 0, 10},	//652 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {45, 682, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//653 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {45, 683, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//654 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {45, 863, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//655 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {45, 872, 10, 1, Smoke::mf_static, 19, 14},	//656 Soprano::Util::SignalCacheModel::tr(const char*)
    {45, 876, 10, 1, Smoke::mf_static, 19, 15},	//657 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {45, 207, 0, 0, Smoke::mf_ctor, 174, 16},	//658 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {45, 836, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 17},	//659 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {45, 954, 0, 0, Smoke::mf_dtor, 0, 18 },	//660 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {46, 209, 0, 0, Smoke::mf_ctor, 176, 1},	//661 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {46, 209, 244, 1, Smoke::mf_ctor, 176, 2},	//662 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {46, 209, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 176, 3},	//663 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {46, 661, 244, 1, 0, 175, 4},	//664 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {46, 661, 246, 1, 0, 175, 5},	//665 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {46, 955, 0, 0, Smoke::mf_dtor, 0, 6 },	//666 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {47, 212, 0, 0, Smoke::mf_ctor, 178, 1},	//667 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {47, 212, 138, 1, Smoke::mf_ctor, 178, 2},	//668 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {47, 212, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 178, 3},	//669 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {47, 661, 138, 1, 0, 177, 4},	//670 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {47, 661, 248, 1, 0, 177, 5},	//671 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {47, 956, 0, 0, Smoke::mf_dtor, 0, 6 },	//672 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {48, 651, 0, 0, Smoke::mf_static, 24, 1},	//673 Soprano::Vocabulary::NAO::numericRating()
    {48, 1, 0, 0, Smoke::mf_static, 24, 2},	//674 Soprano::Vocabulary::NAO::Agent()
    {48, 907, 0, 0, Smoke::mf_static, 24, 3},	//675 Soprano::Vocabulary::NAO::version()
    {48, 557, 0, 0, Smoke::mf_static, 24, 4},	//676 Soprano::Vocabulary::NAO::isTagFor()
    {48, 279, 0, 0, Smoke::mf_static, 24, 5},	//677 Soprano::Vocabulary::NAO::altSymbol()
    {48, 721, 0, 0, Smoke::mf_static, 24, 6},	//678 Soprano::Vocabulary::NAO::rating()
    {48, 898, 0, 0, Smoke::mf_static, 24, 7},	//679 Soprano::Vocabulary::NAO::userVisible()
    {48, 702, 0, 0, Smoke::mf_static, 24, 8},	//680 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {48, 280, 0, 0, Smoke::mf_static, 24, 9},	//681 Soprano::Vocabulary::NAO::annotation()
    {48, 769, 0, 0, Smoke::mf_static, 24, 10},	//682 Soprano::Vocabulary::NAO::scoreParameter()
    {48, 558, 0, 0, Smoke::mf_static, 24, 11},	//683 Soprano::Vocabulary::NAO::isTopicOf()
    {48, 405, 0, 0, Smoke::mf_static, 24, 12},	//684 Soprano::Vocabulary::NAO::description()
    {48, 697, 0, 0, Smoke::mf_static, 24, 13},	//685 Soprano::Vocabulary::NAO::personalIdentifier()
    {48, 234, 0, 0, Smoke::mf_static, 24, 14},	//686 Soprano::Vocabulary::NAO::Tag()
    {48, 231, 0, 0, Smoke::mf_static, 24, 15},	//687 Soprano::Vocabulary::NAO::Symbol()
    {48, 837, 0, 0, Smoke::mf_static, 24, 16},	//688 Soprano::Vocabulary::NAO::status()
    {48, 637, 0, 0, Smoke::mf_static, 24, 17},	//689 Soprano::Vocabulary::NAO::modified()
    {48, 492, 0, 0, Smoke::mf_static, 24, 18},	//690 Soprano::Vocabulary::NAO::hasSuperResource()
    {48, 706, 0, 0, Smoke::mf_static, 24, 19},	//691 Soprano::Vocabulary::NAO::prefSymbol()
    {48, 640, 0, 0, Smoke::mf_static, 24, 20},	//692 Soprano::Vocabulary::NAO::naoNamespace()
    {48, 155, 0, 0, Smoke::mf_static, 24, 21},	//693 Soprano::Vocabulary::NAO::Party()
    {48, 580, 0, 0, Smoke::mf_static, 24, 22},	//694 Soprano::Vocabulary::NAO::lastModified()
    {48, 705, 0, 0, Smoke::mf_static, 24, 23},	//695 Soprano::Vocabulary::NAO::prefLabel()
    {48, 493, 0, 0, Smoke::mf_static, 24, 24},	//696 Soprano::Vocabulary::NAO::hasSymbol()
    {48, 372, 0, 0, Smoke::mf_static, 24, 25},	//697 Soprano::Vocabulary::NAO::contributor()
    {48, 387, 0, 0, Smoke::mf_static, 24, 26},	//698 Soprano::Vocabulary::NAO::created()
    {48, 491, 0, 0, Smoke::mf_static, 24, 27},	//699 Soprano::Vocabulary::NAO::hasSubResource()
    {48, 507, 0, 0, Smoke::mf_static, 24, 28},	//700 Soprano::Vocabulary::NAO::identifier()
    {48, 495, 0, 0, Smoke::mf_static, 24, 29},	//701 Soprano::Vocabulary::NAO::hasTopic()
    {48, 505, 0, 0, Smoke::mf_static, 24, 30},	//702 Soprano::Vocabulary::NAO::iconName()
    {48, 616, 0, 0, Smoke::mf_static, 24, 31},	//703 Soprano::Vocabulary::NAO::maintainedBy()
    {48, 527, 0, 0, Smoke::mf_static, 24, 32},	//704 Soprano::Vocabulary::NAO::isDataGraphFor()
    {48, 488, 0, 0, Smoke::mf_static, 24, 33},	//705 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {48, 550, 0, 0, Smoke::mf_static, 24, 34},	//706 Soprano::Vocabulary::NAO::isRelated()
    {48, 83, 0, 0, Smoke::mf_static, 24, 35},	//707 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {48, 774, 0, 0, Smoke::mf_static, 24, 36},	//708 Soprano::Vocabulary::NAO::serializationLanguage()
    {48, 487, 0, 0, Smoke::mf_static, 24, 37},	//709 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {48, 403, 0, 0, Smoke::mf_static, 24, 38},	//710 Soprano::Vocabulary::NAO::deprecated()
    {48, 439, 0, 0, Smoke::mf_static, 24, 39},	//711 Soprano::Vocabulary::NAO::engineeringTool()
    {48, 278, 0, 0, Smoke::mf_static, 24, 40},	//712 Soprano::Vocabulary::NAO::altLabel()
    {48, 494, 0, 0, Smoke::mf_static, 24, 41},	//713 Soprano::Vocabulary::NAO::hasTag()
    {48, 388, 0, 0, Smoke::mf_static, 24, 42},	//714 Soprano::Vocabulary::NAO::creator()
    {48, 768, 0, 0, Smoke::mf_static, 24, 43},	//715 Soprano::Vocabulary::NAO::score()
    {49, 773, 0, 0, Smoke::mf_static, 24, 1},	//716 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {49, 724, 0, 0, Smoke::mf_static, 24, 2},	//717 Soprano::Vocabulary::NRL::realizes()
    {49, 64, 0, 0, Smoke::mf_static, 24, 3},	//718 Soprano::Vocabulary::NRL::DocumentGraph()
    {49, 57, 0, 0, Smoke::mf_static, 24, 4},	//719 Soprano::Vocabulary::NRL::DefaultGraph()
    {49, 635, 0, 0, Smoke::mf_static, 24, 5},	//720 Soprano::Vocabulary::NRL::minCardinality()
    {49, 192, 0, 0, Smoke::mf_static, 24, 6},	//721 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {49, 374, 0, 0, Smoke::mf_static, 24, 7},	//722 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {49, 84, 0, 0, Smoke::mf_static, 24, 8},	//723 Soprano::Vocabulary::NRL::FunctionalProperty()
    {49, 193, 0, 0, Smoke::mf_static, 24, 9},	//724 Soprano::Vocabulary::NRL::Schema()
    {49, 46, 0, 0, Smoke::mf_static, 24, 10},	//725 Soprano::Vocabulary::NRL::Configuration()
    {49, 238, 0, 0, Smoke::mf_static, 24, 11},	//726 Soprano::Vocabulary::NRL::TransitiveProperty()
    {49, 140, 0, 0, Smoke::mf_static, 24, 12},	//727 Soprano::Vocabulary::NRL::NonDefiningProperty()
    {49, 87, 0, 0, Smoke::mf_static, 24, 13},	//728 Soprano::Vocabulary::NRL::GraphView()
    {49, 194, 0, 0, Smoke::mf_static, 24, 14},	//729 Soprano::Vocabulary::NRL::Semantics()
    {49, 518, 0, 0, Smoke::mf_static, 24, 15},	//730 Soprano::Vocabulary::NRL::inverseProperty()
    {49, 144, 0, 0, Smoke::mf_static, 24, 16},	//731 Soprano::Vocabulary::NRL::Ontology()
    {49, 183, 0, 0, Smoke::mf_static, 24, 17},	//732 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {49, 98, 0, 0, Smoke::mf_static, 24, 18},	//733 Soprano::Vocabulary::NRL::KnowledgeBase()
    {49, 489, 0, 0, Smoke::mf_static, 24, 19},	//734 Soprano::Vocabulary::NRL::hasSemantics()
    {49, 485, 0, 0, Smoke::mf_static, 24, 20},	//735 Soprano::Vocabulary::NRL::graphMetadataFor()
    {49, 509, 0, 0, Smoke::mf_static, 24, 21},	//736 Soprano::Vocabulary::NRL::imports()
    {49, 917, 0, 0, Smoke::mf_static, 24, 22},	//737 Soprano::Vocabulary::NRL::viewOn()
    {49, 889, 0, 0, Smoke::mf_static, 24, 23},	//738 Soprano::Vocabulary::NRL::updatable()
    {49, 76, 0, 0, Smoke::mf_static, 24, 24},	//739 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {49, 457, 0, 0, Smoke::mf_static, 24, 25},	//740 Soprano::Vocabulary::NRL::externalRealizer()
    {49, 62, 0, 0, Smoke::mf_static, 24, 26},	//741 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {49, 490, 0, 0, Smoke::mf_static, 24, 27},	//742 Soprano::Vocabulary::NRL::hasSpecification()
    {49, 85, 0, 0, Smoke::mf_static, 24, 28},	//743 Soprano::Vocabulary::NRL::Graph()
    {49, 58, 0, 0, Smoke::mf_static, 24, 29},	//744 Soprano::Vocabulary::NRL::DefiningProperty()
    {49, 86, 0, 0, Smoke::mf_static, 24, 30},	//745 Soprano::Vocabulary::NRL::GraphMetadata()
    {49, 441, 0, 0, Smoke::mf_static, 24, 31},	//746 Soprano::Vocabulary::NRL::equivalentGraph()
    {49, 232, 0, 0, Smoke::mf_static, 24, 32},	//747 Soprano::Vocabulary::NRL::SymmetricProperty()
    {49, 96, 0, 0, Smoke::mf_static, 24, 33},	//748 Soprano::Vocabulary::NRL::InstanceBase()
    {49, 621, 0, 0, Smoke::mf_static, 24, 34},	//749 Soprano::Vocabulary::NRL::maxCardinality()
    {49, 763, 0, 0, Smoke::mf_static, 24, 35},	//750 Soprano::Vocabulary::NRL::ruleLanguage()
    {49, 52, 0, 0, Smoke::mf_static, 24, 36},	//751 Soprano::Vocabulary::NRL::Data()
    {49, 650, 0, 0, Smoke::mf_static, 24, 37},	//752 Soprano::Vocabulary::NRL::nrlNamespace()
    {49, 315, 0, 0, Smoke::mf_static, 24, 38},	//753 Soprano::Vocabulary::NRL::cardinality()
    {49, 8, 0, 0, Smoke::mf_static, 24, 39},	//754 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {49, 762, 0, 0, Smoke::mf_static, 24, 40},	//755 Soprano::Vocabulary::NRL::rule()
    {49, 843, 0, 0, Smoke::mf_static, 24, 41},	//756 Soprano::Vocabulary::NRL::subGraphOf()
    {49, 97, 0, 0, Smoke::mf_static, 24, 42},	//757 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {49, 241, 0, 0, Smoke::mf_static, 24, 43},	//758 Soprano::Vocabulary::NRL::ViewSpecification()
    {49, 849, 0, 0, Smoke::mf_static, 24, 44},	//759 Soprano::Vocabulary::NRL::superGraphOf()
    {50, 673, 0, 0, Smoke::mf_static, 24, 1},	//760 Soprano::Vocabulary::OWL::owlNamespace()
    {50, 511, 0, 0, Smoke::mf_static, 24, 2},	//761 Soprano::Vocabulary::OWL::incompatibleWith()
    {50, 5, 0, 0, Smoke::mf_static, 24, 3},	//762 Soprano::Vocabulary::OWL::AnnotationProperty()
    {50, 60, 0, 0, Smoke::mf_static, 24, 4},	//763 Soprano::Vocabulary::OWL::DeprecatedClass()
    {50, 433, 0, 0, Smoke::mf_static, 24, 5},	//764 Soprano::Vocabulary::OWL::disjointWith()
    {50, 54, 0, 0, Smoke::mf_static, 24, 6},	//765 Soprano::Vocabulary::OWL::DataRange()
    {50, 509, 0, 0, Smoke::mf_static, 24, 7},	//766 Soprano::Vocabulary::OWL::imports()
    {50, 145, 0, 0, Smoke::mf_static, 24, 8},	//767 Soprano::Vocabulary::OWL::OntologyProperty()
    {50, 517, 0, 0, Smoke::mf_static, 24, 9},	//768 Soprano::Vocabulary::OWL::inverseOf()
    {50, 141, 0, 0, Smoke::mf_static, 24, 10},	//769 Soprano::Vocabulary::OWL::Nothing()
    {50, 61, 0, 0, Smoke::mf_static, 24, 11},	//770 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {50, 516, 0, 0, Smoke::mf_static, 24, 12},	//771 Soprano::Vocabulary::OWL::intersectionOf()
    {50, 232, 0, 0, Smoke::mf_static, 24, 13},	//772 Soprano::Vocabulary::OWL::SymmetricProperty()
    {50, 189, 0, 0, Smoke::mf_static, 24, 14},	//773 Soprano::Vocabulary::OWL::Restriction()
    {50, 764, 0, 0, Smoke::mf_static, 24, 15},	//774 Soprano::Vocabulary::OWL::sameAs()
    {50, 84, 0, 0, Smoke::mf_static, 24, 16},	//775 Soprano::Vocabulary::OWL::FunctionalProperty()
    {50, 97, 0, 0, Smoke::mf_static, 24, 17},	//776 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {50, 298, 0, 0, Smoke::mf_static, 24, 18},	//777 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {50, 908, 0, 0, Smoke::mf_static, 24, 19},	//778 Soprano::Vocabulary::OWL::versionInfo()
    {50, 440, 0, 0, Smoke::mf_static, 24, 20},	//779 Soprano::Vocabulary::OWL::equivalentClass()
    {50, 434, 0, 0, Smoke::mf_static, 24, 21},	//780 Soprano::Vocabulary::OWL::distinctMembers()
    {50, 655, 0, 0, Smoke::mf_static, 24, 22},	//781 Soprano::Vocabulary::OWL::oneOf()
    {50, 621, 0, 0, Smoke::mf_static, 24, 23},	//782 Soprano::Vocabulary::OWL::maxCardinality()
    {50, 338, 0, 0, Smoke::mf_static, 24, 24},	//783 Soprano::Vocabulary::OWL::complementOf()
    {50, 144, 0, 0, Smoke::mf_static, 24, 25},	//784 Soprano::Vocabulary::OWL::Ontology()
    {50, 709, 0, 0, Smoke::mf_static, 24, 26},	//785 Soprano::Vocabulary::OWL::priorVersion()
    {50, 635, 0, 0, Smoke::mf_static, 24, 27},	//786 Soprano::Vocabulary::OWL::minCardinality()
    {50, 406, 0, 0, Smoke::mf_static, 24, 28},	//787 Soprano::Vocabulary::OWL::differentFrom()
    {50, 885, 0, 0, Smoke::mf_static, 24, 29},	//788 Soprano::Vocabulary::OWL::unionOf()
    {50, 237, 0, 0, Smoke::mf_static, 24, 30},	//789 Soprano::Vocabulary::OWL::Thing()
    {50, 823, 0, 0, Smoke::mf_static, 24, 31},	//790 Soprano::Vocabulary::OWL::someValuesFrom()
    {50, 238, 0, 0, Smoke::mf_static, 24, 32},	//791 Soprano::Vocabulary::OWL::TransitiveProperty()
    {50, 654, 0, 0, Smoke::mf_static, 24, 33},	//792 Soprano::Vocabulary::OWL::onProperty()
    {50, 142, 0, 0, Smoke::mf_static, 24, 34},	//793 Soprano::Vocabulary::OWL::ObjectProperty()
    {50, 442, 0, 0, Smoke::mf_static, 24, 35},	//794 Soprano::Vocabulary::OWL::equivalentProperty()
    {50, 56, 0, 0, Smoke::mf_static, 24, 36},	//795 Soprano::Vocabulary::OWL::DatatypeProperty()
    {50, 315, 0, 0, Smoke::mf_static, 24, 37},	//796 Soprano::Vocabulary::OWL::cardinality()
    {50, 2, 0, 0, Smoke::mf_static, 24, 38},	//797 Soprano::Vocabulary::OWL::AllDifferent()
    {50, 44, 0, 0, Smoke::mf_static, 24, 39},	//798 Soprano::Vocabulary::OWL::Class()
    {50, 496, 0, 0, Smoke::mf_static, 24, 40},	//799 Soprano::Vocabulary::OWL::hasValue()
    {50, 277, 0, 0, Smoke::mf_static, 24, 41},	//800 Soprano::Vocabulary::OWL::allValuesFrom()
    {51, 220, 0, 0, Smoke::mf_static, 24, 1},	//801 Soprano::Vocabulary::RDF::Statement()
    {51, 3, 0, 0, Smoke::mf_static, 24, 2},	//802 Soprano::Vocabulary::RDF::Alt()
    {51, 164, 0, 0, Smoke::mf_static, 24, 3},	//803 Soprano::Vocabulary::RDF::Property()
    {51, 847, 0, 0, Smoke::mf_static, 24, 4},	//804 Soprano::Vocabulary::RDF::subject()
    {51, 465, 0, 0, Smoke::mf_static, 24, 5},	//805 Soprano::Vocabulary::RDF::first()
    {51, 118, 0, 0, Smoke::mf_static, 24, 6},	//806 Soprano::Vocabulary::RDF::List()
    {51, 900, 0, 0, Smoke::mf_static, 24, 7},	//807 Soprano::Vocabulary::RDF::value()
    {51, 195, 0, 0, Smoke::mf_static, 24, 8},	//808 Soprano::Vocabulary::RDF::Seq()
    {51, 652, 0, 0, Smoke::mf_static, 24, 9},	//809 Soprano::Vocabulary::RDF::object()
    {51, 757, 0, 0, Smoke::mf_static, 24, 10},	//810 Soprano::Vocabulary::RDF::rest()
    {51, 704, 0, 0, Smoke::mf_static, 24, 11},	//811 Soprano::Vocabulary::RDF::predicate()
    {51, 40, 0, 0, Smoke::mf_static, 24, 12},	//812 Soprano::Vocabulary::RDF::Bag()
    {51, 244, 0, 0, Smoke::mf_static, 24, 13},	//813 Soprano::Vocabulary::RDF::XMLLiteral()
    {51, 883, 0, 0, Smoke::mf_static, 24, 14},	//814 Soprano::Vocabulary::RDF::type()
    {51, 646, 0, 0, Smoke::mf_static, 24, 15},	//815 Soprano::Vocabulary::RDF::nil()
    {51, 722, 0, 0, Smoke::mf_static, 24, 16},	//816 Soprano::Vocabulary::RDF::rdfNamespace()
    {52, 719, 0, 0, Smoke::mf_static, 24, 1},	//817 Soprano::Vocabulary::RDFS::range()
    {52, 577, 0, 0, Smoke::mf_static, 24, 2},	//818 Soprano::Vocabulary::RDFS::label()
    {52, 627, 0, 0, Smoke::mf_static, 24, 3},	//819 Soprano::Vocabulary::RDFS::member()
    {52, 528, 0, 0, Smoke::mf_static, 24, 4},	//820 Soprano::Vocabulary::RDFS::isDefinedBy()
    {52, 119, 0, 0, Smoke::mf_static, 24, 5},	//821 Soprano::Vocabulary::RDFS::Literal()
    {52, 55, 0, 0, Smoke::mf_static, 24, 6},	//822 Soprano::Vocabulary::RDFS::Datatype()
    {52, 844, 0, 0, Smoke::mf_static, 24, 7},	//823 Soprano::Vocabulary::RDFS::subPropertyOf()
    {52, 334, 0, 0, Smoke::mf_static, 24, 8},	//824 Soprano::Vocabulary::RDFS::comment()
    {52, 840, 0, 0, Smoke::mf_static, 24, 9},	//825 Soprano::Vocabulary::RDFS::subClassOf()
    {52, 436, 0, 0, Smoke::mf_static, 24, 10},	//826 Soprano::Vocabulary::RDFS::domain()
    {52, 50, 0, 0, Smoke::mf_static, 24, 11},	//827 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {52, 723, 0, 0, Smoke::mf_static, 24, 12},	//828 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {52, 187, 0, 0, Smoke::mf_static, 24, 13},	//829 Soprano::Vocabulary::RDFS::Resource()
    {52, 771, 0, 0, Smoke::mf_static, 24, 14},	//830 Soprano::Vocabulary::RDFS::seeAlso()
    {52, 44, 0, 0, Smoke::mf_static, 24, 15},	//831 Soprano::Vocabulary::RDFS::Class()
    {52, 49, 0, 0, Smoke::mf_static, 24, 16},	//832 Soprano::Vocabulary::RDFS::Container()
    {53, 826, 0, 0, Smoke::mf_static, 24, 1},	//833 Soprano::Vocabulary::SIL::sourceStatement()
    {53, 93, 0, 0, Smoke::mf_static, 24, 2},	//834 Soprano::Vocabulary::SIL::InferenceMetaData()
    {53, 821, 0, 0, Smoke::mf_static, 24, 3},	//835 Soprano::Vocabulary::SIL::silNamespace()
    {53, 371, 0, 0, Smoke::mf_static, 24, 4},	//836 Soprano::Vocabulary::SIL::context()
    {53, 92, 0, 0, Smoke::mf_static, 24, 5},	//837 Soprano::Vocabulary::SIL::InferenceGraph()
    {54, 299, 0, 0, Smoke::mf_static, 24, 1},	//838 Soprano::Vocabulary::XMLSchema::base64Binary()
    {54, 928, 0, 0, Smoke::mf_static, 24, 2},	//839 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {54, 886, 0, 0, Smoke::mf_static, 24, 3},	//840 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {54, 311, 0, 0, Smoke::mf_static, 24, 4},	//841 Soprano::Vocabulary::XMLSchema::boolean()
    {54, 888, 0, 0, Smoke::mf_static, 24, 5},	//842 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {54, 394, 0, 0, Smoke::mf_static, 24, 6},	//843 Soprano::Vocabulary::XMLSchema::dateTime()
    {54, 395, 0, 0, Smoke::mf_static, 24, 7},	//844 Soprano::Vocabulary::XMLSchema::decimal()
    {54, 930, 0, 0, Smoke::mf_static, 24, 8},	//845 Soprano::Vocabulary::XMLSchema::xsdInt()
    {54, 932, 0, 0, Smoke::mf_static, 24, 9},	//846 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {54, 641, 0, 0, Smoke::mf_static, 24, 10},	//847 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {54, 887, 0, 0, Smoke::mf_static, 24, 11},	//848 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {54, 862, 0, 0, Smoke::mf_static, 24, 12},	//849 Soprano::Vocabulary::XMLSchema::time()
    {54, 839, 0, 0, Smoke::mf_static, 24, 13},	//850 Soprano::Vocabulary::XMLSchema::string()
    {54, 929, 0, 0, Smoke::mf_static, 24, 14},	//851 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {54, 933, 0, 0, Smoke::mf_static, 24, 15},	//852 Soprano::Vocabulary::XMLSchema::xsdShort()
    {54, 513, 0, 0, Smoke::mf_static, 24, 16},	//853 Soprano::Vocabulary::XMLSchema::integer()
    {54, 931, 0, 0, Smoke::mf_static, 24, 17},	//854 Soprano::Vocabulary::XMLSchema::xsdLong()
    {54, 649, 0, 0, Smoke::mf_static, 24, 18},	//855 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {54, 393, 0, 0, Smoke::mf_static, 24, 19},	//856 Soprano::Vocabulary::XMLSchema::date()
    {55, 708, 0, 0, Smoke::mf_static, 24, 1},	//857 Soprano::Vocabulary::Xesam::primaryRecipient()
    {55, 333, 0, 0, Smoke::mf_static, 24, 2},	//858 Soprano::Vocabulary::Xesam::columnCount()
    {55, 158, 0, 0, Smoke::mf_static, 24, 3},	//859 Soprano::Vocabulary::Xesam::Photo()
    {55, 726, 0, 0, Smoke::mf_static, 24, 4},	//860 Soprano::Vocabulary::Xesam::recipient()
    {55, 68, 0, 0, Smoke::mf_static, 24, 5},	//861 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {55, 923, 0, 0, Smoke::mf_static, 24, 6},	//862 Soprano::Vocabulary::Xesam::workPostalAddress()
    {55, 820, 0, 0, Smoke::mf_static, 24, 7},	//863 Soprano::Vocabulary::Xesam::sha1Hash()
    {55, 497, 0, 0, Smoke::mf_static, 24, 8},	//864 Soprano::Vocabulary::Xesam::height()
    {55, 519, 0, 0, Smoke::mf_static, 24, 9},	//865 Soprano::Vocabulary::Xesam::ircContactMedium()
    {55, 549, 0, 0, Smoke::mf_static, 24, 10},	//866 Soprano::Vocabulary::Xesam::isRead()
    {55, 82, 0, 0, Smoke::mf_static, 24, 11},	//867 Soprano::Vocabulary::Xesam::Folder()
    {55, 296, 0, 0, Smoke::mf_static, 24, 12},	//868 Soprano::Vocabulary::Xesam::autoRating()
    {55, 342, 0, 0, Smoke::mf_static, 24, 13},	//869 Soprano::Vocabulary::Xesam::conflicts()
    {55, 162, 0, 0, Smoke::mf_static, 24, 14},	//870 Soprano::Vocabulary::Xesam::Presentation()
    {55, 585, 0, 0, Smoke::mf_static, 24, 15},	//871 Soprano::Vocabulary::Xesam::licenseType()
    {55, 268, 0, 0, Smoke::mf_static, 24, 16},	//872 Soprano::Vocabulary::Xesam::albumGain()
    {55, 42, 0, 0, Smoke::mf_static, 24, 17},	//873 Soprano::Vocabulary::Xesam::BlockDevice()
    {55, 320, 0, 0, Smoke::mf_static, 24, 18},	//874 Soprano::Vocabulary::Xesam::changeCommitter()
    {55, 306, 0, 0, Smoke::mf_static, 24, 19},	//875 Soprano::Vocabulary::Xesam::birthDate()
    {55, 4, 0, 0, Smoke::mf_static, 24, 20},	//876 Soprano::Vocabulary::Xesam::Annotation()
    {55, 676, 0, 0, Smoke::mf_static, 24, 21},	//877 Soprano::Vocabulary::Xesam::paragraphCount()
    {55, 625, 0, 0, Smoke::mf_static, 24, 22},	//878 Soprano::Vocabulary::Xesam::mediaCodecType()
    {55, 927, 0, 0, Smoke::mf_static, 24, 23},	//879 Soprano::Vocabulary::Xesam::xesamNamespace()
    {55, 584, 0, 0, Smoke::mf_static, 24, 24},	//880 Soprano::Vocabulary::Xesam::license()
    {55, 79, 0, 0, Smoke::mf_static, 24, 25},	//881 Soprano::Vocabulary::Xesam::Filelike()
    {55, 184, 0, 0, Smoke::mf_static, 24, 26},	//882 Soprano::Vocabulary::Xesam::RemoteFile()
    {55, 471, 0, 0, Smoke::mf_static, 24, 27},	//883 Soprano::Vocabulary::Xesam::frameCount()
    {55, 515, 0, 0, Smoke::mf_static, 24, 28},	//884 Soprano::Vocabulary::Xesam::interlaceMode()
    {55, 78, 0, 0, Smoke::mf_static, 24, 29},	//885 Soprano::Vocabulary::Xesam::FileSystem()
    {55, 632, 0, 0, Smoke::mf_static, 24, 30},	//886 Soprano::Vocabulary::Xesam::mimeType()
    {55, 388, 0, 0, Smoke::mf_static, 24, 31},	//887 Soprano::Vocabulary::Xesam::creator()
    {55, 367, 0, 0, Smoke::mf_static, 24, 32},	//888 Soprano::Vocabulary::Xesam::contentCreated()
    {55, 618, 0, 0, Smoke::mf_static, 24, 33},	//889 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {55, 725, 0, 0, Smoke::mf_static, 24, 34},	//890 Soprano::Vocabulary::Xesam::receptionTime()
    {55, 787, 0, 0, Smoke::mf_static, 24, 35},	//891 Soprano::Vocabulary::Xesam::setCount()
    {55, 217, 0, 0, Smoke::mf_static, 24, 36},	//892 Soprano::Vocabulary::Xesam::Source()
    {55, 334, 0, 0, Smoke::mf_static, 24, 37},	//893 Soprano::Vocabulary::Xesam::comment()
    {55, 373, 0, 0, Smoke::mf_static, 24, 38},	//894 Soprano::Vocabulary::Xesam::copyright()
    {55, 240, 0, 0, Smoke::mf_static, 24, 39},	//895 Soprano::Vocabulary::Xesam::Video()
    {55, 920, 0, 0, Smoke::mf_static, 24, 40},	//896 Soprano::Vocabulary::Xesam::wordCount()
    {55, 337, 0, 0, Smoke::mf_static, 24, 41},	//897 Soprano::Vocabulary::Xesam::communicationChannel()
    {55, 486, 0, 0, Smoke::mf_static, 24, 42},	//898 Soprano::Vocabulary::Xesam::group()
    {55, 458, 0, 0, Smoke::mf_static, 24, 43},	//899 Soprano::Vocabulary::Xesam::familyName()
    {55, 611, 0, 0, Smoke::mf_static, 24, 44},	//900 Soprano::Vocabulary::Xesam::localRevision()
    {55, 344, 0, 0, Smoke::mf_static, 24, 45},	//901 Soprano::Vocabulary::Xesam::contactMedium()
    {55, 339, 0, 0, Smoke::mf_static, 24, 46},	//902 Soprano::Vocabulary::Xesam::composer()
    {55, 287, 0, 0, Smoke::mf_static, 24, 47},	//903 Soprano::Vocabulary::Xesam::audioBitrate()
    {55, 703, 0, 0, Smoke::mf_static, 24, 48},	//904 Soprano::Vocabulary::Xesam::postalAddress()
    {55, 626, 0, 0, Smoke::mf_static, 24, 49},	//905 Soprano::Vocabulary::Xesam::mediaDuration()
    {55, 501, 0, 0, Smoke::mf_static, 24, 50},	//906 Soprano::Vocabulary::Xesam::homepageContactURL()
    {55, 891, 0, 0, Smoke::mf_static, 24, 51},	//907 Soprano::Vocabulary::Xesam::url()
    {55, 347, 0, 0, Smoke::mf_static, 24, 52},	//908 Soprano::Vocabulary::Xesam::contains()
    {55, 124, 0, 0, Smoke::mf_static, 24, 53},	//909 Soprano::Vocabulary::Xesam::MediaList()
    {55, 336, 0, 0, Smoke::mf_static, 24, 54},	//910 Soprano::Vocabulary::Xesam::commitDiff()
    {55, 483, 0, 0, Smoke::mf_static, 24, 55},	//911 Soprano::Vocabulary::Xesam::genre()
    {55, 405, 0, 0, Smoke::mf_static, 24, 56},	//912 Soprano::Vocabulary::Xesam::description()
    {55, 415, 0, 0, Smoke::mf_static, 24, 57},	//913 Soprano::Vocabulary::Xesam::discNumber()
    {55, 125, 0, 0, Smoke::mf_static, 24, 58},	//914 Soprano::Vocabulary::Xesam::Message()
    {55, 290, 0, 0, Smoke::mf_static, 24, 59},	//915 Soprano::Vocabulary::Xesam::audioCodecType()
    {55, 146, 0, 0, Smoke::mf_static, 24, 60},	//916 Soprano::Vocabulary::Xesam::Organization()
    {55, 670, 0, 0, Smoke::mf_static, 24, 61},	//917 Soprano::Vocabulary::Xesam::originURL()
    {55, 881, 0, 0, Smoke::mf_static, 24, 62},	//918 Soprano::Vocabulary::Xesam::trackNumber()
    {55, 316, 0, 0, Smoke::mf_static, 24, 63},	//919 Soprano::Vocabulary::Xesam::cc()
    {55, 147, 0, 0, Smoke::mf_static, 24, 64},	//920 Soprano::Vocabulary::Xesam::POP3Message()
    {55, 396, 0, 0, Smoke::mf_static, 24, 65},	//921 Soprano::Vocabulary::Xesam::definesClass()
    {55, 671, 0, 0, Smoke::mf_static, 24, 66},	//922 Soprano::Vocabulary::Xesam::originalLocation()
    {55, 285, 0, 0, Smoke::mf_static, 24, 67},	//923 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {55, 508, 0, 0, Smoke::mf_static, 24, 68},	//924 Soprano::Vocabulary::Xesam::imContactMedium()
    {55, 628, 0, 0, Smoke::mf_static, 24, 69},	//925 Soprano::Vocabulary::Xesam::mergeConflict()
    {55, 462, 0, 0, Smoke::mf_static, 24, 70},	//926 Soprano::Vocabulary::Xesam::fingerprint()
    {55, 503, 0, 0, Smoke::mf_static, 24, 71},	//927 Soprano::Vocabulary::Xesam::honorificSuffix()
    {55, 562, 0, 0, Smoke::mf_static, 24, 72},	//928 Soprano::Vocabulary::Xesam::isoEquivalent()
    {55, 922, 0, 0, Smoke::mf_static, 24, 73},	//929 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {55, 293, 0, 0, Smoke::mf_static, 24, 74},	//930 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {55, 438, 0, 0, Smoke::mf_static, 24, 75},	//931 Soprano::Vocabulary::Xesam::emailAddress()
    {55, 341, 0, 0, Smoke::mf_static, 24, 76},	//932 Soprano::Vocabulary::Xesam::compressionLevel()
    {55, 865, 0, 0, Smoke::mf_static, 24, 77},	//933 Soprano::Vocabulary::Xesam::title()
    {55, 319, 0, 0, Smoke::mf_static, 24, 78},	//934 Soprano::Vocabulary::Xesam::changeCommitTime()
    {55, 123, 0, 0, Smoke::mf_static, 24, 79},	//935 Soprano::Vocabulary::Xesam::Media()
    {55, 455, 0, 0, Smoke::mf_static, 24, 80},	//936 Soprano::Vocabulary::Xesam::exposureProgram()
    {55, 537, 0, 0, Smoke::mf_static, 24, 81},	//937 Soprano::Vocabulary::Xesam::isEncrypted()
    {55, 59, 0, 0, Smoke::mf_static, 24, 82},	//938 Soprano::Vocabulary::Xesam::DeletedFile()
    {55, 638, 0, 0, Smoke::mf_static, 24, 83},	//939 Soprano::Vocabulary::Xesam::mountPoint()
    {55, 461, 0, 0, Smoke::mf_static, 24, 84},	//940 Soprano::Vocabulary::Xesam::fileSystemType()
    {55, 323, 0, 0, Smoke::mf_static, 24, 85},	//941 Soprano::Vocabulary::Xesam::chatRoom()
    {55, 460, 0, 0, Smoke::mf_static, 24, 86},	//942 Soprano::Vocabulary::Xesam::fileExtension()
    {55, 157, 0, 0, Smoke::mf_static, 24, 87},	//943 Soprano::Vocabulary::Xesam::PersonalEmail()
    {55, 459, 0, 0, Smoke::mf_static, 24, 88},	//944 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {55, 43, 0, 0, Smoke::mf_static, 24, 89},	//945 Soprano::Vocabulary::Xesam::Bookmark()
    {55, 126, 0, 0, Smoke::mf_static, 24, 90},	//946 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {55, 510, 0, 0, Smoke::mf_static, 24, 91},	//947 Soprano::Vocabulary::Xesam::inReplyTo()
    {55, 548, 0, 0, Smoke::mf_static, 24, 92},	//948 Soprano::Vocabulary::Xesam::isPublicChannel()
    {55, 624, 0, 0, Smoke::mf_static, 24, 93},	//949 Soprano::Vocabulary::Xesam::mediaCodec()
    {55, 926, 0, 0, Smoke::mf_static, 24, 94},	//950 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {55, 729, 0, 0, Smoke::mf_static, 24, 95},	//951 Soprano::Vocabulary::Xesam::remotePort()
    {55, 765, 0, 0, Smoke::mf_static, 24, 96},	//952 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {55, 672, 0, 0, Smoke::mf_static, 24, 97},	//953 Soprano::Vocabulary::Xesam::otherName()
    {55, 318, 0, 0, Smoke::mf_static, 24, 98},	//954 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {55, 526, 0, 0, Smoke::mf_static, 24, 99},	//955 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {55, 653, 0, 0, Smoke::mf_static, 24, 100},	//956 Soprano::Vocabulary::Xesam::occupiedSpace()
    {55, 11, 0, 0, Smoke::mf_static, 24, 101},	//957 Soprano::Vocabulary::Xesam::Audio()
    {55, 91, 0, 0, Smoke::mf_static, 24, 102},	//958 Soprano::Vocabulary::Xesam::Image()
    {55, 639, 0, 0, Smoke::mf_static, 24, 103},	//959 Soprano::Vocabulary::Xesam::name()
    {55, 12, 0, 0, Smoke::mf_static, 24, 104},	//960 Soprano::Vocabulary::Xesam::AudioList()
    {55, 623, 0, 0, Smoke::mf_static, 24, 105},	//961 Soprano::Vocabulary::Xesam::mediaBitrate()
    {55, 699, 0, 0, Smoke::mf_static, 24, 106},	//962 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {55, 239, 0, 0, Smoke::mf_static, 24, 107},	//963 Soprano::Vocabulary::Xesam::UncategorizedText()
    {55, 331, 0, 0, Smoke::mf_static, 24, 108},	//964 Soprano::Vocabulary::Xesam::colorCount()
    {55, 321, 0, 0, Smoke::mf_static, 24, 109},	//965 Soprano::Vocabulary::Xesam::characterCount()
    {55, 368, 0, 0, Smoke::mf_static, 24, 110},	//966 Soprano::Vocabulary::Xesam::contentKeyword()
    {55, 267, 0, 0, Smoke::mf_static, 24, 111},	//967 Soprano::Vocabulary::Xesam::albumArtist()
    {55, 291, 0, 0, Smoke::mf_static, 24, 112},	//968 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {55, 822, 0, 0, Smoke::mf_static, 24, 113},	//969 Soprano::Vocabulary::Xesam::size()
    {55, 581, 0, 0, Smoke::mf_static, 24, 114},	//970 Soprano::Vocabulary::Xesam::lastRefreshed()
    {55, 916, 0, 0, Smoke::mf_static, 24, 115},	//971 Soprano::Vocabulary::Xesam::videoCodecType()
    {55, 731, 0, 0, Smoke::mf_static, 24, 116},	//972 Soprano::Vocabulary::Xesam::remoteUser()
    {55, 466, 0, 0, Smoke::mf_static, 24, 117},	//973 Soprano::Vocabulary::Xesam::firstUsed()
    {55, 897, 0, 0, Smoke::mf_static, 24, 118},	//974 Soprano::Vocabulary::Xesam::userRating()
    {55, 825, 0, 0, Smoke::mf_static, 24, 119},	//975 Soprano::Vocabulary::Xesam::sourceModified()
    {55, 631, 0, 0, Smoke::mf_static, 24, 120},	//976 Soprano::Vocabulary::Xesam::meteringMode()
    {55, 918, 0, 0, Smoke::mf_static, 24, 121},	//977 Soprano::Vocabulary::Xesam::whiteBalance()
    {55, 88, 0, 0, Smoke::mf_static, 24, 122},	//978 Soprano::Vocabulary::Xesam::IMAP4Message()
    {55, 622, 0, 0, Smoke::mf_static, 24, 123},	//979 Soprano::Vocabulary::Xesam::md5Hash()
    {55, 472, 0, 0, Smoke::mf_static, 24, 124},	//980 Soprano::Vocabulary::Xesam::frameRate()
    {55, 576, 0, 0, Smoke::mf_static, 24, 125},	//981 Soprano::Vocabulary::Xesam::knows()
    {55, 615, 0, 0, Smoke::mf_static, 24, 126},	//982 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {55, 186, 0, 0, Smoke::mf_static, 24, 127},	//983 Soprano::Vocabulary::Xesam::RemoteResource()
    {55, 249, 0, 0, Smoke::mf_static, 24, 128},	//984 Soprano::Vocabulary::Xesam::acl()
    {55, 540, 0, 0, Smoke::mf_static, 24, 129},	//985 Soprano::Vocabulary::Xesam::isInProgress()
    {55, 895, 0, 0, Smoke::mf_static, 24, 130},	//986 Soprano::Vocabulary::Xesam::userKeyword()
    {55, 345, 0, 0, Smoke::mf_static, 24, 131},	//987 Soprano::Vocabulary::Xesam::contactNick()
    {55, 504, 0, 0, Smoke::mf_static, 24, 132},	//988 Soprano::Vocabulary::Xesam::horizontalResolution()
    {55, 914, 0, 0, Smoke::mf_static, 24, 133},	//989 Soprano::Vocabulary::Xesam::videoBitrate()
    {55, 48, 0, 0, Smoke::mf_static, 24, 134},	//990 Soprano::Vocabulary::Xesam::ContactGroup()
    {55, 583, 0, 0, Smoke::mf_static, 24, 135},	//991 Soprano::Vocabulary::Xesam::legal()
    {55, 89, 0, 0, Smoke::mf_static, 24, 136},	//992 Soprano::Vocabulary::Xesam::IMMessage()
    {55, 913, 0, 0, Smoke::mf_static, 24, 137},	//993 Soprano::Vocabulary::Xesam::verticalResolution()
    {55, 473, 0, 0, Smoke::mf_static, 24, 138},	//994 Soprano::Vocabulary::Xesam::freeSpace()
    {55, 760, 0, 0, Smoke::mf_static, 24, 139},	//995 Soprano::Vocabulary::Xesam::rowCount()
    {55, 710, 0, 0, Smoke::mf_static, 24, 140},	//996 Soprano::Vocabulary::Xesam::programmingLanguage()
    {55, 398, 0, 0, Smoke::mf_static, 24, 141},	//997 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {55, 871, 0, 0, Smoke::mf_static, 24, 142},	//998 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {55, 51, 0, 0, Smoke::mf_static, 24, 143},	//999 Soprano::Vocabulary::Xesam::Content()
    {55, 288, 0, 0, Smoke::mf_static, 24, 144},	//1000 Soprano::Vocabulary::Xesam::audioChannels()
    {55, 454, 0, 0, Smoke::mf_static, 24, 145},	//1001 Soprano::Vocabulary::Xesam::exposureBias()
    {55, 314, 0, 0, Smoke::mf_static, 24, 146},	//1002 Soprano::Vocabulary::Xesam::cameraModel()
    {55, 456, 0, 0, Smoke::mf_static, 24, 147},	//1003 Soprano::Vocabulary::Xesam::exposureTime()
    {55, 401, 0, 0, Smoke::mf_static, 24, 148},	//1004 Soprano::Vocabulary::Xesam::deletionTime()
    {55, 575, 0, 0, Smoke::mf_static, 24, 149},	//1005 Soprano::Vocabulary::Xesam::keyword()
    {55, 892, 0, 0, Smoke::mf_static, 24, 150},	//1006 Soprano::Vocabulary::Xesam::useCount()
    {55, 882, 0, 0, Smoke::mf_static, 24, 151},	//1007 Soprano::Vocabulary::Xesam::trackPeakGain()
    {55, 480, 0, 0, Smoke::mf_static, 24, 152},	//1008 Soprano::Vocabulary::Xesam::gender()
    {55, 880, 0, 0, Smoke::mf_static, 24, 153},	//1009 Soprano::Vocabulary::Xesam::trackGain()
    {55, 236, 0, 0, Smoke::mf_static, 24, 154},	//1010 Soprano::Vocabulary::Xesam::TextDocument()
    {55, 617, 0, 0, Smoke::mf_static, 24, 155},	//1011 Soprano::Vocabulary::Xesam::maintainer()
    {55, 727, 0, 0, Smoke::mf_static, 24, 156},	//1012 Soprano::Vocabulary::Xesam::related()
    {55, 870, 0, 0, Smoke::mf_static, 24, 157},	//1013 Soprano::Vocabulary::Xesam::totalSpace()
    {55, 178, 0, 0, Smoke::mf_static, 24, 158},	//1014 Soprano::Vocabulary::Xesam::RSSMessage()
    {55, 313, 0, 0, Smoke::mf_static, 24, 159},	//1015 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {55, 919, 0, 0, Smoke::mf_static, 24, 160},	//1016 Soprano::Vocabulary::Xesam::width()
    {55, 754, 0, 0, Smoke::mf_static, 24, 161},	//1017 Soprano::Vocabulary::Xesam::replyTo()
    {55, 674, 0, 0, Smoke::mf_static, 24, 162},	//1018 Soprano::Vocabulary::Xesam::owner()
    {55, 143, 0, 0, Smoke::mf_static, 24, 163},	//1019 Soprano::Vocabulary::Xesam::OfflineMedia()
    {55, 866, 0, 0, Smoke::mf_static, 24, 164},	//1020 Soprano::Vocabulary::Xesam::to()
    {55, 805, 0, 0, Smoke::mf_static, 24, 165},	//1021 Soprano::Vocabulary::Xesam::setRate()
    {55, 191, 0, 0, Smoke::mf_static, 24, 166},	//1022 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {55, 499, 0, 0, Smoke::mf_static, 24, 167},	//1023 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {55, 514, 0, 0, Smoke::mf_static, 24, 168},	//1024 Soprano::Vocabulary::Xesam::interest()
    {55, 295, 0, 0, Smoke::mf_static, 24, 169},	//1025 Soprano::Vocabulary::Xesam::author()
    {55, 587, 0, 0, Smoke::mf_static, 24, 170},	//1026 Soprano::Vocabulary::Xesam::links()
    {55, 216, 0, 0, Smoke::mf_static, 24, 171},	//1027 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {55, 131, 0, 0, Smoke::mf_static, 24, 172},	//1028 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {55, 66, 0, 0, Smoke::mf_static, 24, 173},	//1029 Soprano::Vocabulary::Xesam::Email()
    {55, 289, 0, 0, Smoke::mf_static, 24, 174},	//1030 Soprano::Vocabulary::Xesam::audioCodec()
    {55, 242, 0, 0, Smoke::mf_static, 24, 175},	//1031 Soprano::Vocabulary::Xesam::Visual()
    {55, 847, 0, 0, Smoke::mf_static, 24, 176},	//1032 Soprano::Vocabulary::Xesam::subject()
    {55, 642, 0, 0, Smoke::mf_static, 24, 177},	//1033 Soprano::Vocabulary::Xesam::newsGroup()
    {55, 539, 0, 0, Smoke::mf_static, 24, 178},	//1034 Soprano::Vocabulary::Xesam::isImportant()
    {55, 500, 0, 0, Smoke::mf_static, 24, 179},	//1035 Soprano::Vocabulary::Xesam::homePostalAddress()
    {55, 582, 0, 0, Smoke::mf_static, 24, 180},	//1036 Soprano::Vocabulary::Xesam::lastUsed()
    {55, 270, 0, 0, Smoke::mf_static, 24, 181},	//1037 Soprano::Vocabulary::Xesam::albumTrackCount()
    {55, 322, 0, 0, Smoke::mf_static, 24, 182},	//1038 Soprano::Vocabulary::Xesam::charset()
    {55, 850, 0, 0, Smoke::mf_static, 24, 183},	//1039 Soprano::Vocabulary::Xesam::supercedes()
    {55, 894, 0, 0, Smoke::mf_static, 24, 184},	//1040 Soprano::Vocabulary::Xesam::userComment()
    {55, 482, 0, 0, Smoke::mf_static, 24, 185},	//1041 Soprano::Vocabulary::Xesam::generatorOptions()
    {55, 435, 0, 0, Smoke::mf_static, 24, 186},	//1042 Soprano::Vocabulary::Xesam::documentCategory()
    {55, 838, 0, 0, Smoke::mf_static, 24, 187},	//1043 Soprano::Vocabulary::Xesam::storageSize()
    {55, 404, 0, 0, Smoke::mf_static, 24, 188},	//1044 Soprano::Vocabulary::Xesam::derivedFrom()
    {55, 613, 0, 0, Smoke::mf_static, 24, 189},	//1045 Soprano::Vocabulary::Xesam::lyricist()
    {55, 233, 0, 0, Smoke::mf_static, 24, 190},	//1046 Soprano::Vocabulary::Xesam::SystemResource()
    {55, 669, 0, 0, Smoke::mf_static, 24, 191},	//1047 Soprano::Vocabulary::Xesam::orientation()
    {55, 309, 0, 0, Smoke::mf_static, 24, 192},	//1048 Soprano::Vocabulary::Xesam::blogContactURL()
    {55, 284, 0, 0, Smoke::mf_static, 24, 193},	//1049 Soprano::Vocabulary::Xesam::aspectRatio()
    {55, 332, 0, 0, Smoke::mf_static, 24, 194},	//1050 Soprano::Vocabulary::Xesam::colorSpace()
    {55, 402, 0, 0, Smoke::mf_static, 24, 195},	//1051 Soprano::Vocabulary::Xesam::depends()
    {55, 292, 0, 0, Smoke::mf_static, 24, 196},	//1052 Soprano::Vocabulary::Xesam::audioSampleCount()
    {55, 700, 0, 0, Smoke::mf_static, 24, 197},	//1053 Soprano::Vocabulary::Xesam::pixelDataType()
    {55, 335, 0, 0, Smoke::mf_static, 24, 198},	//1054 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {55, 370, 0, 0, Smoke::mf_static, 24, 199},	//1055 Soprano::Vocabulary::Xesam::contentType()
    {55, 675, 0, 0, Smoke::mf_static, 24, 200},	//1056 Soprano::Vocabulary::Xesam::pageCount()
    {55, 899, 0, 0, Smoke::mf_static, 24, 201},	//1057 Soprano::Vocabulary::Xesam::usesNamespace()
    {55, 469, 0, 0, Smoke::mf_static, 24, 202},	//1058 Soprano::Vocabulary::Xesam::focusDistance()
    {55, 578, 0, 0, Smoke::mf_static, 24, 203},	//1059 Soprano::Vocabulary::Xesam::language()
    {55, 848, 0, 0, Smoke::mf_static, 24, 204},	//1060 Soprano::Vocabulary::Xesam::summary()
    {55, 416, 0, 0, Smoke::mf_static, 24, 205},	//1061 Soprano::Vocabulary::Xesam::disclaimer()
    {55, 695, 0, 0, Smoke::mf_static, 24, 206},	//1062 Soprano::Vocabulary::Xesam::permissions()
    {55, 730, 0, 0, Smoke::mf_static, 24, 207},	//1063 Soprano::Vocabulary::Xesam::remoteServer()
    {55, 129, 0, 0, Smoke::mf_static, 24, 208},	//1064 Soprano::Vocabulary::Xesam::Music()
    {55, 301, 0, 0, Smoke::mf_static, 24, 209},	//1065 Soprano::Vocabulary::Xesam::bcc()
    {55, 130, 0, 0, Smoke::mf_static, 24, 210},	//1066 Soprano::Vocabulary::Xesam::NewsGroup()
    {55, 698, 0, 0, Smoke::mf_static, 24, 211},	//1067 Soprano::Vocabulary::Xesam::phoneNumber()
    {55, 468, 0, 0, Smoke::mf_static, 24, 212},	//1068 Soprano::Vocabulary::Xesam::focalLength()
    {55, 122, 0, 0, Smoke::mf_static, 24, 213},	//1069 Soprano::Vocabulary::Xesam::MailingListEmail()
    {55, 235, 0, 0, Smoke::mf_static, 24, 214},	//1070 Soprano::Vocabulary::Xesam::Text()
    {55, 266, 0, 0, Smoke::mf_static, 24, 215},	//1071 Soprano::Vocabulary::Xesam::album()
    {55, 269, 0, 0, Smoke::mf_static, 24, 216},	//1072 Soprano::Vocabulary::Xesam::albumPeakGain()
    {55, 467, 0, 0, Smoke::mf_static, 24, 217},	//1073 Soprano::Vocabulary::Xesam::flashUsed()
    {55, 47, 0, 0, Smoke::mf_static, 24, 218},	//1074 Soprano::Vocabulary::Xesam::Contact()
    {55, 506, 0, 0, Smoke::mf_static, 24, 219},	//1075 Soprano::Vocabulary::Xesam::id()
    {55, 53, 0, 0, Smoke::mf_static, 24, 220},	//1076 Soprano::Vocabulary::Xesam::DataObject()
    {55, 340, 0, 0, Smoke::mf_static, 24, 221},	//1077 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {55, 728, 0, 0, Smoke::mf_static, 24, 222},	//1078 Soprano::Vocabulary::Xesam::remotePassword()
    {55, 185, 0, 0, Smoke::mf_static, 24, 223},	//1079 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {55, 397, 0, 0, Smoke::mf_static, 24, 224},	//1080 Soprano::Vocabulary::Xesam::definesFunction()
    {55, 481, 0, 0, Smoke::mf_static, 24, 225},	//1081 Soprano::Vocabulary::Xesam::generator()
    {55, 761, 0, 0, Smoke::mf_static, 24, 226},	//1082 Soprano::Vocabulary::Xesam::rssFeed()
    {55, 294, 0, 0, Smoke::mf_static, 24, 227},	//1083 Soprano::Vocabulary::Xesam::audioSampleRate()
    {55, 121, 0, 0, Smoke::mf_static, 24, 228},	//1084 Soprano::Vocabulary::Xesam::MailingList()
    {55, 861, 0, 0, Smoke::mf_static, 24, 229},	//1085 Soprano::Vocabulary::Xesam::targetQuality()
    {55, 218, 0, 0, Smoke::mf_static, 24, 230},	//1086 Soprano::Vocabulary::Xesam::SourceCode()
    {55, 766, 0, 0, Smoke::mf_static, 24, 231},	//1087 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {55, 77, 0, 0, Smoke::mf_static, 24, 232},	//1088 Soprano::Vocabulary::Xesam::File()
    {55, 484, 0, 0, Smoke::mf_static, 24, 233},	//1089 Soprano::Vocabulary::Xesam::givenName()
    {55, 696, 0, 0, Smoke::mf_static, 24, 234},	//1090 Soprano::Vocabulary::Xesam::personPhoto()
    {55, 372, 0, 0, Smoke::mf_static, 24, 235},	//1091 Soprano::Vocabulary::Xesam::contributor()
    {55, 282, 0, 0, Smoke::mf_static, 24, 236},	//1092 Soprano::Vocabulary::Xesam::artist()
    {55, 219, 0, 0, Smoke::mf_static, 24, 237},	//1093 Soprano::Vocabulary::Xesam::Spreadsheet()
    {55, 346, 0, 0, Smoke::mf_static, 24, 238},	//1094 Soprano::Vocabulary::Xesam::contactURL()
    {55, 281, 0, 0, Smoke::mf_static, 24, 239},	//1095 Soprano::Vocabulary::Xesam::aperture()
    {55, 502, 0, 0, Smoke::mf_static, 24, 240},	//1096 Soprano::Vocabulary::Xesam::honorificPrefix()
    {55, 286, 0, 0, Smoke::mf_static, 24, 241},	//1097 Soprano::Vocabulary::Xesam::audioBPM()
    {55, 317, 0, 0, Smoke::mf_static, 24, 242},	//1098 Soprano::Vocabulary::Xesam::ccdWidth()
    {55, 552, 0, 0, Smoke::mf_static, 24, 243},	//1099 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {55, 574, 0, 0, Smoke::mf_static, 24, 244},	//1100 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {55, 65, 0, 0, Smoke::mf_static, 24, 245},	//1101 Soprano::Vocabulary::Xesam::Documentation()
    {55, 243, 0, 0, Smoke::mf_static, 24, 246},	//1102 Soprano::Vocabulary::Xesam::XML()
    {55, 190, 0, 0, Smoke::mf_static, 24, 247},	//1103 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {55, 300, 0, 0, Smoke::mf_static, 24, 248},	//1104 Soprano::Vocabulary::Xesam::baseRevisionID()
    {55, 6, 0, 0, Smoke::mf_static, 24, 249},	//1105 Soprano::Vocabulary::Xesam::Archive()
    {55, 283, 0, 0, Smoke::mf_static, 24, 250},	//1106 Soprano::Vocabulary::Xesam::asText()
    {55, 45, 0, 0, Smoke::mf_static, 24, 251},	//1107 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {55, 498, 0, 0, Smoke::mf_static, 24, 252},	//1108 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {55, 921, 0, 0, Smoke::mf_static, 24, 253},	//1109 Soprano::Vocabulary::Xesam::workEmailAddress()
    {55, 369, 0, 0, Smoke::mf_static, 24, 254},	//1110 Soprano::Vocabulary::Xesam::contentModified()
    {55, 177, 0, 0, Smoke::mf_static, 24, 255},	//1111 Soprano::Vocabulary::Xesam::RSSFeed()
    {55, 63, 0, 0, Smoke::mf_static, 24, 256},	//1112 Soprano::Vocabulary::Xesam::Document()
    {55, 614, 0, 0, Smoke::mf_static, 24, 257},	//1113 Soprano::Vocabulary::Xesam::mailingList()
    {55, 586, 0, 0, Smoke::mf_static, 24, 258},	//1114 Soprano::Vocabulary::Xesam::lineCount()
    {55, 694, 0, 0, Smoke::mf_static, 24, 259},	//1115 Soprano::Vocabulary::Xesam::performer()
    {55, 7, 0, 0, Smoke::mf_static, 24, 260},	//1116 Soprano::Vocabulary::Xesam::ArchivedFile()
    {55, 67, 0, 0, Smoke::mf_static, 24, 261},	//1117 Soprano::Vocabulary::Xesam::EmailAttachment()
    {55, 366, 0, 0, Smoke::mf_static, 24, 262},	//1118 Soprano::Vocabulary::Xesam::contentComment()
    {55, 770, 0, 0, Smoke::mf_static, 24, 263},	//1119 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {55, 470, 0, 0, Smoke::mf_static, 24, 264},	//1120 Soprano::Vocabulary::Xesam::formatSubtype()
    {55, 163, 0, 0, Smoke::mf_static, 24, 265},	//1121 Soprano::Vocabulary::Xesam::Project()
    {55, 772, 0, 0, Smoke::mf_static, 24, 266},	//1122 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {55, 824, 0, 0, Smoke::mf_static, 24, 267},	//1123 Soprano::Vocabulary::Xesam::sourceCreated()
    {55, 234, 0, 0, Smoke::mf_static, 24, 268},	//1124 Soprano::Vocabulary::Xesam::Tag()
    {55, 907, 0, 0, Smoke::mf_static, 24, 269},	//1125 Soprano::Vocabulary::Xesam::version()
    {55, 915, 0, 0, Smoke::mf_static, 24, 270},	//1126 Soprano::Vocabulary::Xesam::videoCodec()
    {55, 767, 0, 0, Smoke::mf_static, 24, 271},	//1127 Soprano::Vocabulary::Xesam::sampleDataType()
    {55, 156, 0, 0, Smoke::mf_static, 24, 272},	//1128 Soprano::Vocabulary::Xesam::Person()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    275,  // Soprano::Node::Node(const QUrl&)
    277,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    279,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    280,  // Soprano::Node::operator=(const Soprano::Node&)
    281,  // Soprano::Node::operator=(const QUrl&)
    282,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    283,  // Soprano::Node::operator==(const Soprano::Node&) const
    285,  // Soprano::Node::operator==(const QUrl&) const
    286,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    566,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    567,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    114,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    115,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    125,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    132,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    377,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    378,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    385,  // Soprano::QueryResultIterator::binding(const QString&) const
    386,  // Soprano::QueryResultIterator::binding(int) const
    0,
    394,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    395,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    383,  // Soprano::QueryResultIterator::operator[](int) const
    384,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    145,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    148,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    149,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
    43,  // Soprano::qHash(const Soprano::Node&)
    47,  // Soprano::qHash(const Soprano::Statement&)
    54,  // Soprano::qHash(const Soprano::LanguageTag&)
    68,  // Soprano::qHash(const Soprano::LiteralValue&)
    0,
    42,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    60,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    61,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    72,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    41,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    59,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    58,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    70,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 99, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 100, 19},	// QGlobalSpace::LicensedCore
    {5, 101, 11},	// QGlobalSpace::LicensedDBus
    {5, 102, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 103, 6},	// QGlobalSpace::LicensedGui
    {5, 104, 25},	// QGlobalSpace::LicensedHelp
    {5, 105, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 106, 29},	// QGlobalSpace::LicensedNetwork
    {5, 107, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 108, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 109, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 110, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 111, 9},	// QGlobalSpace::LicensedScript
    {5, 112, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 113, 17},	// QGlobalSpace::LicensedSql
    {5, 114, 15},	// QGlobalSpace::LicensedSvg
    {5, 115, 12},	// QGlobalSpace::LicensedTest
    {5, 116, 7},	// QGlobalSpace::LicensedXml
    {5, 117, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 165, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 166, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 167, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 168, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 169, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 170, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 171, 20},	// QGlobalSpace::QtDebugMsg
    {5, 172, 23},	// QGlobalSpace::QtFatalMsg
    {5, 173, 24},	// QGlobalSpace::QtSystemMsg
    {5, 174, 21},	// QGlobalSpace::QtWarningMsg
    {5, 245, 32},	// QGlobalSpace::__codecvt_error
    {5, 246, 33},	// QGlobalSpace::__codecvt_noconv
    {5, 247, 30},	// QGlobalSpace::__codecvt_ok
    {5, 248, 31},	// QGlobalSpace::__codecvt_partial
    {13, 16, 75},	// Soprano::BackendFeatureAddStatement
    {13, 17, 83},	// Soprano::BackendFeatureAll
    {13, 18, 81},	// Soprano::BackendFeatureContext
    {13, 19, 79},	// Soprano::BackendFeatureInference
    {13, 20, 80},	// Soprano::BackendFeatureInferenceOptional
    {13, 21, 77},	// Soprano::BackendFeatureListStatements
    {13, 22, 74},	// Soprano::BackendFeatureNone
    {13, 23, 78},	// Soprano::BackendFeatureQuery
    {13, 24, 76},	// Soprano::BackendFeatureRemoveStatements
    {13, 25, 82},	// Soprano::BackendFeatureStorageMemory
    {13, 26, 84},	// Soprano::BackendFeatureUser
    {13, 27, 87},	// Soprano::BackendOptionEnableInference
    {13, 28, 89},	// Soprano::BackendOptionHost
    {13, 29, 85},	// Soprano::BackendOptionNone
    {13, 30, 92},	// Soprano::BackendOptionPassword
    {13, 31, 90},	// Soprano::BackendOptionPort
    {13, 32, 88},	// Soprano::BackendOptionStorageDir
    {13, 33, 86},	// Soprano::BackendOptionStorageMemory
    {13, 34, 93},	// Soprano::BackendOptionUser
    {13, 35, 91},	// Soprano::BackendOptionUsername
    {13, 196, 96},	// Soprano::SerializationN3
    {13, 197, 100},	// Soprano::SerializationNQuads
    {13, 198, 97},	// Soprano::SerializationNTriples
    {13, 199, 95},	// Soprano::SerializationRdfXml
    {13, 200, 99},	// Soprano::SerializationTrig
    {13, 201, 98},	// Soprano::SerializationTurtle
    {13, 202, 94},	// Soprano::SerializationUnknown
    {13, 203, 101},	// Soprano::SerializationUser
    {13, 382, 56},	// Soprano::createModel
    {13, 383, 55},	// Soprano::createModel?
    {13, 419, 45},	// Soprano::discoverBackendByFeatures$
    {13, 420, 44},	// Soprano::discoverBackendByFeatures$?
    {13, 422, 51},	// Soprano::discoverBackendByName$
    {13, 543, 64},	// Soprano::isOptionInSettings?$
    {13, 544, 63},	// Soprano::isOptionInSettings?$$
    {13, 634, 48},	// Soprano::mimeTypeToSerialization$
    {13, 660, 46},	// Soprano::operator<<##
    {13, 713, -38},	// Soprano::qHash#
    {13, 776, 50},	// Soprano::serializationMimeType$
    {13, 777, 49},	// Soprano::serializationMimeType$$
    {13, 813, 53},	// Soprano::setUsedBackend#
    {13, 817, 62},	// Soprano::settingInSettings?
    {13, 818, -43},	// Soprano::settingInSettings?$
    {13, 819, -48},	// Soprano::settingInSettings?$$
    {13, 893, 71},	// Soprano::usedBackend
    {13, 902, -51},	// Soprano::valueInSettings?$
    {13, 903, 57},	// Soprano::valueInSettings?$#
    {13, 904, 69},	// Soprano::valueInSettings?$$
    {13, 906, 52},	// Soprano::valueInSettingsWithDefault?$#
    {13, 909, 66},	// Soprano::versionMajor
    {13, 910, 73},	// Soprano::versionMinor
    {13, 911, 67},	// Soprano::versionRelease
    {13, 912, 65},	// Soprano::versionString
    {14, 14, 108},	// Soprano::Backend::Backend#
    {14, 15, 102},	// Soprano::Backend::Backend$
    {14, 382, 109},	// Soprano::Backend::createModel
    {14, 383, 103},	// Soprano::Backend::createModel?
    {14, 400, 104},	// Soprano::Backend::deleteModelData?
    {14, 851, 105},	// Soprano::Backend::supportedFeatures
    {14, 853, 106},	// Soprano::Backend::supportedUserFeatures
    {14, 856, 110},	// Soprano::Backend::supportsFeatures$
    {14, 857, 107},	// Soprano::Backend::supportsFeatures$?
    {14, 937, 111},	// Soprano::Backend::~Backend
    {15, 36, 112},	// Soprano::BackendSetting::BackendSetting
    {15, 37, 116},	// Soprano::BackendSetting::BackendSetting#
    {15, 38, 113},	// Soprano::BackendSetting::BackendSetting$
    {15, 39, -16},	// Soprano::BackendSetting::BackendSetting$#
    {15, 662, 117},	// Soprano::BackendSetting::operator=#
    {15, 668, 118},	// Soprano::BackendSetting::option
    {15, 815, 121},	// Soprano::BackendSetting::setValue#
    {15, 896, 119},	// Soprano::BackendSetting::userOptionName
    {15, 900, 120},	// Soprano::BackendSetting::value
    {15, 938, 122},	// Soprano::BackendSetting::~BackendSetting
    {17, 70, 123},	// Soprano::Error::Error::Error
    {17, 71, -19},	// Soprano::Error::Error::Error#
    {17, 72, 133},	// Soprano::Error::Error::Error$
    {17, 73, 124},	// Soprano::Error::Error::Error$$
    {17, 330, 129},	// Soprano::Error::Error::code
    {17, 545, 130},	// Soprano::Error::Error::isParserError
    {17, 629, 128},	// Soprano::Error::Error::message
    {17, 656, 127},	// Soprano::Error::Error::operator bool
    {17, 662, 126},	// Soprano::Error::Error::operator=#
    {17, 868, 131},	// Soprano::Error::Error::toParserError
    {17, 939, 134},	// Soprano::Error::Error::~Error
    {18, 74, 136},	// Soprano::Error::ErrorCache::ErrorCache
    {18, 75, 140},	// Soprano::Error::ErrorCache::ErrorCache#
    {18, 326, 137},	// Soprano::Error::ErrorCache::clearError
    {18, 579, 135},	// Soprano::Error::ErrorCache::lastError
    {18, 789, 138},	// Soprano::Error::ErrorCache::setError#
    {18, 790, 141},	// Soprano::Error::ErrorCache::setError$
    {18, 791, 139},	// Soprano::Error::ErrorCache::setError$$
    {18, 940, 142},	// Soprano::Error::ErrorCache::~ErrorCache
    {21, 151, 143},	// Soprano::Error::ParserError::ParserError
    {21, 152, -34},	// Soprano::Error::ParserError::ParserError#
    {21, 153, 150},	// Soprano::Error::ParserError::ParserError#$
    {21, 154, 144},	// Soprano::Error::ParserError::ParserError#$$
    {21, 612, 147},	// Soprano::Error::ParserError::locator
    {21, 662, 146},	// Soprano::Error::ParserError::operator=#
    {21, 947, 151},	// Soprano::Error::ParserError::~ParserError
    {22, 80, 181},	// Soprano::FilterModel::FilterModel
    {22, 81, 182},	// Soprano::FilterModel::FilterModel#
    {22, 255, 161},	// Soprano::FilterModel::addStatement#
    {22, 256, 189},	// Soprano::FilterModel::addStatement###
    {22, 257, 162},	// Soprano::FilterModel::addStatement####
    {22, 349, 173},	// Soprano::FilterModel::containsAnyStatement#
    {22, 350, 195},	// Soprano::FilterModel::containsAnyStatement###
    {22, 351, 174},	// Soprano::FilterModel::containsAnyStatement####
    {22, 359, 171},	// Soprano::FilterModel::containsStatement#
    {22, 360, 194},	// Soprano::FilterModel::containsStatement###
    {22, 361, 172},	// Soprano::FilterModel::containsStatement####
    {22, 375, 178},	// Soprano::FilterModel::createBlankNode
    {22, 449, 193},	// Soprano::FilterModel::executeQuery$$
    {22, 450, 170},	// Soprano::FilterModel::executeQuery$$$
    {22, 535, 175},	// Soprano::FilterModel::isEmpty
    {22, 588, 169},	// Soprano::FilterModel::listContexts
    {22, 590, 180},	// Soprano::FilterModel::listStatements
    {22, 591, 167},	// Soprano::FilterModel::listStatements#
    {22, 592, 192},	// Soprano::FilterModel::listStatements###
    {22, 593, 168},	// Soprano::FilterModel::listStatements####
    {22, 630, 152},	// Soprano::FilterModel::metaObject
    {22, 677, 160},	// Soprano::FilterModel::parentModel
    {22, 679, 185},	// Soprano::FilterModel::parentStatementAdded#
    {22, 681, 186},	// Soprano::FilterModel::parentStatementRemoved#
    {22, 682, 183},	// Soprano::FilterModel::parentStatementsAdded
    {22, 683, 184},	// Soprano::FilterModel::parentStatementsRemoved
    {22, 715, 158},	// Soprano::FilterModel::qt_metacall$$?
    {22, 717, 153},	// Soprano::FilterModel::qt_metacast$
    {22, 732, 179},	// Soprano::FilterModel::removeAllStatements
    {22, 733, 165},	// Soprano::FilterModel::removeAllStatements#
    {22, 734, 191},	// Soprano::FilterModel::removeAllStatements###
    {22, 735, 166},	// Soprano::FilterModel::removeAllStatements####
    {22, 743, 163},	// Soprano::FilterModel::removeStatement#
    {22, 744, 190},	// Soprano::FilterModel::removeStatement###
    {22, 745, 164},	// Soprano::FilterModel::removeStatement####
    {22, 799, 159},	// Soprano::FilterModel::setParentModel#
    {22, 829, 176},	// Soprano::FilterModel::statementCount
    {22, 836, 196},	// Soprano::FilterModel::staticMetaObject
    {22, 873, 187},	// Soprano::FilterModel::tr$
    {22, 874, 154},	// Soprano::FilterModel::tr$$
    {22, 875, 156},	// Soprano::FilterModel::tr$$$
    {22, 877, 188},	// Soprano::FilterModel::trUtf8$
    {22, 878, 155},	// Soprano::FilterModel::trUtf8$$
    {22, 879, 157},	// Soprano::FilterModel::trUtf8$$$
    {22, 925, 177},	// Soprano::FilterModel::write#
    {22, 941, 197},	// Soprano::FilterModel::~FilterModel
    {24, 95, 205},	// Soprano::Inference::InferenceModel::InferenceModel#
    {24, 253, 209},	// Soprano::Inference::InferenceModel::addRule#
    {24, 255, 206},	// Soprano::Inference::InferenceModel::addStatement#
    {24, 256, 221},	// Soprano::Inference::InferenceModel::addStatement###
    {24, 257, 211},	// Soprano::Inference::InferenceModel::addStatement####
    {24, 327, 216},	// Soprano::Inference::InferenceModel::clearInference
    {24, 630, 198},	// Soprano::Inference::InferenceModel::metaObject
    {24, 693, 215},	// Soprano::Inference::InferenceModel::performInference
    {24, 715, 204},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {24, 717, 199},	// Soprano::Inference::InferenceModel::qt_metacast$
    {24, 732, 214},	// Soprano::Inference::InferenceModel::removeAllStatements
    {24, 733, 208},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {24, 734, 223},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {24, 735, 213},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {24, 743, 207},	// Soprano::Inference::InferenceModel::removeStatement#
    {24, 744, 222},	// Soprano::Inference::InferenceModel::removeStatement###
    {24, 745, 212},	// Soprano::Inference::InferenceModel::removeStatement####
    {24, 784, 217},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {24, 797, 218},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {24, 809, 210},	// Soprano::Inference::InferenceModel::setRules?
    {24, 836, 224},	// Soprano::Inference::InferenceModel::staticMetaObject
    {24, 873, 219},	// Soprano::Inference::InferenceModel::tr$
    {24, 874, 200},	// Soprano::Inference::InferenceModel::tr$$
    {24, 875, 202},	// Soprano::Inference::InferenceModel::tr$$$
    {24, 877, 220},	// Soprano::Inference::InferenceModel::trUtf8$
    {24, 878, 201},	// Soprano::Inference::InferenceModel::trUtf8$$
    {24, 879, 203},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {24, 942, 225},	// Soprano::Inference::InferenceModel::~InferenceModel
    {28, 127, 262},	// Soprano::Model::Model
    {28, 255, 233},	// Soprano::Model::addStatement#
    {28, 256, 265},	// Soprano::Model::addStatement###
    {28, 257, 234},	// Soprano::Model::addStatement####
    {28, 263, 235},	// Soprano::Model::addStatements?
    {28, 349, 249},	// Soprano::Model::containsAnyStatement#
    {28, 350, 270},	// Soprano::Model::containsAnyStatement###
    {28, 351, 250},	// Soprano::Model::containsAnyStatement####
    {28, 357, 253},	// Soprano::Model::containsContext#
    {28, 359, 251},	// Soprano::Model::containsStatement#
    {28, 360, 271},	// Soprano::Model::containsStatement###
    {28, 361, 252},	// Soprano::Model::containsStatement####
    {28, 375, 257},	// Soprano::Model::createBlankNode
    {28, 449, 269},	// Soprano::Model::executeQuery$$
    {28, 450, 248},	// Soprano::Model::executeQuery$$$
    {28, 535, 254},	// Soprano::Model::isEmpty
    {28, 588, 247},	// Soprano::Model::listContexts
    {28, 590, 245},	// Soprano::Model::listStatements
    {28, 591, 243},	// Soprano::Model::listStatements#
    {28, 592, 268},	// Soprano::Model::listStatements###
    {28, 593, 244},	// Soprano::Model::listStatements####
    {28, 599, 246},	// Soprano::Model::listStatementsInContext#
    {28, 630, 226},	// Soprano::Model::metaObject
    {28, 715, 232},	// Soprano::Model::qt_metacall$$?
    {28, 717, 227},	// Soprano::Model::qt_metacast$
    {28, 732, 242},	// Soprano::Model::removeAllStatements
    {28, 733, 238},	// Soprano::Model::removeAllStatements#
    {28, 734, 267},	// Soprano::Model::removeAllStatements###
    {28, 735, 239},	// Soprano::Model::removeAllStatements####
    {28, 741, 241},	// Soprano::Model::removeContext#
    {28, 743, 236},	// Soprano::Model::removeStatement#
    {28, 744, 266},	// Soprano::Model::removeStatement###
    {28, 745, 237},	// Soprano::Model::removeStatement####
    {28, 751, 240},	// Soprano::Model::removeStatements?
    {28, 828, 260},	// Soprano::Model::statementAdded#
    {28, 829, 255},	// Soprano::Model::statementCount
    {28, 833, 261},	// Soprano::Model::statementRemoved#
    {28, 834, 258},	// Soprano::Model::statementsAdded
    {28, 835, 259},	// Soprano::Model::statementsRemoved
    {28, 836, 272},	// Soprano::Model::staticMetaObject
    {28, 873, 263},	// Soprano::Model::tr$
    {28, 874, 228},	// Soprano::Model::tr$$
    {28, 875, 230},	// Soprano::Model::tr$$$
    {28, 877, 264},	// Soprano::Model::trUtf8$
    {28, 878, 229},	// Soprano::Model::trUtf8$$
    {28, 879, 231},	// Soprano::Model::trUtf8$$$
    {28, 925, 256},	// Soprano::Model::write#
    {28, 943, 273},	// Soprano::Model::~Model
    {29, 41, 316},	// Soprano::Node::BlankNode
    {29, 69, 313},	// Soprano::Node::EmptyNode
    {29, 90, 320},	// Soprano::Node::IgnorePrefixes
    {29, 120, 315},	// Soprano::Node::LiteralNode
    {29, 132, 317},	// Soprano::Node::NoFlags
    {29, 133, 274},	// Soprano::Node::Node
    {29, 134, -1},	// Soprano::Node::Node#
    {29, 135, 278},	// Soprano::Node::Node#$
    {29, 136, 276},	// Soprano::Node::Node$
    {29, 188, 314},	// Soprano::Node::ResourceNode
    {29, 229, 318},	// Soprano::Node::StrictLiteralTypes
    {29, 230, 319},	// Soprano::Node::StrictUris
    {29, 308, 307},	// Soprano::Node::blankToN3$
    {29, 376, 303},	// Soprano::Node::createBlankNode$
    {29, 378, 301},	// Soprano::Node::createEmptyNode
    {29, 380, 304},	// Soprano::Node::createLiteralNode#
    {29, 381, 305},	// Soprano::Node::createLiteralNode#$
    {29, 385, 302},	// Soprano::Node::createResourceNode#
    {29, 392, 297},	// Soprano::Node::dataType
    {29, 475, 311},	// Soprano::Node::fromN3$
    {29, 476, 309},	// Soprano::Node::fromN3$$
    {29, 478, 312},	// Soprano::Node::fromN3Stream#
    {29, 479, 310},	// Soprano::Node::fromN3Stream#$
    {29, 507, 295},	// Soprano::Node::identifier
    {29, 522, 293},	// Soprano::Node::isBlank
    {29, 535, 289},	// Soprano::Node::isEmpty
    {29, 541, 291},	// Soprano::Node::isLiteral
    {29, 551, 292},	// Soprano::Node::isResource
    {29, 561, 290},	// Soprano::Node::isValid
    {29, 578, 298},	// Soprano::Node::language
    {29, 600, 296},	// Soprano::Node::literal
    {29, 602, 308},	// Soprano::Node::literalToN3#
    {29, 620, 287},	// Soprano::Node::matches#
    {29, 658, 284},	// Soprano::Node::operator!=#
    {29, 662, -5},	// Soprano::Node::operator=#
    {29, 664, -9},	// Soprano::Node::operator==#
    {29, 756, 306},	// Soprano::Node::resourceToN3#
    {29, 867, 300},	// Soprano::Node::toN3
    {29, 869, 299},	// Soprano::Node::toString
    {29, 883, 288},	// Soprano::Node::type
    {29, 890, 294},	// Soprano::Node::uri
    {29, 944, 321},	// Soprano::Node::~Node
    {30, 137, 322},	// Soprano::NodeIterator::NodeIterator
    {30, 138, 324},	// Soprano::NodeIterator::NodeIterator#
    {30, 139, 323},	// Soprano::NodeIterator::NodeIterator?
    {30, 273, 326},	// Soprano::NodeIterator::allNodes
    {30, 662, 325},	// Soprano::NodeIterator::operator=#
    {30, 945, 327},	// Soprano::NodeIterator::~NodeIterator
    {31, 149, 335},	// Soprano::Parser::Parser#
    {31, 150, 334},	// Soprano::Parser::Parser$
    {31, 685, 337},	// Soprano::Parser::parseFile$#$
    {31, 686, 331},	// Soprano::Parser::parseFile$#$$
    {31, 688, 339},	// Soprano::Parser::parseStream##$
    {31, 689, 333},	// Soprano::Parser::parseStream##$$
    {31, 691, 338},	// Soprano::Parser::parseString$#$
    {31, 692, 332},	// Soprano::Parser::parseString$#$$
    {31, 852, 328},	// Soprano::Parser::supportedSerializations
    {31, 854, 329},	// Soprano::Parser::supportedUserSerializations
    {31, 859, 336},	// Soprano::Parser::supportsSerialization$
    {31, 860, 330},	// Soprano::Parser::supportsSerialization$$
    {31, 946, 340},	// Soprano::Parser::~Parser
    {32, 160, 344},	// Soprano::Plugin::Plugin#
    {32, 161, 343},	// Soprano::Plugin::Plugin$
    {32, 520, 342},	// Soprano::Plugin::isAvailable
    {32, 701, 341},	// Soprano::Plugin::pluginName
    {32, 948, 345},	// Soprano::Plugin::~Plugin
    {33, 271, 360},	// Soprano::PluginManager::allBackends
    {33, 274, 363},	// Soprano::PluginManager::allParsers
    {33, 275, 366},	// Soprano::PluginManager::allSerializers
    {33, 419, 371},	// Soprano::PluginManager::discoverBackendByFeatures$
    {33, 420, 359},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {33, 422, 358},	// Soprano::PluginManager::discoverBackendByName$
    {33, 424, 361},	// Soprano::PluginManager::discoverParserByName$
    {33, 426, 372},	// Soprano::PluginManager::discoverParserForSerialization$
    {33, 427, 362},	// Soprano::PluginManager::discoverParserForSerialization$$
    {33, 429, 364},	// Soprano::PluginManager::discoverSerializerByName$
    {33, 431, 373},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {33, 432, 365},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {33, 512, 367},	// Soprano::PluginManager::instance
    {33, 604, 355},	// Soprano::PluginManager::loadCustomBackend$
    {33, 606, 356},	// Soprano::PluginManager::loadCustomParser$
    {33, 608, 354},	// Soprano::PluginManager::loadCustomPlugin$
    {33, 610, 357},	// Soprano::PluginManager::loadCustomSerializer$
    {33, 630, 346},	// Soprano::PluginManager::metaObject
    {33, 715, 352},	// Soprano::PluginManager::qt_metacall$$?
    {33, 717, 347},	// Soprano::PluginManager::qt_metacast$
    {33, 801, 370},	// Soprano::PluginManager::setPluginSearchPath?
    {33, 802, 353},	// Soprano::PluginManager::setPluginSearchPath?$
    {33, 836, 374},	// Soprano::PluginManager::staticMetaObject
    {33, 873, 368},	// Soprano::PluginManager::tr$
    {33, 874, 348},	// Soprano::PluginManager::tr$$
    {33, 875, 350},	// Soprano::PluginManager::tr$$$
    {33, 877, 369},	// Soprano::PluginManager::trUtf8$
    {33, 878, 349},	// Soprano::PluginManager::trUtf8$$
    {33, 879, 351},	// Soprano::PluginManager::trUtf8$$$
    {33, 949, 375},	// Soprano::PluginManager::~PluginManager
    {34, 175, 376},	// Soprano::QueryResultIterator::QueryResultIterator
    {34, 176, -22},	// Soprano::QueryResultIterator::QueryResultIterator#
    {34, 272, 392},	// Soprano::QueryResultIterator::allBindings
    {34, 303, -25},	// Soprano::QueryResultIterator::binding$
    {34, 304, 387},	// Soprano::QueryResultIterator::bindingCount
    {34, 305, 388},	// Soprano::QueryResultIterator::bindingNames
    {34, 310, 382},	// Soprano::QueryResultIterator::boolValue
    {34, 389, 381},	// Soprano::QueryResultIterator::currentBindings
    {34, 390, 380},	// Soprano::QueryResultIterator::currentStatement
    {34, 521, 390},	// Soprano::QueryResultIterator::isBinding
    {34, 523, 391},	// Soprano::QueryResultIterator::isBool
    {34, 538, 389},	// Soprano::QueryResultIterator::isGraph
    {34, 564, -28},	// Soprano::QueryResultIterator::iterateBindings$
    {34, 568, 393},	// Soprano::QueryResultIterator::iterateStatements
    {34, 570, 397},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {34, 571, 398},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {34, 572, 396},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {34, 662, 379},	// Soprano::QueryResultIterator::operator=#
    {34, 667, -31},	// Soprano::QueryResultIterator::operator[]$
    {34, 950, 399},	// Soprano::QueryResultIterator::~QueryResultIterator
    {36, 179, 419},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {36, 180, 400},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {36, 325, 401},	// Soprano::RdfSchemaModel::classes
    {36, 408, 420},	// Soprano::RdfSchemaModel::directSubClassOf#
    {36, 409, 402},	// Soprano::RdfSchemaModel::directSubClassOf##
    {36, 411, 421},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {36, 412, 403},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {36, 414, 404},	// Soprano::RdfSchemaModel::directType##
    {36, 437, 405},	// Soprano::RdfSchemaModel::domain##
    {36, 525, 411},	// Soprano::RdfSchemaModel::isClass#
    {36, 530, 413},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {36, 532, 414},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {36, 534, 415},	// Soprano::RdfSchemaModel::isDirectType##
    {36, 547, 412},	// Soprano::RdfSchemaModel::isProperty#
    {36, 554, 416},	// Soprano::RdfSchemaModel::isSubClassOf##
    {36, 556, 417},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {36, 560, 418},	// Soprano::RdfSchemaModel::isType##
    {36, 711, 406},	// Soprano::RdfSchemaModel::properties
    {36, 720, 407},	// Soprano::RdfSchemaModel::range##
    {36, 841, 422},	// Soprano::RdfSchemaModel::subClassOf#
    {36, 842, 408},	// Soprano::RdfSchemaModel::subClassOf##
    {36, 845, 423},	// Soprano::RdfSchemaModel::subPropertyOf#
    {36, 846, 409},	// Soprano::RdfSchemaModel::subPropertyOf##
    {36, 884, 410},	// Soprano::RdfSchemaModel::type##
    {36, 951, 424},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {37, 205, 433},	// Soprano::Serializer::Serializer#
    {37, 206, 432},	// Soprano::Serializer::Serializer$
    {37, 251, 429},	// Soprano::Serializer::addPrefix$#
    {37, 328, 430},	// Soprano::Serializer::clearPrefixes
    {37, 707, 431},	// Soprano::Serializer::prefixes
    {37, 779, 435},	// Soprano::Serializer::serialize##$
    {37, 780, 428},	// Soprano::Serializer::serialize##$$
    {37, 852, 425},	// Soprano::Serializer::supportedSerializations
    {37, 854, 426},	// Soprano::Serializer::supportedUserSerializations
    {37, 859, 434},	// Soprano::Serializer::supportsSerialization$
    {37, 860, 427},	// Soprano::Serializer::supportsSerialization$$
    {37, 953, 436},	// Soprano::Serializer::~Serializer
    {38, 220, 437},	// Soprano::Statement::Statement
    {38, 221, 439},	// Soprano::Statement::Statement#
    {38, 222, 453},	// Soprano::Statement::Statement###
    {38, 223, 438},	// Soprano::Statement::Statement####
    {38, 371, 448},	// Soprano::Statement::context
    {38, 561, 444},	// Soprano::Statement::isValid
    {38, 620, 443},	// Soprano::Statement::matches#
    {38, 652, 447},	// Soprano::Statement::object
    {38, 658, 442},	// Soprano::Statement::operator!=#
    {38, 662, 440},	// Soprano::Statement::operator=#
    {38, 664, 441},	// Soprano::Statement::operator==#
    {38, 704, 446},	// Soprano::Statement::predicate
    {38, 786, 452},	// Soprano::Statement::setContext#
    {38, 795, 451},	// Soprano::Statement::setObject#
    {38, 804, 450},	// Soprano::Statement::setPredicate#
    {38, 811, 449},	// Soprano::Statement::setSubject#
    {38, 847, 445},	// Soprano::Statement::subject
    {38, 957, 454},	// Soprano::Statement::~Statement
    {39, 224, 455},	// Soprano::StatementIterator::StatementIterator
    {39, 225, 457},	// Soprano::StatementIterator::StatementIterator#
    {39, 226, 456},	// Soprano::StatementIterator::StatementIterator?
    {39, 276, 459},	// Soprano::StatementIterator::allStatements
    {39, 565, 463},	// Soprano::StatementIterator::iterateContexts
    {39, 566, 462},	// Soprano::StatementIterator::iterateObjects
    {39, 567, 461},	// Soprano::StatementIterator::iteratePredicates
    {39, 573, 460},	// Soprano::StatementIterator::iterateSubjects
    {39, 662, 458},	// Soprano::StatementIterator::operator=#
    {39, 958, 464},	// Soprano::StatementIterator::~StatementIterator
    {40, 228, 481},	// Soprano::StorageModel::StorageModel#
    {40, 297, 476},	// Soprano::StorageModel::backend
    {40, 349, 474},	// Soprano::StorageModel::containsAnyStatement#
    {40, 350, 486},	// Soprano::StorageModel::containsAnyStatement###
    {40, 351, 480},	// Soprano::StorageModel::containsAnyStatement####
    {40, 359, 473},	// Soprano::StorageModel::containsStatement#
    {40, 360, 485},	// Soprano::StorageModel::containsStatement###
    {40, 361, 479},	// Soprano::StorageModel::containsStatement####
    {40, 535, 472},	// Soprano::StorageModel::isEmpty
    {40, 630, 465},	// Soprano::StorageModel::metaObject
    {40, 715, 471},	// Soprano::StorageModel::qt_metacall$$?
    {40, 717, 466},	// Soprano::StorageModel::qt_metacast$
    {40, 732, 478},	// Soprano::StorageModel::removeAllStatements
    {40, 733, 475},	// Soprano::StorageModel::removeAllStatements#
    {40, 734, 484},	// Soprano::StorageModel::removeAllStatements###
    {40, 735, 477},	// Soprano::StorageModel::removeAllStatements####
    {40, 836, 487},	// Soprano::StorageModel::staticMetaObject
    {40, 873, 482},	// Soprano::StorageModel::tr$
    {40, 874, 467},	// Soprano::StorageModel::tr$$
    {40, 875, 469},	// Soprano::StorageModel::tr$$$
    {40, 877, 483},	// Soprano::StorageModel::trUtf8$
    {40, 878, 468},	// Soprano::StorageModel::trUtf8$$
    {40, 879, 470},	// Soprano::StorageModel::trUtf8$$$
    {40, 959, 488},	// Soprano::StorageModel::~StorageModel
    {41, 9, 537},	// Soprano::Util::AsyncModel::AsyncModel
    {41, 10, 496},	// Soprano::Util::AsyncModel::AsyncModel#
    {41, 128, 554},	// Soprano::Util::AsyncModel::MultiThreaded
    {41, 215, 553},	// Soprano::Util::AsyncModel::SingleThreaded
    {41, 255, 522},	// Soprano::Util::AsyncModel::addStatement#
    {41, 256, 546},	// Soprano::Util::AsyncModel::addStatement###
    {41, 257, 523},	// Soprano::Util::AsyncModel::addStatement####
    {41, 259, 499},	// Soprano::Util::AsyncModel::addStatementAsync#
    {41, 260, 538},	// Soprano::Util::AsyncModel::addStatementAsync###
    {41, 261, 500},	// Soprano::Util::AsyncModel::addStatementAsync####
    {41, 265, 501},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {41, 349, 533},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {41, 350, 551},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {41, 351, 534},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {41, 353, 516},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {41, 354, 544},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {41, 355, 517},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {41, 359, 531},	// Soprano::Util::AsyncModel::containsStatement#
    {41, 360, 550},	// Soprano::Util::AsyncModel::containsStatement###
    {41, 361, 532},	// Soprano::Util::AsyncModel::containsStatement####
    {41, 363, 514},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {41, 364, 543},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {41, 365, 515},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {41, 377, 518},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {41, 449, 545},	// Soprano::Util::AsyncModel::executeQuery$$
    {41, 450, 521},	// Soprano::Util::AsyncModel::executeQuery$$$
    {41, 452, 542},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {41, 453, 513},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {41, 536, 507},	// Soprano::Util::AsyncModel::isEmptyAsync
    {41, 588, 520},	// Soprano::Util::AsyncModel::listContexts
    {41, 589, 512},	// Soprano::Util::AsyncModel::listContextsAsync
    {41, 590, 530},	// Soprano::Util::AsyncModel::listStatements
    {41, 591, 519},	// Soprano::Util::AsyncModel::listStatements#
    {41, 592, 549},	// Soprano::Util::AsyncModel::listStatements###
    {41, 593, 529},	// Soprano::Util::AsyncModel::listStatements####
    {41, 594, 511},	// Soprano::Util::AsyncModel::listStatementsAsync
    {41, 595, 509},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {41, 596, 541},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {41, 597, 510},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {41, 630, 489},	// Soprano::Util::AsyncModel::metaObject
    {41, 636, 498},	// Soprano::Util::AsyncModel::mode
    {41, 715, 495},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {41, 717, 490},	// Soprano::Util::AsyncModel::qt_metacast$
    {41, 732, 528},	// Soprano::Util::AsyncModel::removeAllStatements
    {41, 733, 526},	// Soprano::Util::AsyncModel::removeAllStatements#
    {41, 734, 548},	// Soprano::Util::AsyncModel::removeAllStatements###
    {41, 735, 527},	// Soprano::Util::AsyncModel::removeAllStatements####
    {41, 737, 505},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {41, 738, 540},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {41, 739, 506},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {41, 743, 524},	// Soprano::Util::AsyncModel::removeStatement#
    {41, 744, 547},	// Soprano::Util::AsyncModel::removeStatement###
    {41, 745, 525},	// Soprano::Util::AsyncModel::removeStatement####
    {41, 747, 502},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {41, 748, 539},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {41, 749, 503},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {41, 753, 504},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {41, 793, 497},	// Soprano::Util::AsyncModel::setMode$
    {41, 830, 508},	// Soprano::Util::AsyncModel::statementCountAsync
    {41, 836, 552},	// Soprano::Util::AsyncModel::staticMetaObject
    {41, 873, 535},	// Soprano::Util::AsyncModel::tr$
    {41, 874, 491},	// Soprano::Util::AsyncModel::tr$$
    {41, 875, 493},	// Soprano::Util::AsyncModel::tr$$$
    {41, 877, 536},	// Soprano::Util::AsyncModel::trUtf8$
    {41, 878, 492},	// Soprano::Util::AsyncModel::trUtf8$$
    {41, 879, 494},	// Soprano::Util::AsyncModel::trUtf8$$$
    {41, 934, 555},	// Soprano::Util::AsyncModel::~AsyncModel
    {42, 303, -13},	// Soprano::Util::AsyncQuery::binding$
    {42, 304, 568},	// Soprano::Util::AsyncQuery::bindingCount
    {42, 305, 569},	// Soprano::Util::AsyncQuery::bindingNames
    {42, 310, 565},	// Soprano::Util::AsyncQuery::boolValue
    {42, 329, 574},	// Soprano::Util::AsyncQuery::close
    {42, 389, 564},	// Soprano::Util::AsyncQuery::currentBindings
    {42, 390, 563},	// Soprano::Util::AsyncQuery::currentStatement
    {42, 447, 580},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {42, 448, 577},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {42, 464, 576},	// Soprano::Util::AsyncQuery::finished#
    {42, 521, 571},	// Soprano::Util::AsyncQuery::isBinding
    {42, 523, 572},	// Soprano::Util::AsyncQuery::isBool
    {42, 538, 570},	// Soprano::Util::AsyncQuery::isGraph
    {42, 630, 556},	// Soprano::Util::AsyncQuery::metaObject
    {42, 643, 573},	// Soprano::Util::AsyncQuery::next
    {42, 645, 575},	// Soprano::Util::AsyncQuery::nextReady#
    {42, 715, 562},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {42, 717, 557},	// Soprano::Util::AsyncQuery::qt_metacast$
    {42, 836, 581},	// Soprano::Util::AsyncQuery::staticMetaObject
    {42, 873, 578},	// Soprano::Util::AsyncQuery::tr$
    {42, 874, 558},	// Soprano::Util::AsyncQuery::tr$$
    {42, 875, 560},	// Soprano::Util::AsyncQuery::tr$$$
    {42, 877, 579},	// Soprano::Util::AsyncQuery::trUtf8$
    {42, 878, 559},	// Soprano::Util::AsyncQuery::trUtf8$$
    {42, 879, 561},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {42, 935, 582},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {43, 386, 591},	// Soprano::Util::AsyncResult::createResult
    {43, 443, 593},	// Soprano::Util::AsyncResult::errorCode
    {43, 630, 583},	// Soprano::Util::AsyncResult::metaObject
    {43, 647, 597},	// Soprano::Util::AsyncResult::node
    {43, 648, 595},	// Soprano::Util::AsyncResult::nodeIterator
    {43, 715, 589},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {43, 717, 584},	// Soprano::Util::AsyncResult::qt_metacast$
    {43, 718, 596},	// Soprano::Util::AsyncResult::queryResultIterator
    {43, 759, 590},	// Soprano::Util::AsyncResult::resultReady#
    {43, 807, 598},	// Soprano::Util::AsyncResult::setResult##
    {43, 831, 594},	// Soprano::Util::AsyncResult::statementIterator
    {43, 836, 601},	// Soprano::Util::AsyncResult::staticMetaObject
    {43, 873, 599},	// Soprano::Util::AsyncResult::tr$
    {43, 874, 585},	// Soprano::Util::AsyncResult::tr$$
    {43, 875, 587},	// Soprano::Util::AsyncResult::tr$$$
    {43, 877, 600},	// Soprano::Util::AsyncResult::trUtf8$
    {43, 878, 586},	// Soprano::Util::AsyncResult::trUtf8$$
    {43, 879, 588},	// Soprano::Util::AsyncResult::trUtf8$$$
    {43, 900, 592},	// Soprano::Util::AsyncResult::value
    {43, 936, 602},	// Soprano::Util::AsyncResult::~AsyncResult
    {44, 181, 633},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {44, 182, 610},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {44, 255, 619},	// Soprano::Util::ReadOnlyModel::addStatement#
    {44, 256, 635},	// Soprano::Util::ReadOnlyModel::addStatement###
    {44, 257, 623},	// Soprano::Util::ReadOnlyModel::addStatement####
    {44, 349, 616},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {44, 350, 640},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {44, 351, 630},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {44, 359, 615},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {44, 360, 639},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {44, 361, 629},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {44, 375, 622},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {44, 449, 634},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {44, 450, 614},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {44, 535, 617},	// Soprano::Util::ReadOnlyModel::isEmpty
    {44, 588, 613},	// Soprano::Util::ReadOnlyModel::listContexts
    {44, 590, 628},	// Soprano::Util::ReadOnlyModel::listStatements
    {44, 591, 612},	// Soprano::Util::ReadOnlyModel::listStatements#
    {44, 592, 638},	// Soprano::Util::ReadOnlyModel::listStatements###
    {44, 593, 627},	// Soprano::Util::ReadOnlyModel::listStatements####
    {44, 630, 603},	// Soprano::Util::ReadOnlyModel::metaObject
    {44, 715, 609},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {44, 717, 604},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {44, 732, 626},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {44, 733, 621},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {44, 734, 637},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {44, 735, 625},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {44, 743, 620},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {44, 744, 636},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {44, 745, 624},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {44, 799, 611},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {44, 829, 618},	// Soprano::Util::ReadOnlyModel::statementCount
    {44, 836, 641},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {44, 873, 631},	// Soprano::Util::ReadOnlyModel::tr$
    {44, 874, 605},	// Soprano::Util::ReadOnlyModel::tr$$
    {44, 875, 607},	// Soprano::Util::ReadOnlyModel::tr$$$
    {44, 877, 632},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {44, 878, 606},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {44, 879, 608},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {44, 952, 642},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {45, 207, 658},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {45, 208, 650},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {45, 312, 651},	// Soprano::Util::SignalCacheModel::cacheTime
    {45, 630, 643},	// Soprano::Util::SignalCacheModel::metaObject
    {45, 682, 653},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {45, 683, 654},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {45, 715, 649},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {45, 717, 644},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {45, 782, 652},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {45, 836, 659},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {45, 864, 655},	// Soprano::Util::SignalCacheModel::timerEvent#
    {45, 873, 656},	// Soprano::Util::SignalCacheModel::tr$
    {45, 874, 645},	// Soprano::Util::SignalCacheModel::tr$$
    {45, 875, 647},	// Soprano::Util::SignalCacheModel::tr$$$
    {45, 877, 657},	// Soprano::Util::SignalCacheModel::trUtf8$
    {45, 878, 646},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {45, 879, 648},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {45, 954, 660},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {46, 209, 661},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {46, 210, 663},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {46, 211, 662},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {46, 662, 665},	// Soprano::Util::SimpleNodeIterator::operator=#
    {46, 665, 664},	// Soprano::Util::SimpleNodeIterator::operator=?
    {46, 955, 666},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {47, 212, 667},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {47, 213, 669},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {47, 214, 668},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {47, 662, 671},	// Soprano::Util::SimpleStatementIterator::operator=#
    {47, 665, 670},	// Soprano::Util::SimpleStatementIterator::operator=?
    {47, 956, 672},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {48, 1, 674},	// Soprano::Vocabulary::NAO::Agent
    {48, 83, 707},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {48, 155, 693},	// Soprano::Vocabulary::NAO::Party
    {48, 231, 687},	// Soprano::Vocabulary::NAO::Symbol
    {48, 234, 686},	// Soprano::Vocabulary::NAO::Tag
    {48, 278, 712},	// Soprano::Vocabulary::NAO::altLabel
    {48, 279, 677},	// Soprano::Vocabulary::NAO::altSymbol
    {48, 280, 681},	// Soprano::Vocabulary::NAO::annotation
    {48, 372, 697},	// Soprano::Vocabulary::NAO::contributor
    {48, 387, 698},	// Soprano::Vocabulary::NAO::created
    {48, 388, 714},	// Soprano::Vocabulary::NAO::creator
    {48, 403, 710},	// Soprano::Vocabulary::NAO::deprecated
    {48, 405, 684},	// Soprano::Vocabulary::NAO::description
    {48, 439, 711},	// Soprano::Vocabulary::NAO::engineeringTool
    {48, 487, 709},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {48, 488, 705},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {48, 491, 699},	// Soprano::Vocabulary::NAO::hasSubResource
    {48, 492, 690},	// Soprano::Vocabulary::NAO::hasSuperResource
    {48, 493, 696},	// Soprano::Vocabulary::NAO::hasSymbol
    {48, 494, 713},	// Soprano::Vocabulary::NAO::hasTag
    {48, 495, 701},	// Soprano::Vocabulary::NAO::hasTopic
    {48, 505, 702},	// Soprano::Vocabulary::NAO::iconName
    {48, 507, 700},	// Soprano::Vocabulary::NAO::identifier
    {48, 527, 704},	// Soprano::Vocabulary::NAO::isDataGraphFor
    {48, 550, 706},	// Soprano::Vocabulary::NAO::isRelated
    {48, 557, 676},	// Soprano::Vocabulary::NAO::isTagFor
    {48, 558, 683},	// Soprano::Vocabulary::NAO::isTopicOf
    {48, 580, 694},	// Soprano::Vocabulary::NAO::lastModified
    {48, 616, 703},	// Soprano::Vocabulary::NAO::maintainedBy
    {48, 637, 689},	// Soprano::Vocabulary::NAO::modified
    {48, 640, 692},	// Soprano::Vocabulary::NAO::naoNamespace
    {48, 651, 673},	// Soprano::Vocabulary::NAO::numericRating
    {48, 697, 685},	// Soprano::Vocabulary::NAO::personalIdentifier
    {48, 702, 680},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {48, 705, 695},	// Soprano::Vocabulary::NAO::prefLabel
    {48, 706, 691},	// Soprano::Vocabulary::NAO::prefSymbol
    {48, 721, 678},	// Soprano::Vocabulary::NAO::rating
    {48, 768, 715},	// Soprano::Vocabulary::NAO::score
    {48, 769, 682},	// Soprano::Vocabulary::NAO::scoreParameter
    {48, 774, 708},	// Soprano::Vocabulary::NAO::serializationLanguage
    {48, 837, 688},	// Soprano::Vocabulary::NAO::status
    {48, 898, 679},	// Soprano::Vocabulary::NAO::userVisible
    {48, 907, 675},	// Soprano::Vocabulary::NAO::version
    {49, 8, 754},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {49, 46, 725},	// Soprano::Vocabulary::NRL::Configuration
    {49, 52, 751},	// Soprano::Vocabulary::NRL::Data
    {49, 57, 719},	// Soprano::Vocabulary::NRL::DefaultGraph
    {49, 58, 744},	// Soprano::Vocabulary::NRL::DefiningProperty
    {49, 62, 741},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {49, 64, 718},	// Soprano::Vocabulary::NRL::DocumentGraph
    {49, 76, 739},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {49, 84, 723},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {49, 85, 743},	// Soprano::Vocabulary::NRL::Graph
    {49, 86, 745},	// Soprano::Vocabulary::NRL::GraphMetadata
    {49, 87, 728},	// Soprano::Vocabulary::NRL::GraphView
    {49, 96, 748},	// Soprano::Vocabulary::NRL::InstanceBase
    {49, 97, 757},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {49, 98, 733},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {49, 140, 727},	// Soprano::Vocabulary::NRL::NonDefiningProperty
    {49, 144, 731},	// Soprano::Vocabulary::NRL::Ontology
    {49, 183, 732},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {49, 192, 721},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {49, 193, 724},	// Soprano::Vocabulary::NRL::Schema
    {49, 194, 729},	// Soprano::Vocabulary::NRL::Semantics
    {49, 232, 747},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {49, 238, 726},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {49, 241, 758},	// Soprano::Vocabulary::NRL::ViewSpecification
    {49, 315, 753},	// Soprano::Vocabulary::NRL::cardinality
    {49, 374, 722},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {49, 441, 746},	// Soprano::Vocabulary::NRL::equivalentGraph
    {49, 457, 740},	// Soprano::Vocabulary::NRL::externalRealizer
    {49, 485, 735},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {49, 489, 734},	// Soprano::Vocabulary::NRL::hasSemantics
    {49, 490, 742},	// Soprano::Vocabulary::NRL::hasSpecification
    {49, 509, 736},	// Soprano::Vocabulary::NRL::imports
    {49, 518, 730},	// Soprano::Vocabulary::NRL::inverseProperty
    {49, 621, 749},	// Soprano::Vocabulary::NRL::maxCardinality
    {49, 635, 720},	// Soprano::Vocabulary::NRL::minCardinality
    {49, 650, 752},	// Soprano::Vocabulary::NRL::nrlNamespace
    {49, 724, 717},	// Soprano::Vocabulary::NRL::realizes
    {49, 762, 755},	// Soprano::Vocabulary::NRL::rule
    {49, 763, 750},	// Soprano::Vocabulary::NRL::ruleLanguage
    {49, 773, 716},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {49, 843, 756},	// Soprano::Vocabulary::NRL::subGraphOf
    {49, 849, 759},	// Soprano::Vocabulary::NRL::superGraphOf
    {49, 889, 738},	// Soprano::Vocabulary::NRL::updatable
    {49, 917, 737},	// Soprano::Vocabulary::NRL::viewOn
    {50, 2, 797},	// Soprano::Vocabulary::OWL::AllDifferent
    {50, 5, 762},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {50, 44, 798},	// Soprano::Vocabulary::OWL::Class
    {50, 54, 765},	// Soprano::Vocabulary::OWL::DataRange
    {50, 56, 795},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {50, 60, 763},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {50, 61, 770},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {50, 84, 775},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {50, 97, 776},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {50, 141, 769},	// Soprano::Vocabulary::OWL::Nothing
    {50, 142, 793},	// Soprano::Vocabulary::OWL::ObjectProperty
    {50, 144, 784},	// Soprano::Vocabulary::OWL::Ontology
    {50, 145, 767},	// Soprano::Vocabulary::OWL::OntologyProperty
    {50, 189, 773},	// Soprano::Vocabulary::OWL::Restriction
    {50, 232, 772},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {50, 237, 789},	// Soprano::Vocabulary::OWL::Thing
    {50, 238, 791},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {50, 277, 800},	// Soprano::Vocabulary::OWL::allValuesFrom
    {50, 298, 777},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {50, 315, 796},	// Soprano::Vocabulary::OWL::cardinality
    {50, 338, 783},	// Soprano::Vocabulary::OWL::complementOf
    {50, 406, 787},	// Soprano::Vocabulary::OWL::differentFrom
    {50, 433, 764},	// Soprano::Vocabulary::OWL::disjointWith
    {50, 434, 780},	// Soprano::Vocabulary::OWL::distinctMembers
    {50, 440, 779},	// Soprano::Vocabulary::OWL::equivalentClass
    {50, 442, 794},	// Soprano::Vocabulary::OWL::equivalentProperty
    {50, 496, 799},	// Soprano::Vocabulary::OWL::hasValue
    {50, 509, 766},	// Soprano::Vocabulary::OWL::imports
    {50, 511, 761},	// Soprano::Vocabulary::OWL::incompatibleWith
    {50, 516, 771},	// Soprano::Vocabulary::OWL::intersectionOf
    {50, 517, 768},	// Soprano::Vocabulary::OWL::inverseOf
    {50, 621, 782},	// Soprano::Vocabulary::OWL::maxCardinality
    {50, 635, 786},	// Soprano::Vocabulary::OWL::minCardinality
    {50, 654, 792},	// Soprano::Vocabulary::OWL::onProperty
    {50, 655, 781},	// Soprano::Vocabulary::OWL::oneOf
    {50, 673, 760},	// Soprano::Vocabulary::OWL::owlNamespace
    {50, 709, 785},	// Soprano::Vocabulary::OWL::priorVersion
    {50, 764, 774},	// Soprano::Vocabulary::OWL::sameAs
    {50, 823, 790},	// Soprano::Vocabulary::OWL::someValuesFrom
    {50, 885, 788},	// Soprano::Vocabulary::OWL::unionOf
    {50, 908, 778},	// Soprano::Vocabulary::OWL::versionInfo
    {51, 3, 802},	// Soprano::Vocabulary::RDF::Alt
    {51, 40, 812},	// Soprano::Vocabulary::RDF::Bag
    {51, 118, 806},	// Soprano::Vocabulary::RDF::List
    {51, 164, 803},	// Soprano::Vocabulary::RDF::Property
    {51, 195, 808},	// Soprano::Vocabulary::RDF::Seq
    {51, 220, 801},	// Soprano::Vocabulary::RDF::Statement
    {51, 244, 813},	// Soprano::Vocabulary::RDF::XMLLiteral
    {51, 465, 805},	// Soprano::Vocabulary::RDF::first
    {51, 646, 815},	// Soprano::Vocabulary::RDF::nil
    {51, 652, 809},	// Soprano::Vocabulary::RDF::object
    {51, 704, 811},	// Soprano::Vocabulary::RDF::predicate
    {51, 722, 816},	// Soprano::Vocabulary::RDF::rdfNamespace
    {51, 757, 810},	// Soprano::Vocabulary::RDF::rest
    {51, 847, 804},	// Soprano::Vocabulary::RDF::subject
    {51, 883, 814},	// Soprano::Vocabulary::RDF::type
    {51, 900, 807},	// Soprano::Vocabulary::RDF::value
    {52, 44, 831},	// Soprano::Vocabulary::RDFS::Class
    {52, 49, 832},	// Soprano::Vocabulary::RDFS::Container
    {52, 50, 827},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {52, 55, 822},	// Soprano::Vocabulary::RDFS::Datatype
    {52, 119, 821},	// Soprano::Vocabulary::RDFS::Literal
    {52, 187, 829},	// Soprano::Vocabulary::RDFS::Resource
    {52, 334, 824},	// Soprano::Vocabulary::RDFS::comment
    {52, 436, 826},	// Soprano::Vocabulary::RDFS::domain
    {52, 528, 820},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {52, 577, 818},	// Soprano::Vocabulary::RDFS::label
    {52, 627, 819},	// Soprano::Vocabulary::RDFS::member
    {52, 719, 817},	// Soprano::Vocabulary::RDFS::range
    {52, 723, 828},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {52, 771, 830},	// Soprano::Vocabulary::RDFS::seeAlso
    {52, 840, 825},	// Soprano::Vocabulary::RDFS::subClassOf
    {52, 844, 823},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {53, 92, 837},	// Soprano::Vocabulary::SIL::InferenceGraph
    {53, 93, 834},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {53, 371, 836},	// Soprano::Vocabulary::SIL::context
    {53, 821, 835},	// Soprano::Vocabulary::SIL::silNamespace
    {53, 826, 833},	// Soprano::Vocabulary::SIL::sourceStatement
    {54, 299, 838},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {54, 311, 841},	// Soprano::Vocabulary::XMLSchema::boolean
    {54, 393, 856},	// Soprano::Vocabulary::XMLSchema::date
    {54, 394, 843},	// Soprano::Vocabulary::XMLSchema::dateTime
    {54, 395, 844},	// Soprano::Vocabulary::XMLSchema::decimal
    {54, 513, 853},	// Soprano::Vocabulary::XMLSchema::integer
    {54, 641, 847},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {54, 649, 855},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {54, 839, 850},	// Soprano::Vocabulary::XMLSchema::string
    {54, 862, 849},	// Soprano::Vocabulary::XMLSchema::time
    {54, 886, 840},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {54, 887, 848},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {54, 888, 842},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {54, 928, 839},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {54, 929, 851},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {54, 930, 845},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {54, 931, 854},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {54, 932, 846},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {54, 933, 852},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {55, 4, 876},	// Soprano::Vocabulary::Xesam::Annotation
    {55, 6, 1105},	// Soprano::Vocabulary::Xesam::Archive
    {55, 7, 1116},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {55, 11, 957},	// Soprano::Vocabulary::Xesam::Audio
    {55, 12, 960},	// Soprano::Vocabulary::Xesam::AudioList
    {55, 42, 873},	// Soprano::Vocabulary::Xesam::BlockDevice
    {55, 43, 945},	// Soprano::Vocabulary::Xesam::Bookmark
    {55, 45, 1107},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {55, 47, 1074},	// Soprano::Vocabulary::Xesam::Contact
    {55, 48, 990},	// Soprano::Vocabulary::Xesam::ContactGroup
    {55, 51, 999},	// Soprano::Vocabulary::Xesam::Content
    {55, 53, 1076},	// Soprano::Vocabulary::Xesam::DataObject
    {55, 59, 938},	// Soprano::Vocabulary::Xesam::DeletedFile
    {55, 63, 1112},	// Soprano::Vocabulary::Xesam::Document
    {55, 65, 1101},	// Soprano::Vocabulary::Xesam::Documentation
    {55, 66, 1029},	// Soprano::Vocabulary::Xesam::Email
    {55, 67, 1117},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {55, 68, 861},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {55, 77, 1088},	// Soprano::Vocabulary::Xesam::File
    {55, 78, 885},	// Soprano::Vocabulary::Xesam::FileSystem
    {55, 79, 881},	// Soprano::Vocabulary::Xesam::Filelike
    {55, 82, 867},	// Soprano::Vocabulary::Xesam::Folder
    {55, 88, 978},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {55, 89, 992},	// Soprano::Vocabulary::Xesam::IMMessage
    {55, 91, 958},	// Soprano::Vocabulary::Xesam::Image
    {55, 121, 1084},	// Soprano::Vocabulary::Xesam::MailingList
    {55, 122, 1069},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {55, 123, 935},	// Soprano::Vocabulary::Xesam::Media
    {55, 124, 909},	// Soprano::Vocabulary::Xesam::MediaList
    {55, 125, 914},	// Soprano::Vocabulary::Xesam::Message
    {55, 126, 946},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {55, 129, 1064},	// Soprano::Vocabulary::Xesam::Music
    {55, 130, 1066},	// Soprano::Vocabulary::Xesam::NewsGroup
    {55, 131, 1028},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {55, 143, 1019},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {55, 146, 916},	// Soprano::Vocabulary::Xesam::Organization
    {55, 147, 920},	// Soprano::Vocabulary::Xesam::POP3Message
    {55, 156, 1128},	// Soprano::Vocabulary::Xesam::Person
    {55, 157, 943},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {55, 158, 859},	// Soprano::Vocabulary::Xesam::Photo
    {55, 162, 870},	// Soprano::Vocabulary::Xesam::Presentation
    {55, 163, 1121},	// Soprano::Vocabulary::Xesam::Project
    {55, 177, 1111},	// Soprano::Vocabulary::Xesam::RSSFeed
    {55, 178, 1014},	// Soprano::Vocabulary::Xesam::RSSMessage
    {55, 184, 882},	// Soprano::Vocabulary::Xesam::RemoteFile
    {55, 185, 1079},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {55, 186, 983},	// Soprano::Vocabulary::Xesam::RemoteResource
    {55, 190, 1103},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {55, 191, 1022},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {55, 216, 1027},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {55, 217, 892},	// Soprano::Vocabulary::Xesam::Source
    {55, 218, 1086},	// Soprano::Vocabulary::Xesam::SourceCode
    {55, 219, 1093},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {55, 233, 1046},	// Soprano::Vocabulary::Xesam::SystemResource
    {55, 234, 1124},	// Soprano::Vocabulary::Xesam::Tag
    {55, 235, 1070},	// Soprano::Vocabulary::Xesam::Text
    {55, 236, 1010},	// Soprano::Vocabulary::Xesam::TextDocument
    {55, 239, 963},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {55, 240, 895},	// Soprano::Vocabulary::Xesam::Video
    {55, 242, 1031},	// Soprano::Vocabulary::Xesam::Visual
    {55, 243, 1102},	// Soprano::Vocabulary::Xesam::XML
    {55, 249, 984},	// Soprano::Vocabulary::Xesam::acl
    {55, 266, 1071},	// Soprano::Vocabulary::Xesam::album
    {55, 267, 967},	// Soprano::Vocabulary::Xesam::albumArtist
    {55, 268, 872},	// Soprano::Vocabulary::Xesam::albumGain
    {55, 269, 1072},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {55, 270, 1037},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {55, 281, 1095},	// Soprano::Vocabulary::Xesam::aperture
    {55, 282, 1092},	// Soprano::Vocabulary::Xesam::artist
    {55, 283, 1106},	// Soprano::Vocabulary::Xesam::asText
    {55, 284, 1049},	// Soprano::Vocabulary::Xesam::aspectRatio
    {55, 285, 923},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {55, 286, 1097},	// Soprano::Vocabulary::Xesam::audioBPM
    {55, 287, 903},	// Soprano::Vocabulary::Xesam::audioBitrate
    {55, 288, 1000},	// Soprano::Vocabulary::Xesam::audioChannels
    {55, 289, 1030},	// Soprano::Vocabulary::Xesam::audioCodec
    {55, 290, 915},	// Soprano::Vocabulary::Xesam::audioCodecType
    {55, 291, 968},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {55, 292, 1052},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {55, 293, 930},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {55, 294, 1083},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {55, 295, 1025},	// Soprano::Vocabulary::Xesam::author
    {55, 296, 868},	// Soprano::Vocabulary::Xesam::autoRating
    {55, 300, 1104},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {55, 301, 1065},	// Soprano::Vocabulary::Xesam::bcc
    {55, 306, 875},	// Soprano::Vocabulary::Xesam::birthDate
    {55, 309, 1048},	// Soprano::Vocabulary::Xesam::blogContactURL
    {55, 313, 1015},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {55, 314, 1002},	// Soprano::Vocabulary::Xesam::cameraModel
    {55, 316, 919},	// Soprano::Vocabulary::Xesam::cc
    {55, 317, 1098},	// Soprano::Vocabulary::Xesam::ccdWidth
    {55, 318, 954},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {55, 319, 934},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {55, 320, 874},	// Soprano::Vocabulary::Xesam::changeCommitter
    {55, 321, 965},	// Soprano::Vocabulary::Xesam::characterCount
    {55, 322, 1038},	// Soprano::Vocabulary::Xesam::charset
    {55, 323, 941},	// Soprano::Vocabulary::Xesam::chatRoom
    {55, 331, 964},	// Soprano::Vocabulary::Xesam::colorCount
    {55, 332, 1050},	// Soprano::Vocabulary::Xesam::colorSpace
    {55, 333, 858},	// Soprano::Vocabulary::Xesam::columnCount
    {55, 334, 893},	// Soprano::Vocabulary::Xesam::comment
    {55, 335, 1054},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {55, 336, 910},	// Soprano::Vocabulary::Xesam::commitDiff
    {55, 337, 897},	// Soprano::Vocabulary::Xesam::communicationChannel
    {55, 339, 902},	// Soprano::Vocabulary::Xesam::composer
    {55, 340, 1077},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {55, 341, 932},	// Soprano::Vocabulary::Xesam::compressionLevel
    {55, 342, 869},	// Soprano::Vocabulary::Xesam::conflicts
    {55, 344, 901},	// Soprano::Vocabulary::Xesam::contactMedium
    {55, 345, 987},	// Soprano::Vocabulary::Xesam::contactNick
    {55, 346, 1094},	// Soprano::Vocabulary::Xesam::contactURL
    {55, 347, 908},	// Soprano::Vocabulary::Xesam::contains
    {55, 366, 1118},	// Soprano::Vocabulary::Xesam::contentComment
    {55, 367, 888},	// Soprano::Vocabulary::Xesam::contentCreated
    {55, 368, 966},	// Soprano::Vocabulary::Xesam::contentKeyword
    {55, 369, 1110},	// Soprano::Vocabulary::Xesam::contentModified
    {55, 370, 1055},	// Soprano::Vocabulary::Xesam::contentType
    {55, 372, 1091},	// Soprano::Vocabulary::Xesam::contributor
    {55, 373, 894},	// Soprano::Vocabulary::Xesam::copyright
    {55, 388, 887},	// Soprano::Vocabulary::Xesam::creator
    {55, 396, 921},	// Soprano::Vocabulary::Xesam::definesClass
    {55, 397, 1080},	// Soprano::Vocabulary::Xesam::definesFunction
    {55, 398, 997},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {55, 401, 1004},	// Soprano::Vocabulary::Xesam::deletionTime
    {55, 402, 1051},	// Soprano::Vocabulary::Xesam::depends
    {55, 404, 1044},	// Soprano::Vocabulary::Xesam::derivedFrom
    {55, 405, 912},	// Soprano::Vocabulary::Xesam::description
    {55, 415, 913},	// Soprano::Vocabulary::Xesam::discNumber
    {55, 416, 1061},	// Soprano::Vocabulary::Xesam::disclaimer
    {55, 435, 1042},	// Soprano::Vocabulary::Xesam::documentCategory
    {55, 438, 931},	// Soprano::Vocabulary::Xesam::emailAddress
    {55, 454, 1001},	// Soprano::Vocabulary::Xesam::exposureBias
    {55, 455, 936},	// Soprano::Vocabulary::Xesam::exposureProgram
    {55, 456, 1003},	// Soprano::Vocabulary::Xesam::exposureTime
    {55, 458, 899},	// Soprano::Vocabulary::Xesam::familyName
    {55, 459, 944},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {55, 460, 942},	// Soprano::Vocabulary::Xesam::fileExtension
    {55, 461, 940},	// Soprano::Vocabulary::Xesam::fileSystemType
    {55, 462, 926},	// Soprano::Vocabulary::Xesam::fingerprint
    {55, 466, 973},	// Soprano::Vocabulary::Xesam::firstUsed
    {55, 467, 1073},	// Soprano::Vocabulary::Xesam::flashUsed
    {55, 468, 1068},	// Soprano::Vocabulary::Xesam::focalLength
    {55, 469, 1058},	// Soprano::Vocabulary::Xesam::focusDistance
    {55, 470, 1120},	// Soprano::Vocabulary::Xesam::formatSubtype
    {55, 471, 883},	// Soprano::Vocabulary::Xesam::frameCount
    {55, 472, 980},	// Soprano::Vocabulary::Xesam::frameRate
    {55, 473, 994},	// Soprano::Vocabulary::Xesam::freeSpace
    {55, 480, 1008},	// Soprano::Vocabulary::Xesam::gender
    {55, 481, 1081},	// Soprano::Vocabulary::Xesam::generator
    {55, 482, 1041},	// Soprano::Vocabulary::Xesam::generatorOptions
    {55, 483, 911},	// Soprano::Vocabulary::Xesam::genre
    {55, 484, 1089},	// Soprano::Vocabulary::Xesam::givenName
    {55, 486, 898},	// Soprano::Vocabulary::Xesam::group
    {55, 497, 864},	// Soprano::Vocabulary::Xesam::height
    {55, 498, 1108},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {55, 499, 1023},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {55, 500, 1035},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {55, 501, 906},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {55, 502, 1096},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {55, 503, 927},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {55, 504, 988},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {55, 506, 1075},	// Soprano::Vocabulary::Xesam::id
    {55, 508, 924},	// Soprano::Vocabulary::Xesam::imContactMedium
    {55, 510, 947},	// Soprano::Vocabulary::Xesam::inReplyTo
    {55, 514, 1024},	// Soprano::Vocabulary::Xesam::interest
    {55, 515, 884},	// Soprano::Vocabulary::Xesam::interlaceMode
    {55, 519, 865},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {55, 526, 955},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {55, 537, 937},	// Soprano::Vocabulary::Xesam::isEncrypted
    {55, 539, 1034},	// Soprano::Vocabulary::Xesam::isImportant
    {55, 540, 985},	// Soprano::Vocabulary::Xesam::isInProgress
    {55, 548, 948},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {55, 549, 866},	// Soprano::Vocabulary::Xesam::isRead
    {55, 552, 1099},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {55, 562, 928},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {55, 574, 1100},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {55, 575, 1005},	// Soprano::Vocabulary::Xesam::keyword
    {55, 576, 981},	// Soprano::Vocabulary::Xesam::knows
    {55, 578, 1059},	// Soprano::Vocabulary::Xesam::language
    {55, 581, 970},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {55, 582, 1036},	// Soprano::Vocabulary::Xesam::lastUsed
    {55, 583, 991},	// Soprano::Vocabulary::Xesam::legal
    {55, 584, 880},	// Soprano::Vocabulary::Xesam::license
    {55, 585, 871},	// Soprano::Vocabulary::Xesam::licenseType
    {55, 586, 1114},	// Soprano::Vocabulary::Xesam::lineCount
    {55, 587, 1026},	// Soprano::Vocabulary::Xesam::links
    {55, 611, 900},	// Soprano::Vocabulary::Xesam::localRevision
    {55, 613, 1045},	// Soprano::Vocabulary::Xesam::lyricist
    {55, 614, 1113},	// Soprano::Vocabulary::Xesam::mailingList
    {55, 615, 982},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {55, 617, 1011},	// Soprano::Vocabulary::Xesam::maintainer
    {55, 618, 889},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {55, 622, 979},	// Soprano::Vocabulary::Xesam::md5Hash
    {55, 623, 961},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {55, 624, 949},	// Soprano::Vocabulary::Xesam::mediaCodec
    {55, 625, 878},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {55, 626, 905},	// Soprano::Vocabulary::Xesam::mediaDuration
    {55, 628, 925},	// Soprano::Vocabulary::Xesam::mergeConflict
    {55, 631, 976},	// Soprano::Vocabulary::Xesam::meteringMode
    {55, 632, 886},	// Soprano::Vocabulary::Xesam::mimeType
    {55, 638, 939},	// Soprano::Vocabulary::Xesam::mountPoint
    {55, 639, 959},	// Soprano::Vocabulary::Xesam::name
    {55, 642, 1033},	// Soprano::Vocabulary::Xesam::newsGroup
    {55, 653, 956},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {55, 669, 1047},	// Soprano::Vocabulary::Xesam::orientation
    {55, 670, 917},	// Soprano::Vocabulary::Xesam::originURL
    {55, 671, 922},	// Soprano::Vocabulary::Xesam::originalLocation
    {55, 672, 953},	// Soprano::Vocabulary::Xesam::otherName
    {55, 674, 1018},	// Soprano::Vocabulary::Xesam::owner
    {55, 675, 1056},	// Soprano::Vocabulary::Xesam::pageCount
    {55, 676, 877},	// Soprano::Vocabulary::Xesam::paragraphCount
    {55, 694, 1115},	// Soprano::Vocabulary::Xesam::performer
    {55, 695, 1062},	// Soprano::Vocabulary::Xesam::permissions
    {55, 696, 1090},	// Soprano::Vocabulary::Xesam::personPhoto
    {55, 698, 1067},	// Soprano::Vocabulary::Xesam::phoneNumber
    {55, 699, 962},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {55, 700, 1053},	// Soprano::Vocabulary::Xesam::pixelDataType
    {55, 703, 904},	// Soprano::Vocabulary::Xesam::postalAddress
    {55, 708, 857},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {55, 710, 996},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {55, 725, 890},	// Soprano::Vocabulary::Xesam::receptionTime
    {55, 726, 860},	// Soprano::Vocabulary::Xesam::recipient
    {55, 727, 1012},	// Soprano::Vocabulary::Xesam::related
    {55, 728, 1078},	// Soprano::Vocabulary::Xesam::remotePassword
    {55, 729, 951},	// Soprano::Vocabulary::Xesam::remotePort
    {55, 730, 1063},	// Soprano::Vocabulary::Xesam::remoteServer
    {55, 731, 972},	// Soprano::Vocabulary::Xesam::remoteUser
    {55, 754, 1017},	// Soprano::Vocabulary::Xesam::replyTo
    {55, 760, 995},	// Soprano::Vocabulary::Xesam::rowCount
    {55, 761, 1082},	// Soprano::Vocabulary::Xesam::rssFeed
    {55, 765, 952},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {55, 766, 1087},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {55, 767, 1127},	// Soprano::Vocabulary::Xesam::sampleDataType
    {55, 770, 1119},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {55, 772, 1122},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {55, 787, 891},	// Soprano::Vocabulary::Xesam::setCount
    {55, 805, 1021},	// Soprano::Vocabulary::Xesam::setRate
    {55, 820, 863},	// Soprano::Vocabulary::Xesam::sha1Hash
    {55, 822, 969},	// Soprano::Vocabulary::Xesam::size
    {55, 824, 1123},	// Soprano::Vocabulary::Xesam::sourceCreated
    {55, 825, 975},	// Soprano::Vocabulary::Xesam::sourceModified
    {55, 838, 1043},	// Soprano::Vocabulary::Xesam::storageSize
    {55, 847, 1032},	// Soprano::Vocabulary::Xesam::subject
    {55, 848, 1060},	// Soprano::Vocabulary::Xesam::summary
    {55, 850, 1039},	// Soprano::Vocabulary::Xesam::supercedes
    {55, 861, 1085},	// Soprano::Vocabulary::Xesam::targetQuality
    {55, 865, 933},	// Soprano::Vocabulary::Xesam::title
    {55, 866, 1020},	// Soprano::Vocabulary::Xesam::to
    {55, 870, 1013},	// Soprano::Vocabulary::Xesam::totalSpace
    {55, 871, 998},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {55, 880, 1009},	// Soprano::Vocabulary::Xesam::trackGain
    {55, 881, 918},	// Soprano::Vocabulary::Xesam::trackNumber
    {55, 882, 1007},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {55, 891, 907},	// Soprano::Vocabulary::Xesam::url
    {55, 892, 1006},	// Soprano::Vocabulary::Xesam::useCount
    {55, 894, 1040},	// Soprano::Vocabulary::Xesam::userComment
    {55, 895, 986},	// Soprano::Vocabulary::Xesam::userKeyword
    {55, 897, 974},	// Soprano::Vocabulary::Xesam::userRating
    {55, 899, 1057},	// Soprano::Vocabulary::Xesam::usesNamespace
    {55, 907, 1125},	// Soprano::Vocabulary::Xesam::version
    {55, 913, 993},	// Soprano::Vocabulary::Xesam::verticalResolution
    {55, 914, 989},	// Soprano::Vocabulary::Xesam::videoBitrate
    {55, 915, 1126},	// Soprano::Vocabulary::Xesam::videoCodec
    {55, 916, 971},	// Soprano::Vocabulary::Xesam::videoCodecType
    {55, 918, 977},	// Soprano::Vocabulary::Xesam::whiteBalance
    {55, 919, 1016},	// Soprano::Vocabulary::Xesam::width
    {55, 920, 896},	// Soprano::Vocabulary::Xesam::wordCount
    {55, 921, 1109},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {55, 922, 929},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {55, 923, 862},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {55, 926, 950},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {55, 927, 879},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 55,
        __smokesoprano::methods, 1129,
        __smokesoprano::methodMaps, 1099,
        __smokesoprano::methodNames, 959,
        __smokesoprano::types, 222,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
